<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Religion;
use App\Models\Community;
use App\Models\Caste;
class Genre extends Controller
{
   public function religion(){
        
        $religion = Religion::all();
        
        return view('genre.religion',compact('religion'));
    }
    
    public function religion_save(Request $request)
 {
     
     $validated = $request->validate([
            'religion_name' => 'required',
          
            
            
            
        ]);
        $religion = Religion::create([
            'religion_name' => $request->religion_name,
            
           

        ]); 
                if($religion){
            $msg_array = array('message'=>'Religion Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Religion Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('religion')->with($msg_array); 
     
 }
   
   
   public function religion_edit($rid){
        
        $religion = Religion::find(decrypt($rid));
        
        return view('genre.religionedit',compact(array('religion')));
    } 
    
    
    
     public function religion_update(Request $request){
        
        $religion_id = decrypt($request->religion_id);
        $validated = $request->validate([
            
            'religion_name' => 'required|unique:religion,religion_name,'.$religion_id.',religion_id',
            
            

        ]);
        
        $religion = Religion::find($religion_id);
        $religion->update([
            'religion_name' => $request->religion_name,
            
        ]);
        
        if($religion){
            $msg_array = array('message'=>'Religion Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Religion Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('religion')->with($msg_array);
    }      
   
   
   
   
  public function religion_delete($rid){
        
        $religion = Religion::find(decrypt($rid));
        
 if($religion){
            if($religion->count() > 0){
                $religion->delete();
                $msg_array = array('message'=>'Religion deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Religion Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('religion')->with($msg_array);
    }          
   
   
   
   
   
   
   
      public function community(){
        $religion = Religion::all();
        $community = Community::all();
        
        return view('genre.community',compact('community','religion'));
    }

   
    public function community_save(Request $request)
 {
     
     $validated = $request->validate([
            'community' => 'required',
          
        ]);
        $community = Community::create([
         'religion_id' => $request->religion_id,
            'community' => $request->community,
            
           

        ]); 
                if($community){
            $msg_array = array('message'=>'Community Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Community Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('community')->with($msg_array); 
     
 }
    
   public function community_edit($cid){
         $religion = Religion::all();
        $community = Community::find(decrypt($cid));
        
        return view('genre.communityedit',compact(array('religion','community')));
    } 
   
   
   
        public function community_update(Request $request){
        
        $community_id = decrypt($request->community_id);
        $validated = $request->validate([
            
            'community' => 'required|unique:community,community,'.$community_id.',community_id',
            
            

        ]);
        
        $community = Community::find($community_id);
        $community->update([
        'religion_id' => $request->religion_id,
        'community' => $request->community,
            
        ]);
        
        if($community){
            $msg_array = array('message'=>'Community Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Community Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('community')->with($msg_array);
    }      

   
     public function community_delete($cid){
        
        $community = Community::find(decrypt($cid));
        
 if($community){
            if($community->count() > 0){
                $community->delete();
                $msg_array = array('message'=>'Community deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Community Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('community')->with($msg_array);
    }          

   
   
        public function caste(){
        $religion = Religion::all();
        $community = Community::all();
        $caste=Caste::all();
        
        return view('genre.caste',compact('community','religion','caste'));
    }
 
   
     
 public function caste_save(Request $request)
 {
     
     $validated = $request->validate([
            'caste' => 'required',
          
        ]);
        $caste = Caste::create([
         'religion_id' => $request->religion_id,
         'community_id' => $request->community_id,
            'caste' => $request->caste,
            
           

        ]); 
                if($caste){
            $msg_array = array('message'=>'Caste Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Caste Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('caste')->with($msg_array); 
     
 }
  
  
  
   public function caste_edit($cid){
         $religion = Religion::all();
          $community = Community::all();
        $caste = Caste::find(decrypt($cid));
        
        return view('genre.casteedit',compact(array('religion','community','caste')));
    } 
  
  
  
         public function caste_update(Request $request){
        
        $caste_id = decrypt($request->caste_id);
        $validated = $request->validate([
            
            'caste' => 'required|unique:caste,caste,'.$caste_id.',caste_id',
            
            

        ]);
        
        $caste = Caste::find($caste_id);
        $caste->update([
        'religion_id' => $request->religion_id,
        'community_id' => $request->community_id,
        'caste'=>$request->caste,
            
        ]);
        
        if($caste){
            $msg_array = array('message'=>'Caste Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Caste Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('caste')->with($msg_array);
    }      
 
  
       public function caste_delete($cid){
        
        $caste = Caste::find(decrypt($cid));
        
 if($caste){
            if($caste->count() > 0){
                $caste->delete();
                $msg_array = array('message'=>'Caste deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Caste Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('caste')->with($msg_array);
    }          

  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
     
}
