<?php

namespace App\Http\Controllers\Library;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\Library\LibraryBook;

class Opac extends Controller
{
    public function report(Request $request){
        $stype = $request->input('stype');
        $skey = $request->input('skey');
        $books=[];
        
        $query = LibraryBook::query();
        if($stype!='' && $skey!=''){
            $query->where($stype,'like',"%$skey%");
        }else if($skey!=''){
            $query->where(function ($qry) use ($skey) {
                $qry->where('title', 'like', "%$skey%")
                    ->orWhere('access_no', 'like', "%$skey%")
                    ->orWhere('call_no', 'like', "%$skey%")
                    ->orWhere('author', 'like', "%$skey%")
                    ->orWhere('subject', 'like', "%$skey%")
                    ->orWhere('isbn', 'like', "%$skey%");
            });
        }
        $books = $query->paginate(10);
        
        return view('library.opac.report',compact('stype','skey','books'));
    }
}
