<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\Periods;
use App\Models\Timetable;
use App\Models\StaffSubject;
class StaffTimeTable extends Controller
{
    public function addperiod(){
        $ac_id = getAcyear();
        $previous_acyear = Acyear::where('ac_id', '<', $ac_id)->orderBy('ac_id', 'desc')->first();
        $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
        $prevperiods = Periods::where('acyear', $previousAcId)->get(); 
        if(!Periods::where('acyear', $ac_id)->exists())
        {
            foreach ($prevperiods as $pgd) {
                    $prd = Periods::create([
                    'period' => $pgd->period,
                  
                    'acyear' => $ac_id,
                   
                    ]); 
            }
            
        }
        
        $periods = Periods::where('acyear',$ac_id)->get();
        
        return view('timetable.add_periods',compact('periods'));
    }
    
      public function period_save(Request $request)
 {
     
     $validated = $request->validate([
            'period' => 'required',
          
            
        ]);
         $ac_id = getAcyear();
          $checkgd = Periods::where([
                'acyear' => $ac_id,
                'period' => $request->period,
               
            ])->first();
            if(!$checkgd){
            $periods = Periods::create([
                'period' => $request->period,
              
                'acyear' => $ac_id,
    
            ]); 
            }
        if($periods){
            $msg_array = array('message'=>'Period Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Period Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('addperiod')->with($msg_array); 
     
     
 }
 
 
  public function period_delete($aid){
        
        $periods = Periods::find(decrypt($aid));
        
        if($periods){
            if($periods->count() > 0){
                $periods->delete();
                $msg_array = array('message'=>'Period Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Period Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('addperiod')->with($msg_array);
    } 
    
    
   
public function showTimetable() {
    $ac_id = getAcyear(); 
    $timetable = Timetable::where('acyear', $ac_id)->get();
    
    return view('timetable.index',compact('timetable'));
    
}

 /*  public function generateTimetable() {
    $ac_id = getAcyear();  

   
    $periods = Periods::where('acyear', $ac_id)->get();

    
    $staffsubjects = StaffSubject::where('acyear', $ac_id)->get();

  
    foreach ($periods as $period) {
        $assigned = false;

       
        foreach ($staffsubjects as $staffsubject) {
            if (!$assigned) {
               
                $existingAssignment = Timetable::where('user_id', $staffsubject->user_id)
                    ->where('period_id', $period->id)
                    ->first();

                if (!$existingAssignment) {
                  
                    Timetable::create([
                        'period_id' => $period->id,
                        'day_of_week' => $this->getDayOfWeek($period),  
                        'subject_id' => $staffsubject->subject_id,
                        'user_id' => $staffsubject->user_id,
                        'acyear' => $ac_id
                    ]);

                    $assigned = true;
                }
            }
        }

        
        if (!$assigned) {
           \Log::warning("No teacher available for period ID: {$period->id}");
        }
    }

     return redirect()->route('generate-timetable')->with('message', 'Timetable generated successfully!');
}
 protected function getDayOfWeek($period) {
       
        $days = [
            1 => 'Monday',
            2 => 'Tuesday',
            3 => 'Wednesday',
            4 => 'Thursday',
            5 => 'Friday',
            6 => 'Saturday',
            7 => 'Sunday'
        ];

        return $days[$period->period] ?? 'Unknown Day';
    }*/

}
