<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AccountSetting extends Model
{
    use HasFactory;
    protected $table='account_setting';
    protected $primaryKey = 'acset_id';
    protected $guarded = [];
    protected $hidden = ['acset_id'];
    
     public function legder(){
        return $this->hasOne(Ledger::class,'ledger_id','ledger_id');
    }
    
    public function actype(){
        return $this->hasOne(Accounttype::class,'accounttype_id','accounttype_id');
    }
    
}
