<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class AoPoMapping extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'activity_outcome_po_mapping';
    protected $guarded = [];
    protected $hidden = ['id'];
    
     public function aoutcome(){
        return $this->belongsTo(ObeActivityOutcome::class,'a_outcome','id')->withDefault(['name' => '']);
    }
    public function poutcome(){
        return $this->belongsTo(ObePo::class,'p_outcome','id')->withDefault(['name' => '']);
    }
}
