<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class AoPsoMapping extends Model
{
   use HasFactory,SoftDeletes;
    protected $table  = 'activity_outcome_pso_mapping';
    protected $guarded = [];
    protected $hidden = ['id'];
    
     public function aoutcome(){
        return $this->belongsTo(ObeActivityOutcome::class,'a_outcome','id')->withDefault(['name' => '']);
    }
    public function psoutcome(){
        return $this->belongsTo(ObePso::class,'ps_outcome','id')->withDefault(['name' => '']);
    }
     public function coursen(){
        return $this->belongsTo(Course::class,'course_id','course_id')->withDefault(['name' => '']);
    }
}
