<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BusfacilityStudents extends Model
{
    use HasFactory;
    protected $table='busfacility_students';
     protected $primaryKey = 'busfaci_stu_id'; 
    
    protected $guarded = [];
     protected $hidden = ['busfaci_stu_id'];
     public function student()
{
    return $this->belongsTo(Student::class, 'student_id');
}

public function route()
{
    return $this->belongsTo(AddRouteTrans::class, 'route_id');
}

public function stop()
{
    return $this->belongsTo(AddStopTrans::class, 'stop_id');
}
public function students()
{
    return $this->hasOne(Student::class,'student_id','student_id');
}
}
