<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Caste extends Model
{
    use HasFactory;
     protected $table = 'caste';
    
    protected $primaryKey = 'caste_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['caste_id'];
    
    public function religion(){
        return $this->hasOne(Religion::class,'religion_id','religion_id');
    }
        public function community(){
        return $this->hasOne(Community::class,'religion_id','religion_id');
    }

}
