<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EventGenerate extends Model
{
    use HasFactory;
    protected $table = 'generate_event_certificate';
    
    protected $primaryKey = 'evntgen_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['evntgen_id'];
    
     public function student(){
        return $this->hasOne(Student::class,'student_id','student_id');
    }
     public function template(){
        return $this->hasOne(EventTemplate::class,'evnttem_id','evnttem_id');
    }

     public function compt(){
        return $this->hasOne(AddCompetition::class,'addcompt_id','addcompt_id');
    }
     
    
    
    
    
}
