<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FeeDiscount extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'fee_discounts';
    
    protected $primaryKey = 'discount_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['discount_id'];
}
