<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FeeFine extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'fee_fine';
    
    protected $primaryKey = 'fine_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['fine_id'];
}
