<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FeeStructure extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'fee_structures';
    
    protected $primaryKey = 'structure_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['structure_id'];
    
    public function stypes(){
        return $this->hasMany(FeeStructureType::class,'structure_id','structure_id');
    }
  
    
    
}
