<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FeeStructureType extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'fee_structure_types';
    
    protected $primaryKey = 'fstructure_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['fstructure_id'];
    
    public function structure(){
        return $this->hasOne(FeeStructure::class,'structue_id','structue_id');
    }
}
