<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FeeTerm extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'fee_terms';
    
    protected $primaryKey = 'term_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['term_id'];
}
