<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Iqacdocumentmodel extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'iqac_documents';
   
    protected $guarded = [];
    
    protected $hidden = ['id'];
     public function criteria(){
        return $this->belongsTo(iqacmodel::class,'criteria_id','id')->withDefault(['name' => '']);
    }
    
    public function staffdoc(){
        return $this->hasOne(Staffiqacdocument::class,'document_id','id');
    }
    
}
