<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class LMSSTUDASSIGNMENT extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'lms_stud_assignment';
    
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
     public function assignment(){
        return $this->belongsTo(LmsAssignment::class,'assgmnt_id','id');
    }
    
     public function subminordmc(){
        return $this->hasmany(FyugpStudSub::class,'stud_id','stud_id');
    }
}
