<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LeaveForward extends Model
{
    use HasFactory;
    protected $table  = 'staff_leave_forwardto';
    protected $primaryKey = 'stfleavfrwd';
    protected $guarded = [];
    
    protected $hidden = ['stfleavfrwd'];

 public function staff()
    {
         return $this->hasOne(User::class,'applied_by','user_id');
    } 
     public function staffs()
    {
         return $this->belongsTo(User::class,'applied_by','user_id');
    } 
    
     public function forwardedUser()
    {
        return $this->belongsTo(User::class,'forwarded_to','user_id');
    }
      public function forwardedbyUser()
    {
        return $this->belongsTo(User::class,'forwarded_by','user_id');
    }
      public function staffleaverqst()
    {
        return $this->hasOne(StaffLeaveRequest::class,'staff_leave_request','staff_leave_request');
    }
    
}
