<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LibraryCategory extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function subcats(){
        return $this->hasmany(LibrarySubcategory::class,'category_id','id');
    }
    
    public function books(){
        return $this->hasmany(LibraryBook::class,'category_id','id');
    }
}
