<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LibraryLocation extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function sublocs(){
        return $this->hasmany(LibrarySublocation::class,'location_id','id');
    }
    
    public function books(){
        return $this->hasmany(LibraryBook::class,'location_id','id');
    }
}
