<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LibraryRenewal extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function issue(){
        return $this->belongsTo(LibraryIssue::class,'issue_id')->withDefault(['name' => '']);
    }
}
