<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LibraryReservation extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function membertype(){
        return $this->belongsTo(LibraryMemberType::class,'type_id')->withDefault(['name' => '']);
    }
    
    public function member(){
        return $this->belongsTo(LibraryMembership::class,'member_id')->withDefault(['name' => '']);
    }
    
    public function book(){
        return $this->belongsTo(LibraryBook::class,'book_id')->withDefault(['name' => '']);
    }
}
