<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LibrarySublocation extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function location(){
        return $this->belongsTo(LibraryLocation::class,'location_id')->withDefault(['name' => '']);
    }
    
    public function books(){
        return $this->hasmany(LibraryBook::class,'sublocation_id','id');
    }
}
