<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class LibraryMemberDue extends Model
{
    use HasFactory,SoftDeletes;
    protected $table = 'library_members_due';
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
 public function getfineper(){
    $statuses = [
        
        1 => "DAY",
        2 => "MONTH",
    ];

    return $statuses[$this->fine_per] ?? 'UNKNOWN';
}

 public function membertypename(){
        return $this->belongsTo(Membershiptype::class,'member_types','mmbrtyp_id')->withDefault(['name' => '']);
    }


}
