<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class ObeAssessmentMethod extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'obe_assessment_method';
    protected $guarded = [];
    protected $hidden = ['id'];
    
    public function exams(){
        return $this->hasmany(InternalObeNames::class,'assmnt_method','id');
    }
    
    public function questions(){
        return $this->hasmany(ObeQuestions::class,'assmnt_method','id');
    }
   
}
