<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class ObeCo extends Model
{
   use HasFactory,SoftDeletes;
   protected $table  = 'obe_co';
   protected $guarded = [];
   protected $hidden = ['id'];
   public function coursen(){
        return $this->belongsTo(Course::class,'course','course_id')->withDefault(['name' => '']);
    }
    
    public function subjectn(){
        return $this->belongsTo(Subject::class,'sub_id','subject_id')->withDefault(['name' => '']);
    }
    
    public function semn(){
        return $this->belongsTo(Semester::class,'semester_id','semester_id')->withDefault(['name' => '']);
    }
    public function subtypen(){
        return $this->belongsTo(SubjectType::class,'subtyp_id','subtyp_id')->withDefault(['name' => '']);
    }
    public function acyear(){
        return $this->belongsTo(Acyear::class,'ac_id','ac_id')->withDefault(['name' => '']);
    }
}
