<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Paymentmode extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'paymentmodes';
    
    protected $primaryKey = 'mode_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['mode_id'];
}
