<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class PtaAttendance extends Model
{
    use HasFactory, SoftDeletes;
      protected $table = 'pta_attendance';
    
    protected $primaryKey = 'ptaattendance_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['ptaattendance_id'];
    
    
    public function getAttendanceTextAttribute()
    {
        if($this->attendance==0)
        {
            return 'absent';
        }
        else
        {
            return 'present';
        }
    }
    protected $appends = ['attendance_text'];
}
