<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class SlryAllowance extends Model
{
    use HasFactory, SoftDeletes;
    protected $table='staff_allowance';
     protected $primaryKey = 'allowance_id'; 
    
    protected $guarded = [];
     protected $hidden = ['allowance_id'];
     
      public function actype(){
        return $this->hasOne(Accounttype::class,'accounttype_id','accounttype_id');
    }
    
     public function allowperamt(){
        return $this->hasmany(SalaryAllowDedPer::class,'ad_id','allowance_id');
    }
    
    
}
