<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class StaffSubject extends Model
{
    use HasFactory;
     protected $table = 'staff_subject';
      protected $primaryKey = 'stfsub_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['stfsub_id'];
   public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    public function semester(){
        return $this->hasOne(Semester::class,'semester_id','semester_id');
    }
    public function user(){
        return $this->hasOne(User::class,'user_id','user_id');
    }
    public function subject(){
        return $this->hasOne(Subject::class,'subject_id','subject_id');
    }
 
}
