<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Staffiqacdocument extends Model
{
    use HasFactory;
   
    protected $table  = 'iqac_staffdocuments';
   
    protected $guarded = [];
    
    protected $hidden = ['id'];
     public function criteria(){
        return $this->belongsTo(iqacmodel::class,'criteria_id','id')->withDefault(['name' => '']);
    }
     public function document(){
        return $this->belongsTo(Iqacdocumentmodel::class,'document_id','id')->withDefault(['name' => '']);
    }
     public function staff(){
        return $this->belongsTo(User::class,'user_id','id')->withDefault(['name' => '']);
    }
}
