<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StockAdd extends Model
{
    use HasFactory, SoftDeletes;
     protected $table = 'stock_add';
      protected $primaryKey = 'stockadd_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['stockadd_id'];
    
    public function category()
    {
       return $this->hasOne(Stockcategory::class,'c_id','c_id');
    }
    
    public function subcategory()
    {
        return $this->hasOne(stocksubcate::class,'subcate_id','subcate_id');
    }
    public function location()
    {
        return $this->hasOne(Stocklocation::class,'stockloc_id','stockloc_id');
    }
    public function units()
    {
        return $this->hasOne(Stockunit::class,'stock_id','stock_id');
    }
    
    
    
    
}
