<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class StudentOtherFees extends Model
{
    use HasFactory, SoftDeletes;
    protected $table='student_other_fees';
      protected $primaryKey = 'othrfee_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['othrfee_id'];
    
    public function paymentmode()
    {
        return $this->hasOne(Paymentmode::class,'mode_id','mode_id');
        
    }
    public function feetype()
    {
        return $this->hasOne(FeeType::class,'type_id','type_id');
    }
}
