<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class TimetableTemporary extends Model
{
   use HasFactory,SoftDeletes;
    
    protected $table = 'timetable_temporary';
    
    protected $primaryKey = 'id'; 
    
     protected $fillable = [
        'period_id', 'day_of_week', 'subject_id', 'user_id','course','semester', 'acyear'
    ];
   
   public function subject(){
        return $this->hasOne(Subject::class,'subject_id','subject_id');
    }
    
    public function unames(){
        return $this->hasOne(User::class,'user_id','user_id');
    }
   public function periodnames(){
        return $this->hasOne(Periods::class,'id','period_id');
    }
}
