<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_subcategory', function (Blueprint $table) {
            
            $table->bigIncrements('libsub_id');
            $table->unsignedBigInteger('libcat_id');
          $table->foreign('libcat_id')->references('libcat_id')->on('library_category');
          $table->double('subcategory_code');
          $table->string('subcategory');
            $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_subcategory');
    }
};
