<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('staff_salary_deduction', function (Blueprint $table) {
             $table->bigIncrements('deduction_id');
            $table->unsignedBigInteger('accounttype_id');
          $table->foreign('accounttype_id')->references('accounttype_id')->on('account_type');
          $table->double('deduction_code');
          $table->string('deduction_name');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('staff_salary_deduction');
    }
};
