<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('iqacupload_document', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('acyear_id');
            $table->unsignedBigInteger('criteria_id');
            $table->unsignedBigInteger('document_id');
            $table->string('evidence');
            $table->unsignedBigInteger('utype');
            $table->unsignedBigInteger('staff_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('iqacupload_document');
    }
};
