<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('account_sub_group', function (Blueprint $table) {
           $table->bigIncrements('acsubgrp_id'); 
            $table->unsignedBigInteger('acmaingrp_id');
       $table->foreign('acmaingrp_id')->references('acmaingrp_id')->on('account_main_group');
       $table->string('subgroup');
       $table->string('dc')->comment('debit/credit');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('account_sub_group');
    }
};
