<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fee_types_amount', function (Blueprint $table) {
           $table->bigIncrements('typamount_id');
            $table->unsignedBigInteger('othrfee_id');
            $table->foreign('othrfee_id')->references('othrfee_id')->on('student_other_fees');
             $table->unsignedBigInteger('type_id');
            $table->foreign('type_id')->references('type_id')->on('fee_types');
            $table->double('amount');
            $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fee_types_amount');
    }
};
