<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stock_adjustment_table', function (Blueprint $table) {
             $table->bigIncrements('adjust_id');
              $table->unsignedBigInteger('stockadd_id');
              $table->foreign('stockadd_id')->references('stockadd_id')->on('stock_add');
               $table->double('quantity');
              $table->string('adjustment_type');
              $table->string('stock_affect');
              $table->timestamps();
               $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stock_adjustment_table');
    }
};
