<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('obe_co', function (Blueprint $table) {
            $table->unsignedBigInteger('semester_id')->after('course');
            $table->unsignedBigInteger('subtyp_id')->after('semester_id');
            $table->unsignedBigInteger('sub_id')->after('subtyp_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('obe_co', function (Blueprint $table) {
             $table->dropColumn('semester_id');
             $table->dropColumn('subtyp_id');
             $table->dropColumn('sub_id');
        });
    }
};
