<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('activity_outcome_pso_mapping', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('course_cat');
            $table->unsignedBigInteger('course_id');
            $table->unsignedBigInteger('a_outcome');
            $table->unsignedBigInteger('ps_outcome');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('activity_outcome_pso_mapping');
    }
};
