<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('po_co_mapping', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('c_cat');
            $table->unsignedBigInteger('course_id');
            $table->unsignedBigInteger('semester_id');
            $table->unsignedBigInteger('sub');
            $table->unsignedBigInteger('co_outcome');
            $table->unsignedBigInteger('p_outcome');
            $table->unsignedBigInteger('mapping_level');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('po_co_mapping');
    }
};
