<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('internal_obe_names', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('course_cat');
            $table->unsignedBigInteger('course');
            $table->unsignedBigInteger('division');
            $table->unsignedBigInteger('subject');
            $table->unsignedBigInteger('assmnt_method');
            $table->unsignedBigInteger('term_id');
            $table->string('topic');
            $table->float('max_mrk');
            $table->string('duration');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('internal_obe_names');
    }
};
