<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('internal_obe_questions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('course_cat');
            $table->unsignedBigInteger('course_id');
            $table->unsignedBigInteger('division_id');
            $table->unsignedBigInteger('subject_id');
            $table->unsignedBigInteger('co_id');
            $table->unsignedBigInteger('assmnt_method');
            $table->unsignedBigInteger('term_id');
            $table->unsignedBigInteger('exam_id');
            $table->unsignedBigInteger('question_no');
            $table->string('question');
            $table->float('question_mark');
            $table->unsignedBigInteger('bt_lvl');
            $table->tinyInteger('q_type');
            $table->string('remark');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('internal_obe_questions');
    }
};
