<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_fyugp_examsubject', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('subject');
            $table->float('max_mark');
            $table->date('date');
            $table->time('s_time');
            $table->time('e_time');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_fyugp_examsubject');
    }
};
