<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('table_student_leave_request', function (Blueprint $table) {
             $table->bigIncrements('stulvreq_id');
              $table->date('lfrom');
            $table->date('luntil');
             $table->unsignedBigInteger('stuleav_id');
           $table->foreign('stuleav_id')->references('stuleav_id')->on('student_leave_setting');
            $table->unsignedBigInteger('user_id');
        $table->foreign('user_id')->references('user_id')->on('users'); 
         $table->unsignedBigInteger('student_id');
        $table->foreign('student_id')->references('student_id')->on('students'); 
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('table_student_leave_request');
    }
};
