<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('student_college_feedback', function (Blueprint $table) {
            $table->bigIncrements('scfd_id');
            $table->unsignedBigInteger('student_id');
            $table->foreign('student_id')->references('student_id')->on('students');
            $table->unsignedBigInteger('fdbkmainc_id');
            $table->foreign('fdbkmainc_id')->references('fdbkmainc_id')->on('feedback_maincriteria');
            $table->unsignedBigInteger('fdbksubc_id');
            $table->foreign('fdbksubc_id')->references('fdbksubc_id')->on('feeback_subcriteria');
             $table->unsignedBigInteger('ac_id');
            $table->foreign('ac_id')->references('ac_id')->on('acyears');
            $table->date('date');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('student_college_feedback');
    }
};
