<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('add_bus_trans', function (Blueprint $table) {
            $table->bigIncrements('spclclx_id');
             $table->date('dop');
             $table->string('bus_no');
             $table->string('bus_model');
             $table->double('amount');
             $table->string('manufacturer');
             $table->string('dealer');
             $table->string('chasis_no');
             $table->date('insurance_date');
             $table->date('insurance_vali');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('add_bus_trans');
    }
};
