<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('salary_processing_ad', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('sa_id');
            $table->unsignedBigInteger('ad');
            $table->unsignedBigInteger('adtype');
            $table->double('adamount');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('salary_processing_ad');
    }
};
