<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_books', function (Blueprint $table) {
            $table->id();
            $table->date('date');
            $table->unsignedBigInteger('categ_id');
            $table->unsignedBigInteger('subcateg_id');
            $table->string('book_no');
            $table->string('title');
            $table->string('language');
            $table->string('author');
            $table->string('publisher');
            $table->string('volume');
            $table->string('edition');
            $table->unsignedBigInteger('mloc');
            $table->unsignedBigInteger('subloc');
            $table->string('condition');
            $table->double('amount');
            $table->string('year');
            $table->string('isbn');
            $table->string('ref_issue');
            $table->string('awards');
            $table->string('keywords');
            $table->string('sub_title');
            $table->string('sub');
            $table->string('writer 2');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_books');
    }
};
