<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fyugp_stud_sub_preferences', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('course');
            $table->unsignedBigInteger('sem');
            $table->unsignedBigInteger('stud_id');
            $table->unsignedBigInteger('pref_I');
            $table->unsignedBigInteger('pref_II');
            $table->unsignedBigInteger('pref_III');
            $table->unsignedBigInteger('pref_IV');
            $table->unsignedBigInteger('pref_V');
            $table->unsignedBigInteger('sub_cat');
            $table->unsignedBigInteger('acyear_id');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fyugp_stud_sub_preferences');
    }
};
