<?php

namespace Database\Seeders;

use App\Models\Menu;
use Illuminate\Database\Seeder;

class MenuSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*Menu::create([
            'menu_name' => 'Dashboard',
            'menu_parent' => '0',
            'menu_route' => 'home',
            'menu_icon' => 'icon-screen-desktop',
            'menu_order' => '5',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'dashboard'
        ]);
        Menu::create([
            'menu_name' => 'Course',
            'menu_parent' => '0',
            'menu_route' => 'course',
            'menu_icon' => 'icon-grid',
            'menu_order' => '10',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'dashboard'
        ]);
        Menu::create([
            'menu_name' => 'Semester',
            'menu_parent' => '0',
            'menu_route' => 'semester',
            'menu_icon' => 'icon-list',
            'menu_order' => '15',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'dashboard'
        ]);
        Menu::create([
            'menu_name' => 'Add Course',
            'menu_parent' => '2',
            'menu_route' => 'course.add',
            'menu_icon' => 'icon-plus',
            'menu_class' => 'btn-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'button'
        ]);
        Menu::create([
            'menu_name' => 'Edit',
            'menu_parent' => '2',
            'menu_route' => 'course.edit',
            'menu_icon' => 'icon-pencil',
            'menu_class' => 'text-success',
            'menu_target' => '',
            'menu_order' => '2',
            'menu_type' => 'actions'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '2',
            'menu_route' => 'course.delete',
            'menu_icon' => ' icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '3',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Add Semester',
            'menu_parent' => '3',
            'menu_route' => 'semester.add',
            'menu_icon' => 'icon-plus',
            'menu_class' => 'btn-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'button'
        ]);
        Menu::create([
            'menu_name' => 'Edit',
            'menu_parent' => '3',
            'menu_route' => 'semester.edit',
            'menu_icon' => 'icon-pencil',
            'menu_class' => 'text-success',
            'menu_target' => '',
            'menu_order' => '2',
            'menu_type' => 'actions'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '3',
            'menu_route' => 'semester.delete',
            'menu_icon' => ' icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '3',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Institution',
            'menu_parent' => '0',
            'menu_route' => 'institution',
            'menu_icon' => 'icon-home',
            'menu_order' => '0',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Academic Year',
            'menu_parent' => '0',
            'menu_route' => 'acyear',
            'menu_icon' => 'icon-calendar',
            'menu_order' => '5',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Fee Category',
            'menu_parent' => '0',
            'menu_route' => 'feecategory',
            'menu_icon' => 'icon-grid',
            'menu_order' => '10',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Fee Type',
            'menu_parent' => '0',
            'menu_route' => 'feetype',
            'menu_icon' => 'icon-menu',
            'menu_order' => '15',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Fee Term',
            'menu_parent' => '0',
            'menu_route' => 'feeterm',
            'menu_icon' => 'icon-list',
            'menu_order' => '20',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '12',
            'menu_route' => 'feecategory.delete',
            'menu_icon' => 'icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '13',
            'menu_route' => 'feetype.delete',
            'menu_icon' => 'icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '14',
            'menu_route' => 'feeterm.delete',
            'menu_icon' => 'icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Fine',
            'menu_parent' => '0',
            'menu_route' => 'fine',
            'menu_icon' => 'icon-clock',
            'menu_order' => '25',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '18',
            'menu_route' => 'fine.delete',
            'menu_icon' => 'icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Fee Structure',
            'menu_parent' => '0',
            'menu_route' => 'structure',
            'menu_icon' => 'icon-equalizer',
            'menu_order' => '30',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Student',
            'menu_parent' => '0',
            'menu_route' => 'student',
            'menu_icon' => 'icon-graduation',
            'menu_order' => '20',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'dashboard'
        ]);
        Menu::create([
            'menu_name' => 'Add Student',
            'menu_parent' => '21',
            'menu_route' => 'student.add',
            'menu_icon' => 'icon-plus',
            'menu_class' => 'btn-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'button'
        ]);
        Menu::create([
            'menu_name' => 'Edit',
            'menu_parent' => '21',
            'menu_route' => 'student.edit',
            'menu_icon' => 'icon-pencil',
            'menu_class' => 'text-success',
            'menu_target' => '',
            'menu_order' => '2',
            'menu_type' => 'actions'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '21',
            'menu_route' => 'student.delete',
            'menu_icon' => ' icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '3',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Promotion',
            'menu_parent' => '0',
            'menu_route' => 'promote',
            'menu_icon' => 'icon-arrow-up-circle',
            'menu_order' => '25',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'dashboard'
        ]);
        Menu::create([
            'menu_name' => 'Fee Payment',
            'menu_parent' => '0',
            'menu_route' => 'fee',
            'menu_icon' => 'icon-credit-card',
            'menu_order' => '30',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'dashboard'
        ]);
        Menu::create([
            'menu_name' => 'Payment Mode',
            'menu_parent' => '0',
            'menu_route' => 'paymode',
            'menu_icon' => 'icon-paypal',
            'menu_order' => '35',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '27',
            'menu_route' => 'paymode.delete',
            'menu_icon' => 'icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Fee Report',
            'menu_parent' => '0',
            'menu_route' => 'fee.report',
            'menu_icon' => 'icon-doc',
            'menu_order' => '35',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'dashboard'
        ]);
        Menu::create([
            'menu_name' => 'Print',
            'menu_parent' => '29',
            'menu_route' => 'fee.print',
            'menu_icon' => 'icon-printer',
            'menu_class' => 'text-dark',
            'menu_target' => 'new',
            'menu_order' => '1',
            'menu_type' => 'actions'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '29',
            'menu_route' => 'fee.delete',
            'menu_icon' => 'icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '2',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Hostel',
            'menu_parent' => '0',
            'menu_route' => 'hostel',
            'menu_icon' => 'icon-directions',
            'menu_order' => '40',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '32',
            'menu_route' => 'hostel.delete',
            'menu_icon' => 'icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'delete'
        ]);
        Menu::create([
            'menu_name' => 'Hostel Months',
            'menu_parent' => '0',
            'menu_route' => 'hostel.month',
            'menu_icon' => 'icon-frame',
            'menu_order' => '45',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);
        Menu::create([
            'menu_name' => 'Hostel Fee',
            'menu_parent' => '0',
            'menu_route' => 'hostel.fee',
            'menu_icon' => 'icon-credit-card',
            'menu_order' => '50',
            'menu_class' => '',
            'menu_target' => '',
            'menu_type' => 'settings'
        ]);*/
        Menu::create([
            'menu_name' => 'Delete',
            'menu_parent' => '34',
            'menu_route' => 'hostel.month.delete',
            'menu_icon' => 'icon-trash',
            'menu_class' => 'text-danger',
            'menu_target' => '',
            'menu_order' => '1',
            'menu_type' => 'delete'
        ]);
    }
}
