


$(document).on('change', '.route_id', function() {
    var route_id = $(this).val();
    var studentId = $(this).data('student-id');
    var $stopSelect = $(this).closest('tr').find('.stop_id');

    if (route_id) {
        $.ajax({
            url: '/get-stop/' + route_id,
            method: 'GET',
            success: function(data) {
                $stopSelect.empty(); 
                var stops = JSON.parse(data);
                $.each(stops, function(stopId, stopName) {
                    $stopSelect.append(new Option(stopName, stopId));
                });
            }
        });
    } else {
        $stopSelect.empty().append(new Option('Select', '')); 
    }
});
