$(document).ready(function(){
    
    var baseUrl = window.location.origin;
    
    $("#category").on('change',function(){
        var category = $(this).val();
        $("#subcategory").empty();
        $("#subcategory").append('<option value="">select</option>');
        $.ajax({
            type : 'GET',
            url : baseUrl+'/library/subcategories',
            data : { category: category },
            success : function(response){
                var data = jQuery.parseJSON(response);
                $.each(data, function(key,value) {
                    $("#subcategory").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
    $("#location").on('change',function(){
        var location = $(this).val();
        $("#sublocation").empty();
        $("#sublocation").append('<option value="">select</option>');
        $.ajax({
            type : 'GET',
            url : baseUrl+'/library/sublocations',
            data : { location: location },
            success : function(response){
                var data = jQuery.parseJSON(response);
                $.each(data, function(key,value) {
                    $("#sublocation").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
});