var baseUrl = window.location.origin;

$(document).ready(function(){
    $('#member').select2({
        placeholder: "Search for a Member",
        allowClear: true,
        ajax: {
            type : 'GET',
            url: baseUrl+'/library/search-members',
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    skey: params.term,
                    mtype: $('#mtype').val(),
                };
            },
            processResults: function (data) {
                return {
                    results: data.map(function (item) {
                        return { id: item.id, text: item.membership_no+' - '+item.member_name };
                    })
                };
            }
        }
    });
    
    $('#book').select2({
        placeholder: "Search for a Book",
        allowClear: true,
        ajax: {
            type : 'GET',
            url: baseUrl+'/library/search-books',
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    skey: params.term,
                };
            },
            processResults: function (data) {
                return {
                    results: data.map(function (item) {
                        return { id: item.id, text: item.book_no+' - '+item.title };
                    })
                };
            }
        }
    });
});