<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
  @if(!$assigmentexists)     
  <form action="{{ route('lms.assignment.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
    <input type="hidden" name="sub_id" value="{{ encrypt($sub_id) }}" >
    <input type="hidden" name="assignment_name" value="{{ encrypt($assignment_name) }}" >
    
    <table width="100%"><tr><td width="15%">
    <b>Deadline<input type="datetime-local" class="form-control sub_date" id="sub_date" name="sub_date"></b></td><td width="60%"></td><td width="20%">MaxMark<input type="text" class="form-control max_mark" id="max_mark" name="max_mark" required></td></tr></table>
    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
 
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
        <th rowspan="2">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th rowspan="2"><b>Adno</b></th>
        <th rowspan="2"><b>Student Name</b></th>
        <th rowspan="2"><b>Topic</b></th>
        <th rowspan="2"><b>Date of submission</b></th>
    </tr>
    </thead>
    <tbody>
         @foreach($students as $student)
         
        @php  
        
        $sub_cat = $subject_categ->subject_categ;
        if($sub_cat == 2 || $sub_cat == 3 || $sub_cat == 4)
        {
             $sub_cnt = $student->subminordmc->where('acyear_id',$ac_id)->where('sub_cat',$sub_cat)->where('sub_id',$sub_id)->pluck('stud_id')->first();
             if($sub_cnt !='')
             {
        @endphp
        <tr>
            <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container">
                     
                     <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}" >
                     </label>
                </div>
             
            </td> 
           <td>
               {{$student->adno}}
            </td> 
            <td>
                {{$student->name}}           
            </td>
            <td><textarea type="text" class="form-control topic" id="{{ 'topic'. $student->student_id}}" name="topic{{$student->student_id}}" style="height: 40px;"></textarea></td>
           <td><input type="datetime-local" class="form-control subdate" id="submission_date" name="submission_date{{$student->student_id}}"></td>
        </tr>
        @php 
        }
        }
        else
        {
        @endphp
        <tr>
            <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container">
                     
                     <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}" >
                     </label>
                </div>
             
            </td> 
           <td>
           
               {{$student->adno}}
             
            </td> 
            <td>
                {{$student->name}}           
            </td>
            <td><textarea type="text" class="form-control topic" id="{{ 'topic'. $student->student_id}}" name="topic{{$student->student_id}}" style="height: 40px;"></textarea></td>
           <td><input type="datetime-local" class="form-control subdate" id="submission_date" name="submission_date{{$student->student_id}}"></td>
            
        </tr>
        @php } @endphp
            @endforeach
    </tbody>
     </table>
    <div id="load"></div>
     </div>
    </div>
    </div> 
    
     <div class="row">
                             
       <div class="col-md-12">
          <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">SAVE</button>
         </div>
       </div>
    </div>
    
    </form>
    @else
       <div class="alert alert-warning" align="center">
        <strong><font color="red" size="5">An {{$assigmentexists->assignment_name}} for this course already exists. Please double-check before proceeding.!</font></strong>
      </div>
    @endif
</div>
</div>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/js/studall.js') }}"></script> 
<script>
    $(document).ready(function() {
       
        $('#sub_date').change(function(e) {
            var is_date = $('#sub_date').val(); 
            
            if (is_date != '') {
                $.ajax({
                    url : '../lms-submissionDate',
                    data: {
                        date: is_date
                    },
                    success: function(data) {
                       
                        $('.subdate').each(function() {
                            $(this).val(data);
                        });
                    },
                    error: function(xhr) {
                        alert(xhr.responseJSON.error); 
                    }
                });
            } else {
                alert('Please Select Submission Date!');
            }
        });
    });
</script>
<style>

    input[type="checkbox"] {
       width: 2em;
       height: 2rem;
       display: inline-block; 
       margin: 0;
      accent-color: green;
    }
    .container {
        display: flex; /* Flexbox for better alignment */
        align-items: center; /* Center align vertically */
        justify-content: center; /* Center align horizontally */
    }

</style>

        