@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Account Setting')
@section('breadcrumb','Settings / Account Setting')
@section('content')



 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>Ledger Preferences</b></div>
                <div class="card-body">
                <form action="{{route('accountsetting.update')}}" method="post">
                  @csrf
      
                  <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Ledgers</b></th>
                            <th><b>Account Type</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            
                            @forelse($accountsetting as $accountset)
                            @php $accounttype_id = $accountset->actype->accounttype_id ??null;@endphp
                               
                                <tr>
                                    
                                     <td>{{$loop->iteration}}</td>
                                   <td>{{$accountset->legder->ledger_name}} <input type="hidden" name="ledger[]" value="{{$accountset->ledger_id }}"></td>
                                   
                                
                                 <td>
                                     <select class="form-control" id="accounttype_id" name="accounttype_id[]">
                                        <option value="">Select</option>
                                        @foreach($accounttype as $type)
                                            <option value="{{ $type->accounttype_id }}" {{ $accounttype_id==$type->accounttype_id   ? "selected":"" }}>{{ $type->account_type }}</option>
                                        @endforeach
                                    </select>
                                     
                                 </td>

                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                    <br>
                  <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Update</button>
                    </div>
                </div>
            </div>
                  
                  
                  
                    
                </form>














</div>
</div>
</div>
</div>




<style>
     table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
       
            .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>


@endsection