@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Association') 
@section('breadcrumb', 'Home/Association/Add Association') 
@section('content') 

        
       
        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
 <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(457,458,460,461)) }}
    </div> 
                <div class="card-body"> 
                 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Association</b></div>
                <div class="card-body">
                
         <form action="{{route('association.save')}}" method="POST">
                    @csrf
                    <div class="row">              
                    <div class="col-md-4">                         
                    <div class="form-group">                             
                    <label for="name" class="required"><b>Name</b></label>                         
                    <input type="text" name="name" id="name" class="form-control" placeholder="Name" required>                                                             
                    </div>                             
                    </div>    
                    
                     <div class="col-md-4">                         
                    <div class="form-group">
                         <label for="name" class="required"><b>Description</b></label>      
                    <textarea name="description" class="form-control"  placeholder="Description"></textarea>
                    </div>                             
                    </div>
                    
                    
        <div class="col-md-4">                         
                            <div class="form-group">                         
                            <label for="user_id" class="required"><b>Staff-in-charge</b></label>                         
                            <select class="form-control" id="user_id" name="user_id[]" multiple required>                         
                            <option value=""><span class="fw-bold">Select</span></option>                         
                            @foreach($staff as $staffs)                         
                            <option value="{{ $staffs->user_id }}" {{ in_array($staffs->user_id, old('user_id', [])) ? "selected" : "" }}>{{ $staffs->name }}</option>                         
                            @endforeach                         
                            </select>                         
                            @error('user_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>           
                        </div>
        
        
        <div class="row">         
                        <div class="col-md-12">         
                            <button type="submit" class="btn btn-primary float-right" id="add">Add</button>         
                        </div>         
                    </div>        
        
        
        
        
        
           </div>
        </div>
        </div>
        </div>
        
        
        
        </div>
        </div>
        </div>
        </div>
        
     <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
     table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
        .select2-container--default .select2-selection--multiple {
        min-height: 38px; 
        background-color: white; /* Set a default background */
        border: 1px solid #E8E8E8; /* Adjust border if needed */
    }
    .select2-container--default .select2-selection--multiple .select2-selection__choice {
        font-size: 16px; 
        padding: 5px 10px;
        background-color: transparent !important; /* Force transparent background */
        color: #000; /* Text color */
        border: none; /* Remove border from choices */
    }
    .select2-container--default .select2-selection--multiple .select2-selection__placeholder {
        font-size: 16px; 
        color: #999; /* Placeholder color */
    }

    /* Optional: Change the hover state of choices */
    .select2-container--default .select2-selection--multiple .select2-selection__choice:hover {
        background-color: rgba(0, 0, 0, 0.1) !important; /* Optional hover effect */
    }
</style>        
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>

<script>
    $(document).ready(function() {
        $('#user_id').select2({
            placeholder: "Select Staff",
            allowClear: true,
            sorter: function(data) {
                return data.sort(function(a, b) {
                    if (a.selected === b.selected) {
                        return 0;
                    }
                    return a.selected ? -1 : 1;
                });
            }
        });
    });
</script>
        
        @endsection