@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Association') 
@section('breadcrumb', 'Home/Association/Add Event') 
@section('content') 




        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card"> 
        <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(457,458,460,461)) }}
    </div> 
        
        
        <div class="card-body"> 
        
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Add Event</b></div>     
                <div class="card-body">
         <form action="{{route('association.event.save')}}" method="POST">
                    @csrf
<div class="row">
  <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="asso_id" class="required"><b>Association</b></label>                         
                                <select class="form-control" id="asso_id" name="asso_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($association as $associations)                         
                                        <option value="{{ $associations->asso_id }}" {{ old('asso_id') == $associations->asso_id ? "selected" : "" }}>{{ $associations->name}}</option>                         
                                    @endforeach                         
                                </select>                         
                                @error('asso_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>                    
  <div class="col-md-3">                         
                            <div class="form-group">                             
                                <label for="title" class="required"><b>Event Title</b></label>                         
                                <input type="text" name="title" id="title" class="form-control" placeholder="Add Title" required>                                                             
                            </div>                             
                        </div>     
                         <div class="col-md-3">                         
                            <div class="form-group">                             
                                <label for="description" class="required"><b>Event Description</b></label>     
                                <textarea name="description" id="description" class="form-control"  placeholder="Add Description" ></textarea>
                                                                                          
                            </div>                             
                        </div>
                        </div>
                         <div class="row">
                       <div class="col-md-3">
            <div class="form-group">
            <label for="efrom" class="required"><b>Event From</b></label>
            <input type="date" class="form-control" id="efrom" name="efrom" value="{{ old('efrom') ? old('efrom'):date('Y-m-d') }}">
            @error('efrom')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            
           
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="lastdate" class="required"><b>Event Last Date</b></label>
                    <input type="date" class="form-control" id="lastdate" name="lastdate" value="{{ old('lastdate') ? old('lastdate'):date('Y-m-d') }}">
                    @error('lastdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    </div> 
                    </div>
                      
                       <div class="row">
                       <div class="col-md-12">  
                       <button type="submit" class="btn btn-primary float-right" id="add">Add</button>   
                       </div>
                       </div>

</div>
        </div>
        </div>
        </div>


 </div>
        </div>
        </div>
        </div>
        
        @endsection

