@extends('layouts.template')
@section('title','Home')
@section('heading','Generated Certificates')
@section('breadcrumb','Home/Certificate/Generated Certificates')
@section('content')
  <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(363,364,367,368)) }}
          
        
    </div>     
    <div class="card-body">


<div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Generated Certificates</b></div>
                <div class="card-body">


 
        


    
        
        <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Student Name</b></th>
                            <th><b>Adno</b></th>
                            <th><b>Date</b></th>
                            <th><b>Template</b></th>
                            <th colspan="4"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($certificate as $certificates)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{ $certificates->stud->name }}</td>
                                    <td>{{ $certificates->stud->adno }}</td>
                                    <td>{{date('d-m-Y',strtotime($certificates->date))}}</td>
                                    <td>{{$certificates->template->title}}</td>
                                    <td><a href="{{route('certificate.generated.view',['id'=>$certificates->genstucert_id])}}"><i class="icon-sm icon-magnifier text-primary"></i></a></td>
                                <td><a href="{{route('certificate.generated.print',['id'=>$certificates->genstucert_id ])}}" target="_blank"><i class="print-icon fas fa-print text-success"></i></a></td>
                                <td><a href="{{route('certificate.generated.edit.student',['id'=>$certificates->genstucert_id ])}}"><i class="icon-pencil text-primary"></i></a></td>
                                <td><a href="{{route('certificate.generated.delete.student',['id'=>$certificates->genstucert_id ])}}"  onclick="return confirm('Are you sure you want to delete this Template?');"><i class="icon-trash text-danger"></i></a></td>

                                
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
        
        
        </div>
        </div>
        </div>
        </div>
        
        
        
        
          </div>
        </div>
        </div>
        </div>
 <style>
       
        
       
        .form-control{
            border:1px solid black;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection