
@extends('layouts.template')
@section('title', 'Home')
@section('heading', 'Certificate')
@section('breadcrumb', 'Home/Certificate/Staff/Generated Certificates')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        
                <div class="card-tools">
                    {{ app_button_links(array(370,371,372,373)) }}
               
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white">
                <b>Generated Certificates View</b>
            </div>
            <div class="card-body">
                <div class="container">
                    <div class="certificate-shadow">
                        <table width="100%">
                            <tr>
                                <td width="25%" rowspan="4" align="center">
                                    <img src="{{ asset('public/uploads/logo/' . $institution->logo) }}" alt="{{ $institution->logo }}" height="100px">
                                </td>
                                <td width="50%" align="center">
                                    <h2>{{ $institution->name }}</h2>
                                </td>
                                <td width="25%" rowspan="4" align="center"></td>
                            </tr>
                            <tr>
                                <td align="center">{{ $institution->affiliation }}</td>
                            </tr>
                            <tr>
                                <td align="center">{{ $institution->address }}</td>
                            </tr>
                            <tr>
                                <td align="center">{{ 'Ph: ' . $institution->mobile . ' ' . $institution->landline }}</td>
                            </tr>
                        </table>

                        <hr style="background:#800000; height: 2px;">

                        <div class="head">
                            <table width="100%">
                                <tr>
                                    <td class="float-left"><b>No.:</b></td>
                                    <td align="right" style="white-space:nowrap"><b>DATE: {{ date('d/m/Y') }}</b></td>
                                </tr>
                            </table>

                            <div>
                                @foreach ($certificate_gen as $cert)
                                    <div style="margin: 20px 0;">
                                        <div id="title" style="font-size:20px;color:#800000; text-decoration: none; text-align: center">
                                            <b>{{ strtoupper($cert->title) }}</b>
                                        </div>
                                        <br>
                                        <div class="content" style="text-align: center">{!! $cert->content !!}</div>
                                        
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
<style>
    .content{
        text-align:justify;
    }
</style>