
@extends('layouts.template')
@section('title','Home')
@section('heading','Certificate')
@section('breadcrumb','Home/Certificate/Event')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(383,384,385,386)) }}
          
        
    </div>     
    <div class="card-body">

  <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>New Template</b></div>
                <div class="card-body">


   
       
        
  
        <form action="{{route('certificate.event.template.save')}}" method="post">
            @csrf
        <div class="row">
                            <div class="col-md-4">
                            <div class="form-group">
                            <label for="name" class="required"><b>Name</b></label>
                            <input type="text" class="form-control @error('name') border-danger @enderror" id="name" name="name" placeholder="Name" value="{{ old('name') }}">
                            @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            <div class="col-md-4">
                            <div class="form-group">
                            <label for="title" class="required"><b>Title</b></label>
                            <input type="text" class="form-control @error('title') border-danger @enderror" id="title" name="title" placeholder="Title" value="{{ old('title') }}">
                            @error('title')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            
                            <div class="col-md-4">
                            <div class="form-group">
                            <label for="code" class="required"><b>Code</b></label>
                            <input type="text" class="form-control @error('code') border-danger @enderror" id="code" name="code" placeholder="Code"  value="{{ old('code') }}">
                            @error('code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            </div>
     
<script src="https://cdn.ckeditor.com/4.20.0/standard/ckeditor.js"></script>


            <div class="row mb-4">
		    <div class="col-md-10">
		     <div class="form-group">
    		<textarea class="ckeditor" name="content"></textarea>
    		<script>
            CKEDITOR.replace('content');
            </script>

		    </div>
		    </div>
		    <div class="col-md-2">
		    <table>
		        <tr><th>Variables</th></tr>
		        <tr><td>{name}</td></tr>
		        <tr><td>{adno}</td></tr>
		        <tr><td>{dept_name}</td></tr>
		        <tr><td>{event}</td></tr>
		        <tr><td>{compt}</td></tr>
		        <tr><td>{position}</td></tr>
		        <tr><td>{grade}</td></tr>
		        <tr><td>{date}</td></tr>
		        <tr><td>{certificate_no}</td></tr>
		    </table>       
		    </div>    
	
            </div>
        <div class="row">
            <div class="col-md-12">
         <input type="submit" name="sub" value="Save" class="btn btn-primary">  
           </div>
        </div>
       
       
       </form>
        </div>
        </div>
        </div>
        </div>   
        
        
        
        
        
         </div>
        </div>
        </div>
        </div>   
        <style>
                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
 .ckeditor {
        width: 100%; /* Make CKEditor take the full width */
    }
    </style>
        @endsection