@extends('layouts.template')
@section('title','Home')
@section('heading','Add-complaints')
@section('breadcrumb','Home/Complaints/Add-complaints')
@section('content')
 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(391,392,393)) }}
          
        
    </div>     
    <div class="card-body">

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Complaints</b></div>
                <div class="card-body">


    
<form action="{{route('complaints.save')}}" method="post">
    @csrf
   <div class="row">
    <div class="col-md-2">
    <label for="name" class="required"><b>Subject</b></label>  
    </div>
    <div class="col-md-6">
    <div class="form-group">
    <input type="text" class="form-control @error('subject') border-danger @enderror" id="subject" name="subject" value="{{ old('subject') }}">
    @error('subject')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
     </div>
     </div>
     </div>

<div class="row">
    <div class="col-md-2">
    <label for="complaint" class="required"><b>Complaint</b></label>  
    </div>
    <div class="col-md-6">
    <div class="form-group">
        <textarea name="complaint" class="form-control @error('complaint') border-danger @enderror"></textarea>
    @error('complaint')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
     </div>
     </div>
     </div>


@if(Auth::user()->type_id == 1) 
<div class="row">
    <div class="col-md-2">
    <label for="complaint_to" class="required"><b>To</b></label>  
    </div>  
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="complaint_to" name="complaint_to" required>
    <option value="">Select</option>
    @foreach($to_fromsuperadmin as $complaint)
    <option value="{{ $complaint->user_id }}" {{ old('complaint_to')==$complaint->user_id ? "selected":"" }}>{{ $complaint->name }}</option>
    @endforeach
    </select>
    @error('complaint_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
@elseif(Auth::user()->type_id == 2) 
<div class="row">
    <div class="col-md-2">
    <label for="complaint_to" class="required"><b>To</b></label>  
    </div>  
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="complaint_to" name="complaint_to" required>
    <option value="">Select</option>
    @foreach($to_fromadmin as $complaint)
    <option value="{{ $complaint->user_id }}" {{ old('complaint_to')==$complaint->user_id ? "selected":"" }}>{{ $complaint->name }}</option>
    @endforeach
    </select>
    @error('complaint_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
@elseif(Auth::user()->type_id == 12) 

<div class="row">
    <div class="col-md-2">
    <label for="complaint_to" class="required"><b>To</b></label>  
    </div>  
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="complaint_to" name="complaint_to" required>
    <option value="">Select</option>
    @foreach($to_fromtchr as $complaint)
    <option value="{{ $complaint->user_id }}" {{ old('complaint_to')==$complaint->user_id ? "selected":"" }}>{{ $complaint->name }}</option>
    @endforeach
    </select>
    @error('complaint_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
@elseif(Auth::user()->type_id == 17) 
<div class="row">
    <div class="col-md-2">
    <label for="complaint_to" class="required"><b>To</b></label>  
    </div>  
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="complaint_to" name="complaint_to" required>
    <option value="">Select</option>
    @foreach($to_fromhod as $complaint)
    <option value="{{ $complaint->user_id }}" {{ old('complaint_to')==$complaint->user_id ? "selected":"" }}>{{ $complaint->name }}</option>
    @endforeach
    </select>
    @error('complaint_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>

@endif








<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <input type="submit" name="sub" value="Submit" class="btn btn-primary float-right">
            </div>
    </div>
    </div>


</form>
</div>
</div>
</div>
</div>




</div>
</div>
</div>
</div>
<style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        
        
        </style>
@endsection