

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Complaint</title>
    <!-- Bootstrap CSS -->
    <!--<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">-->
</head>
<body>

<!-- Existing Content -->
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background:#FEBE10">
                <b>Complaint</b>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            
                           <th><b>Date</b></th>
                            <th><b>Subject</b></th>
                            
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                           
                            <td>{{date('d-m-Y',strtotime($complaint->date))}}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$complaint->subject}}</td>
                        </tr>
                    </tbody>
                </table>

              <div class="form-group">
                    <label for="action">Choose Action:</label>
                    <div class="form-check">
                        <input class="form-check-input" type="radio" name="action" id="replyRadio" value="reply" checked>
                        <label class="form-check-label" for="replyRadio">Reply</label>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input" type="radio" name="action" id="forwardRadio" value="forward">
                        <label class="form-check-label" for="forwardRadio">Forward</label>
                    </div>
                </div>

                 <form action="{{route('complaints.inbox.reply.frwrd')}}" method="POST">
                    @csrf
                    <input type="hidden" name="complaint_id" value="{{ $complaint->complaint_id }}">
                <div id="replySection" style="display: block;">
                    <div class="form-group">
                        <label for="replyMessage">Your Reply:</label>
                        <textarea class="form-control" id="replyMessage" name="replyMessage" rows="4"></textarea>
                    </div>
                </div>

                
                <div id="forwardSection" style="display: none;">
                    <div class="form-group">
                        <label for="staffSelect">Forward to:</label>
                        @if(Auth::user()->type_id == 1) 
                        
                        <select class="form-control" id="staffSelect" name="staff_id">
                            <option value="">Select Staff</option>
                            @foreach($usersuper as $staffMember)
                                <option value="{{ $staffMember->user_id }}">{{ $staffMember->name }}</option>
                            @endforeach
                        </select>
                         @elseif(Auth::user()->type_id == 17) 
                        <select class="form-control" id="staffSelect" name="staff_id">
                            <option value="">Select Staff</option>
                            @foreach($userhod as $staffMember)
                                <option value="{{ $staffMember->user_id }}">{{ $staffMember->name }}</option>
                            @endforeach
                        </select>
                        @elseif(Auth::user()->type_id == 12) 
                        <select class="form-control" id="staffSelect" name="staff_id">
                            <option value="">Select Staff</option>
                            @foreach($teacher as $staffMember)
                                <option value="{{ $staffMember->user_id }}">{{ $staffMember->name }}</option>
                            @endforeach
                        </select>
                        @endif
                        
                        
                    </div>
                </div>

               
              
                    
                  
                    <input type="hidden" id="actionType" name="actionType" value="reply">

                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

               
               
               
               
               
           



<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<script>
    $(document).ready(function() {
        // Toggle reply and forward sections based on selected radio button
        $('input[name="action"]').on('change', function() {
            if ($('#replyRadio').is(':checked')) {
                $('#replySection').show();
                $('#forwardSection').hide();
                $('#actionType').val('reply');
            } else {
                $('#replySection').hide();
                $('#forwardSection').show();
                $('#actionType').val('forward');
            }
        });
    });
</script>

</body>