

   

  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chartjs-plugin-datalabels@2.0.0/dist/chartjs-plugin-datalabels.min.js"></script>

    <script>
    
        document.addEventListener('DOMContentLoaded', function () {
    const admissionsData = @json($admissionsByYear);

    function formatAcademicYear(year) {
        const yearInt = parseInt(year, 10);
        const nextYear = yearInt + 1;
        return `${yearInt}-${nextYear}`;
    }

    const formattedData = Object.keys(admissionsData).reduce((acc, year) => {
        const formattedYear = formatAcademicYear(year);
        acc[formattedYear] = admissionsData[year];
        return acc;
    }, {});

    const ctx = document.getElementById('admissionsBarChart').getContext('2d');

    new Chart(ctx, {
        type: 'bar', // Changed to bar type
        data: {
            labels: Object.keys(admissionsData),
            datasets: [{
                label: 'Admissions by Academic Year',
                data: Object.values(admissionsData),
                backgroundColor: 'rgba(75, 192, 192, 0.2)', // Single color for all bars
            borderColor: 'rgba(75, 192, 192, 1)', // Border color
            borderWidth: 1
               
                borderWidth: 1
            }]
        },
        options: {
            responsive: true,
            plugins: {
                legend: {
                    position: 'top',
                },
                tooltip: {
                    callbacks: {
                        label: function (tooltipItem) {
                            return `${tooltipItem.label}: ${tooltipItem.raw}`;
                        }
                    }
                }
            },
            scales: {
                x: {
                    grid: {
                        display: false
                    }
                },
                y: {
                    beginAtZero: true,
                    grid: {
                        display: true
                    }
                }
            }
        }
    });
});

    
    
   </script>
