@extends('layouts.template')
@section('title','Home')
@section('heading','Competition')
@section('breadcrumb','Home/Events/Competition')
@section('content')


<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
         <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(381,382)) }}
    </div>
    <div class="card-body">
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
   
                 <div class="card-body">
        <form action="{{route('event.competition.save')}}" method="post">
            @csrf
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="addevent_id" class="required"><b>Event</b></label>
                        <select class="form-control" id="addevent_id"  name="addevent_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @foreach($event as $events)
                        <option value="{{ $events->addevent_id }}" {{ old('addevent_id')==$events->addevent_id ? "selected":"" }}>{{ $events->event }}</option>
                        @endforeach
                        </select>
                        @error('addevent_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="compt" class="required"><b>Competition</b></label>
                        <input type="text" name="compt" class="form-control" placeholder="Competition">
                        </div>
                        </div>
                        
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="user_id" class="required"><b>Staff-in-charge</b></label>
                        <select class="form-control" id="user_id"  name="user_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @foreach($staff as $staffs)
                        <option value="{{ $staffs->user_id }}" {{ old('user_id')==$staffs->user_id ? "selected":"" }}>{{ $staffs->name }}</option>
                        @endforeach
                        </select>
                        @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="course_id" class="required"><b>Course</b></label>
                        <select class="form-control" id="course_id"  name="course_id" required>
                        <option value=""><span class="fw-bold">Select</span></option>
                        @foreach($course as $courses)
                        <option value="{{ $courses->course_id }}" {{ old('course_id')==$courses->course_id ? "selected":"" }}>{{ $courses->course_name }}</option>
                        @endforeach
                        </select>
                        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
        
                        
            
            
               
              
            <div class="col-md-3">
            <label for="date" class="required"><b>Date</b></label>
            <input type="date" class="form-control" id="date" name="date" value="{{ old('date') ? old('date'):date('Y-m-d') }}">
            @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            
            <div class="col-md-3">
            <label for="lda" class="required"><b>Last Date to Apply</b></label>
            <input type="date" class="form-control" id="lda" name="lda" value="{{ old('lda') ? old('lda'):date('Y-m-d') }}">
            @error('lda')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            
            
            </div>         
             
        <div class="row">        
        <div class="col-md-12">        
        <button type="submit" class="btn btn-primary float-right">Submit</button>
        </div>
        </div>  
        </form>
        
        
          </div>
        </div>
        </div>
        </div>
        
        
        
        
        </div>
        </div>
        </div>
        </div>
        
        
        
        
        
        @endsection