@extends('layouts.template')
@section('title','Report')
@section('heading','Report')
@section('breadcrumb','')
@section('content')
 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header">Report</div>
                <div class="card-body">

 <div class="row">
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="fdate" class="required">From Date</label>
                                    <input type="date" class="form-control" id="fdate" name="fdate" value="{{ old('fdate')}}">
                                    @error('fdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="tdate" class="required">To Date</label>
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{old('tdate')  }}">
                                    @error('tdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            </div>







</div>
</div>
</div>
</div>





        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header">Report</div>
        <div class="card-body">
                   
           
        <table id="table-fine" class="table table-bordered">
        <thead>
                                <tr>
                                <th>Receipt Number</th>
                                <th>Student Name</th>
                                <th>Date</th>
                                <th>Amount</th>
                                <th>Cancel</th>
                                <th>Print</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($otherfees as $other)
                                    <tr>
                                       <td>{{$other->receipt_number}}</td>
                                       <td>{{$other->student_name}}</td>
                                       <td>{{$other->date}}</td>
                                       <td>{{$other->total_amount}}</td>
                                       <td>
                                         {{$other->status}}
                                        @if ($other->status == 0)
                <button class="btn btn-danger btn-close btn-default" data-other-id="{{$other->othrfee_id}}"><i class="fas fa-times-circle"></i>Cancel</button>
            @else
                <button class="btn btn-secondary" disabled>Cancelled</button>
                                       @endif
                                      </td>
                                       <td></td>
                                     
                                    </tr>
                                @endforeach   

                            </tbody>
    
    
    </table>







</div>
</div>
</div>
</div>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<script>
    $(document).ready(function() {
        $('.cancel-btn').click(function() {
            var otherId = $(this).data('other-id');

            if (!confirm('Are you sure you want to cancel this?')) {
                return false;
            }
            $.ajax({
                url: '/cancel/' + otherId, 
                type: 'get',
                data: {
                    other_id: otherId
                },
                success: function(response) {
                    alert();
                    if (response) {
                        window.reload();
                        
                        // $(this).removeClass('btn-danger').addClass('btn-secondary').attr('disabled', true).html('Cancelled');
                        window.location.href = '/otherreport-get';
                    }
                },
                error: function(xhr) {
                    
                    console.log(xhr.responseText);
                    alert('Error cancelling other fee. Please try again.');
                }
            });

        });
    });
</script>



@endsection