@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings/Genre/Caste/Edit')
@section('content')

        
      
        
        
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#073980;color:white"><b>Edit</b></div>
    <div class="card-body">
    <form action="{{ route('caste.update') }}" method="post">
    @csrf
                        <input type="hidden" name="caste_id" value="{{ encrypt($caste->caste_id) }}">
                        <div class="row">
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="religion_id" class="required"><b>Religion</b></label>
                            <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                            @foreach($religion as $religions)
                            <option value="{{ $religions->religion_id  }}" {{ old('religion_id ') == $religions->religion_id  ? "selected":"" }}>{{ $religions->religion_name}}</option>
                            @endforeach
                            </select>
                            @error('religion_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="community_id" class="required"><b>Community</b></label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            @foreach($community as $comm)
                            <option value="{{ $comm->community_id}}" {{ old('community_id ') == $comm->community_id  ? "selected":"" }}>{{ $comm->community}}</option>
                            @endforeach  
                            </select>
                            @error('community_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                                            <div class="col-md-3">
                                            <div class="form-group">
                                            <label for="caste" class="required"><b>Caste</b></label>
                                            <input type="text" class="form-control @error('caste') border-danger @enderror" id="caste" name="caste" value="{{$caste->caste  }}">
                                            @error('caste')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                            </div>
                                            </div>
                                            </div>
                                            
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Update</button>
                                    </div>
                                    </div>
                                    </div>
                                    
                                    
        </form>
        </div>
        </div>
        </div>
        </div>
        
        
        
        
        
      
   <style>
                                                     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

   </style>
@endsection