@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings/Genre/Religion/Edit')
@section('content')

   
        
        
        
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>
                <div class="card-body">
                    <form action="{{ route('religion.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="religion_id" value="{{ encrypt($religion->religion_id) }}">
                        <div class="row">
                            
                          <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="religion_name" class="required"><b>Religion</b></label>
                                            <input type="text" class="form-control @error('religion_name') border-danger @enderror" id="religion_name" name="religion_name" value="{{$religion->religion_name  }}">
                                            @error('religion_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
            
   <style>
                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

   </style>
@endsection