
@extends('layouts.template')
@section('title','Internal Assessment')
@section('heading','Seminar')
@section('breadcrumb','Home/Internal Assessment/Seminar')
@section('content')
 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(681,682)) }}
          
        
    </div>     
    <div class="card-body">
        
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Seminar</b></div>
                <div class="card-body">
        
        
  
          
        <form>
        @csrf
        <div class="row">
            
            <div class="col-md-3">
                <div class="form-group">
                    <label for="course" class="required"><b>Course</b></label>
                     <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
            </div>
        
          <div class="col-md-3">
            <div class="form-group">
                 <label for="semester_id" class="required"><b>Semester</b></label>
                 <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
            </div>
          </div>
        
          
  
        <div class="col-md-3">
            <div class="form-group">
                 <label for="sub_id" class="required"><b>Subject</b></label>
                <select class="form-control" id="sub_id" name="sub_id" required>
                    <option value="">select</option>
                </select>
            </div>
        </div>
        
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
              <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
    
    
    
    </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    
    
 
      

   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <script src="{{ asset('public/js/sem.js') }}"></script> 
      <script src="{{ asset('public/js/seminarsub.js') }}"></script>
  
   <!--<script src="{{ asset('public/js/getexamsubwiseaddmrk.js') }}"></script>-->
      <script src="{{ asset('public/js/getexamsubwiseaddmrkbtnget.js') }}"></script>

    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>
@endsection
    