@extends('layouts.template')
@section('title','Report - Stock')
@section('heading','Home')
@section('breadcrumb','Home/Inventory/Report - Stock')
@section('content')


<div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header"  style="background:#005A9C;color:white;"><b>Stock Report</b></div>
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead style="background-color:#d5f4e6">
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Item Code</b></th>
                            <th><b>Item Name</b></th>
                            <th><b>Qty.</b></th>
                            <th><b>Unit Price</b></th>
                            <th><b>Action</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($stockadd as $stock)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                     <td>{{$stock->item_code}}</td>
                                      <td>{{$stock->stock_item}}</td>
                                       <td>{{$stock->opening_quantity}}</td> 
                                       <td>{{$stock->unit_price}}</td> 
                                     <td>{{ app_table_links($stock->stockadd_id,array(186)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                  
                </div>
            </div>
        </div>
    </div>
    
    
    
       
<style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>






@endsection