@extends('layouts.template')
@section('title','Home')
@section('heading','Report - Stock locationwise')
@section('breadcrumb','Home/Inventory/Report - Stock locationwise')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>   
    <div class="card-body">
                    
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="stockloc_id" class="required"><b>Location</b></label>
    <select class="js-example-basic-single" id="stockloc_id" name="stockloc_id" style="width:100%">
    <option value="">Select</option>
    @foreach($stocklocation as $location)
    <option value="{{ $location->stockloc_id }}" {{ old('stockloc_id') == $location->stockloc_id ? "selected":"" }}>{{ $location->loc_name}}</option>
    @endforeach
    </select>
    @error('stockloc_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                             
    <div class="col-md-3">
    <div class="form-group">
    <label for="valid_to" class="required"><b>Date</b></label>
    <input type="date" class="form-control @error('valid_to') border-danger @enderror" id="valid_to" name="valid_to" placeholder=""  value="{{  old('valid_to') ? old('valid_to'):date('Y-m-d')  }}">
    @error('valid_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>  
    </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="button" class="btn btn-primary float-right" id="btn-get">Get details</button>
    </div>
    </div>
    </div>
    </div>
    </div>
    </div>
    </div>

 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card" id="result">
            
    </div>
     
    </div>



    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/stocklocation.js') }}"></script>

    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>

@endsection