@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings / Inventory / Stock Location/Edit')
@section('content')
      
        
          
        
        
        
        
                <div class="row">
                <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
                <div class="card-body">
                <form action="{{ route('stocklocation.update') }}" method="post">
                @csrf
                <input type="hidden" name="stockloc_id" value="{{ encrypt($stocklocation->stockloc_id) }}">
                <div class="row">
                <div class="col-md-4">
                <div class="form-group">
                <label for="loc_name" class="required"><b>Stock location name</b></label>
                <input type="text" class="form-control @error('loc_name') border-danger @enderror" id="loc_name" name="loc_name" value="{{$stocklocation->loc_name}}">
                @error('loc_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
                </div>
                
                <div class="col-md-4">
                <div class="form-group">
                <label for="loc_address" class="required"><b>Location address</b></label>
                <input type="text" class="form-control @error('loc_address') border-danger @enderror" id="loc_address" name="loc_address" value="{{$stocklocation->loc_address  }}">
                @error('loc_address')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
                </div>
                </div>
                                    
                <div class="row">
                <div class="col-md-12">
                <div class="form-group">
                <button type="submit" class="btn btn-primary float-right">Update</button>
                </div>
                </div>
                                    
                                    
                </div>
                         
                </form> 
                </div>
                </div>
                </div>
                
                
                
              
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        
  </style>
@endsection