@extends('layouts.template')
@section('title','Home')
@section('heading','Stock Summary')
@section('breadcrumb','Home/Inventory/Stock Summary')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#073980;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
                    
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="c_id" class="required"><b>Category</b></label>
    <select class="js-example-basic-single" id="c_id" name="c_id" style="width:100%">
    <option value="">Select</option>
    @foreach($stockcategory as $stockcategorys)
    <option value="{{ $stockcategorys->c_id }}" {{ old('c_id') == $stockcategorys->c_id ? "selected":"" }}>{{ $stockcategorys->category}}</option>
    @endforeach
    </select>
    @error('c_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                             
    <div class="col-md-3">
    <div class="form-group">
    <label for="valid_to" class="required"><b>Date</b></label>
    <input type="date" class="form-control @error('valid_to') border-danger @enderror" id="valid_to" name="valid_to" placeholder=""  value="{{  old('valid_to') ? old('valid_to'):date('Y-m-d')  }}">
    @error('valid_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>  
    </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="button" class="btn btn-primary float-right" id="btn-get">Get details</button>
    </div>
    </div>
    </div>
</div>
</div>
</div>
</div>

 
  <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
     
</div>



    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/stocksummary.js') }}"></script>
<style>
.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }

</style>
@endsection