@if($issuetemps)
    <div class="row">
        <div class="col-12">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th>Book No</th>
                        <th>Title</th>
                        <th>Category</th>
                        <th>Sub Category</th>
                        <th>Issue Date</th>
                        <th>Due Date</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($issuetemps as $issuetemp)
                        <tr>
                            <td align="center">{{ $issuetemp->book->book_no }}</td>
                            <td align="center">{{ $issuetemp->book->title }}</td>
                            <td align="center">{{ $issuetemp->book->category->name }}</td>
                            <td align="center">{{ $issuetemp->book->subcategory->name }}</td>
                            <td align="center">{{ $issuetemp->issue_date_formatted }}</td>
                            <td align="center">{{ $issuetemp->due_date_formatted }}</td>
                            <td align="center">
                                <a href="#" onclick="deleteTemp('{{ $issuetemp->id }}')"><i class="icon-trash text-danger"></i></a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <button type="button" class="btn btn-sm btn-info float-right" onclick="issueBooks('{{ $issuetemp->member_id }}')">Issue Books</button>
            </div>
        </div>
    </div>
@endif