@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings / Library / Book Category/Edit')
@section('content')


   
    
    
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
   <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>

    <div class="card-body">
    <form action="{{ route('libcategory.update') }}" method="post">
    @csrf
    <input type="hidden" name="libcat_id" value="{{ encrypt($libcategory->libcat_id) }}">
    <div class="row">
                            
    <div class="col-md-3">
    <div class="form-group">
    <label for="category_code" class="required"><b>Category Code</b></label>
    <input type="text" class="form-control @error('category_code') border-danger @enderror" id="category_code" name="category_code" value="{{$libcategory->category_code}}">
    @error('category_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-3">
    <div class="form-group">
    <label for="category_name" class="required"><b>Category Name</b></label>
    <input type="text" class="form-control @error('category_name') border-danger @enderror" id="category_name" name="category_name" value="{{$libcategory->category_name}}">
    @error('category_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        
        
        
        
        
        
        
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
		
    </style>
@endsection