@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Book Category')
@section('breadcrumb','Settings / Library / Book Category')
@section('content')










    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Add</b></div>
        
    <div class="card-body">
    <form action="{{ route('libcategory.save') }}" method="post">
    @csrf
                   
    <div class="row">
                            
    <div class="col-md-3">
    <div class="form-group">
    <label for="category_code" class="required"><b>Category Code</b></label>
    <input type="text" class="form-control @error('category_code') border-danger @enderror" id="category_code" name="category_code" value="{{ old('category_code') }}">
    @error('category_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-3">
    <div class="form-group">
    <label for="category_name" class="required"><b>Category Name</b></label>
    <input type="text" class="form-control @error('category_name') border-danger @enderror" id="category_name" name="category_name" value="{{ old('category_name') }}">
    @error('category_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="submit" class="btn btn-primary float-right">Save</button>
    </div>
    </div>
    </div>
                                    
                                    
    </form>
    </div>
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card" style="border-top:2px solid #004170">
    <div class="card-body">
    <table class="table table-bordered">
    <thead>
    <tr>
    <th><b>Category Code</b></th>
    <th><b>Category Name</b></th>
    <th><b>Actions</b></th>
    </tr>
    </thead>
    <tbody>
    @forelse($libcategory as $cate)
    <tr>
    <td>{{$cate->category_code}}</td>
    <td>{{$cate->category_name}}</td>
    <td>{{app_table_links($cate->libcat_id ,array(80,79))}}</td>
                                 
    </tr>
    @empty
    <tr>
                                    <td colspan="2">No Result Found !</td>
    </tr>
    @endforelse
                        </tbody>
                    </table>
           
    <style>
        
  .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
  }

        .form-control{
            border:1px solid #E8E8E8;
        }
            
    </style>
@endsection