@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings / Library / Book Mainlocation/Edit')
@section('content')

        
        
        
 
        
            
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
   
            <div class="card-body">
            <form action="{{ route('libmainloc.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="ml_id" value="{{ encrypt($libmainloc->ml_id) }}">
                        <div class="row">
                            
                          <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="mainloc_code" class="required">Main Location Code</label>
                                            <input type="text" class="form-control @error('mainloc_code') border-danger @enderror" id="mainloc_code" name="mainloc_code" value="{{ $libmainloc->mainloc_code}}">
                                            @error('mainloc_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="mainloc_name" class="required">Main Location Name</label>
                                            <input type="text" class="form-control @error('mainloc_name') border-danger @enderror" id="mainloc_name" name="mainloc_name" value="{{ $libmainloc->mainloc_name }}">
                                            @error('mainloc_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        
    
   <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
   </style>
@endsection