@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings / Library /MemberType/Edit')
@section('content')
   

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
        <div class="card-body">
        <form action="{{ route('libmembertyp.update') }}" method="post">
        @csrf
        <input type="hidden" name="mmbrtyp_id" value="{{ encrypt($libmembertyp->mmbrtyp_id) }}">
        <div class="row">
                            
        <div class="col-md-3">
        <div class="form-group">
        <label for="member_type" class="required"><b>Member Type</b></label>
        <input type="text" class="form-control @error('member_type') border-danger @enderror" id="member_type" name="member_type" value="{{$libmembertyp->member_type }}">
        @error('member_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="book_nums" class="required"><b>Max. No. Books to be issued</b></label>
                                            <input type="text" class="form-control @error('book_nums') border-danger @enderror" id="book_nums" name="book_nums" value="{{$libmembertyp->book_nums}}">
                                            @error('book_nums')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                   <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="valid_period" class="required"><b>Validity Period(Days)</b></label>
                                            <input type="text" class="form-control @error('valid_period') border-danger @enderror" id="valid_period" name="valid_period" value="{{$libmembertyp->valid_period}}">
                                            @error('valid_period')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div> 
                                    
                                    
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        
        
        
        
   <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
		
   </style>
@endsection