@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Book SubCategory')
@section('breadcrumb','Settings / Library / Book SubCategory')
@section('content')






    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
   <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>

    <div class="card-body">
    <form action="{{ route('libsubcategory.save') }}" method="post">
                        @csrf
                        
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="libcat_id" class="required"><b>Category</b></label>
    <select class="form-control" id="libcat_id" name="libcat_id" required>
    @foreach($libcategory as $category)
    <option value="{{ $category->libcat_id}}" {{ old('libcat_id')==$category->libcat_id ? "selected":"" }}>{{ $category->category_name }}</option>
    @endforeach
    </select>
    @error('libcat_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-3">
    <div class="form-group">
    <label for="subcategory_code" class="required"><b>Subcategory Code</b></label>
    <input type="text" class="form-control @error('subcategory_code') border-danger @enderror" id="subcategory_code" name="subcategory_code" value="{{ old('subcategory_code') }}">
    @error('subcategory_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                 
                                    </div>

                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subcategory" class="required"><b>Subcategory Name</b></label>
                                            <input type="text" class="form-control @error('subcategory') border-danger @enderror" id="subcategory" name="subcategory" value="{{ old('subcategory') }}">
                                            @error('subcategory')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                 </div>
 
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Category</b></th>
                            
                            <th><b>Subcategory</b></th>
                            <th><b>Subcategory Code</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($libsubcategory as $subcategory)
                                <tr>
                                     <td>{{$subcategory->catname->category_name}}</td>
                                    
                                   <td>{{$subcategory->subcategory}}</td>
                                   <td>{{$subcategory->subcategory_code}}</td>
                                <td>{{app_table_links($subcategory->libsub_id,array(82,83))}}</td>
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
    
    
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection