@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings / Library / Book SubCategory/Edit')
@section('content')



 



    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>

                <div class="card-body">
                    <form action="{{ route('libsubcategory.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="libsub_id" value="{{ encrypt($libsubcategory->libsub_id) }}">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="libcat_id" class="required"><b>Category</b></label>
                                    <select class="form-control" id="libcat_id" name="libcat_id" required>
                                        @foreach($libcategory as $category)
                                            <option value="{{ $category->libcat_id}}" {{ old('libcat_id')==$category->libcat_id ? "selected":"" }}>{{ $category->category_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('libcat_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subcategory_code" class="required"><b>Subcategory Code</b></label>
                                            <input type="text" class="form-control @error('subcategory_code') border-danger @enderror" id="subcategory_code" name="subcategory_code" value="{{ $libsubcategory->subcategory_code}}">
                                            @error('subcategory_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                 
                                    </div>

                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subcategory" class="required"><b>Subcategory Name</b></label>
                                            <input type="text" class="form-control @error('subcategory') border-danger @enderror" id="subcategory" name="subcategory" value="{{ $libsubcategory->subcategory }}">
                                            @error('subcategory')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                 </div>
 
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
        
        
        
        
        
        
        
        
        
<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
@endsection