@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Edit Activity')
@section('breadcrumb','Settings / OBE / Activity / Edit')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('activity.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="activity_id" value="{{ encrypt($activity->id) }}">
                        <div class="row">
                            
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="domain_id" class="required"><b>Domain</b></label>
                                    @php $domain_id=old('domain_id ') ?? $activity->domain_id; @endphp
                                    <select class="js-example-basic-single" id="domain_id" name="domain_id" style="width:100%">
                                        @foreach($domain as $dmt)
                                            <option value="{{ $dmt->id}}" {{ $domain_id == $dmt->id? "selected":"" }}>{{ $dmt->domain}}</option>
                                        @endforeach
                                    </select>
                                    @error('domain_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="activity_name" class="required"><b>Activity</b></label>
                                            <input type="text" class="form-control @error('activity_name') border-danger @enderror" id="activity_name" name="activity_name" value="{{$activity->activity_name }}">
                                            @error('activity_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
          </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection