@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Activity Outcome')
@section('breadcrumb','Settings / OBE / Activity Outcome / Edit')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('activityoutcome.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="activityoutcome_id" value="{{ encrypt($activityoutcome->id) }}">
                        <div class="row">
                            
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="activity_id" class="required"><b>Activity</b></label>
                                    @php $activity_id=old('activity_id ') ?? $activityoutcome->activity_id; @endphp
                                    <select class="js-example-basic-single" id="activity_id" name="activity_id" style="width:100%">
                                        @foreach($activity as $acv)
                                            <option value="{{ $acv->id}}" {{ $activity_id == $acv->id? "selected":"" }}>{{ $acv->activity_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('activity_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="activity_outcome" class="required"><b>Activity Outcome</b></label>
                                            <input type="text" class="form-control @error('activity_outcome') border-danger @enderror" id="activity_outcome" name="activity_outcome" value="{{$activityoutcome->activity_outcome }}">
                                            @error('activity_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
         </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection