@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Activity Outcome-PSO Mapping')
@section('breadcrumb','Settings / OBE / Activity Outcome-PSO Mapping / Edit')
@section('content')
<!--<head>-->
<!--    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">-->

<!--</head>-->
<!--    <div class="row">-->
<!--    <div class="col-lg-12 grid-margin stretch-card">-->
<!--    <div class="card">-->
<!--    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"><b><i class="fa-solid fa-gear" style="color:#005A9C;margin-right: 8px;"></i><span style="color:#005A9C">Settings / OBE /<a href="{{route('obe.aopomapping')}}" style="text-decoration:none;color:#005A9C">Activity Outcome-PO Mapping</a>/</span>Edit</b></div>-->
<!--    <div class="card-body">-->







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('aopsomapping.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="aopso_id" value="{{ encrypt($aopso->id) }}">
                        <div class="row">
                            
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    @php $course_id=old('course_id ') ?? $aopso->course_id; @endphp
                                    <select class="js-example-basic-single" id="course_id" name="course_id" style="width:100%">
                                        @foreach($courses as $crs)
                                            <option value="{{ $crs->course_id}}" {{ $course_id == $crs->course_id? "selected":"" }}>{{ $crs->course_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="a_outcome" class="required"><b>Activity</b></label>
                                    @php $a_outcome=old('a_outcome ') ?? $aopso->a_outcome; @endphp
                                    <select class="js-example-basic-single" id="a_outcome" name="a_outcome" style="width:100%">
                                        @foreach($activityoutcome as $acv)
                                            <option value="{{ $acv->id}}" {{ $a_outcome == $acv->id? "selected":"" }}>{{ $acv->activity_outcome}}</option>
                                        @endforeach
                                    </select>
                                    @error('a_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="ps_outcome" class="required"><b>Program Outcome</b></label>
                                            @php $ps_outcome=old('ps_outcome ') ?? $aopso->ps_outcome; @endphp
                                    <select class="js-example-basic-single" id="ps_outcome" name="ps_outcome" style="width:100%">
                                        @foreach($pso as $p)
                                            <option value="{{ $p->id}}" {{ $ps_outcome == $p->id? "selected":"" }}>{{ $p->pso_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('ps_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        <!-- </div>-->
        <!--    </div>-->
        <!--</div>-->
        <!--</div>-->
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/pso.js') }}"></script> 
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection