@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Set CO Achievement Target')
@section('breadcrumb','Settings / OBE / Set CO Achievement Target')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
             <div class="card" >
             <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
              {{ app_button_links_v(array(246,262,270,265,247,250,251)) }}
                    
            
             
         </div>
            <div class="card-header" style="background:#073980;color:white;"><b>Set CO Achievement Target</b></div>
   
                <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                          
                            <th><b>Marks(%)</b></th>
                            <th><b>CO Achievement Level</b></th>
                            <th><b>Set Target</b></th>
                          
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($coachievement as $coal)
                                <tr>
                                  <td>{{$coal->f_per.' - '.$coal->t_per}}</td>
                                   <td>{{$coal->level}}</td>
                                   <td><a href="{{ route('coachtarget.save',encrypt($coal->id)) }}"><i class="icon-check icon-sm {{ $coal->target == 1 ? "text-dark-green":"text-muted" }}"></i></a></td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
        .text-dark-green {
    color: darkgreen;
    background:darkgreen;
}
    </style>
    @endsection