<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
    <input type="hidden" id="subtyp_id" name="subtyp_id" value="{{ $subtyp_id }}">
    <input type="hidden" id="sub_id" name="sub_id" value="{{ $sub_id }}">
    <input type="hidden" id="term_id" name="term_id" value="{{ $term_id }}">
    <input type="hidden" id="assmnt_method" name="assmnt_method" value="{{ $assmnt_method }}">
    <input type="hidden" id="exam_id" name="exam_id" value="{{ $exam_id }}">
    <input type="hidden" id="question_no" name="question_no" value="{{ $question_no}}">

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <form action="{{ route('questions.save') }}" method="post">
    @csrf
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
     <input type="hidden" name="subtyp_id" value="{{ encrypt($subtyp_id) }}" >
    <input type="hidden" name="sub_id" value="{{ encrypt($sub_id) }}" >
    <input type="hidden" name="term_id" value="{{ encrypt($term_id) }}" >
    <input type="hidden" name="assmnt_method" value="{{ encrypt($assmnt_method) }}" >
    <input type="hidden" name="exam_id" value="{{ encrypt($exam_id) }}" >
    <input type="hidden" name="question_no" value="{{ encrypt($question_no) }}" >
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
            <th>Question no.</th>
            <th>Remark</th>
            <th>Question</th>
            <th>Sub Question</th>
            <th>OR Question</th>
            <th>Max Mark</th>
            <th>Course Outcome</th>
            <th>BT Level</th>
        </tr>
     </thead>
     <tbody>
        @for($i = 1; $i <= $question_no; $i++) 
         <tr>
             <td width="5%"><input type="text" size="8"class="form-control @error('qno') border-danger @enderror" id="qno{{$i}}" name="qno{{$i}}" value="{{old('qno')}}"></td>
             <td><input type="text" size="8"class="form-control @error('remark') border-danger @enderror" id="remark{{$i}}" name="remark{{$i}}" value="{{old('remark')}}"></td>
             <td><input type="text" size="15"class="form-control @error('questn') border-danger @enderror" id="questn{{$i}}" name="questn{{$i}}" value="{{old('questn')}}"></td>
             <td>
                  @for($j = 1; $j <= 5; $j++) 
                <input type="text"  size="12"class="form-control @error('subquestn') border-danger @enderror" id="subquestn{{$i}}_{{$j}}" name="subquestn{{$i}}_{{$j}}" value="{{old('subquestn')}}"> 
                  @endfor
             </td>
             <td width="5%">
                <select class="form-control" id="qtype{{$i}}" name="qtype{{$i}}" required>
                    <option value="0">No</option> 
                    <option value="1">YES</option> 
                </select>
             </td>
             <td width="5%"><input type="text" size="8"class="form-control @error('maxmrk') border-danger @enderror" id="maxmrk{{$i}}" name="maxmrk{{$i}}" value="{{old('maxmrk')}}"></td>
             
             <td width="15%">
                <select class="form-control" id="co_id{{$i}}" name="co_id{{$i}}" required>
                <option value="">select</option>
                @foreach($co as $cl)
                <option value="{{ $cl->id}}" {{ old('co_id')==$cl->id ? "selected":"" }}>{{ $cl->co_no.' - '.$cl->co_name}}</option>
                @endforeach 
            </select>
                @error('co_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror    
                 
             </td>
             
             <td width="10%">
             <select class="form-control" id="blevel_id{{$i}}" name="blevel_id{{$i}}" required>
                <option value="">select</option>
                @foreach($btlevels as $btl)
                <option value="{{ $btl->id}}" {{ old('blevel_id')==$btl->id ? "selected":"" }}>{{ $btl->level}}</option>
                @endforeach 
            </select>
                @error('blevel_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror  
                     
             </td>
         </tr>
        @endfor
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    
    <div class="row">
                             
       <div class="col-md-6">
          <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">Save</button>
         </div>
       </div>
    </div>
    </div>
    </form>
    </div>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #F8F8F8;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
</style>


