@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','PO Attainment')
@section('breadcrumb','Settings / OBE / PO Attainment')
@section('content')

<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
            {{ app_button_links_v(array(242,258,259,243,244)) }}
    </div>     <div class="card-body">





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
           
            <div class="card-header" style="background:#005A9C;color:white;"><b>PO Attainment</b></div>
   
                <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>Target for PO achievement</th>
                            <th><b>% of students achieving target</b></th>
                            <th><b>PO Attainment Level</b></th>
                            <th><b>Edit</b></th>
                          
                        </tr>
                        </thead>
                        <tbody>
                            <tr>
                                 <td rowspan='4' colspan='1'>  @if ($po_target) Level {{$po_target->level.'('.($po_target->f_per.'-'.$po_target->t_per)}})%  @endif</td>
                            @forelse($poattainment as $poat)
                                
                                  <td rowspan='1' colspan='1'>{{$poat->f_per.' - '.$poat->t_per}}</td>
                                  <td rowspan='1' colspan='1'>{{$poat->level}}</td>
                                  <td rowspan='1' colspan='1'>{{app_table_links($poat->id,array(245)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="4">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>






 </div>
</div>
</div>
</div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
        .text-dark-green {
    color: darkgreen;
    background:darkgreen;
}
    </style>
    @endsection