@extends('layouts.template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')
 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#073980;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('question.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="questn_id" value="{{ encrypt($internalquestions->id) }}">
                        <div class="row">
                            
                           <div class="col-md-2">
                                <div class="form-group">
                                    <label for="qno" class="required"><b>Question no.</b></label>
                                   
                                    <input type="text" class="form-control @error('qno') border-danger @enderror" id="qno" name="qno" value="{{$internalquestions->question_no}}">
                                    
                                </div>
                            </div>
                              <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="questn" class="required"><b>Question</b></label>
                                            <input type="text" class="form-control @error('questn') border-danger @enderror" id="questn" name="questn" value="{{$internalquestions->question }}">
                                            @error('questn')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                  <div class="col-md-4">
                                        <div class="form-group">
                                            <label for="remark" class="required"><b>Remark</b></label>
                                            <input type="text" class="form-control @error('remark') border-danger @enderror" id="remark" name="remark" value="{{$internalquestions->remark }}">
                                            @error('remark')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                    
                                    </div>
                                       <div class="row">
                                       <div class="col-md-2">
                                        <div class="form-group">
                                            <label for="maxmrk" class="required"><b>Max Mark</b></label>
                                            <input type="text" class="form-control @error('maxmrk') border-danger @enderror" id="maxmrk" name="maxmrk" value="{{$internalquestions->question_mark }}">
                                            @error('maxmrk')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>        
                                  <div class="col-md-2">
                                <div class="form-group">
                                    <label for="blevel_id" class="required"><b>BT Level</b></label>
                                   
                                    @php $blevel_id=old('blevel_id ') ?? $internalquestions->bt_lvl; @endphp
                                    <select class="js-example-basic-single" id="blevel_id" name="blevel_id" style="width:100%">
                                        @foreach($btlevels as $lv)
                                            <option value="{{ $lv->id  }}" {{ $blevel_id == $lv->id ? "selected":"" }}>{{ $lv->level}}</option>
                                        @endforeach
                                    </select>
                                    @error('blevel_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    
                                </div>
                            </div>          
                            
                           <div class="col-md-4">
                                <div class="form-group">
                                    <label for="qno" class="required"><b>Course Outcome</b></label>
                                   
                                    @php $co_id=old('co_id ') ?? $internalquestions->co_id; @endphp
                                    <select class="js-example-basic-single" id="co_id" name="co_id" style="width:100%">
                                        @foreach($co as $cs)
                                            <option value="{{ $cs->id  }}" {{ $co_id == $cs->id ? "selected":"" }}>{{ $cs->co_no.' - '.$cs->co_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('co_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    
                                </div>
                            </div>
                             
                                  <div class="col-md-4">
                                        <div class="form-group">
                                            <label for="remark" class="required"><b>OR Question</b></label>
                                            <select class="form-control" id="qtype" name="qtype" required>
                                                <option value="0" {{ 0 == $internalquestions->q_type ? "selected":"" }}>No</option> 
                                                <option value="1" {{ 1 == $internalquestions->q_type ? "selected":"" }}>YES</option> 
                                            </select>
                                        </div>
                                    </div>  
                                    
                                    </div>
                                    
                                <div class="row">
                                 @foreach($subquestion as $sqn)
                                   <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="subquestn" class="required"><b>Sub Question</b></label>
                                           
                                            <input type="text" class="form-control @error('subquestn') border-danger @enderror" id="subquestn{{$sqn->id}}" name="subquestn{{$sqn->id}}" value="{{$sqn->sub_questn}}">
                                            
                                        </div>
                                    </div>
                                  @endforeach   
                                
                                
                                <div class="col-md-6">
                                 <div class="form-group">
                                   <button type="button" class="btn btn-sm btn-success" style="border-radius:50%;" id="addsub"><i class="icon icon-plus"></i></button>
                                 </div>
                                </div>
                                </div>
                                    
                                <div id="moreadd"></div>   
                                    
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-success float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  
    <script src="{{ asset('public/js/updsubquestion.js') }}"></script> 
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection