<div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
    <input type="hidden" id="course" name="course" value="{{ $course }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
    <input type="hidden" id="subtyp_id" name="subtyp_id" value="{{ $subtyp_id }}">
    <input type="hidden" id="sub_id" name="sub_id" value="{{ $sub_id }}">
    <input type="hidden" id="co_id" name="co_id" value="{{ $co_id }}">
   

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
   
    <input type="hidden" name="crs_id" value="{{ encrypt($course) }}" >
    <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}" >
     <input type="hidden" name="subtyp_id" value="{{ encrypt($subtyp_id) }}" >
    <input type="hidden" name="sub_id" value="{{ encrypt($sub_id) }}" >
    <input type="hidden" name="co_id" value="{{ encrypt($co_id) }}" >
  <div align="right">
    <a href="{{ route('cooverallreport.print', ['course' => $course, 'semester_id' => $semester_id,'subtyp_id' => $subtyp_id, 'sub_id' => $sub_id, 'co_id' => $co_id]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div> 
     @if(!empty($students) && $students->count())
    <div class="div_scroller">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
        <tr>
          
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Adno</th>
            <th rowspan="2" style="word-wrap: break-word; word-break: break-all; white-space: normal;">Student Name</th>
            <th rowspan="2" style="width:100px;">CO Achievement Level</th> 
        </tr>
       
     </thead>
     <tbody>
          
           @foreach($students as $student)
    <tr>
        <td>{{ $student->adno }}</td>
        <td>{{ $student->name }}</td>
        @php
            $cnt_ppt = 0;
            $overallco_ach_lvl = 0;
            $co_ach_lvl = 0;
            $internal_lvl = 0;

            foreach($assessmentmethods as $assmthd) { 
                // Get exams related to the current assessment method
                $obeNames = $assmthd->exams->where('ac_id', $ac_id)->where('course',$course)->where('division',$semester_id)->where('subject',$sub_id)->where('subtyp_id',$subtyp_id);

                foreach ($obeNames as $obeName) {
                    $examID = $obeName->id;

                    // Get questions
                    $mquestions = $assmthd->questions
                        ->where('exam_id', $examID)
                        ->where('ac_id', $ac_id)
                        ->where('subject_id', $sub_id)
                        ->where('co_id', $co_id)
                        ->where('course_id', $course)
                        ->where('division_id', $semester_id)
                        ->where('subtyp_id',$subtyp_id);
                    foreach ($mquestions as $obequestns) {
                        $questnID = $obequestns->id;

                        // Get student's mark for the question
                        $ObeStudMrkList = $student->internalmark
                            ->where('assessmnt_method', $assmthd->id)
                            ->where('ac_id', $ac_id)
                            ->where('question_id', $questnID)
                            ->where('exam', $examID)
                            ->where('course_id', $course)
                            ->where('semester_id', $semester_id)
                            ->where('sub_id', $sub_id)
                            ->where('subtyp_id',$subtyp_id)
                            ->pluck('mark')
                            ->first();

                        if ($ObeStudMrkList) {
                            $percentage = ($ObeStudMrkList / $obequestns->question_mark) * 100;
                            $percentage = round($percentage); 

                            // Get achievement level based on the percentage
                            $ach_lvl = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percentage)
                                ->where('t_per', '>=', $percentage)
                                ->first();

                            if ($ach_lvl) {
                                $co_ach_lvl += $ach_lvl->level;
                                $cnt_ppt++;
                            }
                        }
                    }
                }
            }

            // Calculate internal CO achievement level
            if ($cnt_ppt > 0) {
                $internal_lvl = round($co_ach_lvl / $cnt_ppt);	
            }

            // Get university subject mark for the student
            $mrk_sub = $student->universitysubmark
                ->where('course_id', $course)
                ->where('sem_id', $semester_id)
                ->where('sub_id', $sub_id)
                ->where('ac_id', $ac_id)
               
                ->pluck('mark')
                ->first();

            // Calculate the external achievement level
            $sub_max = 0;
            foreach ($subjectsone as $sub) {
                $sub_max = $sub->submax
                    ->where('course_id', $course)
                    ->where('sem_id', $semester_id)
                    ->where('sub_id', $sub_id)
                    ->where('ac_id', $ac_id)
                    ->pluck('max_mark')
                    ->first();
            }

            if ($sub_max > 0 && $mrk_sub) {
                $percen_mrk = ($mrk_sub / $sub_max) * 100;
                $ach_lvl_univ = \App\Models\ObeCoAchievementLevel::where('f_per', '<=', $percen_mrk)
                    ->where('t_per', '>=', $percen_mrk)
                    ->first();

                if ($ach_lvl_univ) {
                    $external_lvl = $ach_lvl_univ->level;

                    // Calculate the overall CO achievement level
                    $internal_percentage = 100 - $externalpercentage->percentage;
                    $i1 = $internal_percentage / 100;
                    $e1 = $externalpercentage->percentage / 100;
                    $overallco_ach_lvl = ($i1 * $internal_lvl) + ($e1 * $external_lvl);
                }
            }
        @endphp
        <td align="right">{{ $overallco_ach_lvl }}</td>
    </tr>
@endforeach
     </tbody>
    </table>
    </div>
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
   
     </div>
    </div>
    </div>
  </div>
 
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/studall.js') }}"></script>
    
    <style>
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid black;
        }
        table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
       
        .div_scroller{
    	overflow:auto; width:1370px;
      }

        
    </style>  
  