<style>
     table { 
            border:2px ; 
        }
        
        @font-face {
            font-family: "My Custom Font";
            src: url(../../font/Lemon/Milk 400.otf) format("truetype");
        }
        @font-face {
            font-family: "My Custom Font1";
            src: url(../../font/Texture/ten.ttf) format("truetype");
        }
        *{
            font-size:16px;
        }
        .sname{
            font-size:20px;
            font-family: "My Custom Font", Verdana, Tahoma;
            font-weight:bold;
            
        }
        .fl {
    float: left; /* Aligns the table to the left */
    margin-right: 20px; /* Adds space between the tables */
}

.fr {
    float: right; /* Aligns the table to the right */
}

.cl {
    clear: both; /* Clears floats to ensure subsequent elements are below */
}


.page-border {
    border: 2px solid #000; /* Solid black border around the page */
    padding: 20px; /* Space between the border and content */
    margin: 0 auto; /* Center the page on the screen */
    width: 92%; /* Adjust width as needed */
    height: 92%;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1); /* Optional: adds a slight shadow for depth */
}
    
.tb {
  border: 1px solid black;
  border-collapse: collapse;
  padding: 8px; 
}

.pay-tbl-bxs {
    width: 100%;
}

.header {
    display: flex;
    justify-content: space-between;
    font-weight: bold;
}

.row {
    display: flex;
    justify-content: space-between;
    padding: 5px 0; /* Add some spacing between rows */
}

.tbx-1, .tbx-1-n {
    flex: 1; /* This allows the text to take equal space */
    text-align: left; /* Align text to the left */
    
}

.tbx-2, .tbx-2-n {
    flex: 1; /* This allows the amount to take equal space */
    text-align: right; /* Align amounts to the right */
   
}

.total {
    font-weight: bold; /* Bold for total */
}
.ts{
     border-left: 1px solid black; /* Add left border */
    border-right: 1px solid black; /* Add right border */
    border-bottom: 1px solid black; /* Add bottom border */
    padding: 8px; 
}

.payslip-header {
    text-align: center; /* Center the text */
    margin: 20px 0; /* Add some vertical space */
    font-size: 1.5rem; /* Adjust size */
    font-weight: bold; /* Bold text */
}
        
</style>

<body onload="print()">
    <div class="page-border">
        <div class="container">
            <div class="head">
                <table width="100%">
                    <tr>
                        <td width="25%" rowspan="4" align="center">
                            <img src="{{ asset('public/uploads/logo/' . $ins_det->logo) }}" alt="{{ $ins_det->logo }}" height="100px">
                        </td>
                        <td width="50%" align="center">
                            <font size="5"><b>{{ $ins_det->name }}</b></font>
                        </td>
                        <td width="25%" rowspan="4" align="center"></td>
                    </tr>
                    <tr>
                        <td align="center"><font size="2">{{ $ins_det->affiliation }}</font></td>
                    </tr>
                    <tr>
                        <td align="center"><font size="2">{{ $ins_det->address }}</font></td>
                    </tr>
                    <tr>
                        <td align="center"><font size="2">{{ 'Ph : ' . $ins_det->mobile . ' ' . $ins_det->landline }}</font></td>
                    </tr>
                </table>
                <br>
               <div class="payslip-header">
    <b>Pay slip for the month of {{ $monthName = date('F', mktime(0, 0, 0, $staff_det->salary_month, 1)) . ' ' . $staff_det->salary_year }}</b>
</div>
                <hr><br>
                <table cellspacing="0" class="fl" width="48%">
                    <tr>
                        <td width="87">Receipt No.</td>
                        <td width="8">:</td>
                        <td width="112">{{ $staff_det->receipt_no }}</td>
                    </tr>
                    <tr>
                        <td>Employee ID</td>
                        <td>:</td>
                        <td>{{ $staff_det->employee_id_num }}</td>
                    </tr>
                    <tr>
                        <td>Name</td>
                        <td>:</td>
                        <td>{{ $staff_det->name . ' ' . $staff_det->lname }}</td>
                    </tr>
                </table>
                <table cellspacing="0" class="fr" width="48%">
                    <tr>
                        <td width="87">Date</td>
                        <td width="8">:</td>
                        <td width="112">{{ date('d-m-Y', strtotime($staff_det->payment_date)) }}</td>
                    </tr>
                     <tr>
                        <td>Designation</td>
                        <td>:</td>
                        <td>{{ optional($staff_det->designme)->type_name ?? 'N/A' }}</td>
                    </tr>
                    <tr>
                        <td>Working Days /Present Days</td>
                        <td>:</td>
                        <td>{{ $staff_det->working_days . ' / ' . $staff_det->present_days }}</td>
                    </tr>
                   
                </table>
                
                @php $allowance_total =$deduction_total=0; @endphp
               <div class="cl"></div><br>
                <table cellspacing="0" class="fr" width="100%">
                    <tr>
                        <th class="tb">Earnings</th>
                        <th class="tb">Amount</th>
                        <th class="tb">Deductions</th>
                        <th class="tb">Amount</th>
                    </tr>
                    <tr>
                        <td class="ts">Basic Pay</td>
                        <td class="ts" align="right">{{number_format($staff_det->basic_pay, 2, '.', ',');}}</td>
                        <td class="ts">Advance Recovery</td>
                        <td class="ts" align="right">{{number_format($staff_det->advance_recovery, 2, '.', ',');}}</td>
                    </tr>
                    <tr ><td class="ts" >
                       @php $allowance_total += $staff_det->basic_pay ; $deduction_total +=$staff_det->advance_recovery @endphp
                        @if($allowance_cnt > 0 ) 
                    	
                    		@foreach($allowance as $allow)
                    		    @php  
                                 $allow_amount = \App\Models\StaffAllowDedu::where('user_id', $staff_det->user_id)->where('allo_dedu_id', $allow->allowance_id)->where('allo_dedu_status', 1)->first();
                                               
                                                
                                @endphp
                    			
                    		
                                {{$allow->allowance_code}}
                                
                                <br>
                                
                               
                    		@endforeach
                        @endif
                        </td>
                        <td class="ts" align="right">
                       
                        @if($allowance_cnt > 0 ) 
                    	
                    		@foreach($allowance as $allow)
                    		    @php  
                                 $allow_amount = \App\Models\StaffAllowDedu::where('user_id', $staff_det->user_id)->where('allo_dedu_id', $allow->allowance_id)->where('allo_dedu_status', 1)->first();
                                 $allowance_total += $allow_amount->amount                   
                                                
                                @endphp
                    			
                    		
                                {{number_format($allow_amount->amount, 2, '.', ',');}}
                                
                                <br>
                                
                               
                    		@endforeach
                        @endif
                        </td>
                      <td class="ts">  
                      @if($deduction_cnt > 0)
	
                		@foreach($deduction as $deduc)
                		    @php  
                              $deduc_amount = \App\Models\StaffAllowDedu::where('user_id', $staff_det->user_id)->where('allo_dedu_id', $deduc->deduction_id)->where('allo_dedu_status', 0)->first();
                                      
                            @endphp
                			
                			
                           {{$deduc->deduction_code}}
                            <br>
                            
                		@endforeach
                	@endif  
                       </td>  
                       
                        <td class="ts" align="right">  
                      @if($deduction_cnt > 0)
	
                		@foreach($deduction as $deduc)
                		    @php  
                              $deduc_amount = \App\Models\StaffAllowDedu::where('user_id', $staff_det->user_id)->where('allo_dedu_id', $deduc->deduction_id)->where('allo_dedu_status', 0)->first();
                              $deduction_total += $deduc_amount->amount                
                            @endphp
                			
                			
                         
                            {{number_format($deduc_amount->amount, 2, '.', ',');}}
                           <br>
                            
                		@endforeach
                	@endif  
                       </td>  
                       
                       
                    </tr>
                    <tr>
                        <td class="ts">Total</td>
                        <td class="ts" align="right">{{number_format($allowance_total, 2, '.', ',');}}</td>
                        <td class="ts">Total</td>
                        <td class="ts" align="right">{{number_format($deduction_total, 2, '.', ',');}}</td>
                    </tr>
                </table>
                 <div class="cl"></div>
               <table cellspacing="0" style="margin-top:10px;">
                	<tr>
                	<td width="87">Net Pay</td>
                	<td width="8">:</td>
                	<td width="112"><strong>{{number_format($staff_det->net_salary, 2, '.', ',');}}</strong></td>
                	</tr>
              </table>
                <p class="fr"><br><br><br><br><br><br>Principal</p>
                <div class="cl"></div>
            </div>
        </div>
    </div>
</body>