@extends('layouts.settings-template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"><b><i class="fa-solid fa-gear" style="color:#005A9C;margin-right: 8px;"></i><span style="color:#005A9C">Settings /<a href="{{route('semester')}}" style="text-decoration:none;color:#005A9C">Semester</a> /</span> Add Semester</b></div>
    <div class="card-body">




<!--<a href="{{route('semester')}}" class="back-button">-->
<!--		<svg baseProfile="tiny" height="35px" id="Layer_1" version="1.2" viewBox="0 0 24 24" width="35px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M12,9.059V6.5c0-0.256-0.098-0.512-0.293-0.708C11.512,5.597,11.256,5.5,11,5.5s-0.512,0.097-0.707,0.292L4,12l6.293,6.207  C10.488,18.402,10.744,18.5,11,18.5s0.512-0.098,0.707-0.293S12,17.755,12,17.5v-2.489c2.75,0.068,5.755,0.566,8,3.989v-1  C20,13.367,16.5,9.557,12,9.059z"/></svg>-->
<!--        Back-->
<!--        </a>-->
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add</b></div>

                <div class="card-body">
                    <form action="{{ route('semester.save') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="js-example-basic-single" id="course_id" name="course_id" style="width:100%">
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id') == $course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="semester_cnt" class="required"><b>Semester count</b></label>
                                    <input type="text" class="form-control @error('semester_cnt') border-danger @enderror" id="semester_cnt" name="semester_cnt" value="8">
                                    @error('semester_cnt')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Submit</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
      </div>
            </div>
        </div>
    </div>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
		
    </style>
@endsection