<div class="card">
 <div class="card-header" style="background-color:#004170;color:white;"><b>Set the Semester Year</b></div>
    <div class="card-body">
        <form action="{{ route('semesteryear.save') }}" method="post">
            @csrf
            <input type="hidden" id="ac_id" name="ac_id" value="{{ $ac_det->ac_id }}">
            <input type="hidden" id="course_id" name="course_id" value="{{ $crs_det->course_id }}">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead style="background-color:#FEBE10;">
                            <tr>
                                <th><b>Semester</b></th>
                                <th><b>Start Date</b></th>
                                <th><b>End Date</b></th>
                            </tr>
                            </thead>
                            <tbody>
                                
                                @foreach($semester as $sem)
                                    @php $start=$end=""; @endphp
                                    <tr>
                                        <td>{{ $sem->semester_name }}<input type="hidden" name="semester_id[]" value="{{ $sem->semester_id  }}"</td>
                                        @if(!empty($semesteryear))
                                            @foreach($semesteryear as $smyr)
                                                @php
                                                    if($smyr->semester_id == $sem->semester_id){ 
                                                        
                                                        $start = $smyr->start_date;
                                                        $end = $smyr->end_date;
                                                    }
                                                @endphp
                                            @endforeach
                                        @endif
                                        
                                        <td><input type="date" class="form-control" style="border:1px solid #ccc" name="start[]" value="{{ $start }}"></td>
                                        <td><input type="date" class="form-control" style="border:1px solid #ccc" name="end[]" value="{{ $end }}"></td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <div id="load"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<style>
            .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:3px solid #DCDCDC;
          
        }
#table-fine th,
         #table-fine td{
             border:1px solid #E5E4E2;
         }
         #table-fine tr:nth-child(even){
             background:#F8F8F8;
         }
</style>