@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit Academic Quota')
@section('breadcrumb','Settings /Academic Quota/Edit Academic Quota')
@section('content')

        
   
        
        
        
        
        
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>
                <div class="card-body">
                    <form action="{{ route('acquota.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="aq_id" value="{{ encrypt($acquota->aq_id) }}">

                        <div class="row">
                            <div class="col-md-8">
                                <label for="quota" class="required"><b>Academic Quota</b></label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('quota') border-danger @enderror" id="quota" name="quota" value="{{$acquota->quota  }}">
                                            @error('quota')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Save</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
        
 <style>
             .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }

 </style>
@endsection