<div class="card">
<div class="card-header" style="background:#073980;color:white;"><b>Assign Documents To Staff</b></div>
    
    <div class="card-body">
        <form action="{{ route('iqacassign.save') }}" method="post">
            @csrf
           
            <input type="hidden" id="criteria_id" name="criteria_id" value="{{ $cr_det->id }}">
            
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead>
                            <tr>
                                <th><b>Document</b></th>
                                <th><b>Staff</b></th>
                               
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($documents as $docmnts)
                                      @php $staff_id = $docmnts->staffdoc->staff_id??null;@endphp
                                    <tr>
                                        <td>{{ $docmnts->document }}<input type="hidden" name="type[]" value="{{ $docmnts->id }}"></td>
                                       
                                        <td>
                                             <select class="form-control" id="staff_id" name="staff_id{{ $docmnts->id }}" required>
                                                    <option value="">Select</option>
                                                    @foreach($staffs as $stf)
                                                        <option value="{{ $stf->user_id }}" {{ $staff_id==$stf->user_id ? "selected":"" }}>{{ $stf->name }}</option>
                                                    @endforeach
                                                </select> 
                                             @error('staff_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </td>   
                                        
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <div id="load"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-success float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        	table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>