
               
  

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Leave Form</title>
    <!-- Bootstrap CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>

<!-- Existing Content -->
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C; color:white;">
                <b>Leave Form</b>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th><b>Applied By</b></th>
                            <th><b>Adno</b></th>
                            <th><b>Applied Date</b></th>
                            <th><b>Leave From</b></th>
                            <th><b>Leave Until</b></th>
                            <th><b>Reason</b></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td   style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$request->student->name}}</td>
                            <td>{{$request->student->adno}}</td>
                            <td>{{date('d-m-Y',strtotime($request->date))}}</td>
                            <td>{{date('d-m-Y',strtotime($request->lfrom))}}</td>
                            <td>{{date('d-m-Y',strtotime($request->luntil))}}</td>
                            <td   style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$request->reason}}</td>
                        </tr>
                    </tbody>
                </table>
<div class="row mt-4">
                    <div class="col-md-12 text-center">
                        @if($request->status == 0)
                            <a href="{{ route('request.leave.reply.approve', ['id' => $request->stulvreq_id]) }}" data-id="{{ $request->stulvreq_id }}">
                                <span class="btn btn-success approve-btn" >Approve</span>
                            </a>
                            <a href="{{ route('request.leave.reply.reject', ['id' => $request->stulvreq_id]) }}">
                                <span class="btn btn-danger">Reject</span>
                            </a>
                           
                        @elseif($request->status == 1)
                            <p class="text-success" style="font-size:25px;"><b>Approved</b></p>
                        @else
                            <p class="text-danger" style="font-size:25px;"><b>Rejected</b></p>
                        @endif
                    </div>
                </div>
               
               
               
               
               
               
               
            </div>
        </div>
    </div>
</div>




<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<script>
$(document).ready(function() {
    $('.forward-btn').on('click', function(e) {
        e.preventDefault();
        var requestId = $(this).data('id');
        $('#forwardRequestId').val(requestId);
        $('#forwardModal').modal('show');
    });


    
    
});
</script>

</body>             
               
               
               
           



<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<script>
    $(document).ready(function() {
        // Toggle reply and forward sections based on selected radio button
        $('input[name="action"]').on('change', function() {
            if ($('#replyRadio').is(':checked')) {
                $('#replySection').show();
                $('#forwardSection').hide();
                $('#actionType').val('reply');
            } else {
                $('#replySection').hide();
                $('#forwardSection').show();
                $('#actionType').val('forward');
            }
        });
    });
</script>

</body>