@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Sub Criteria')
@section('breadcrumb','Settings / Staff Setting /Feedback Criteria/Sub Criteria')
@section('content')
       
     <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    
    <div class="card-tools">
    {{ app_button_links(array(277,278)) }}
    </div>
 </div>
</div>
        
       

        
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <form action="{{ route('feedbkcrit.saves') }}" method="post">
                @csrf
                <div class="row">
                <div class="col-md-3">
                <div class="form-group">
                <label for="fdbkmainc_id" class="required"><b>Main Criteria</b></label>
                <select class="form-control" id="fdbkmainc_id" name="fdbkmainc_id" required>
                <option value="">Select</option>
                @foreach($main as $m)
                <option value="{{ $m->fdbkmainc_id  }}" {{ old('fdbkmainc_id ')==$m->fdbkmainc_id  ? "selected":"" }}>{{ $m->main_criteria }}</option>
                @endforeach
                </select>
                @error('fdbkmainc_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
                </div>
                                <div class="col-md-9">
                                <div class="form-group">
                                <label for="sub_criteria" class="required"><b>Sub Criteria</b></label>
                                <textarea id="sub_criteria" name="sub_criteria" class="form-control"></textarea>
                                @error('sub_criteria')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="submit" class="btn btn-primary float-right">Save</button>
    </div>
    </div>
    </div>
    </form>                

</div>        
</div> 
</div> 
</div> 
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card" style="border-top:2px solid #004170">
        <div class="card-body">
                        <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Criteria</b></th>
                            <th><b>Subcriteria</b></th>
                            <th colspan="2"><b>Actions</b></th>
                            <!--<th><b>Edit</b></th>-->
                            <!--<th><b>Delete</b></th>-->
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($sub as $subc)
                                    <tr>
                                    <td>{{ $loop->iteration }}</td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $subc->maincriteria->main_criteria }} </td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $subc->sub_criteria }} </td>
                                    <td>{{ app_table_links($subc->fdbksubc_id,array(281,282)) }}</td>
                                    </tr>
                               
                                
                               
                                @empty
                                <tr>
                                <td colspan="6">No Result Found !</td>
                                </tr>
                                @endforelse
                    </tbody>
                    </table>


</div>        
</div> 
</div> 
</div> 






<style>

        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
</style>
@endsection