
@extends('layouts.student-template')
@section('title','Home')
@section('heading','Staff Feedback')
@section('breadcrumb','Feedback/Staff/Staff Feedback')
@section('content')

@if(session('success'))
    <div class="alert alert-success">
        {{ session('success') }}
    </div>
@endif

@if(session('error'))
    <div class="alert alert-danger">
        {{ session('error') }}
    </div>
@endif


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Staff Feedback</b></div>
        <div class="card-body">
            
        <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="date"><b>Date</b></label>
            <input type="date" class="form-control" id="date" name="date" value="{{ date('Y-m-d') }}">
            @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>       
                    
                    <div class="col-md-3">
                    <div class="form-group">
                                <label for="user_id" class="required"><b>Staff Name</b></label>
                                <select class="form-control" id="user_id" name="user_id" required>
                                <option value="">Select</option>
                                @foreach($staff as $staffs)
                                <option value="{{ $staffs->user_id }}" {{ old('user_id')==$staffs->user_id ? "selected":"" }}>{{ $staffs->name }}</option>
                            @endforeach
                            </select>
                            @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                               
</div>
</div>
 

  
  
  
 
                   
  
                    



    
</div>                      
            
            
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
            <button type="button" class="btn btn-primary float-right" id="btn-get">Get details</button>
            </div>
            </div>  
            </div>
            
            
            
            
            
        
            
</div>
</div>
</div>
</div>




    <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
         
     



</div>
</div>












    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>

  $(document).ready(function(){
  
  $("#btn-get").on('click',function(){
       
        var cid = $('#user_id').val();
       
      
        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if( cid===''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../fdbk-get',
                data : {cid:cid},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
  });
</script>
  
<style>
     table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid black;
        }
        .modal-dialog.modal-sm {
    max-width: 50%; 
}
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>









     
     
    
@endsection