
@extends('layouts.student-template')
@section('title','Home')
@section('heading','College Feedback')
@section('breadcrumb','Feedback/College/College Feedback')
@section('content')


@if(session('success'))
    <div class="alert alert-success">
        {{ session('success') }}
    </div>
@endif

@if(session('error'))
    <div class="alert alert-danger">
        {{ session('error') }}
    </div>
@endif


  <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
      

<div class="card">
    <div class="card-header" style="background:#004170;color:white;"><b>Feedback Criteria</b></div>
    <div class="card-body">
          
           
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <form action="{{route('studentlog.feedback.college.save')}}" method="post">
                            @csrf
                              
                        <table id="table-fine" class="table table-bordered" style="border:1px solid black">
                            <thead style="" >
                            <tr>
                               
                                <th><b>EVALUATION CRITERIA</b></th>
                                <th><b>SELECT YOUR OPINION</b></th>
 
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($criteriaWithSubcriteria as $criteria)
                               
                              <tr>
                                    <td  colspan="2" style="background:#F9629F;color:white"><b>{{ $criteria['mainCriterion']->main_criteria }}</b></td>
                                <input type="hidden" name="fdbkmainc_id[]" value="{{ $criteria['mainCriterion']->fdbkmainc_id  }}"> 
                              </tr>
                              @foreach ($criteria['subcriteria'] as $index => $subcriterion)
                               <tr>
                    <td>&nbsp;&nbsp;&nbsp; {{ $index + 1 }}. {{ $subcriterion->sub_criteria }}</td> 
                              <td>
                        @foreach (['Outstanding', 'Very Good', 'Good', 'Average'] as $rating)
                <label>
                    <input type="radio" name="rating[{{ $criteria['mainCriterion']->fdbkmainc_id }}][{{ $subcriterion->fdbksubc_id }}]" value="{{ $rating }}">
                    {{ $rating }}
                </label>
            @endforeach
                        
                             
                           </td>  
                             
                             
                             
                              </tr>
                           @endforeach
                           @endforeach
                              
                        </tbody>
                        </table>
                        <br>
                         <button type="submit" class="btn btn-primary float-right">Submit</button>
                        </form>
                        <div id="load"></div>
                        </div>
                        </div>
                        </div>
           
           
           
       
</div>
</div>
</div>
</div>
<style>
         table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid black;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>

@endsection