<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
         <div align="right">
      <form action="{{ route('studentlog.reservebooks.save') }}" method="post">
    @csrf
 
    <input type="hidden" id="categ_id" name="categ_id" value="{{ encrypt($categ_id) }}">
    <input type="hidden" id="subcateg_id" name="subcateg_id" value="{{ encrypt($subcateg_id) }}">
    <input type="hidden" id="date" name="date" value="{{ encrypt($date) }}">
    
  <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
@if(!empty($books))
    <table id="table-fine" class="table table-bordered">
        <thead style="background-color:#8FBC8F">
            <tr>
                <th><b>#</b></th>
                <th>
                    <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                        <label class="container">
                            <input type="checkbox" class="form-check-input" id="checkAll">
                        </label>
                    </div>
                </th>
                <th><b>Book No</b></th>
                <th><b>Title</b></th>
                <th><b>Author</b></th>
                <th><b>Current Status</b></th>
            </tr>
        </thead>
        <tbody>
            @php 
                $i = 0; 
                // You could fetch the reservations and issued books in one query before the loop
                $issued_books = App\Models\BookIssueList::where('status', 0)
                    ->where('mem_det_id', $mem_det->id)
                    ->where('member_type', 2)
                    ->where('member_id', $studentId)
                    ->pluck('book_id')->toArray(); // Books the student has issued
                $reserved_books = App\Models\BookReservationList::where('lib_status', 0)
                    ->where('mem_det_id', $mem_det->id)
                    ->where('member_type', 2)
                    ->where('member_id', $studentId)
                    ->pluck('book_id')->toArray(); // Books the student has reserved
            @endphp
            @foreach($books as $bk)
                @php 
                    $quantity = 0;
                    $availability = "Not available";
                    $issued_qty = App\Models\BookIssueList::where('book_id', $bk->id)
                        ->where('status', 0)
                        ->count();

                    if ($issued_qty < $bk->quantity) {
                        $quantity = $bk->quantity - $issued_qty;
                        $availability = "Available";
                    }

                    $checked = ($quantity <= 0 || in_array($bk->id, $issued_books) || in_array($bk->id, $reserved_books)) ? 'disabled' : '';
                @endphp

                @if(!in_array($bk->id, $issued_books) && !in_array($bk->id, $reserved_books))
                    @php $i++; @endphp
                    <tr>
                        <td>{{ $i }}</td>
                        <td align="center">
                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                <label class="container">
                                    <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $bk->id }}" {{ $checked }}>
                                </label>
                            </div>
                        </td>
                        <td>{{ $bk->book_no }}</td>
                        <td>{{ $bk->title }}</td>
                        <td>{{ $bk->author }}</td>
                        <td>{{ $availability }}</td>
                    </tr>
                @endif
            @endforeach
        </tbody>
    </table><br>

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <button type="submit" class="btn btn-primary float-right">Reserve</button>
            </div>
        </div>
    </div>
@endif
</div></div></div>
</div></div></div>
<script src="{{ asset('public/js/studall.js') }}"></script> 