
@extends('layouts.student-template')
@section('title','Home')
@section('heading','Tc')
@section('breadcrumb','Home/Tc/Report')
@section('content')

                
                
                <div class="row">
<div class="col-lg-12 grid-margin stretch-card">
                <div class="card"  style="border-top:2px solid #005A9C">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>Report</b></div> 
                <div class="card-body">
                <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Date</b></th>
                            <th><b>Remarks</b></th>
                            <th><b>Request Submitted To</b></th>
                            <th><b>Status</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($tcreport as $tcreports)
                            
                                <tr>
                                    <td>{{ date('d-m-Y',strtotime($tcreports->date)) }}</td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $tcreports->remarks }}</td>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$tcreports->requestTo->name}}</td>
                                    
                                        @if($tcreports->status==0)
                                        <td>Pending</td>
                                        @elseif($tcreports->status==1)
                                        <td>Approved</td>
                                    @elseif($tcreports->status==2)
                                    <td>Rejected</td>
                                    @endif
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
       </div>
    </div>
    
    <style>
        
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection