<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>{{env('APP_NAME')}}</title>
    <!-- plugins:css -->
    <link rel="stylesheet" href="{{ asset('public/template/vendors/simple-line-icons/css/simple-line-icons.css') }}">
    <link rel="stylesheet" href="{{ asset('public/template/vendors/flag-icon-css/css/flag-icon.min.css') }}">
    <link rel="stylesheet" href="{{ asset('public/template/vendors/css/vendor.bundle.base.css') }}">
    <link rel="stylesheet" href="{{ asset('public/template/css/style.css') }}">
    <link rel="shortcut icon" href="{{ asset('public/template/images/favicon.png') }}" />
  </head>
  <body>
    <div class="container-scroller">
      <div class="container-fluid page-body-wrapper full-page-wrapper">
        <div class="content-wrapper d-flex align-items-center auth"  style="background:#0C2340">
        
            
            <!--background-image: linear-gradient(to top, #c4c5c7 0%, #dcdddf 52%, #ebebeb 100%);-->
            
            
          <div class="row flex-grow">
            <div class="col-lg-3 mx-auto">
              <div class="auth-form-light text-left p-5 form-auth" style="min-height: 550px;border-radius: 8px;">
                  <h3 align="center" style="color:black">Welcome</h3>
                <div class="brand-logo text-center">
                  STUDENT LOGIN
                </div>
                <h6 class="font-weight-light text-center">Sign in to continue</h6>
                <p class="text-danger text-center">@if(session()->has('message')) {{ session()->get('message') }} @endif</p>
                <form class="pt-3" action="{{ route('student.log.action') }}" method="post">
                  @csrf
                  <div class="form-group">
                    <input type="email" class="form-control form-control-lg" id="exampleInputEmail1" name="email" placeholder="Username" required>
                  </div>
                  <div class="form-group">
                    <input type="password" class="form-control form-control-lg" id="exampleInputPassword1" name="password" placeholder="Password" required>
                  </div>
                  <div class="mt-3">
                    <button type="submit" class="btn btn-block btn-lg font-weight-medium auth-form-btn btnn">SIGN IN</button>
                  </div>
                  <div class="my-2 d-flex justify-content-between align-items-center">
                    <div class="form-check">
                      <label class="form-check-label text-muted">
                        <input type="checkbox" class="form-check-input"> Keep me signed in </label>
                    </div>
                    <a href="#" class="auth-link text-black">Forgot password?</a>
                  </div>
                </form>
                
              </div>
           
            </div>
          </div>
        </div>
        <!-- content-wrapper ends -->
      </div>
      <!-- page-body-wrapper ends -->
    </div>
    <!-- container-scroller -->
    <!-- plugins:js -->
    <script src="{{ asset('public/template/vendors/js/vendor.bundle.base.js') }}"></script>
    <script src="{{ asset('public/template/js/off-canvas.js') }}"></script>
    <script src="{{ asset('public/template/js/misc.js') }}"></script>
    <!-- endinject -->
  </body>
</html>
<style>
      .btnn{
            background:linear-gradient(to right, #000046 0%, #1CB5E0 100%);
            color:white;
            border-radius:10px;
        }
        .btnn:hover{
           background:black; 
           color:white
        }
        .form-auth{
           
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }
</style>