@extends('layouts.template')
@section('title','Home')
@section('heading','View FYUGP Progress Card')
@section('breadcrumb','Home/Search Student/View FYUGP Progress Card')
@section('content')
   <div class="row">
        <div class="col-12">
 <div class="row">    
        
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROFILE</span></a>
    </div>
    </div>
    
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.payment',['student_id'=> encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span></a>
    </div>
    </div>
    
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.feereport',['student_id'=> encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> FEE REPORT</span></a>
    </div>
    </div>
    
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.duereport',['student_id'=> encrypt($student->student_id)])}}" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span></a>
    </div>
    </div>
    <!--row2divend-->
   
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> ATTENDANCE REPORT</span></a>
    </div>
    </div>
  
      @if($student->ac_id >= 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
    @endif
     @if($student->ac_id < 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="#"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
    </div>
    </div>
    @endif
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span></a>
    </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE REPORT</span></a>
    </div>
    </div>
   
  <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
    </div>
    </div>
      <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
    </div>
    </div>
     
     
     </div> 
    </div> 
     </div> 

<div class="card">
    <div class="card-header"  style="background-color:#005A9C;color:white;"><b>FYUGP PROGRESS CARD</b></div>
<div class="card-body" style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">

 <table style="border:1px solid black" class="data" width="95%" cellspacing="0" cellpadding="5px" align="center">
				<tr bgcolor="#0094dd" style="color:white;" height="40px">
				
					<th  align="center" colspan="1" rowspan="3">Course Code</th>
					<th  align="center" colspan="1" rowspan="3">Course Title</th>
					<th  align="center" colspan="1" rowspan="3">Cr</th>
					<th  align="center" colspan="1" rowspan="3">Max. Mark</th>
					<th  align="center" colspan="5" rowspan="1">Marks Awarded</th>
					<th  align="center" colspan="1" rowspan="3">G.P</th>
					<th  align="center" colspan="1" rowspan="3">G</th>
					<th  align="center" colspan="1" rowspan="3">C.P</th>
					<th  align="center" colspan="1" rowspan="3">Result</th>
				</tr>
				<tr bgcolor="#0094dd" style="color:white;">
				     <th align="center" colspan="2" rowspan="1">L</th>
				    <th align="center" colspan="2" rowspan="1">P</th>
				    <th align="center" colspan="1" rowspan="2">Total</th>
				</tr>
				<tr bgcolor="#0094dd" style="color:white;">
				    <th align="center" colspan="1" rowspan="1">CE</th>
				    <th align="center" colspan="1" rowspan="1">ESE</th>
				   
				    <th align="center" colspan="1" rowspan="1">CE</th>
				    <th align="center" colspan="1" rowspan="1">ESE</th>
				    
				</tr>
				@php $tot_credit_point = 0 ; $tot_max_mark = 0; $grand_total = 0; $tot_cp = 0;$tot_percent=0;$sgpa=0;$sgpa1=0;$tgrade="";$g_result="";$rl=0;$gabs=0; @endphp
				@foreach($examsubjects as $subex)
				@php  
				    $ccel_mark =0;$ccel_max_mark=0;$markl=0;$ccel_markp=0;$ccel_max_markp=0;$pmarkl=0;$exam_markl=0;$exam_markp=0;$total_mrk =0;$credit_point=0;$result="";$abs=0;
				    $sub_cat = $subex->esesubn->subject_categ;
                    if($sub_cat == 2 || $sub_cat == 3 || $sub_cat == 4)
                    {
                        $sub_cnt = $subex->subminordmc->where('acyear_id',$ac_id)->where('sub_cat',$sub_cat)->where('stud_id',$student_det->student_id)->pluck('stud_id')->first();
                        if($sub_cnt !='')
                        {  
                            
				    
				     $max_mark = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('max_mark')->first(); 
				     $creditl = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('credit_l')->first(); 
				     $ccal = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('cca_l')->first(); 
				     $esel = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('ese_l')->first(); 
				     
				     $creditp = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('credit_p')->first(); 
				     $ccap = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('cca_p')->first(); 
				     $esep = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('ese_p')->first(); 
				     
				     $examl_mark = $subex->exmarks->where('ac_id',$ac_id)->where('course',$course)->where('sem_id',$semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
				     $examp_mark = $subex->exmarks->where('ac_id',$ac_id)->where('course',$course)->where('sem_id',$semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$student_det->student_id)->pluck('pmark')->first();

				     foreach($fa as $fn)
				     {
				        if($fn->subtyp_id == 1)
				        {
				            $lmrk = $fn->famarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        
    				        if($lmrk !='')
    				        { 
    				            $ccel_mark += $lmrk;
    				            
    				        }
    				        $ccel_max_mark += $fn->max_mark; 
    				    }
    				    if($fn->subtyp_id == 2)
				        {
				            $lmrkp = $fn->famarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        
    				        if($lmrkp !='')
    				        { 
    				            $ccel_markp += $lmrkp;
    				           
    				        }
    				         $ccel_max_markp += $fn->max_mark; 
    				    }

				     }
				     foreach($sa as $sn)
				     {
				        if($sn->subtyp_id == 1)
				        {
				            $slmrk = $sn->samarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        if($slmrk !='')
    				        {
        				        $ccel_mark += $slmrk;
        				       
        				    }
        				     $ccel_max_mark += $sn->max_mark; 
				        }
				        else if($sn->subtyp_id == 2)
				        {
				            $slmrkp = $sn->samarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        if($slmrkp !='')
    				        {
        				        $ccel_markp += $slmrkp;
        				        
        				    }
        				    $ccel_max_markp += $sn->max_mark; 
				        }

				     } 
				     if($ccel_max_mark != 0)
				     {
				        $markl = ($ccel_mark/$ccel_max_mark)*$ccal;
				        $markl = round($markl);
				        $total_mrk += $markl;
				     }
				     if($ccel_max_markp != 0)
				     {
				        $pmarkl = ($ccel_markp/$ccel_max_markp)*$ccap;
				        $pmarkl = round($pmarkl);
				        $total_mrk += $pmarkl;
				     }
				     if($subex->max_mark != 0)
				     {
    				     if($examl_mark != -1)
    				     {
    				        $exam_markl  = ($examl_mark/$subex->max_mark)*$esel;
    				        $exam_markl = round($exam_markl);
    				        $total_mrk += $exam_markl;
    				     }
    				     else
    				     {
    				        $exam_markl = 'AB';
    				        $abs++; $gabs++;
    				     }
				   }
				   if($subex->pmax_mark !=0)
				   {
    				    if($examp_mark != -1)
    				    {
        				    $exam_markp  = ($examp_mark/$subex->pmax_mark)*$esep;
        				    $exam_markp = round($exam_markp);
        				    $total_mrk += $exam_markp;
    				    }
    				    else
    				    {
    				        $exam_markp = 'AB';
    				        $abs++; $gabs++;
    				    }
				   }
				  if(($ccal+$ccap+$esel+$esep) > 0 )
				  {
				   $percentage = ($total_mrk/($ccal+$ccap+$esel+$esep))*100;
				   $percentage = round($percentage);
				   }
				   else
				   {
				    $percentage =0;
				   }
				   
				   $gp = App\Models\FYUGP_Grade::where('p_from', '<=', $percentage)->where('p_to', '>=', $percentage)->where('ac_year_id',$ac_id)->first();
				   if ($gp) {
				   $credit_point = $gp->gp * $subex->esesubn->subject_credit ;
				   }
				   else
				   {
				    $credit_point = 0;
				   }
				   if($abs == 0)
				   {
				   if ($gp) {
    				   if($gp->description == "Fail")
    				   {
    				    $result = "F";
    				    $rl++;
    				   }
    				   else
    				   {
    				    $result = "P";
    				   } 
    				   }
    			  }else{ $result = "-";}
				   $tot_credit_point += $subex->esesubn->subject_credit;
				   $tot_max_mark += $max_mark;
				   $grand_total += $total_mrk;
				   $tot_cp += $credit_point;
				@endphp
				<tr>
				    <td>{{$subex->esesubn->subject_code}}</td>
				    <td>{{$subex->esesubn->subject_name}}</td>
				    <td align="center">{{$subex->esesubn->subject_credit}}</td>
				    <td align="center">{{$max_mark}}</td>
				    <td align="center">{{$markl}}</td>
				    <td align="center">{{$exam_markl}}</td>
				    <td align="center">{{$pmarkl}}</td>
				    <td align="center">{{$exam_markp}}</td>
				    <td align="center">{{$total_mrk}}</td>
				    @if($gp)
				    <td align="center">{{$gp->gp}}</td>
				    <td align="center">{{$gp->grade}}</td>@else <td align="center"></td> <td align="center"></td> @endif
				    <td align="center">{{$credit_point}}</td>
				    <td align="center">{{$result}}</td>
				</tr>
				@php 
                            
                        }
                    }
                    else if($sub_cat == 5 || $sub_cat == 6)
                    {
						$sem_name = \App\Models\Semester::where('semester_id',$semester_id)->first();
						if($sem_name->semester_name == '1st Semester')
						{
                        $sub_cnt = $subex->subminordmc->where('acyear_id',$ac_id)->where('sub_cat',$sub_cat)->where('stud_id',$student_det->student_id)->pluck('stud_id')->first();
						}
						else{
						$sub_cnt =1;
						}
                        if($sub_cnt !='')
                        {  
                            
				    
				     $max_mark = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('max_mark')->first(); 
				     $creditl = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('credit_l')->first(); 
				     $ccal = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('cca_l')->first(); 
				     $esel = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('ese_l')->first(); 
				     
				     $creditp = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('credit_p')->first(); 
				     $ccap = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('cca_p')->first(); 
				     $esep = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('ese_p')->first(); 
				     
				     $examl_mark = $subex->exmarks->where('ac_id',$ac_id)->where('course',$course)->where('sem_id',$semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
				     $examp_mark = $subex->exmarks->where('ac_id',$ac_id)->where('course',$course)->where('sem_id',$semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$student_det->student_id)->pluck('pmark')->first();

				     foreach($fa as $fn)
				     {
				        if($fn->subtyp_id == 1)
				        {
				            $lmrk = $fn->famarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        
    				        if($lmrk !='')
    				        { 
    				            $ccel_mark += $lmrk;
    				            
    				        }
    				        $ccel_max_mark += $fn->max_mark; 
    				    }
    				    if($fn->subtyp_id == 2)
				        {
				            $lmrkp = $fn->famarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        
    				        if($lmrkp !='')
    				        { 
    				            $ccel_markp += $lmrkp;
    				           
    				        }
    				         $ccel_max_markp += $fn->max_mark; 
    				    }

				     }
				     foreach($sa as $sn)
				     {
				        if($sn->subtyp_id == 1)
				        {
				            $slmrk = $sn->samarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        if($slmrk !='')
    				        {
        				        $ccel_mark += $slmrk;
        				       
        				    }
        				     $ccel_max_mark += $sn->max_mark; 
				        }
				        else if($sn->subtyp_id == 2)
				        {
				            $slmrkp = $sn->samarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        if($slmrkp !='')
    				        {
        				        $ccel_markp += $slmrkp;
        				        
        				    }
        				    $ccel_max_markp += $sn->max_mark; 
				        }

				     } 
				     if($ccel_max_mark != 0)
				     {
				        $markl = ($ccel_mark/$ccel_max_mark)*$ccal;
				        $markl = round($markl);
				        $total_mrk += $markl;
				     }
				     if($ccel_max_markp != 0)
				     {
				        $pmarkl = ($ccel_markp/$ccel_max_markp)*$ccap;
				        $pmarkl = round($pmarkl);
				        $total_mrk += $pmarkl;
				     }
				     if($subex->max_mark != 0)
				     {
    				     if($examl_mark != -1)
    				     {
    				        $exam_markl  = ($examl_mark/$subex->max_mark)*$esel;
    				        $exam_markl = round($exam_markl);
    				        $total_mrk += $exam_markl;
    				     }
    				     else
    				     {
    				        $exam_markl = 'AB';
    				        $abs++; $gabs++;
    				     }
				   }
				   if($subex->pmax_mark !=0)
				   {
    				    if($examp_mark != -1)
    				    {
        				    $exam_markp  = ($examp_mark/$subex->pmax_mark)*$esep;
        				    $exam_markp = round($exam_markp);
        				    $total_mrk += $exam_markp;
    				    }
    				    else
    				    {
    				        $exam_markp = 'AB';
    				        $abs++; $gabs++;
    				    }
				   }
				  if(($ccal+$ccap+$esel+$esep) > 0 )
				  {
				   $percentage = ($total_mrk/($ccal+$ccap+$esel+$esep))*100;
				   $percentage = round($percentage);
				   }
				   else
				   {
				   $percentage = 0;
				   }
				   
				   $gp = App\Models\FYUGP_Grade::where('p_from', '<=', $percentage)->where('p_to', '>=', $percentage)->where('ac_year_id',$ac_id)->first();
				   if ($gp) {
				   $credit_point = $gp->gp * $subex->esesubn->subject_credit ;
				   }
				   else
				   {
				    $credit_point = 0;
				   }
				   if($abs == 0)
				   {
				   if ($gp) {
    				   if($gp->description == "Fail")
    				   {
    				    $result = "F";
    				    $rl++;
    				   }
    				   else
    				   {
    				    $result = "P";
    				   } 
    				   }
    			  }else{ $result = "-";}
				   $tot_credit_point += $subex->esesubn->subject_credit;
				   $tot_max_mark += $max_mark;
				   $grand_total += $total_mrk;
				   $tot_cp += $credit_point;
				@endphp
				<tr>
				    <td>{{$subex->esesubn->subject_code}}</td>
				    <td>{{$subex->esesubn->subject_name}}</td>
				    <td align="center">{{$subex->esesubn->subject_credit}}</td>
				    <td align="center">{{$max_mark}}</td>
				    <td align="center">{{$markl}}</td>
				    <td align="center">{{$exam_markl}}</td>
				    <td align="center">{{$pmarkl}}</td>
				    <td align="center">{{$exam_markp}}</td>
				    <td align="center">{{$total_mrk}}</td>
				    @if($gp)
				    <td align="center">{{$gp->gp}}</td>
				    <td align="center">{{$gp->grade}}</td>@else <td align="center"></td> <td align="center"></td> @endif
				    <td align="center">{{$credit_point}}</td>
				    <td align="center">{{$result}}</td>
				</tr>
				@php 
                            
                        }
                    }
                    else
                    {
				    
				     $max_mark = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('max_mark')->first(); 
				     $creditl = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('credit_l')->first(); 
				     $ccal = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('cca_l')->first(); 
				     $esel = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('ese_l')->first(); 
				     
				     $creditp = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('credit_p')->first(); 
				     $ccap = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('cca_p')->first(); 
				     $esep = $subex->subcredits->where('ac_id',$ac_id)->where('sem_id',$semester_id)->pluck('ese_p')->first(); 
				     
				     $examl_mark = $subex->exmarks->where('ac_id',$ac_id)->where('course',$course)->where('sem_id',$semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
				     $examp_mark = $subex->exmarks->where('ac_id',$ac_id)->where('course',$course)->where('sem_id',$semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$student_det->student_id)->pluck('pmark')->first();

				     foreach($fa as $fn)
				     {
				        if($fn->subtyp_id == 1)
				        {
				            $lmrk = $fn->famarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        
    				        if($lmrk !='')
    				        { 
    				            $ccel_mark += $lmrk;
    				            
    				        }
    				        $ccel_max_mark += $fn->max_mark; 
    				    }
    				    if($fn->subtyp_id == 2)
				        {
				            $lmrkp = $fn->famarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        
    				        if($lmrkp !='')
    				        { 
    				            $ccel_markp += $lmrkp;
    				           
    				        }
    				         $ccel_max_markp += $fn->max_mark; 
    				    }

				     }
				     foreach($sa as $sn)
				     {
				        if($sn->subtyp_id == 1)
				        {
				            $slmrk = $sn->samarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        if($slmrk !='')
    				        {
        				        $ccel_mark += $slmrk;
        				       
        				    }
        				     $ccel_max_mark += $sn->max_mark; 
				        }
				        else if($sn->subtyp_id == 2)
				        {
				            $slmrkp = $sn->samarks->where('ac_id',$ac_id)->where('sem_id',$semester_id)->where('course',$course)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$student_det->student_id)->pluck('mark')->first();
    				        if($slmrkp !='')
    				        {
        				        $ccel_markp += $slmrkp;
        				        
        				    }
        				    $ccel_max_markp += $sn->max_mark; 
				        }

				     } 
				     if($ccel_max_mark != 0)
				     {
				        $markl = ($ccel_mark/$ccel_max_mark)*$ccal;
				        $markl = round($markl);
				        $total_mrk += $markl;
				     }
				     if($ccel_max_markp != 0)
				     {
				        $pmarkl = ($ccel_markp/$ccel_max_markp)*$ccap;
				        $pmarkl = round($pmarkl);
				        $total_mrk += $pmarkl;
				     }
				     if($subex->max_mark != 0)
				     {
				        if($examl_mark != -1)
    				     {
        				    $exam_markl  = ($examl_mark/$subex->max_mark)*$esel;
        				    $exam_markl = round($exam_markl);
        				    $total_mrk += $exam_markl;
        				 }
        				 else
        				 {
        				    $exam_markl = 'AB';
        				    $abs++; $gabs++;
        				 }
				   }
				   if($subex->pmax_mark !=0)
				   {
				        if($examp_mark != -1)
    				    {
        				    $exam_markp  = ($examp_mark/$subex->pmax_mark)*$esep;
        				    $exam_markp = round($exam_markp);
        				    $total_mrk += $exam_markp;
        				}
        				else
        			    {
        				    $exam_markp = 'AB';
        				    $abs++; $gabs++;
        				}
				   }
				   if(($ccal+$ccap+$esel+$esep) > 0 )
				  {
				   $percentage = ($total_mrk/($ccal+$ccap+$esel+$esep))*100;
				   $percentage = round($percentage);
				   }
				   else
				   {
				    $percentage =0;
				   }
				   
				   $gp = App\Models\FYUGP_Grade::where('p_from', '<=', $percentage)->where('p_to', '>=', $percentage)->where('ac_year_id',$ac_id)->first();
				   if($gp)
				   {
				   $credit_point = $gp->gp * $subex->esesubn->subject_credit ;
				   }
				   else
				   { 
				    $credit_point = 0;
				   }
				   if($abs == 0)
				   {
				         if($gp)
    				   {
    				   
            				   if($gp->description == "Fail")
            				   {
            				    $result = "F";
            				    $rl++;
            				   }
            				   else
            				   {
            				    $result = "P";
            				   } 
    				   }
				   
				   }else{ $result = "-";}
				   $tot_credit_point += $subex->esesubn->subject_credit;
				   $tot_max_mark += $max_mark;
				   $grand_total += $total_mrk;
				   $tot_cp += $credit_point;
				@endphp
				<tr>
				    <td>{{$subex->esesubn->subject_code}}</td>
				    <td>{{$subex->esesubn->subject_name}}</td>
				    <td align="center">{{$subex->esesubn->subject_credit}}</td>
				    <td align="center">{{$max_mark}}</td>
				    <td align="center">{{$markl}}</td>
				    <td align="center">{{$exam_markl}}</td>
				    <td align="center">{{$pmarkl}}</td>
				    <td align="center">{{$exam_markp}}</td>
				    <td align="center">{{$total_mrk}}</td>
				    @if($gp)
				    <td align="center">{{$gp->gp}}</td>
				    <td align="center">{{$gp->grade}}</td> @else <td align="center"></td><td align="center"></td> @endif
				    <td align="center">{{$credit_point}}</td>
				    <td align="center">{{$result}}</td>
				</tr>
				@php } @endphp
				
				@endforeach
                <tr>
				    <td align="center"><b>Total</b></td>
				    <td></td>
				    <td align="center">{{$tot_credit_point}}</td>
				    <td align="center">{{$tot_max_mark}}</td>
				    <td colspan="4"></td>
				    <td align="center">{{$grand_total}}</td>
				    <td colspan="2"></td>
				    <td align="center">{{$tot_cp}}</td>
				    <td></td>
				</tr>
			
             </table>
             @php  if($tot_credit_point != 0)
                    {
                       $tot_percent = ($tot_cp/$tot_credit_point)*10;
                       
                       $sgpa =  $tot_cp/$tot_credit_point;
                       $sgpa1 = round($sgpa); 
                        
                       
                       $tgp = App\Models\FYUGP_Grade::where('gp_from', '<=', $sgpa1)->where('gp_to', '>=', $sgpa1)->where('ac_year_id',$ac_id)->first();
                       
                      
                       if($tgp->description == "Fail")
                       {
                            $g_result = "Failed";
                            $tgrade = $tgp->grade;
                       }
                       else
                       {
                            if($rl == 0)
                            {
                                $g_result = "Passed";
                                $tgrade = $tgp->grade;
                            }
                            else
                            {
                                $g_result = "Failed";
                                $tgrade = $tgp->grade;
                            }
                       } 
                    } 
                    
                
             @endphp
             <table style="border:1px solid black" class="data" width="95%" cellspacing="0" cellpadding="5px" align="center">
                 @php if($gabs == 0){ @endphp
                 	<tr>
				    <td width="30" align="center"><b>Total Marks(%)</b></td>
				    <td width="15" align="center">{{$tot_percent}}</td>
				    <td width="13"  align="center"><b>SGPA</b></td>
				    @php if($g_result == "Failed"){@endphp
				     <td width="5"align="center"> - </td>
				     <td width="5"  align="center"><b>Grade</b></td>
				    <td width="5" align="center"> - </td>
				    @php }else{ @endphp
				    <td width="5"align="center">{{$sgpa}}</td>
				    <td width="5"  align="center"><b>Grade</b></td>
				    <td width="5" align="center">{{$tgrade}}</td>
				    @php } @endphp
				    
				    <td width="22" align="center">{{$g_result}}</td>
			
				</tr>
				@php }else{ @endphp
					<tr>
				    <td width="30" align="center"><b>Total Marks(%)</b></td>
				    <td width="15" align="center">-</td>
				    <td width="13"  align="center"><b>SGPA</b></td>
				    
				    <td width="5"align="center">-</td>
				    <td width="5"  align="center"><b>Grade</b></td>
				    <td width="5" align="center">-</td>
				    <td width="22" align="center">-</td>
			
				</tr>
				@php }@endphp
             </table>
<br>
<table>
    <tr>
        <td><a href="{{route('searchstudent.fyexam.report.print',['student_id'=>$student->student_id])}}" target="_blank"><i class="fa fa-print" style="font-size:30px"></i> Progress Report</a></td>
    </tr>
</table>








</div>
</div>







@endsection