@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit Subject')
@section('breadcrumb','Settings /subject /view Subject /Edit Subject')
@section('content')
       
        
    
        
        
        
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>
        <div class="card-body">
        <form action="{{ route('subject.update') }}" method="post">
        @csrf
        <input type="hidden" name="subject_id" value="{{ encrypt($subject->subject_id) }}">
        <div class="row">
        
             
        <div class="col-md-3">
        <div class="form-group">
        <label for="subject_code" class="required"><b>Subject Code</b></label>
        <input type="text" class="form-control @error('subject_code') border-danger @enderror" id="subject_code" name="subject_code" value="{{ $subject->subject_code }}">
        @error('subject_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="subject_name" class="required"><b>Subject Name</b></label>
        <input type="text" class="form-control @error('subject_name') border-danger @enderror" id="subject_name" name="subject_name" value="{{ $subject->subject_name }}">
        @error('subject_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        
         <div class="col-md-3">
        <div class="form-group">
        <label for="subject_credit" class="required"><b>Credit</b></label>
        <input type="text" class="form-control @error('subject_credit') border-danger @enderror" id="subject_credit" name="subject_credit" value="{{ $subject->subject_credit }}">
        @error('subject_credit')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="subject_categ" class="required"><b>Subject Category</b></label>
        <select class="form-control" id="subject_categ" name="subject_categ" required>
        @foreach($subcategory as $categ)
        <option value="{{ $categ->id }}" {{ $subject->subject_categ ==$categ->id ? "selected":"" }}>{{ $categ->category }}</option>
        @endforeach
        </select>
        @error('subject_categ')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right">Update</button>
        </div>
        </div>
        </div>
                                    
                                    
        </form>
        </div>
        </div>
        </div>
        </div>
        
        
        
      
        <style>
                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

        </style>
@endsection