    <div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
    <input type="hidden" id="ac_id" name="ac_id" value="{{ $ac_det->ac_id }}">
    <input type="hidden" id="course_id" name="course_id" value="{{ $crs_det->course_id }}">
    <div id="totalStudents" class="mb-3"></div>
             
    <div class="row">
    <div class="col-md-12" align="right">
    <a style="float:right" href="{{ route('student.admission.excel',['ac_id' => $ac_det->ac_id,'course_id' => $crs_det->course_id]) }}"class="tip" data-original-title='Sample Excel Sheet'><i class="fas fa-file-excel" style="font-size:30px"></i></a>   
    </div>
    </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <input type="text" id="searchInput" class="form-control" style="background:#F8F8F8" placeholder="Search for students...">

    <div class="table-container">
    <table id="table-fine">
    <thead style="background-color:#8FBC8F">
    <tr>
    <th><b>#</b></th>
    <th><b>Admission No.</b></th>
    <th><b>Student Name</b></th>
    <th><b>Gender</b></th>
    <th><b>DOB</b></th>
    <th><b>Address</b></th>
    <th><b>Course</b></th>
    <th><b>Father Name/Mother Name</b></th>
    <th><b>Mobile Number</b></th>

                                
    </tr>
    </thead>
    <tbody>
    @foreach($student as $students)
    @php        @endphp
    <tr>
    <input type="hidden" name="student_id[]" value="{{ $students->student_id }}"></td>
    <td>{{ $loop->iteration }}</td>
    <td>{{$students->adno}}</td>
    <td>{{$students->name}}</td>
    <td>{{$students->gender}}</td>
    <td>{{$students->dob}}</td>
    <td>{{$students->paddress}}</td>
    <td>{{$students->course->course_name}}</td>
    <td>{{$students->fname.' / '.$students->mname}}</td>
   
    <td>{{$students->mobile}}</td>

    </tr>
                                
    @endforeach
    </tbody>
    </table>
    </div>
    <div id="load"></div>
    </div>
    </div>
    </div>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>
     $(document).ready(function() {
        function updateTotalStudentsCount() {
            var totalStudents = $('#table-fine tbody tr').length;
            $('#totalStudents').text('Total Students: ' + totalStudents).addClass('totalstudent');
        }
        updateTotalStudentsCount();
   
    });
    
    document.getElementById('searchInput').addEventListener('keyup', function() {
    const searchQuery = this.value.toLowerCase();
    const tableRows = document.querySelectorAll('#table-fine tbody tr');

    tableRows.forEach(row => {
        const cells = row.querySelectorAll('td');
        const matches = Array.from(cells).some(cell =>
            cell.textContent.toLowerCase().includes(searchQuery)
        );
        row.style.display = matches ? '' : 'none';
    });
});

</script>
<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color:; 
    /*border: 2px solid #3498db; */
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #F8F8F8;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}



.table-container {
    max-height: auto; 
    overflow-y: auto; 
    overflow-x: hidden; 
}

#table-fine {
    width: 100%;
    border-collapse: collapse;
}

#table-fine th, #table-fine td {
    padding: 8px; 
    text-align: left;
    border: 1px solid #ddd; 
}

#table-fine thead {
    background-color: #8FBC8F; 
}
#searchInput {
    margin-bottom: 10px;
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
}

</style>






 <!--<div class="row">-->
 <!--       <div class="col-lg-12 grid-margin stretch-card">-->
 <!--           <div class="card">-->
 <!--                  <div class="card-body">-->
 <!--                   <table class="table table-bordered" id="studentTable" width="100%">-->
 <!--                       <thead>-->
 <!--                       <tr>-->
 <!--                           <th>Adm No</th>-->
 <!--                           <th>Student Name</th>-->
 <!--                           <th>Quota</th>-->
 <!--                           <th>Mobile</th>-->
                           

 <!--                       </tr>-->
 <!--                       </thead>-->
 <!--                       <tbody>-->
 <!--                       </tbody>-->
 <!--                   </table>-->

 <!--  </div>-->
 <!--           </div>-->
 <!--       </div>-->
 <!--   </div>-->
 <!-- <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>-->
 <!--<script>-->
 <!--       $(function () {-->
 <!--           var studentTable = $("#studentTable").DataTable({-->
 <!--               lengthChange: true,-->
 <!--               lengthMenu: [ [100, 250, 500, 1000, -1], [100, 250, 500, 1000, 'All'],],-->
 <!--               scrollX: true,-->
 <!--               searching: true,-->
 <!--               processing : true,-->
 <!--               serverSide : true,-->
 <!--               columnDefs : [{ targets: 'no-sort', orderable: false }],-->
 <!--               ajax : {-->
 <!--                   url : '{{ route('student.acwisestudent.ajax') }}',-->
 <!--                   dataType : 'json',-->
 <!--                   type : 'GET',-->
 <!--               },-->
 <!--               columns : [-->
 <!--                   { data : 'adno' },-->
 <!--                   { data : 'name' },-->
 <!--                   { data : 'mobile' },-->
 <!--               ]-->
 <!--           });-->
 <!--       });-->
 <!--   </script>-->

