@extends('layouts.template')
@section('title','Home')
@section('heading','Attendance')
@section('breadcrumb','Home/Search Student/Attendance')
@section('content')

<div class="row">
    <div class="col-12">



     <div class="row">    
        
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.get.view',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROFILE</span></a>
    </div>
    </div>
  
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span></a>
    </div>
    </div>
    
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> FEE REPORT</span></a>
    </div>
    </div>
    
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span></a>
    </div>
    </div>
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> ATTENDANCE REPORT</span></a>
    </div>
    </div>
  
     @if($student->ac_id >= 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
    @endif
     @if($student->ac_id < 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
    </div>
    </div>
    @endif
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span></a>
    </div>
    </div>
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE REPORT</span></a>
    </div>
    </div>
 
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
    </div>
    </div>
      <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
    </div>
    </div>
     
     
     </div>
  
  
  
  </div>
  </div>
    <div class="card"> 
    <div class="card-header"  style="background-color:#005A9C;color:white;"><b>ATTENDANCE REPORT</b></div>
    <div class="card-body" style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
   
    <input type="hidden" name="student_id" value="{{$student->student_id}}" id="student_id">
    <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="fdate"><b>From Date</b></label>
            <input type="date" class="form-control" id="fdate" name="fdate" value="{{ old('fdate') ? old('fdate'):date('Y-m-d') }}">
            @error('fdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>       
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="tdate"><b>To Date</b></label>
                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{ old('tdate') ? old('tdate'):date('Y-m-d') }}">
                    @error('tdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    </div>
                  
                   
                   
                
                   </div> 
                   
                    <div class="row">
                    <div class="col-md-12">
                    <button type="submit" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                    </div>
                    </div>
                    
                   
                    
                    
                    
                    
                    
    </div>
    </div>
  
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card" id="result">
            
        </div>
        </div> 
        
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   
   
    <script>
             $(document).ready(function(){
      $("#btn-get").on('click',function(){
       
        var fdate=$('#fdate').val();
        var tdate=$('#tdate').val();
        var student=$('#student_id').val();
        
        
console.log(student);
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if( fdate=='' || tdate=='' || student==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../searchstudent-atten-report',
                data : {fdate:fdate,tdate:tdate,student:student},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
        
        }); 
        </script>
   
    
    
    
    
    
    
    
    
    
    
    
    @endsection