@extends('layouts.template')
@section('title','Home')
@section('heading','Duplicate TC - Payment')
@section('breadcrumb','Home / Student / Duplicate TC Payment')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(492,322)) }}
          
        
    </div>     
    <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
                
                
            <div class="card-header" style="background-color:#005A9C;color:white"><b>Duplicate TC Payment</b></div>
            <div class="card-body">



   
   
            <form action="{{route('duplicate.tc.payment.save')}}" method="post">
                @csrf 
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group" >
                            <label for="student_id" class="required">Student</label>
                            <select class="js-example-basic-single" id="student_id" name="student_id" style="width:100%;" required>
                                <option value="">Select</option>
                                @foreach($students as $student)
                                    <option value="{{ $student->student_id }}" {{ old('student_id') == $student->student_id ? "selected":"" }}>{{ $student->adno.' - '.$student->name }}</option>
                                @endforeach
                            </select>
                            @error('student_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div> 
                    <div class="col-12 col-sm-4">
                        <div class="form-group" >
                            <label for="receipt_no" class="required">Receipt Number</label>
                            <input type="text" name="receipt_no" id="receipt_no" value="{{ $receipt_no }}" class="form-control" readonly required>
                            @error('receipt_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="paid_date" class="required">Payment Date</label>
                            <input type="date" name="paid_date" id="paid_date" value="{{ old('paid_date') }}" class="form-control" required>
                            @error('paid_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group" >
                            <label for="amount" class="required">Amount</label>
                            <input type="text" name="amount" id="amount" value="{{ old('amount') }}" class="form-control" required>
                            @error('amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group" >
                            <label for="mode_id" class="required">Payment Mode</label>
                            <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%" required>
                                <option value="">Select</option> 
                                @foreach($paymentmodes as $paymode)
                                    <option value="{{ $paymode->mode_id }}" {{ old('mode_id') == $paymode->mode_id ? "selected":"" }}>{{ $paymode->mode_name }}</option>
                                @endforeach
                            </select>
                            @error('mode_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>      
        </div>
    </div>
     </div>
    </div>
    
     </div>
    </div>
     </div>
    </div>
     <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        </style>
@endsection