<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
         
  <form action="{{ route('timetable.save') }}" method="post">
    @csrf
    <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
    <input type="hidden" id="sem_id" name="sem_id" value="{{ encrypt($semester_id) }}">
  

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
     
        <th>Period</th>
            <th>Monday</th>
            <th>Tuesday</th>
            <th>Wednesday</th>
            <th>Thursday</th>
            <th>Friday</th>
        
    </tr>
    </thead>
    <tbody>
             @foreach($periods as $period)
            <tr>
                <td>{{ $period->period }}</td>
                @foreach(['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday'] as $day)
                    <td>
                        @foreach($timetable as $t)
                            @if($t->period_id == $period->id && $t->day_of_week == $day)
                                {{ $t->subject ? $t->subject->subject_name : 'No subject assigned'}}<br>
                                {{  $t->unames ? $t->unames->name : 'No teacher assigned' }}
                            @endif
                        @endforeach
                    </td>
                @endforeach
            </tr>
        @endforeach
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/studall.js') }}"></script>
<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #F8F8F8;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: green;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
</style>

