@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Add Bus') 
@section('content') 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(485,486)) }}
          
        
    </div>     
    <div class="card-body">
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
                
                
            <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Bus</b></div>
            <div class="card-body">



      
<form action="{{route('trans.add.bus.save')}}" method="post">
    @csrf
<div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="dop" class="required"><b>Date of Purchase</b></label>
            <input type="date" class="form-control" id="dop" name="dop" value="{{ old('dop')}}">
            @error('dop')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="bus_no" class="required"><b>Bus Number</b></label>                         
                            <input type="text" name="bus_no" id="bus_no" class="form-control" placeholder="Bus Number" required>                                                             
                             @error('bus_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div>       
            <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="bus_model" class="required"><b>Bus Model</b></label>                         
                            <input type="text" name="bus_model" id="bus_model" class="form-control" placeholder="Bus Model" required>                                                             
                                      @error('bus_model')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div>    
            <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="amount" class="required"><b>Amount</b></label>                         
                            <input type="text" name="amount" id="amount" class="form-control"  placeholder="Amount"  required>                                                             
                                        @error('amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div> 
            </div>
            
                <div class="row">
                <div class="col-md-3">                         
                <div class="form-group">  
                 <label for="manufacturer" class="required"><b>Manufacturer</b></label>
                <textarea name="manufacturer" class="form-control" placeholder="Manufacturer" ></textarea>  
                                                        @error('manufacturer')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>
                            </div>
                          <div class="col-md-3">                         
                <div class="form-group">  
                 <label for="dealer" class="required"><b>Dealer</b></label>
                <textarea name="dealer" class="form-control" placeholder="Dealer"></textarea>  
                                                        @error('dealer')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>
                            </div>  
                          <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="chasis_no" class="required"><b>Chasis Number</b></label>                         
                            <input type="text" name="chasis_no" id="chasis_no" class="form-control"  placeholder="Chasis Number" required>                                                             
                                        @error('chasis_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div>    
                            
                            <div class="col-md-3">
            <div class="form-group">
            <label for="insurance_date" class="required"><b>Insurance Date</b></label>
            <input type="date" class="form-control" id="insurance_date" name="insurance_date" value="{{ old('insurance_date')}}">
            @error('insurance_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            <div class="col-md-3">
            <div class="form-group">
            <label for="insurance_vali" class="required"><b>Insurance Validity</b></label>
            <input type="date" class="form-control" id="insurance_vali" name="insurance_vali" value="{{ old('insurance_vali')}}">
            @error('insurance_vali')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            </div>
            
            
            <div class="row">
               <div class="col-md-12"> 
            <input type="submit" name="sub" value="Save" class="btn btn-primary float-right">
            </div>
            </div>
            







</form>

            </div>                             
            </div> 
            </div>
            </div>
            
            </div>                             
            </div> 
            </div>
            </div>

  <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
    </style>
   @endsection