@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home / Transportation / Edit Bus') 
@section('content') 

 <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Edit Bus</b></div>     
        <div class="card-body">         
<form action="{{route('trans.update.bus')}}" method="post">
    @csrf
    <input type="hidden" name="bus_id" value="{{ $bus->addbus_id }}">
<div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="dop"><b>Date of Purchase</b></label>
            <input type="date" class="form-control" id="dop" name="dop" value="{{ date('d-m-Y',strtotime($bus->dop))}}">
            @error('dop')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="bus_no"><b>Bus Number</b></label>                         
                            <input type="text" name="bus_no" id="bus_no" class="form-control" value="{{$bus->bus_no}}" required>                                                             
                             @error('bus_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div>       
            <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="bus_model"><b>Bus Model</b></label>                         
                            <input type="text" name="bus_model" id="bus_model" class="form-control" value="{{$bus->bus_model}}" required>                                                             
                                      @error('bus_model')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div>    
            <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="amount"><b>Amount</b></label>                         
                            <input type="text" name="amount" id="amount" class="form-control" value="{{$bus->amount}}" required>                                                             
                                        @error('amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div> 
            </div>
            
                <div class="row">
                <div class="col-md-3">                         
                <div class="form-group">  
                 <label for="manufacturer"><b>Manufacturer</b></label>
                <textarea name="manufacturer" class="form-control">{{$bus->manufacturer}}</textarea>  
                                                        @error('manufacturer')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>
                            </div>
                          <div class="col-md-3">                         
                <div class="form-group">  
                 <label for="dealer"><b>Dealer</b></label>
                <textarea name="dealer" class="form-control">{{$bus->dealer}}</textarea>  
                                                        @error('dealer')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>
                            </div>  
                          <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="chasis_no"><b>Chasis Number</b></label>                         
                            <input type="text" name="chasis_no" id="chasis_no" value="{{$bus->chasis_no}}" class="form-control" required>                                                             
                                        @error('chasis_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div>    
                            
                            <div class="col-md-3">
            <div class="form-group">
            <label for="insurance_date"><b>Insurance Date</b></label>
            <input type="date" class="form-control" id="insurance_date" name="insurance_date" value="{{$bus->insurance_date}}">
            @error('insurance_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            <div class="col-md-3">
            <div class="form-group">
            <label for="insurance_vali"><b>Insurance Validity</b></label>
            <input type="date" class="form-control" id="insurance_vali" name="insurance_vali" value="{{date('d-m-Y',strtotime($bus->insurance_vali))}}">
            @error('insurance_vali')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>  
            </div>
            
            
            <div class="row">
               <div class="col-md-12"> 
            <input type="submit" name="sub" value="Save" class="btn btn-primary float-right">
            </div>
            </div>
            







</form>

            </div>                             
            </div> 
            </div>
            </div>

  <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
    </style>
   @endsection