@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/View Bus') 
@section('content') 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(485,486)) }}
          
        
    </div>     
    <div class="card-body">
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
            <div class="card-header" style="background-color:#005A9C;color:white"><b>View Bus</b></div>
            <div class="card-body">
        
        
        


   
         
         <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Bus Number</b></th>
                             <th><b>Bus Model</b></th>
                            <th><b>Purchase Date</b></th>
                            <th colspan="2"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($addbus as $addbuses)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                     <td>{{$addbuses->bus_no}}</td>
                                      <td>{{$addbuses->bus_model}}</td>
                                      <td>{{date('d-m-Y',strtotime($addbuses->dop))}}</td>
                                     <td><a href="{{route('trans.edit.bus',['id'=>$addbuses->addbus_id] )}}"><i class="icon-pencil text-primary"></i></a></td>
                                     <td><a href="{{route('trans.delete.bus',['id'=>$addbuses->addbus_id] )}}"  onclick="return confirm('Are you sure you want to delete this Bus Details?');"><i class="icon-trash text-danger"></i></a></td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
        
        
        
        
            </div>                             
            </div> 
            </div>
            </div>
            
            
            
               </div>                             
            </div> 
            </div>
            </div>

          <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
        
       
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>
         @endsection