
@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Edit Route') 
@section('content') 


<div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Edit Route</b></div>     
        <div class="card-body">         
<form action="{{route('trans.update.route')}}" method="post">
    @csrf
    <input type="hidden" name="route_id" value="{{$route_id->route_id}}">
    <div class="row">  
     <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="route_name"><b>Route Name</b></label>                         
<textarea name="route_name" class="form-control" >{{$route->route_name}}
    
</textarea>
@error('route_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror

                            </div>                             
                            </div>    
                  <div class="col-md-3">                         
                            <div class="form-group">                             
                            <label for="route_code"><b>Route Code</b></label>   
                       <input type="text" name="route_code" class="form-control" value="{{$route->route_code}}">    
                   @error('route_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
         
    </div>                     
    </div>     
    </div>
    
     <div class="row">
               <div class="col-md-12"> 
            <input type="submit" name="sub" value="Update" class="btn btn-primary float-right">
            </div>
            </div>
    
    
    
    </form>
    </div>
    </div>
    </div>
    </div>




<style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
    </style>






@endsection