
  <div class="card">
    <div class="card-header" style="background:#005A9C;color:white"><b>Add Bus Facility</b></div>
    <div class="card-body">
        <form action="{{route('busfacility.addstudents.save')}}" method="post">
            @csrf
        <input type="hidden" name="course_id" value="{{$course_id->course_id}}">
        <input type="hidden" name="semester_id" value="{{$sem->semester_id}}">
        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        
         <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                                <th><b>Student Name</b></th>
                                <th><b>Date</b></th>
                             <th><b>Route Name</b></th>
                            <th><b>Stop Name</b></th>
                            
                           
                        </tr>
                        </thead>
                        <tbody>
                          @forelse($student as $students)
    <input type="hidden" name="student_id[]" value="{{$students->student_id}}">
    <tr>
        <td>{{$loop->iteration}}</td>
        <td>{{$students->name}}</td>
        <td>
            <input type="date" class="form-control" name="date[]" value="{{ optional($existingBusFacilities->where('student_id', $students->student_id)->first())->date ?: old('date.' . $loop->index) }}">
        </td>
        <td>
            <select class="form-control route_id" name="route_id[]">
                <option value=""><span class="fw-bold">Select</span></option>
                @foreach($routes as $route)
                    <option value="{{ $route->route_id }}" 
                                                    {{ optional($existingBusFacilities->where('student_id', $students->student_id)->first())->route_id == $route->route_id ? 'selected' : (old('route_id.' . $loop->index) == $route->route_id ? 'selected' : '') }}>
                                                    {{ $route->route_name }}
                    </option>
                @endforeach
            </select>
        </td>
        <td>
            <select class="form-control stop_id" name="stop_id[]">
                                            <option value=""><span class="fw-bold">Select</span></option>
                                            <!-- Populate stops based on the selected route -->
                                            @if($existingBusFacilities->where('student_id', $students->student_id)->isNotEmpty())
                                                @php
                                                    $existingFacility = $existingBusFacilities->where('student_id', $students->student_id)->first();
                                                @endphp
                                                <option value="{{ $existingFacility->stop_id }}" selected>{{ $existingFacility->stop->stop_name }}</option>
                                            @endif
                                        </select>
        </td>
    </tr>
@empty
    <tr>
        <td colspan="2">No Result Found!</td>
    </tr>
@endforelse

                        </tbody>
                    </table>

        
        
        
        
        
        
        
        </div>
        </div>
        
        <input type="submit" name="sub" value="Add" class="btn btn-primary float-right">
        </form>
        </div>
        </div>
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
        <script src="{{ asset('public/js/busfacilityselect.js') }}"></script>
           <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
        
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>