@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Due Report') 
@section('content') 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(538,545)) }}
          
        
    </div>     
    <div class="card-body">

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
                
                
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Due Report-Route Wise</b></div>
        <div class="card-body">





        
        
         <div class="row">  
                              <div class="col-md-3"> 
                            <div class="form-group">                             
                            <label for="route_name" class="required"><b>Route Name</b></label>                         
                            <select class="form-control" id="route_id" name="route_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($routes as $route)                         
                                    <option value="{{ $route->route_id }}" {{ old('route_id') == $route->route_id ? "selected" : "" }}>{{ $route->route_name}}</option>                         
                                    @endforeach                         
                                    </select>   
                                    </div>
                                    </div>
                                     <div class="col-md-3">
                             <div class="form-group">
                            <label for="month" class="required"><b>Month</b></label>
                             <select class="form-control" id="month" name="month">
            <option value="">Select</option>
            @foreach ($months as $item)
                @php
                    $monthName = date('F', $item['month']);
                    $year = date('Y', $item['month']);
                @endphp
                <option value="{{ $item['month'] }}" {{ old('month') == $item['month'] ? 'selected' : '' }}>
                    {{ $monthName }} {{ $year }}
                </option>
            @endforeach
        </select>
                            @error('month')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                                    </div>
        <div class="row">
                            <div class="col-md-12">
                            <div class="form-group">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                            </div>
                            </div>
                            </div>
        
        
        </div>
        </div>
        </div>
        </div>
        
        
        
          </div>
        </div>
        </div>
        </div>
             <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
            </div>  
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
        <script>
            $(document).ready(function(){
    
            $("#btn-get").on('click',function(){
                var rid = $('#route_id').val();
               var mid = $('#month').val();
                $("#result").html('');
                $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
               
                    $.ajax({
                        type : 'GET',
                        url : '../busfeeduereportroute-get',
                        data : {rid:rid,mid:mid},
                        success : function(response){
                            $("#result").html('');
                            $("#result").append(response);
                        }
                    });
               
            });
        });
        </script>
        
        
          <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        
        </style>
        @endsection