
@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Edit Stop') 
@section('content') 
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(495,496,517)) }}
          
        
    </div>     
    <div class="card-body">
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
            <div class="card-header" style="background-color:#005A9C;color:white"><b>View Stop</b></div>
            <div class="card-body">


 
       
         <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Route Name</b></th>
                             <th><b>Stop Name</b></th>
                            <th><b>Bus Number</b></th>
                            <th><b>Fees</b></th>
                            <th colspan="1"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($stop as $stops)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                     <td>{{$stops->route->route_name}}</td>
                                      <td>{{$stops->stop_name}}</td>
                                   <td>{{$stops->bus->bus_no}}</td>
                                   <td>{{number_format($stops->fee,0)}}</td>
                                 <!--<td><a href="{{route('trans.edit.stop',['id'=>$stops->stop_id])}}"><i class="icon-pencil"></i></a></td>-->
                                    <td><a href="{{route('trans.delete.stop',['id'=>$stops->stop_id])}}"  onclick="return confirm('Are you sure you want to delete this Stop name?');"><i class="icon-trash text-danger"></i></a></td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
        
        
        
        
            </div>                             
            </div> 
            </div>
            </div>

          
          </div>                             
            </div> 
            </div>
            </div>
          
          <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
      
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>
         @endsection