@extends('layouts.template')
@section('title','Home')
@section('heading','Tutorial')
@section('breadcrumb','Home / Tutorial / View')
@section('content')
 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(398,399)) }}
          
        
    </div>     
    <div class="card-body">

 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Tutorials</b></div>
                <div class="card-body">

   
   
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Course</th>
                    <th>Semester</th>
                    <th>Subject</th>
                    <th>Title</th>
                    <th>Content</th>
                    <th>Attachment</th>
                    <th>Actions</th>
                </tr>
                </thead>
                <tbody>
                    @forelse($tutorials as $tutorial)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ $tutorial->course->course_code }}</td>
                            <td>{{ $tutorial->sem->semester_name }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $tutorial->sub->subject_name }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$tutorial->title}}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$tutorial->content}}</td>
                            <td align="center">
                                <a href="{{ asset('public/uploads/staff/tutorial/'.$tutorial->file) }}" target="_blank">
                                    <i class="fas fa-paperclip"></i> Download
                                </a>                
                            </td>
                            <td align="center"><a href="{{route('tutorial.delete',['id'=>$tutorial->tutorial_id ])}}"><i class="fa-solid fa-times text-danger" style="font-size: 18px;"></i></a></td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="8">No Result Found !</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>
    </div>
    </div>
    
    
    
    </div>
    </div>
    </div>
    </div>
    
    
      <style>
      .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        
        </style>
@endsection