
<?php $__env->startSection('title','Hourly Attendance'); ?>
<?php $__env->startSection('heading','Hourly Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home / Staff Time Table / Hourly Attendance'); ?>
<?php $__env->startSection('content'); ?>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>

<div class="card" style="border-top:3px solid #004170">
    <div>
    <?php $__currentLoopData = $studentleav; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lvt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php if($lvt->leave_name == 'Absent'): ?>
    &nbsp;&nbsp;<i class="fas fa-window-close fa-1x" style="color: <?php echo e($lvt->leave_color); ?>;">&nbsp;&nbsp;<span style="font-size: 12px; color: black;"><?php echo e($lvt->leave_name); ?></span></i>
    <?php else: ?>
         &nbsp;&nbsp;<i class="fas fa-check-square fa-1x" style="color: <?php echo e($lvt->leave_color); ?>;">&nbsp;&nbsp;<span style="font-size: 12px; color: black;"><?php echo e($lvt->leave_name); ?></span></i>
    <?php endif; ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    &nbsp;&nbsp;<i class="fas fa-check-square text-success fa-1x">&nbsp;&nbsp;<span style="font-size: 12px; color: black;">Present</span></i>
</div>
    <div class="card-body">
         
  <form action="<?php echo e(route('studentattendance.hourly.save')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" id="course" name="course" value="<?php echo e(encrypt($cid)); ?>">
    <input type="hidden" id="sem_id" name="sem_id" value="<?php echo e(encrypt($did)); ?>">
    <input type="hidden" id="date" name="date" value="<?php echo e(encrypt($date)); ?>">
    <input type="hidden" id="period" name="period" value="<?php echo e(encrypt($prd)); ?>">
    <input type="hidden" id="subject" name="subject" value="<?php echo e(encrypt($subj)); ?>">
    <input type="hidden" id="periodname" name="periodname" value="<?php echo e(encrypt($periodname)); ?>">

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <table id="table-fine" class="table table-bordered">
    <thead style="background-color:#8FBC8F">
    <tr>
       
        <th><b>Adno</b></th>
        <th><b>Student Name</b></th>
        <th><b><?php echo e(date('l',strtotime($date))); ?> - <?php echo e(date('d-m-Y',strtotime($date))); ?> [ Period <?php echo e($periodname); ?> ]</b></th>
        
    </tr>
    </thead>
    <tbody>
            <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php
            $attendanceRecord = App\Models\StudentAttendance::where('date', $date)
                ->where('subject_id', $subj)
                ->where('student_id', $student->student_id)
                ->first();
        
            
            ?>
        <tr>
          <input type="hidden" name="student_id[]" value="<?php echo e($student->student_id); ?>">
          <input type="hidden" name="student_name[]" value="<?php echo e($student->name); ?>">
           <td><?php echo e($student->adno); ?></td>
           <td><?php echo e(strtoupper($student->name)); ?></td>
            <?php if(!$attendanceRecord): ?>
           <td align="center">
            <input type="checkbox" name="attendance[<?php echo e($student->student_id); ?>][]" value="<?php echo e($date); ?>" 
        class="attendance-checkbox" 
        onclick="showAbsentForm(this, '<?php echo e(date('d-m-Y', strtotime($date))); ?>', '<?php echo e($student->student_id); ?>')" checked>
           </td>
           <?php else: ?>
           <td align="center">
               <?php if($attendanceRecord->am == 0 && $attendanceRecord->pm == 0): ?>
               <?php 
               $lvcolor = $attendanceRecord->leavetypes()->where('stuleav_id', $attendanceRecord->stuleav_id)->value('leave_color');
               ?>
               <?php if($attendanceRecord->stuleav_id == '1'): ?>
               
               <i class="fas fa-check-square fa-3x" style="color: <?php echo e($lvcolor); ?>;"   onclick="showAbsentForm(this, '<?php echo e(date('d-m-Y', strtotime($date))); ?>', '<?php echo e($student->student_id); ?>')"></i>
               <?php elseif($attendanceRecord->stuleav_id == '3'): ?>
               <i class="fas fa-check-square fa-3x" style="color: <?php echo e($lvcolor); ?>;" onclick="showAbsentForm(this, '<?php echo e(date('d-m-Y', strtotime($date))); ?>', '<?php echo e($student->student_id); ?>')"></i>
               <?php else: ?>
               <i class="fas fa-check-square text-success fa-3x" onclick="showAbsentForm(this, '<?php echo e(date('d-m-Y', strtotime($date))); ?>', '<?php echo e($student->student_id); ?>')"></i>
               <?php endif; ?>
             
             <?php elseif($attendanceRecord->am == 1 && $attendanceRecord->pm == 1): ?>
             <?php 
               $lvcolor = $attendanceRecord->leavetypes()->where('stuleav_id', $attendanceRecord->stuleav_id)->value('leave_color');
               ?>
             <i class="fas fa-window-close fa-3x" style="color: <?php echo e($lvcolor); ?>;" onclick="showPresentForm(this, '<?php echo e(date('d-m-Y', strtotime($date))); ?>', '<?php echo e($student->student_id); ?>')"></i>
             <?php endif; ?>
             </td>
           <?php endif; ?>
        </tr>
        
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
    </table>
    <div id="load"></div>
    </div>
    </div>
    </div>
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
          
    </div>
    
</div>
         <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
   <script src="<?php echo e(asset('public/js/studall.js')); ?>"></script>
   
   
    <!-- Absent Details Modal -->
    <div class="modal fade" id="absentFormModal" tabindex="-1" role="dialog" aria-labelledby="absentFormModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
    <div class="modal-header" style="background:#004170">
    <h5 class="modal-title" id="absentFormModalLabel" style="color:white"><b>ABSENT/PRESENT DETAILS</b></h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body" STYLE="background:white">
    <form id="absentForm" action="<?php echo e(route('studentattendance.hourly.update')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" name="course_id" value="<?php echo e($cid); ?>">
            <input type="hidden" name="semester_id" value="<?php echo e($did); ?>">
            <input type="hidden" name="subject_id" value="<?php echo e($subj); ?>">
            <input type="hidden" name="period_id" value="<?php echo e($prd); ?>">
            <input type="hidden" name="periodname" value="<?php echo e($periodname); ?>">
            <input type="hidden" id="absentDate" name="date">
            <input type="hidden" id="studentId" name="student_id">
            <input type="hidden" id="popupStaffName" name="student_name">

            <div class="form-group">
                <label for="absentName">Student Name</label>
                <input type="text" id="absentName" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
            <label for="absentDateField">Date</label>
            <input type="text" id="absentDateField" name="date" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
          <input type="checkbox" id="present_period" name="present_period"> <label for="present_period">Present</label>
        </div>
            <div class="form-group" id="ltype_select">
                <label for="stuleav_id">Leave Type</label>
                <select class="form-control" id="stuleav_id" name="stuleav_id" required>
                    <option value="">Select</option>
                    <?php $__currentLoopData = $studentleav; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $leave): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($leave->stuleav_id); ?>" <?php echo e(2 == $leave->stuleav_id  ? "selected":""); ?>><?php echo e($leave->leave_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php $__errorArgs = ['stuleav_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-danger small mt-1"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            <div class="form-group">
                <label for="absentReason">Reason</label>
                <textarea id="absentReason" name="reason" placeholder="Enter absent reason..." class="form-control" style="background-color:#F0F0F0"></textarea>
            </div>
             
            <button type="submit" class="btn btn-danger float-right">Save</button>
</form>
</div>
</div>
</div>
</div> 

<!-- Absent Details Modal -->
    <div class="modal fade" id="presentFormModal" tabindex="-1" role="dialog" aria-labelledby="presentFormModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
    <div class="modal-content">
    <div class="modal-header" style="background:#004170">
    <h5 class="modal-title" id="presentFormModalLabel" style="color:white"><b>ABSENT/PRESENT DETAILS</b></h5>
        <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body" STYLE="background:white">
    <form id="presentForm" action="<?php echo e(route('studentattendance.hourly.present.update')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" name="course_id" value="<?php echo e($cid); ?>">
            <input type="hidden" name="semester_id" value="<?php echo e($did); ?>">
            <input type="hidden" name="subject_id" value="<?php echo e($subj); ?>">
            <input type="hidden" name="period_id" value="<?php echo e($prd); ?>">
            <input type="hidden" name="periodname" value="<?php echo e($periodname); ?>">
            <input type="hidden" id="presentDate" name="date">
            <input type="hidden" id="pstudentId" name="student_id">
            <input type="hidden" id="popupStaffName" name="student_name">

            <div class="form-group">
                <label for="name">Student Name</label>
                <input type="text" id="name" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
            <label for="presentDateField">Date</label>
            <input type="text" id="presentDateField" name="date" class="form-control" style="background-color:#F0F0F0" readonly>
            </div>
            <div class="form-group">
          <input type="checkbox" id="present_period" name="present_period"> <label for="present_period">Present</label>
        </div>
            <div class="form-group" id="ltype_select">
                <label for="stuleav_id">Leave Type</label>
                <select class="form-control" id="stuleav_id" name="stuleav_id" required>
                    <option value="">Select</option>
                    <?php $__currentLoopData = $studentleav; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $leave): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($leave->stuleav_id); ?>" <?php echo e(2 == $leave->stuleav_id  ? "selected":""); ?>><?php echo e($leave->leave_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php $__errorArgs = ['stuleav_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-danger small mt-1"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
           <div class="form-group">
                <label for="absentReason">Reason</label>
                <textarea id="absentReason" name="reason" placeholder="Enter absent reason..." class="form-control" style="background-color:#F0F0F0"></textarea>
            </div>
             
            <button type="submit" class="btn btn-danger float-right">Save</button>
</form>
</div>
</div>
</div>
</div> 


<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>

<script>
 $('#present_period').change(function() {
    
    if ($(this).prop('checked')) {
      $('#ltype_select').hide();
     
    } else {
      $('#ltype_select').show();
    
    }
  });
function showAbsentForm(checkbox, date, studentId) {
        if (!checkbox.checked) {
            var studentName = $(checkbox).closest('tr').find('input[name="student_name[]"]').val();
            $('#absentDate').val(date);
            $('#studentId').val(studentId);
            $('#absentName').val(studentName);
            $('#popupStaffName').val(studentName);
            $('#absentDateField').val(date);
            $('#present_period').prop('checked', false);
            $('#ltype_select').show();
            $('#absentFormModal').modal('show');
        }
    }
    
function showPresentForm(checkbox, date, studentId) {
        if (!checkbox.checked) {
            var studentName = $(checkbox).closest('tr').find('input[name="student_name[]"]').val();
            $('#presentDate').val(date);
            $('#pstudentId').val(studentId);
            $('#name').val(studentName);
            $('#popupStaffName').val(studentName);
            $('#presentDateField').val(date);
            $('#presentFormModal').modal('show');
        }
    }    
</script>
<style>
    
  

input[type="checkbox"] {
  width: 2em;
  height: 2rem;
   display: inline-block; 
   margin: 0;
  accent-color: blue;
}
.container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}

</style>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/timetable/studentattendance/index.blade.php ENDPATH**/ ?>