 
<?php $__env->startSection('title', 'Home'); ?> 
<?php $__env->startSection('heading', 'Add Club'); ?> 
<?php $__env->startSection('breadcrumb', 'Home/CLUBS/Add Club'); ?> 
<?php $__env->startSection('content'); ?> 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              <?php echo e(app_button_links_v(array(349,350))); ?>

          
        
    </div>     
    <div class="card-body">

 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Select the Criteria</b></div>
                <div class="card-body">




 


               
                <form action="<?php echo e(route('clubs.add.save')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="row">              
                        <div class="col-md-3">                         
                            <div class="form-group">                             
                                <label for="club_name" class="required"><b>Club Name</b></label>                         
                                <input type="text" name="club_name" id="club_name" class="form-control" placeholder="Club Name" required>                                                             
                            </div>                             
                        </div>                                                             
                        <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="user_id" class="required"><b>Staff-in-charge</b></label>                         
                                <select class="form-control" id="user_id" name="user_id[]" multiple required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    <?php $__currentLoopData = $staff; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staffs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>                         
                                        <option value="<?php echo e($staffs->user_id); ?>" <?php echo e(in_array($staffs->user_id, old('user_id', [])) ? "selected" : ""); ?>><?php echo e($staffs->name); ?></option>                         
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                         
                                </select>                         
                                <?php $__errorArgs = ['user_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-danger small mt-1"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>                         
                            </div>                         
                        </div>                                                  
                        <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="ac_id" class="required"><b>Academic Year</b></label>                         
                                <select class="form-control" id="acyear" name="ac_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>                         
                                        <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e(old('ac_id') == $acyear->ac_id ? "selected" : ""); ?>><?php echo e($acyear->start_date_formatted.' - '.$acyear->end_date_formatted); ?></option>                         
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                         
                                </select>                         
                                <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-danger small mt-1"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>                         
                            </div>                         
                        </div>                                                    
                    </div>                  
                    <div class="row">         
                        <div class="col-md-12">         
                            <button type="submit" class="btn btn-primary float-right" id="add">Save</button>         
                        </div>         
                    </div>                           
                </form>
            </div>         
        </div>         
    </div>         
</div>                    
 </div>         
        </div>         
    </div>         
</div>          

 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Club Name</b></th>
                            <th><b>Staff-in-charge</b></th>
                            <th><b>Acyear</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $clubs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $club): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td><?php echo e($loop->iteration); ?></td>
                                     <td><?php echo e($club->club_name); ?></td>
                                <td><?php echo e(implode(', ', $club->getUserNames())); ?></td> 
                                <td><?php echo e(date('Y', strtotime($club->acyear->sdate)) . '-' . date('Y', strtotime($club->acyear->edate))); ?></td> <!-- Format acyear -->
                                   

                                 
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>







<style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
        .form-control{
            border:1px solid #E8E8E8;
        }
        .select2-container--default .select2-selection--multiple {
        min-height: 38px; 
        background-color: white; /* Set a default background */
        border: 1px solid #E8E8E8; /* Adjust border if needed */
    }
    .select2-container--default .select2-selection--multiple .select2-selection__choice {
        font-size: 16px; 
        padding: 5px 10px;
        background-color: transparent !important; /* Force transparent background */
        color: #000; /* Text color */
        border: none; /* Remove border from choices */
    }
    .select2-container--default .select2-selection--multiple .select2-selection__placeholder {
        font-size: 16px; 
        color: #999; /* Placeholder color */
    }

    /* Optional: Change the hover state of choices */
    .select2-container--default .select2-selection--multiple .select2-selection__choice:hover {
        background-color: rgba(0, 0, 0, 0.1) !important; /* Optional hover effect */
    }
</style>     
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>

<script>
    $(document).ready(function() {
        $('#user_id').select2({
            placeholder: "Select Staff",
            allowClear: true,
            sorter: function(data) {
                return data.sort(function(a, b) {
                    if (a.selected === b.selected) {
                        return 0;
                    }
                    return a.selected ? -1 : 1;
                });
            }
        });
    });
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/clubs/add.blade.php ENDPATH**/ ?>