<!DOCTYPE html>
<html>
<head>
    <title>Staff Feedback Report From Student</title>
    <style>
        
        body {
            font-family: Arial, sans-serif;
            border:1px solid #000;
            padding:20px;
        }
       
        .page-header {
            text-align: center;
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
    <div>
    <div class="container">
      <div class="page-header"> 
      <p style="text-center"><b><?php echo e($ins_det->name); ?></b></p>
      <p style="text-center"><b><?php echo e($ins_det->affiliation); ?></b></p>
      <p style="text-center"><b><?php echo e($ins_det->address); ?></b></p>
      <p style="text-center"><b><?php echo e('Ph : '.$ins_det->mobile.' '.$ins_det->landline); ?></b></p>
    </div> 
    </div>
    
    <div class="page-header">
        <h3 style="text-decoration:underline;">Staff Feedback Report From Student</h3>
        <h3 style="text-decoration:underline;"><?php echo e($staff->name); ?></h3>
    </div>
    
     <div class="content">
             <?php
     $gradePoints = [
    'Outstanding' =>  5.0,
    'Very Good' => 3.5,
    'Good' => 3.0,
    'Average' => 2.0,
];
  $totalGradePoints = 0;


$totalResponses = 0;     
$i=1;
                ?>
         <?php $__currentLoopData = $criteriaWithSubcriteria; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $criteria): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php $__currentLoopData = $criteria['subcriteria']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcriterion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                 <h5 style="margin-top: 20px;"><?php echo e($i++); ?> . <?php echo e($subcriterion->sub_criteria); ?></h5>

         
          <table style="border-bottom:1px solid black" width="100%">
        <thead style="background-color:#fed35c;">
          <tr>
                                     <th ><b>STUDENT CLASS</b></th>
                                    <th><b>OUTSTANDING</b></th>
                                    <th><b>VERY GOOD</b></th>
                                    <th><b>GOOD</b></th>
                                    <th><b>AVERAGE</b></th>
                                    <th><b>TOTAL RESPONSE</b></th>
                                    <th><b>TOTAL GRADE POINT</b></th>
                                    <th><b>TYPICAL SCORE</b></th>
                                    
                                </tr>
         
         </thead>
         <tbody>
              <tbody>
                                <?php
                                    $outstanding = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Outstanding'] ?? 0;
                                    $veryGood = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Very Good'] ?? 0;
                                    $good = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Good'] ?? 0;
                                    $average = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Average'] ?? 0;
                                    $total = $outstanding + $veryGood + $good + $average;
                                      $gradePointsTotal = (
                                        ($outstanding * $gradePoints['Outstanding']) +
                                        ($veryGood * $gradePoints['Very Good']) +
                                        ($good * $gradePoints['Good']) +
                                        ($average * $gradePoints['Average'])
                                    );
                                    $totalGradePoints += $gradePointsTotal;
                                    $totalResponses += $total;
                                ?>
                                <tr>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                      <?php $__currentLoopData = $criteria['courses']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $courseId => $courseName): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo e($courseName); ?> <br> 
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                           </td>        
                                    <td><?php echo e($outstanding); ?></td>
                                    <td><?php echo e($veryGood); ?></td>
                                    <td><?php echo e($good); ?></td>
                                    <td><?php echo e($average); ?></td>
                                    <td><?php echo e($total); ?></td>
                                     <td><?php echo e($gradePointsTotal); ?></td>
                                    <td>
                        <?php if($total > 0): ?>
                            <?php echo e(number_format($gradePointsTotal / $total, 2)); ?>

                        <?php else: ?>
                            0.00
                        <?php endif; ?>
                    </td>
                                </tr>
                           
         </tbody>
         </table>
         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         </div>
         <h4 class="mt-4" STYLE="background:#fed35c"><b>Cumulative Grade Point Average (CGPA): </b>
                    <?php if($totalResponses > 0): ?>
                        <?php echo e(number_format($totalGradePoints / $totalResponses, 2)); ?> / 5.00
                    <?php else: ?>
                        0.00 / 5.00
                    <?php endif; ?>
                </h4>
    </body>
    </html><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/feedback/staff_feedback_pdf.blade.php ENDPATH**/ ?>