
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','View Book'); ?>
<?php $__env->startSection('breadcrumb','Home/Book/View Book'); ?>
<?php $__env->startSection('content'); ?>


 
   
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>View Book Details</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Date</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e(date('d-m-Y',strtotime($books->date))); ?></div>
                            </div>
                             <div class="form-group row">
                                <div class="col-5 font-weight-bold">Book category</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <?php if($books->categ_id !=NULL): ?>
                                <div class="col-6"><?php echo e($books->mcategname->category_name); ?></div>
                                <?php else: ?>
                                 <div class="col-6"></div>
                                 <?php endif; ?>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Book sub-category</div>
                               <div class="col-1 font-weight-bold">:</div>
                                 <?php if($books->subcateg_id !=NULL): ?>
                                <div class="col-6"><?php echo e($books->subcategname->subloc_code.' - '.$books->subcategname->subcategory); ?></div>
                                 <?php else: ?>
                                 <div class="col-6"></div>
                                 <?php endif; ?>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Language</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->language); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Author</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->author); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Publisher</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->publisher); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Volume</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->volume); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Edition</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->edition); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Condition</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->condition); ?></div>
                            </div>
                          
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Amount</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->amount); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Year</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->year); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">ISBN</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->isbn); ?></div>
                            </div>
                        </div>
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Book Title</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">
                                  <?php echo e(strtoupper($books->title)); ?>

                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Book Number</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->book_no); ?></div>
                            </div>
                         
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Main Location</div>
                                <div class="col-1 font-weight-bold">:</div>
                                 <?php if($books->mloc !=NULL): ?>
                                <div class="col-6"><?php echo e($books->mlocname->mainloc_code.' - '.$books->mlocname->mainloc_name); ?></div>
                                 <?php else: ?>
                                 <div class="col-6"></div>
                                 <?php endif; ?>
                            </div>
                           
                           <div class="form-group row">
                                <div class="col-5 font-weight-bold">Sub Location</div>
                                <div class="col-1 font-weight-bold">:</div>
                                 <?php if($books->subloc !=NULL): ?>
                                <div class="col-6"><?php echo e($books->sublocname->subloc_code.' - '.$books->sublocname->subloc_name); ?></div>
                                 <?php else: ?>
                                 <div class="col-6"></div>
                                 <?php endif; ?>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Reference/Issue</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->ref_issue); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Awards won</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->awards); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Keywords</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->keywords); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Sub Title</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->sub_title); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Quantity</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->quantity); ?></div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Subject</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->sub); ?></div>
                            </div>
                             <div class="form-group row">
                                <div class="col-5 font-weight-bold">Writer 2</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6"><?php echo e($books->writer2); ?></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
      <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
.back-button {
  display: inline-flex;
  align-items: center;
  color: red;
  text-decoration: none;
  font-family: Arial, sans-serif;
  font-size: 16px;
  margin: 10px;
}


.back-button svg {
  margin-right: 8px;
  transition: transform 0.3s ease;
}


.back-button:hover svg {
  transform: translateX(-5px); 
}


.back-button:hover {
  color: darkred;
}

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/books/view_det.blade.php ENDPATH**/ ?>