
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Fee Report'); ?>
<?php $__env->startSection('breadcrumb','Home/Fees/Fee Report'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <form action="<?php echo e(route('fee.report.get')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="fdate">From Date</label>
                                    <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e($fdate ? $fdate:date('Y-m-d')); ?>">
                                    <?php $__errorArgs = ['fdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="tdate">To Date</label>
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e($tdate ? $tdate:date('Y-m-d')); ?>">
                                    <?php $__errorArgs = ['tdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course">Course</label>
                                    <select class="js-example-basic-single" style="width:100%" id="course" name="course">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e($course_id==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester">Semester</label>
                                    <select class="js-example-basic-single" style="width:100%" id="semester" name="semester">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($semester->course_id); ?>" <?php echo e($semester_id==$semester->semester_id ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mode">Payment Mode</label>
                                    <select class="js-example-basic-single" id="mode" name="mode" style="width:100%">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $paymodes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $paymode): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($paymode->mode_id); ?>" <?php echo e($mode_id == $paymode->mode_id ? "selected":""); ?>><?php echo e($paymode->mode_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['mode'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="staff">Collected By</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <select class="js-example-basic-single" style="width:100%" id="staff" name="staff">
                                                <option value="">Select</option>
                                                <?php $__currentLoopData = $staffs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staff): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($staff->user_id); ?>" <?php echo e($staff_id==$staff->user_id ? "selected":""); ?>><?php echo e($staff->name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php $__errorArgs = ['staff'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                        <div class="col-md-6">
                                            <button type="submit" class="btn btn-primary">Filter</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php if(!empty($fees)): ?>
        <div class="row">
             <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#004170;color:white;"><b>Fee Report</b></div>
                    <div class="card-body">
                        <div class="form-group row">
                            <div class="col-md-12">
                                <div class="scroll">
                                    <table class="table table-bordered">
                                        <thead>
                                        <tr>
                                            <th><b>#</b></th>
                                            <th><b>Receipt No</b></th>
                                            <th><b>Date</b></th>
            								<th><b>Adm No</b></th>
            								<th><b>Name</b></th>
            								<th><b>Fee Amount</b></th>
            								<th><b>Paid Amount</b></th>
            								<th><b>Discount</b></th>
            								<th><b>Fine</b></th>
            								<th><b>Payment Mode</b></th>
            								<th><b>Collected By</b></th>
            								<th><b>Actions</b></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            <?php  $paid_fee=$fee_total=$discount_sum=$i=0;
                                            foreach($fees as $fee){
                                                $famount = $fee['fee'];
                                                $discount = $fee['discount'];
                                                $fine=$fee['fine'];
                                                
                                                $discount_sum += $discount;
                                                $paidAmount = $famount - $discount+$fine;
                                                
                                              
                                                ?>
                                                <tr>
                                                    <td align="center"><?php echo e(++$i); ?></td>
                                                    <td align="center"><?php echo e($fee['recno']); ?></td>
                                                    <td align="center"><?php echo e(date('d/m/Y',strtotime($fee['pdate']))); ?></td>
                                                    <td align="center"><?php echo e($fee['adno']); ?></td>
                                                    <td><?php echo e($fee['name']); ?></td>
                                                    <td><?php echo e(number_format($famount,2)); ?></td>
                                                    <td align="right"><?php echo e(number_format($paidAmount,2)); ?></td>
                                                    <td align="right"><?php echo e(number_format($discount,2)); ?></td>
                                                    <td align="right"><?php echo e(number_format($fine,2)); ?></td>
                                                    <td align="center"><?php echo e($fee['mode']); ?></td>
                                                    <td align="center"><?php echo e($fee['staff']); ?></td>
                                                    <td align="center"><?php echo e(app_table_links($fee['recno'],array(30,31))); ?></td>
                                                </tr>
                                            <?php $fee_total +=$famount;
                                           $paid_fee +=$paidAmount;
                                            } ?>
                                        </tbody>
                                        <tfoot>
                                        <tr>
                                            <td colspan="5" class="font-weight-bold" style="font-size:20px" align="center">Grand Total</td>
                                            <td class="font-weight-bold" align="right" style="font-size:20px"><?php echo e(number_format($fee_total,2)); ?></td>
                                            <td class="font-weight-bold" align="right" style="font-size:20px"><?php echo e(number_format($paid_fee,2)); ?></td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-danger" role="alert">No Result Found!</div>
    <?php endif; ?>
    
     
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/fee.js')); ?>"></script>
    <style>
        
         
       
                      .dataTables_wrapper .dataTables_filter input {
   
    font-weight:bold;
    background-color: white;
    border: 1px solid black;
    border-radius: 4px;
    padding: 6px 10px;
    width: 300px; /* Adjust width as needed */
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1); /* Optional: add shadow */
}
.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/fees/get_report.blade.php ENDPATH**/ ?>