
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Promote Students'); ?>
<?php $__env->startSection('breadcrumb','Home'); ?>
<?php $__env->startSection('content'); ?>


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #005A9C;color:white;">
        <b>Select the Criteria</b>
        </div>
        <div class="card-body">
        <form action="<?php echo e(route('promote.get')); ?>" method="post">
        <?php echo csrf_field(); ?>
                        <div class="row">
                        <div class="col-md-4">
                        <label for="course_id" class="required">Course</label>
                        <div class="form-group">
                        <select class="form-control" id="course_id" name="course_id" required>
                        <option value="">Select</option>
                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($course->course_id); ?>" <?php echo e($course_id==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
                        
                        
                            <div class="col-md-8">
                            <label for="semester_id" class="required">Semester</label>
                            <div class="row">
                            <div class="col-md-6">
                            <div class="form-group">
                            <select class="form-control" id="semester_id" name="semester_id">
                            <option value="">Select</option>
                            <option value="na" <?php echo e($semester_id=='na' ? "selected":""); ?>>Not Assigned</option>
                            <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester_id==$semester->semester_id ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            </div>
                            </div>
                            
                                    <div class="col-md-6">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary">Get Details</button>
                                    </div>
                                    </div>
                                    </div>
                    </div>
                    </div>
                    </form>
                    </div>
                    </div>
                    </div>
                    </div>
                    
                    
    <?php if(!empty($students)): ?>
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background: #004170;color:white;">
        <b>Promote Students</b>
        </div>
                    
                    
                    <div class="card-body">
                    <form action="<?php echo e(route('promote.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="crs_id" value="<?php echo e(encrypt($course_id)); ?>" >
                    <input type="hidden" name="prevsem_id" value="<?php echo e(encrypt($semester_id)); ?>" >
                    <div class="form-group row">
                                
                                <table class="table table-bordered" id="table_promote">
                                <thead style="color:black">
                                <tr>
                                <th>
                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                </div>
                                </th>
                                <th><b>Adno</b></th>
                                <th><b>Student Name</b></th>
                                </tr>
                                </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td>
                                                    <div class="form-group">
                                                        <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                            <label class="form-check-label"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($student->student_id); ?>"> </label>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td><?php echo e($student->adno); ?></td>
                                                <td><?php echo e($student->name); ?></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <tbody>
                                </table>
                            </div>
                                </div>
                </div>
            </div>
        </div>
                            
                            
            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #073980">
            <div class="card-body">
                            
                            <div class="row">
                            <div class="col-md-4">
                            <label for="acyr_id" class="required"><b>Academic Year</b></label>
                            <div class="form-group">
                            <select class="form-control" id="acyr_id" name="acyr_id" required>
                            <option value="">Select</option>
                            <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e(old('acyr_id')==$acyear->ac_id ? "selected":""); ?>><?php echo e($acyear->start_date_formatted.' - '.$acyear->end_date_formatted); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                                    <div class="col-md-4">
                                    <label for="sem_id" class="required"><b>Semester</b></label>
                                    <!--<div class="row">-->
                                    <!--<div class="col-md-6">-->
                                    <div class="form-group">
                                    <select class="form-control" id="sem_id" name="sem_id">
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($semester->semester_id); ?>" <?php echo e(old('sem_id')==$semester->semester_id ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['sem_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                        
                                    <div class="col-md-4">
                                    <label for="category_id" class="required"><b>Fee Category</b></label>
                                    <!--<div class="row">-->
                                    <!--<div class="col-md-6">-->
                                    <div class="form-group">
                                    <select class="form-control" id="category_id" name="category_id">
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $fee_category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->category_id); ?>" <?php echo e(old('category_id')==$category->category_id ? "selected":""); ?>><?php echo e($category->category_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['category_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                        
                                        
                                        
                                        <div class="col-md-12">
                                        <div class="form-group">
                                        <button type="submit" class="btn btn-primary float-right">Promote</button>
                                        </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    <?php endif; ?>
      
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/promote.js')); ?>"></script>
    
    <style>
       
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }

        
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/students/get_promote.blade.php ENDPATH**/ ?>