
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Admission'); ?>
<?php $__env->startSection('breadcrumb','Home/Student/Admission'); ?>
<?php $__env->startSection('content'); ?>

    <form action="<?php echo e(route('student.save')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Personal Information</b></div>
    <div class="card-body" style="">
        
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="name" class="required">Name</label>
    <input type="text" class="form-control text" id="name" name="name" value="<?php echo e(old('name')); ?>" placeholder="Student Name" required>
    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
    </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="male" class="required">Gender</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" <?php echo e(old('gender')=='male' ? "checked":""); ?>> Male </label>
                                </div>
                                </div>
                                <div class="col-md-8">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" <?php echo e(old('gender')=='female' ? "checked":""); ?>> Female </label>
                                </div>
                                </div>
                                </div>
                                </div>
                                </div>
                                
                                
                           
                                
                                
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="paddress" class="required">Permanent Address</label>
                            <textarea class="form-control text" id="paddress" name="paddress" placeholder="Permanent Address" required rows="2"><?php echo e(old('paddress')); ?></textarea>
                            <?php $__errorArgs = ['paddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                            
                            
                            
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caddress">
                                <input type="checkbox" class="form-check-input" id="same" name="same" value="1" <?php echo e(old('same')=='1' ? "checked":""); ?>> Communication Address
                                </label>
                                <textarea class="form-control text" id="caddress" name="caddress" rows="2" placeholder="Communication Address"><?php echo e(old('caddress')); ?></textarea>
                                <?php $__errorArgs = ['caddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                                </div>
                                <br>
                                
                                    <div class="row">
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="mobile" class="required">Mobile</label>
                                    <input type="text" class="form-control text" id="mobile" name="mobile" placeholder="Mobile" value="<?php echo e(old('mobile')); ?>" required>
                                    <?php $__errorArgs = ['mobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="email"  class="required">Email</label>
                                    <input type="text" class="form-control text" id="email" name="email" placeholder="Email" value="<?php echo e(old('email')); ?>">
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="aadhar">Aadhar No</label>
                                    <input type="text" class="form-control text" id="aadhar" name="aadhar" placeholder="Aadhar No" value="<?php echo e(old('aadhar')); ?>">
                                    <?php $__errorArgs = ['aadhar'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="dob" class="required">Date of Birth</label>
                                    <input type="date" class="form-control text" id="dob" name="dob" placeholder="Date of Birth" value="<?php echo e(old('dob')); ?>" required>
                                    <?php $__errorArgs = ['dob'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                        <div class="row">
                                        <div class="col-md-3">
                                        <div class="form-group">
                                        <label for="bgroup">Blood Group</label>
                                        <select class="form-control text" id="bgroup" name="bgroup">
                                        <option value="">Select</option>
                                        <option value="O+ve" <?php echo e(old('bgroup')=='O+ve' ? "selected":""); ?>>O+ve</option>
                                        <option value="O-ve" <?php echo e(old('bgroup')=='O-ve' ? "selected":""); ?>>O+ve</option>
                                        <option value="A+ve" <?php echo e(old('bgroup')=='A+ve' ? "selected":""); ?>>A+ve</option>
                                        <option value="A-ve" <?php echo e(old('bgroup')=='A-ve' ? "selected":""); ?>>A-ve</option>
                                        <option value="B+ve" <?php echo e(old('bgroup')=='B+ve' ? "selected":""); ?>>B+ve</option>
                                        <option value="B-ve" <?php echo e(old('bgroup')=='B-ve' ? "selected":""); ?>>B-ve</option>
                                        <option value="AB+ve" <?php echo e(old('bgroup')=='AB+ve' ? "selected":""); ?>>AB+ve</option>
                                        <option value="AB-ve" <?php echo e(old('bgroup')=='AB-ve' ? "selected":""); ?>>AB-ve</option>
                                        </select>
                                        </div>
                                        </div>
                                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="religion">Religion</label>
                                    <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                                    <option value="">Select</option>
                                    <?php $__currentLoopData = $religion; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $religions): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($religions->religion_id); ?>" <?php echo e(old('religion_id') == $religions->religion_id  ? "selected":""); ?>><?php echo e($religions->religion_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['religion_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="community_id" >Community</label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            <option value="">Select</option>    
                            </select>
                            <?php $__errorArgs = ['community_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                                    
                                    
                                    
                                    
                                    
                                    
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caste">Caste</label>
                                <select class="js-example-basic-single " id="caste_id" name="caste_id" style="width:100%">
                                <option value="">Select</option>    
                                </select>
                                <?php $__errorArgs = ['caste_id '];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                                </div>
                            
                            
                                        <!--<div class="col-md-3">-->
                                        <!--<div class="form-group">-->
                                        <!--<label for="category">Category</label>-->
                                        <!--<select class="form-control text" id="category" name="category">-->
                                        <!--<option value="">Select</option>-->
                                        <!--<option value="GENERAL" <?php echo e(old('category')=='GENERAL' ? "selected":""); ?>>GENERAL</option>-->
                                        <!--<option value="SC" <?php echo e(old('category')=='SC' ? "selected":""); ?>>SC</option>-->
                                        <!--<option value="ST" <?php echo e(old('category')=='ST' ? "selected":""); ?>>ST</option>-->
                                        <!--<option value="OBC" <?php echo e(old('category')=='OBC' ? "selected":""); ?>>OBC</option>-->
                                        <!--<option value="OEC" <?php echo e(old('category')=='OEC' ? "selected":""); ?>>OEC</option>-->
                                        <!--</select>-->
                                        <!--</div>-->
                                        <!--</div>-->
                                        </div>
                       <br>
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="apl">APL/BPL</label>
                        <div class="row">
                        <div class="col-md-4">
                        <div class="form-check form-check-success">
                        <label class="form-check-label"><input type="radio" class="form-check-input " id="apl" name="pline" value="APL" <?php echo e(old('pline')=='APL' ? "checked":""); ?>> APL </label>
                        </div>
                        </div>
                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="bpl" name="pline" value="BPL" <?php echo e(old('pline')=='BPL' ? "checked":""); ?>> BPL </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fname">Father's Name</label>
                                    <input type="text" class="form-control text" id="fname" name="fname" placeholder="Father's Name" value="<?php echo e(old('fname')); ?>">
                                    <?php $__errorArgs = ['fname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                            
                            
                            
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fmobile" class="required">Father's Mobile</label>
                                    <input type="text" class="form-control text" id="fmobile" name="fmobile" placeholder="Father's Mobile"  value="<?php echo e(old('fmobile')); ?>" required>
                                    <?php $__errorArgs = ['fmobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                            
                            
                            
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="foccupation">Father's Occupation</label>
                                    <input type="text" class="form-control text" id="foccupation" placeholder="Father's Occupation" name="foccupation" value="<?php echo e(old('foccupation')); ?>">
                                    <?php $__errorArgs = ['foccupation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                    <div class="row">
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="mname">Mother's Name</label>
                                    <input type="text" class="form-control text" id="mname" name="mname"  placeholder="Mother's Name"  value="<?php echo e(old('mname')); ?>">
                                    <?php $__errorArgs = ['mname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="moccupation">Mother's Occupation</label>
                                    <input type="text" class="form-control text" id="moccupation"   placeholder="Mother's Occupation"  name="moccupation" value="<?php echo e(old('moccupation')); ?>">
                                    <?php $__errorArgs = ['moccupation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="gname">Guardian Name</label>
                                    <input type="text" class="form-control text" id="gname" name="gname" placeholder="Guardian Name" value="<?php echo e(old('gname')); ?>">
                                    <?php $__errorArgs = ['gname'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="gaddress">Guardian Address</label>
                                    <textarea class="form-control text" id="gaddress" name="gaddress" placeholder="Guardian Address"  rows="2"><?php echo e(old('gaddress')); ?></textarea>
                                    <?php $__errorArgs = ['gaddress'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                     <div class="row">
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="gmobile" class="required">Guardian Mobile</label>
                            <input type="text" class="form-control text" id="gmobile" name="gmobile"  placeholder="Guardian Mobile"   value="<?php echo e(old('gmobile')); ?>" required>
                            <?php $__errorArgs = ['gmobile'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                            
                            
                            
                       
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="income" class="required">Annual Income</label>
                        <input type="text" class="form-control text" id="income" name="income" value="<?php echo e(old('income')); ?>" placeholder="Annual Income"  required>
                        <?php $__errorArgs = ['income'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="yes">Day Scholar</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="dscholar" value="Yes" <?php echo e(old('dscholar')=='Yes' ? "checked":""); ?>> Yes </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="dscholar" value="No" <?php echo e(old('dscholar')=='No' ? "checked":""); ?>> No </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="accomodation">Accomodation Details</label>
                            <textarea class="form-control text" id="accomodation" name="accomodation" rows="2" placeholder="Accomodation Details"><?php echo e(old('accomodation')); ?></textarea>
                            <?php $__errorArgs = ['accomodation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                             </div>
                             <br>
                             
                               <div class="row">
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="abc_id" >ABC ID</label>
                            <input type="text" class="form-control text" id="abc_id" name="abc_id"  placeholder="ABC ID"   value="<?php echo e(old('abc_id')); ?>">
                            <?php $__errorArgs = ['abc_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                            
                            
                            
                       
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="arts_sports" >Arts/Sports</label>
                        <input type="text" class="form-control text" id="arts_sports" name="arts_sports" value="<?php echo e(old('arts_sports')); ?>" placeholder="Arts/Sports" >
                        <?php $__errorArgs = ['arts_sports'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="yes">NCC/NSS</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="ncc_nss" name="ncc_nss" value="NCC" <?php echo e(old('ncc_nss')=='NCC' ? "checked":""); ?>> NCC </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="ncc_nss" name="ncc_nss" value="NSS" <?php echo e(old('ncc_nss')=='NSS' ? "checked":""); ?>> NSS </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="link_aadhar_mob">Linked to Aadhar(Mob)</label>
                             <input type="text" class="form-control text" id="link_aadhar_mob" name="link_aadhar_mob" value="<?php echo e(old('link_aadhar_mob')); ?>" placeholder="Linked to Aadhar" >
                        <?php $__errorArgs = ['link_aadhar_mob'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                            </div>
                             </div>
                             <br>
                             
                            <div class="row">
                                 
                                        
                                
                                
                                
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="yes">Malankara Catholic Community</label>
                            <div class="row">
                            <div class="col-md-4">
                            <div class="form-check form-check-success">
                            <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="catholic" value="Yes" <?php echo e(old('catholic')=='Yes' ? "checked":""); ?>> Yes </label>
                            </div>
                            </div>
                                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="catholic" value="No" <?php echo e(old('catholic')=='No' ? "checked":""); ?>> No </label>
                                        </div>
                                        </div>
                                       
                                        </div>
                                        </div>
                                        </div>
                        
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="parish">Name of Parish</label>
                        <input type="text" class="form-control text" id="parish"   placeholder="Name of Parish" name="parish" value="<?php echo e(old('parish')); ?>">
                        <?php $__errorArgs = ['parish'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        </div>
                        
                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="physical">Physically Handicaped</label>
                            <input type="text" class="form-control text" id="physical" placeholder="Physically Handicaped"  name="physical" value="<?php echo e(old('physical')); ?>">
                            <?php $__errorArgs = ['physical'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                             
                             
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="photo">Photo</label>
                            <input type="file"  id="photo" name="photo">
                            <?php $__errorArgs = ['photo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            </div>
                           
                            
        </div>
       <br>
        </div>
        </div>
        </div>
       
        
        
        
        
        
        
        
        
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#004170;color:white;"><b>Academic Information</b></div>
        <div class="card-body" style="">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastinst">Institution Last Studied</label>
                                    <input type="text" class="form-control text" id="lastinst"  placeholder="Institution Last Studied"  name="lastinst" value="<?php echo e(old('lastinst')); ?>">
                                    <?php $__errorArgs = ['lastinst'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastcourse">Course Last Studied</label>
                                    <input type="text" class="form-control text" id="lastcourse" placeholder="Course Last Studied" name="lastcourse" value="<?php echo e(old('lastcourse')); ?>">
                                    <?php $__errorArgs = ['lastcourse'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastyear">Year of Study</label>
                                    <input type="text" class="form-control text" id="lastyear" name="lastyear"  placeholder="Year of Study" value="<?php echo e(old('lastyear')); ?>">
                                    <?php $__errorArgs = ['lastyear'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="sslc">SSLC Marks (%)</label>
                                    <input type="text" class="form-control text" id="sslc" name="sslc" placeholder="SSLC Marks (%)" value="<?php echo e(old('sslc')); ?>">
                                    <?php $__errorArgs = ['sslc'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="plustwo">Plus Two Marks (%)</label>
                                    <input type="text" class="form-control text" id="plustwo" name="plustwo" value="<?php echo e(old('plustwo')); ?>"  placeholder="Plus Two Marks (%)">
                                    <?php $__errorArgs = ['plustwo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="degree">Degree Marks (%)</label>
                                    <input type="text" class="form-control text" id="degree" name="degree" value="<?php echo e(old('degree')); ?>"  placeholder="Degree Marks (%)">
                                    <?php $__errorArgs = ['degree'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#004170;color:white;"><b>Course Information</b></div>
                    <div class="card-body" style="">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adate" class="required">Admission Date</label>
                                    <input type="date" class="form-control" id="adate" name="adate" value="<?php echo e(old('adate') ? old('adate'):$prev_adm->adate); ?>" required>
                                    <?php $__errorArgs = ['adate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adno" class="required">Admission No</label>
                                    <input type="text" class="form-control text" id="adno" name="adno" value="<?php echo e(old('adno') ? old('adno'):$adno); ?>" required>
                                    <?php $__errorArgs = ['adno'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ac_id" class="required">Academic Year</label>
                                    <?php $acid = old('ac_id') ? old('ac_id'):$prev_adm->ac_id; ?>
                                    <select class="form-control" id="ac_id" name="ac_id" required>
                                        <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e($acid==$acyear->ac_id ? "selected":""); ?>><?php echo e($acyear->start_date_formatted.' - '.$acyear->end_date_formatted); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['ac_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="pathway_id" class="required"><b>Pathway</b></label>
                                     <select class="form-control" id="pathway_id" name="pathway_id" onchange="toggleDivContent()" required>
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $pathway; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $path): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($path->id); ?>"><?php echo e($path->pathway); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                           
                        </div>
                        <br>
                        <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required">Course</label>
                                    <?php $course_id = old('course_id') ? old('course_id'):$prev_adm->course_id; ?>
                                   
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e($course_id==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id">Semester</label>
                                    <?php $semester_id = old('semester_id') ? old('semester_id'):$prev_adm->semester_id; ?>
                                    <select class="form-control" id="semester_id" name="semester_id">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester_id==$semester->semester_id ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="clno">Class No</label>
                                    <input type="text" class="form-control text" id="clno" name="clno" value="<?php echo e(old('clno')); ?>"  placeholder="Class No">
                                    <?php $__errorArgs = ['clno'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="seclang">Common Course Selected</label>
                                    <?php $seclang = old('seclang') ? old('seclang'):$prev_adm->seclang; ?>
                                    <select class="form-control" id="seclang" name="seclang">
                                        <option value="">Select</option>
                                        <option value="Malayalam" <?php echo e($seclang=='Malayalam' ? "selected":""); ?>>Malayalam</option>
                                        <option value="Hindi" <?php echo e($seclang=='Hindi' ? "selected":""); ?>>Hindi</option>
                                    </select>
                                </div>
                            </div>
                        
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="quota">Admission Quota</label>
                                    <select class="form-control text" id="quota" name="quota">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $acquota; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quota): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                      <option value="<?php echo e($quota->aq_id); ?>" <?php echo e($quota== $quota->quota ? "selected":""); ?>><?php echo e($quota->quota); ?></option>
                                         <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                         <?php $__errorArgs = ['quota'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?> 
                                    <!--    <option value="Merit" <?php echo e(old('quota')=='Merit' ? "selected":""); ?>>Merit</option>-->
                                    <!--    <option value="Management" <?php echo e(old('quota')=='Management' ? "selected":""); ?>>Management</option>-->
                                    <!--    <option value="Reservation" <?php echo e(old('quota')=='Reservation' ? "selected":""); ?>>Reservation</option>-->
                                    <!--    <option value="Community" <?php echo e(old('quota')=='Community' ? "selected":""); ?>>Community</option>-->
                                    <!--    <option value="Sports" <?php echo e(old('quota')=='Sports' ? "selected":""); ?>>Sports</option>-->
                                    <!--</select>-->
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="category_id" class="required">Fee Category</label>
                                    <?php $category_id = old('category_id') ? old('category_id'):$prev_adm->category_id; ?>
                                    <select class="form-control text" id="category_id" name="category_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($category->category_id); ?>" <?php echo e($category_id==$category->category_id ? "selected":""); ?>><?php echo e($category->category_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['category_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecI"><b>AEC I</b></label>
                                     <select class="form-control" id="aecI" name="aecI">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $aecIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $aecI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($aecI->subject_id); ?>"><?php echo e($aecI->subject_code.' - '.$aecI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecII"><b>AEC II</b></label>
                                     <select class="form-control" id="aecII" name="aecII">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $aecIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $aecII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($aecII->subject_id); ?>"><?php echo e($aecII->subject_code.' - '.$aecII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                             
                           
                            
                        </div>
                        
                        <br>
                        <h5 class="section-title">Minor I Preferences</h5>
                            <div class="row">
                           
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI"><b>Minor I [1'st Preference]</b></label>
                                     <select class="form-control" id="minorI" name="minorI">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefII"><b>Minor I [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefII" name="minorI_prefII">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIII"><b>Minor I [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIII" name="minorI_prefIII">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIV"><b>Minor I [4'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIV" name="minorI_prefIV">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                        </div>
                        <br>
                        
                        <br>
                            <div class="row">
                           
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefV"><b>Minor I [5'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefV" name="minorI_prefV">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div> 
                         </div>
                        
                        <br>
                         <h5 class="section-title">Minor II Preferences</h5>
                            <div class="row">
                           
                             
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII"><b>Minor II [1'st Preference]</b></label>
                                     <select class="form-control" id="minorII" name="minorII">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefII"><b>Minor II [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefII" name="minorII_prefII">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIII"><b>Minor II [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIII" name="minorII_prefIII">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIV"><b>Minor II [4'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIV" name="minorII_prefIV">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                        
                        </div>
                        <br>
                        <div class="row">
                          
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefV"><b>Minor II [5'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefV" name="minorII_prefV">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            </div>
                          <br>
                        
                         <h5 class="section-title">MDC I Preferences</h5>
                            <div class="row">
                          
                           
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI"><b>MDC I [1'st Preference]</b></label>
                                     <select class="form-control" id="mdcI" name="mdcI">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI_prefII"><b>MDC I [2'nd Preference]</b></label>
                                     <select class="form-control" id="mdcI_prefII" name="mdcI_prefII">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIII"><b>MDC I [3'rd Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIII" name="mdcI_prefIII">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                                
                                 <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIV"><b>MDC I [4'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIV" name="mdcI_prefIV">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                         
                        </div>
                        
                        
                         <br>
                        
                        
                            <div class="row">
                              
                               
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefV"><b>MDC I [5'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefV" name="mdcI_prefV">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                                
                            </div>
                        <br>
                        
                        
                     <div id="pathway_content" style="display: none; margin-top: 10px; padding: 10px; border: 1px solid #ccc;">
                         <br>
                            <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id1">Course</label>
                                    <?php $course_id1 = old('course_id1') ? old('course_id1'):$prev_adm->course_id; ?>
                                   
                                    <select class="form-control" id="course_id1" name="course_id1">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>"><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id1">Semester</label>
                                    <?php $semester_id1 = old('semester_id1') ? old('semester_id1'):$prev_adm->semester_id; ?>
                                    <select class="form-control" id="semester_id1" name="semester_id1">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($semester->semester_id); ?>"><?php echo e($semester->semester_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['semester_id1'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecI2"><b>AEC I</b></label>
                                     <select class="form-control" id="aecI2" name="aecI2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $aecIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $aecI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($aecI->subject_id); ?>"><?php echo e($aecI->subject_code.' - '.$aecI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecII2"><b>AEC II</b></label>
                                     <select class="form-control" id="aecII2" name="aecII2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $aecIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $aecII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($aecII->subject_id); ?>"><?php echo e($aecII->subject_code.' - '.$aecII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            
                            
                            </div>
                            <br>
                        <h5 class="section-title">Minor I Preferences</h5>     
                            <div class="row">
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI2"><b>Minor I [1'st Preference]</b></label>
                                     <select class="form-control" id="minorI2" name="minorI2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefII2"><b>Minor I [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefII2" name="minorI_prefII2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIII2"><b>Minor I [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIII2" name="minorI_prefIII2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIV2"><b>Minor I [4'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIV2" name="minorI_prefIV2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                         <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefV2"><b>Minor I [5'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefV2" name="minorI_prefV2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($minI->subject_id); ?>"><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                        </div>
                        
                        
                        <br>
                        <h5 class="section-title">Minor II Preferences</h5>
                            <div class="row">
                           
                           
                           
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII2"><b>Minor II [1'st Preference]</b></label>
                                     <select class="form-control" id="minorII2" name="minorII2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefII2"><b>Minor II [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefII2" name="minorII_prefII2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                            
                              
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIII2"><b>Minor II [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIII2" name="minorII_prefIII2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>    
                                
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIV2"><b>Minor II [4'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIV2" name="minorII_prefIV2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                        </div>
                        <br>
                        
                        
                            <div class="row">
                                
                            
                          
                                
                          
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefV2"><b>Minor II [5'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefV2" name="minorII_prefV2">
                                        <option value="">Select</option>
                                         <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($minII->subject_id); ?>"><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                         
                        </div>
                        
                        
                         <br>
                        
                         <h5 class="section-title">MDC I Preferences</h5>
                            <div class="row">
                                
                                 <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI2"><b>MDC I [1'st Preference]</b></label>
                                     <select class="form-control" id="mdcI2" name="mdcI2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI_prefII2"><b>MDC I [2'nd Preference]</b></label>
                                     <select class="form-control" id="mdcI_prefII2" name="mdcI_prefII2">
                                        <option value="">Select</option>
                                          <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     </select>
                                </div>
                            </div>
                                
                                
                               <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIII2"><b>MDC I [3'rd Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIII2" name="mdcI_prefIII2">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIV2"><b>MDC I [4'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIV2" name="mdcI_prefIV2">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefV2"><b>MDC I [5'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefV2" name="mdcI_prefV2">
                                            <option value="">Select</option>
                                              <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($mdcI->subject_id); ?>"><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                         </select>
                                    </div>
                                </div>
                                
                            </div>
                        <br>
                     </div>
                        <br>
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Register</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/student.js')); ?>"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
          .section-title {
        background-color: #004170;
        color: white;
        padding: 10px;
        border-radius: 5px;
        font-size: 16px;
        margin-bottom: 15px;
        text-align:left;
    }
    </style>
    
    <script src="<?php echo e(asset('public/js/caste.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/getcaste.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/minorI.js')); ?>"></script>
     <script src="<?php echo e(asset('public/js/minorII.js')); ?>"></script>
     <script>
    function toggleDivContent() {
        const selectedValue = document.getElementById('pathway_id').value;
        const pathwayContent = document.getElementById('pathway_content');

        if (selectedValue == 1) {
            pathwayContent.style.display = 'block';
        } else {
            pathwayContent.style.display = 'none';
        }
    }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/students/add.blade.php ENDPATH**/ ?>