
<?php $__env->startSection('title','Privilages'); ?>
<?php $__env->startSection('heading','Privilages'); ?>
<?php $__env->startSection('breadcrumb','Home / Privilages'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <form action="<?php echo e(route('previlage.get')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="type_id" class="required"><b>User Type</b></label>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <select class="js-example-basic-single" id="type_id" name="type_id" required style="width:100%">
                                                <option value="">Select</option>
                                                <?php $__currentLoopData = $utypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $utype): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($utype->type_id); ?>" <?php echo e($type_id==$utype->type_id ? "selected":""); ?>><?php echo e($utype->type_name); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php $__errorArgs = ['type_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                        <div class="col-sm-6">
                                            <button type="submit" class="btn btn-sm btn-success">Get</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <form action="<?php echo e(route('previlage.save')); ?>" method="post">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="utype" value="<?php echo e(encrypt($type_id)); ?>">
                <div class="card card-primary">
                    <div class="card-header">Admin Menus</div>
                    <div class="card-body">
                        <div class="row">
                            <?php $__currentLoopData = $menus->where('menu_category','admin')->where('menu_type','dashboard'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $amenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-sm-3">
                                    <div class="accordion-custom">
                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($amenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($amenu['menu_id']); ?>" <?php echo e(in_array($amenu['menu_id'], $access) ? "checked" : ""); ?>>
                                            <label class="custom-control-label" for="sub<?php echo e($amenu['menu_id']); ?>"><?php echo e($amenu['menu_name']); ?></label>
                                        </div>
                                    </div>
                                    <?php if(!empty($amenu['sub_menus'])): ?>
                                        <div class="accordion-custom-content">
                                            <?php $__currentLoopData = $amenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="row">
                                                    <div class="col-sm-12 ml-4">
                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($asmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($asmenu['menu_id']); ?>" <?php echo e(in_array($asmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                            <label class="custom-control-label" for="sub<?php echo e($asmenu['menu_id']); ?>"><?php echo e($asmenu['menu_name']); ?></label>
                                                        </div>
                                                        <?php if(!empty($asmenu['sub_menus'])): ?>
                                                            <?php $__currentLoopData = $asmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asdmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <div class="row">
                                                                    <div class="col-sm-12 ml-4">
                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($asdmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($asdmenu['menu_id']); ?>" <?php echo e(in_array($asdmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                                            <label class="custom-control-label" for="sub<?php echo e($asdmenu['menu_id']); ?>"><?php echo e($asdmenu['menu_name']); ?></label>
                                                                        </div>
                                                                        <?php if(!empty($asdmenu['sub_menus'])): ?>
                                                                            <?php $__currentLoopData = $asdmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $asdchmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                <div class="row">
                                                                                    <div class="col-sm-12 ml-4">
                                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($asdchmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($asdchmenu['menu_id']); ?>" <?php echo e(in_array($asdchmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                                                            <label class="custom-control-label" for="sub<?php echo e($asdchmenu['menu_id']); ?>"><?php echo e($asdchmenu['menu_name']); ?></label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        <?php endif; ?>  
                                                                    </div>
                                                                </div>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?> 
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
                <br>
                <div class="card card-primary">
                    <div class="card-header">Accounts Menus</div>
                    <div class="card-body">
                        <div class="row">
                            <?php $__currentLoopData = $menus->where('menu_category','accounts')->where('menu_type','dashboard'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-sm-3">
                                    <div class="accordion-custom">
                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($acmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($acmenu['menu_id']); ?>" <?php echo e(in_array($acmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                            <label class="custom-control-label" for="sub<?php echo e($acmenu['menu_id']); ?>"><?php echo e($acmenu['menu_name']); ?></label>
                                        </div>
                                    </div>
                                    <?php if(!empty($acmenu['sub_menus'])): ?>
                                        <div class="accordion-custom-content">
                                            <?php $__currentLoopData = $acmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acsmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="row">
                                                    <div class="col-sm-12 ml-4">
                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($acsmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($acsmenu['menu_id']); ?>" <?php echo e(in_array($acsmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                            <label class="custom-control-label" for="sub<?php echo e($acsmenu['menu_id']); ?>"><?php echo e($acsmenu['menu_name']); ?></label>
                                                        </div>
                                                        <?php if(!empty($acsmenu['sub_menus'])): ?>
                                                            <?php $__currentLoopData = $acsmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acsdmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <div class="row">
                                                                    <div class="col-sm-12 ml-4">
                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($acsdmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($acsdmenu['menu_id']); ?>" <?php echo e(in_array($acsdmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                                            <label class="custom-control-label" for="sub<?php echo e($acsdmenu['menu_id']); ?>"><?php echo e($acsdmenu['menu_name']); ?></label>
                                                                        </div>
                                                                        <?php if(!empty($acsdmenu['sub_menus'])): ?>
                                                                            <?php $__currentLoopData = $acsdmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acsdchmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                <div class="row">
                                                                                    <div class="col-sm-12 ml-4">
                                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($acsdchmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($acsdchmenu['menu_id']); ?>" <?php echo e(in_array($acsdchmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                                                            <label class="custom-control-label" for="sub<?php echo e($acsdchmenu['menu_id']); ?>"><?php echo e($acsdchmenu['menu_name']); ?></label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        <?php endif; ?>  
                                                                    </div>
                                                                </div>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?> 
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
                <br>
                <div class="card card-primary">
                    <div class="card-header">Library Menus</div>
                    <div class="card-body">
                        <div class="row">
                            <?php $__currentLoopData = $menus->where('menu_category','library')->where('menu_type','dashboard'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-sm-3">
                                    <div class="accordion-custom">
                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($lmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($lmenu['menu_id']); ?>" <?php echo e(in_array($lmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                            <label class="custom-control-label" for="sub<?php echo e($lmenu['menu_id']); ?>"><?php echo e($lmenu['menu_name']); ?></label>
                                        </div>
                                    </div>
                                    <?php if(!empty($lmenu['sub_menus'])): ?>
                                        <div class="accordion-custom-content">
                                            <?php $__currentLoopData = $lmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lsmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="row">
                                                    <div class="col-sm-12 ml-4">
                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($lsmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($lsmenu['menu_id']); ?>" <?php echo e(in_array($lsmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                            <label class="custom-control-label" for="sub<?php echo e($lsmenu['menu_id']); ?>"><?php echo e($lsmenu['menu_name']); ?></label>
                                                        </div>
                                                        <?php if(!empty($lsmenu['sub_menus'])): ?>
                                                            <?php $__currentLoopData = $lsmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lsdmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <div class="row">
                                                                    <div class="col-sm-12 ml-4">
                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($lsdmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($lsdmenu['menu_id']); ?>" <?php echo e(in_array($lsdmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                                            <label class="custom-control-label" for="sub<?php echo e($lsdmenu['menu_id']); ?>"><?php echo e($lsdmenu['menu_name']); ?></label>
                                                                        </div>
                                                                        <?php if(!empty($lsdmenu['sub_menus'])): ?>
                                                                            <?php $__currentLoopData = $lsdmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lsdchmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                <div class="row">
                                                                                    <div class="col-sm-12 ml-4">
                                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($lsdchmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($lsdchmenu['menu_id']); ?>" <?php echo e(in_array($lsdchmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                                                            <label class="custom-control-label" for="sub<?php echo e($lsdchmenu['menu_id']); ?>"><?php echo e($lsdchmenu['menu_name']); ?></label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        <?php endif; ?>  
                                                                    </div>
                                                                </div>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?> 
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
                <br>
                <div class="card card-primary">
                    <div class="card-header">Settings Menus</div>
                    <div class="card-body">
                        <div class="row">
                            <?php $__currentLoopData = $menus->where('menu_type','settings'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $smenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-sm-3">
                                    <div class="accordion-custom">
                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($smenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($smenu['menu_id']); ?>" <?php echo e(in_array($smenu['menu_id'], $access) ? "checked" : ""); ?>>
                                            <label class="custom-control-label" for="sub<?php echo e($smenu['menu_id']); ?>"><?php echo e($smenu['menu_name']); ?></label>
                                        </div>
                                    </div>
                                    <?php if(!empty($smenu['sub_menus'])): ?>
                                        <div class="accordion-custom-content">
                                            <?php $__currentLoopData = $smenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ssmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="row">
                                                    <div class="col-sm-12 ml-4">
                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($ssmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($ssmenu['menu_id']); ?>" <?php echo e(in_array($ssmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                            <label class="custom-control-label" for="sub<?php echo e($ssmenu['menu_id']); ?>"><?php echo e($ssmenu['menu_name']); ?></label>
                                                        </div>
                                                        <?php if(!empty($ssmenu['sub_menus'])): ?>
                                                            <?php $__currentLoopData = $ssmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ssdmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <div class="row">
                                                                    <div class="col-sm-12 ml-4">
                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($ssdmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($ssdmenu['menu_id']); ?>" <?php echo e(in_array($ssdmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                                            <label class="custom-control-label" for="sub<?php echo e($ssdmenu['menu_id']); ?>"><?php echo e($ssdmenu['menu_name']); ?></label>
                                                                        </div>
                                                                        <?php if(!empty($ssdmenu['sub_menus'])): ?>
                                                                            <?php $__currentLoopData = $ssdmenu['sub_menus']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ssdchmenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                <div class="row">
                                                                                    <div class="col-sm-12 ml-4">
                                                                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                                                            <input type="checkbox" class="custom-control-input" id="sub<?php echo e($ssdchmenu['menu_id']); ?>" name="menulist[]" value="<?php echo e($ssdchmenu['menu_id']); ?>" <?php echo e(in_array($ssdchmenu['menu_id'], $access) ? "checked" : ""); ?>>
                                                                                            <label class="custom-control-label" for="sub<?php echo e($ssdchmenu['menu_id']); ?>"><?php echo e($ssdchmenu['menu_name']); ?></label>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        <?php endif; ?>  
                                                                    </div>
                                                                </div>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/users/get_previlage.blade.php ENDPATH**/ ?>