
<?php $__env->startSection('title','Settings'); ?>
<?php $__env->startSection('heading','Book Sublocation'); ?>
<?php $__env->startSection('breadcrumb','Settings / Library / Book Sublocation'); ?>
<?php $__env->startSection('content'); ?>







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
   
                <div class="card-body">
                    <form action="<?php echo e(route('libsubloc.save')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ml_id" class="required"><b>Main Location</b></label>
                                    <select class="form-control" id="ml_id" name="ml_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $libmainloc; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $main): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($main->ml_id); ?>" <?php echo e(old('ml_id')==$main->ml_id? "selected":""); ?>><?php echo e($main->mainloc_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['ml_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subloc_code" class="required"><b>Sublocation Code</b></label>
                                            <input type="text" class="form-control <?php $__errorArgs = ['subloc_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="subloc_code" name="subloc_code" value="<?php echo e(old('subloc_code')); ?>">
                                            <?php $__errorArgs = ['subloc_code'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                 
                                    </div>

                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subloc_name" class="required"><b>Sublocation Name</b></label>
                                            <input type="text" class="form-control <?php $__errorArgs = ['subloc_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="subloc_name" name="subloc_name" value="<?php echo e(old('subloc_name')); ?>">
                                            <?php $__errorArgs = ['subloc_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                        </div>
                                    </div>
                                 </div>
 
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Main Location</b></th>
                            <th><b>Sublocation</b></th>
                            <th><b>Sublocation Code</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $libsubloc; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                     <td><?php echo e($sub->mainloc->mainloc_name); ?></td>
                                   <td><?php echo e($sub->subloc_name); ?></td>
                                   <td><?php echo e($sub->subloc_code); ?></td>
                                 <td><?php echo e(app_table_links($sub->sl_id,array(89,90))); ?></td>

                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
      
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/library/libsubloc.blade.php ENDPATH**/ ?>