
<?php $__env->startSection('title', 'Home'); ?>
<?php $__env->startSection('heading', 'Certificate'); ?>
<?php $__env->startSection('breadcrumb', 'Home/Certificate/Student/Generated Certificates'); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        
                <div class="card-tools">
                    <?php echo e(app_button_links(array(363, 364, 367, 368))); ?>

               
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white">
                <b>Generated Certificates View</b>
            </div>
            <div class="card-body">
                <div class="container">
                    <div class="certificate-shadow">
                        <table width="100%">
                            <tr>
                                <td width="25%" rowspan="4" align="center">
                                    <img src="<?php echo e(asset('public/uploads/logo/' . $institution->logo)); ?>" alt="<?php echo e($institution->logo); ?>" height="100px">
                                </td>
                                <td width="50%" align="center">
                                    <h2><?php echo e($institution->name); ?></h2>
                                </td>
                                <td width="25%" rowspan="4" align="center"></td>
                            </tr>
                            <tr>
                                <td align="center"><?php echo e($institution->affiliation); ?></td>
                            </tr>
                            <tr>
                                <td align="center"><?php echo e($institution->address); ?></td>
                            </tr>
                            <tr>
                                <td align="center"><?php echo e('Ph: ' . $institution->mobile . ' ' . $institution->landline); ?></td>
                            </tr>
                        </table>

                        <hr style="background:#800000; height: 2px;">

                        <div class="head">
                            <table width="100%">
                                <tr>
                                    <td class="float-left"><b>No.:</b></td>
                                    <td align="right" style="white-space:nowrap"><b>DATE: <?php echo e(date('d/m/Y')); ?></b></td>
                                </tr>
                            </table>

                            <div>
                                <?php $__currentLoopData = $certificate_gen; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cert): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div style="margin: 20px 0;">
                                        <div id="title" style="font-size:20px;color:#800000; text-decoration: none; text-align: center">
                                            <b><?php echo e(strtoupper($cert->title)); ?></b>
                                        </div>
                                        <br>
                                        <div class="content"><?php echo $cert->content; ?></div>
                                        <p style="margin-top: 20px;">Date: <?php echo e(date('d-m-Y', strtotime($cert->date))); ?></p>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<style>
    .content{
        text-align:justify;
    }
</style>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/certificate/certificate_generated_view.blade.php ENDPATH**/ ?>