
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Add Books'); ?>
<?php $__env->startSection('breadcrumb','Home/Books/Add Books'); ?>
<?php $__env->startSection('content'); ?>

  <form action="<?php echo e(route('book.save')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Add New Book</b></div>
    <div class="card-body" style="">
        
    <div class="row">
        
    <div class="col-md-6">
    <div class="form-group">
    <label for="date" class="required">Date</label>
    <input type="date" class="form-control" id="date" name="date" value="<?php echo e(date('Y-m-d')); ?>" required>
    <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
    </div>
    </div>
                             
    <div class="col-md-6">
    <div class="form-group">
    <label for="categ_id" class="required">Book category</label>
       <select class="js-example-basic-single" id="categ_id" name="categ_id" style="width:100%" required>
          <option value="">Select</option>
             <?php $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $categ): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <option value="<?php echo e($categ->libcat_id); ?>" <?php echo e(old('categ_id') == $categ->libcat_id  ? "selected":""); ?>><?php echo e($categ->category_code.' - '.$categ->category_name); ?></option>
             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
       </select>
    </div>
    </div>
    
    </div>
    
    
    <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="subcateg_id" class="required">Book sub-category</label>
        <select class="js-example-basic-single" id="subcateg_id" name="subcateg_id" style="width:100%" required>
              <option value="">Select</option>
                
           </select>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="book_no" class="required">Book No./ Access No.</label>
           <input type="text" class="form-control text" id="book_no" name="book_no" value="<?php echo e($next_book_no); ?>" required>
          <?php $__errorArgs = ['book_no'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div>
    
    
    <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="title" class="required">Book Title</label>
       <input type="text" class="form-control text" id="title" name="title" value="<?php echo e(old('title')); ?>" required>
          <?php $__errorArgs = ['title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="language">Language</label>
           <input type="text" class="form-control text" id="language" name="language" value="<?php echo e(old('language')); ?>">
          <?php $__errorArgs = ['language'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div> 
    
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="author">Author</label>
       <input type="text" class="form-control text" id="author" name="author" value="<?php echo e(old('author')); ?>">
          <?php $__errorArgs = ['author'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="publisher">Publisher</label>
           <input type="text" class="form-control text" id="publisher" name="publisher" value="<?php echo e(old('publisher')); ?>">
          <?php $__errorArgs = ['publisher'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div> 
    
    
    <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="volume">Volume</label>
       <input type="text" class="form-control text" id="volume" name="volume" value="<?php echo e(old('volume')); ?>">
          <?php $__errorArgs = ['volume'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="edition">Edition</label>
           <input type="text" class="form-control text" id="edition" name="edition" value="<?php echo e(old('edition')); ?>">
          <?php $__errorArgs = ['edition'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div> 
    
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="mloc" class="required">Main Location</label>
       <select class="js-example-basic-single" id="mloc" name="mloc" style="width:100%" required>
          <option value="">Select</option>
             <?php $__currentLoopData = $mainlocation; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mainloc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($mainloc->ml_id); ?>" <?php echo e(old('mloc') == $mainloc->ml_id  ? "selected":""); ?>><?php echo e($mainloc->mainloc_code.' - '.$mainloc->mainloc_name); ?></option>
             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
       </select>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="subloc" class="required">Sub Location</label>
           <select class="js-example-basic-single" id="subloc" name="subloc" style="width:100%" required>
              <option value="">Select</option>
                
           </select>
        </div>
        </div>
    
    </div> 
    
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="condition" class="required">Condition</label>
       <select class="js-example-basic-single" id="condition" name="condition" style="width:100%" required>
          <option value="">Select</option>
           
                <option value="GOOD" <?php echo e(old('condition') == "GOOD"  ? "selected":""); ?>>GOOD</option>
                <option value="DAMAGED" <?php echo e(old('condition') == "DAMAGED"  ? "selected":""); ?>>DAMAGED</option>
                <option value="MISSING" <?php echo e(old('condition') == "MISSING"  ? "selected":""); ?>>MISSING</option>
            
       </select>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="amount">Amount</label>
            <input type="text" class="form-control text" id="amount" name="amount" value="<?php echo e(old('amount')); ?>">
          <?php $__errorArgs = ['amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div> 
    
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="condition">Book Year</label>
       <input type="text" class="form-control text" id="year" name="year" value="<?php echo e(old('year')); ?>">
          <?php $__errorArgs = ['condition'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="isbn">ISBN</label>
            <input type="text" class="form-control text" id="isbn" name="isbn" value="<?php echo e(old('isbn')); ?>">
          <?php $__errorArgs = ['isbn'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div> 
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="ref_issue" class="required">Reference/Issue</label>
        <select class="js-example-basic-single" id="ref_issue" name="ref_issue" style="width:100%" required>
          <option value="">Select</option>
           
                <option value="REFERENCE" <?php echo e(old('ref_issue') == "REFERENCE"  ? "selected":""); ?>>REFERENCE</option>
                <option value="AVAILABLE" <?php echo e(old('ref_issue') == "AVAILABLE"  ? "selected":""); ?>>AVAILABLE</option>
                
            
       </select>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="awards">Awards won</label>
            <input type="text" class="form-control text" id="awards" name="awards" value="<?php echo e(old('awards')); ?>">
          <?php $__errorArgs = ['awards'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div> 
    
      <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="keywords">Keywords</label>
       <input type="text" class="form-control text" id="keywords" name="keywords" value="<?php echo e(old('keywords')); ?>">
          <?php $__errorArgs = ['keywords'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="sub_title">Sub Title</label>
            <input type="text" class="form-control text" id="sub_title" name="sub_title" value="<?php echo e(old('sub_title')); ?>">
          <?php $__errorArgs = ['sub_title'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div> 
    
    <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="sub">Subject</label>
       <input type="text" class="form-control text" id="sub" name="sub" value="<?php echo e(old('sub')); ?>">
          <?php $__errorArgs = ['sub'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="writer2">Writer 2</label>
            <input type="text" class="form-control text" id="writer2" name="writer2" value="<?php echo e(old('writer2')); ?>">
          <?php $__errorArgs = ['writer2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
    
    </div> 
   <div class="row"> 
    
       <div class="col-md-6">
        <div class="form-group">
        <label for="quantity" class="required">Quantity</label>
            <input type="text" class="form-control text" id="quantity" name="quantity" value="<?php echo e(old('quantity')); ?>" required>
          <?php $__errorArgs = ['quantity'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
     </div> 
     
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
               <button type="submit" class="btn btn-primary float-right">Save</button>
            </div>
        </div>
    </div>
    
    </div>
    </div>
    </div>
       
        
   
    </div>
  
    </form>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/student.js')); ?>"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/libsubloc.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/libsubcat.js')); ?>"></script>
   
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/books/add.blade.php ENDPATH**/ ?>