<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
        <input type="hidden" id="course" name="course" value="<?php echo e($crs_id); ?>">
        <input type="hidden" id="sub" name="sub" value="<?php echo e($sub_id); ?>">
        <input type="hidden" id="sem" name="sem" value="<?php echo e($sem_id); ?>">
        <input type="hidden" id="ac_id" name="ac_id" value="<?php echo e($ac_id); ?>">

        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <br>
                    <table id="table-fine" class="table table-bordered">
                        <thead style="background-color:#8FBC8F">
                            <tr>
                                <th>Course</th>
                                <th>Semester</th>
                                <th>Subject</th>
                                <th>Topic</th>
                                <th>Submit Date</th>
                                <th colspan="2">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $assignmt; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assignmts): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <input type="hidden" name="assig_id" value="<?php echo e($assignmts->assig_id); ?>">
                            <tr>
                                <td><?php echo e($assignmts->course->course_name); ?></td>
                                <td><?php echo e($assignmts->sem->semester_name); ?></td>
                                <td><?php echo e($assignmts->subject->subject_name); ?></td>
                                <td><?php echo e($assignmts->assignment_topic); ?></td>
                                <td><?php echo e(date('d-m-Y',strtotime($assignmts->submit_date))); ?></td>
                                <td>
        <a href="#" onclick="showEditForm(<?php echo e($assignmts->assig_id); ?>, '<?php echo e($assignmts->assignment_topic); ?>', '<?php echo e($assignmts->submit_date); ?>')"><i class="icon-pencil"></i></a>
                                </td>
                                <td><a href="<?php echo e(route('inter.assignment.delete',['id'=>$assignmts->assig_id])); ?>"><i class="icon-trash"></i></a></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Edit Modal -->
<div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content bg-white">
            <div class="modal-header" style="background:#004170;color:white">
                <h5 class="modal-title" id="editModalLabel">Edit Assignment</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" name="assig_id" id="assig_id">
                <input type="hidden" id="course" name="course" value="<?php echo e($crs_id); ?>">
                <input type="hidden" id="sub" name="sub" value="<?php echo e($sub_id); ?>">
                <input type="hidden" id="sem" name="sem" value="<?php echo e($sem_id); ?>">

                <div class="mb-3">
                    <label for="assignment_topic" class="form-label">Topic</label>
                    <input type="text" class="form-control" id="assignment_topic" name="assignment_topic" value="" required>
                </div>

                <div class="mb-3">
                    <label for="submit_date" class="form-label">Submit Date</label>
                    <input type="date" class="form-control" id="submit_date" name="submit_date" required>
                </div>

                <button type="button" class="btn btn-primary" id="form-get">Save Changes</button>
            </div>
        </div>
    </div>
</div>


<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
 <script src="<?php echo e(asset('public/js/getassigview.js')); ?>"></script>
<script>
  
function showEditForm(assignmtId, topic, submitDate) {
    $('#assig_id').val(assignmtId); 
    $('#assignment_topic').val(topic); 
    $('#submit_date').val(submitDate);
    $('#editModal').modal('show'); 
}

$('#editModal').modal({
    backdrop: 'static',
    keyboard: false  
});


function hideAbsentForm() {
    $('#editModal').hide();
}

</script>

<style>
    /* Your custom styles */
    .totalstudent {
        color: black; 
        font-size: 22px; 
        font-weight: bold;
        padding: 10px; 
        margin: 5px; 
        background-color: #eaf0f1; 
        border: 2px solid #3498db; 
        border-radius: 5px; 
        text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
        font-family: 'Arial', sans-serif; 
        display: inline-block; 
    }

    input[type="checkbox"] {
        width: 2em;
        height: 2rem;
        display: inline-block; 
        margin: 0;
        accent-color: green;
    }
    .container {
        display: flex; /* Flexbox for better alignment */
        align-items: center; /* Center align vertically */
        justify-content: center; /* Center align horizontally */
    }
</style>
<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/internalassessment/assignment_view_get.blade.php ENDPATH**/ ?>