
<?php $__env->startSection('title','IQAC'); ?>
<?php $__env->startSection('heading','IQAC'); ?>
<?php $__env->startSection('breadcrumb','Home / IQAC /Add'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-primary">
        <div class="card-header bg-custom">
            Upload Document
        </div>
        <div class="card-body">
            <form action="<?php echo e(route('fiqac.save')); ?>" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="acyear_id" class="required">Period</label>
                            <select class="form-control" id="acyear_id" name="acyear_id" required>
                                <option value="">Select</option>
                                <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $acyear): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($acyear->ac_id); ?>" <?php echo e($ac_id==$acyear->ac_id ? "selected":""); ?>><?php echo e($acyear->date_formatted); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['acyear_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="criteria_id" class="required">Criteria</label>
                            <select class="form-control" id="criteria_id" name="criteria_id" required>
                                <option value="">Select</option>
                                <?php $__currentLoopData = $criterias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $criteria): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($criteria->id); ?>" <?php echo e(old('criteria_id')==$criteria->id ? "selected":""); ?>><?php echo e($criteria->criteria); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['criteria_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="document_id" class="required">Documents</label>
                            <select class="form-control" id="document_id" name="document_id">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($document['id']); ?>" <?php echo e(old('document_id')==$document['id'] ? "selected":""); ?>><?php echo e($document['document']); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['document_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="document_id" class="required">Evidence</label>
                            <input type="file" class="form-control-file" id="evidence" name="evidence">
                            <?php $__errorArgs = ['evidence'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/iqac.js')); ?>"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/iqac/iqacupload.blade.php ENDPATH**/ ?>