<?php

namespace App\Http\Controllers\Accounts;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\Financialyear;
use App\Models\Accounttype;
use App\Models\Vouchertype;
use App\Models\Voucher;
use App\Models\Ledger;

class Ajax extends Controller
{
    protected $accountId;
    protected $fyearId;
    protected $fsDate;
    protected $feDate;
    
    public function __construct(){
        $this->accountId = Accounttype::getDefaultAccountId();
        $this->fyearId = Financialyear::getDefaultFyearId($this->accountId);
        $fyear = Financialyear::find($this->fyearId);
        $this->fsDate = $fyear->sdate;
        $this->feDate = $fyear->edate;
    }
    
    public function getVno(Request $request){
        $vtype = $request->get('vtype');
        $vno=1;
        if($vtype>0){
            $vmax = Voucher::where('vtype_id',$vtype)->where('account_id',$this->accountId)->whereBetween('vdate',[$this->fsDate,$this->feDate])->max('vno');
            if($vmax){
                $vno += $vmax;
            }
        }
        
        return $vno;
    }
}
