<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class AddCompetition extends Model
{
    use HasFactory,SoftDeletes;
     protected $table  = 'add_competition';
    protected $primaryKey = 'addcompt_id';
    protected $guarded = [];
    
    protected $hidden = ['addcompt_id'];
     public function event()
    {
         return $this->hasOne(AddEvent::class,'addevent_id','addevent_id');
    }
   
    
     public function staff()
    {
         return $this->hasOne(User::class,'user_id','user_id');
    }
    public function course()
    {
         return $this->hasOne(Course::class,'course_id','course_id');
    }
}
