<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ClassTeacher extends Model
{
    use HasFactory;
 protected $table='classteacher';
     protected $primaryKey = 'clstchr_id'; 
    
    protected $guarded = [];
     protected $hidden = ['clstchr_id'];
    
public function acyear(){
        return $this->hasOne(Acyear::class,'ac_id','ac_id');
    }
        public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    public function sem(){
        return $this->hasOne(Semester::class,'semester_id','semester_id');
    }
    public function user(){
        return $this->hasOne(User::class,'user_id','user_id');
    }
    
}

