<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Clubs extends Model
{
    use HasFactory, SoftDeletes;
    protected $table='add_clubs';
    protected $primaryKey = 'club_id'; 
    protected $guarded = [];
    protected $hidden = ['club_id'];

    public function acyear(){
        return $this->hasOne(Acyear::class,'ac_id','ac_id');
    }
      public function getUserNames()
    {
       
        $userIds = explode(',', $this->user_ids);
        
     
        return User::whereIn('user_id', $userIds)->pluck('name')->toArray();
    }
 public function staff()
 {
 return $this->hasOne(User::class,'user_id','user_id');
 }
  public function users()
    {
        return $this->belongsToMany(User::class, 'user_id', 'club_id', 'user_id'); 
    } 
    
    
}
