<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CourseSubject extends Model
{
    use HasFactory,SoftDeletes;
    
    protected $table = 'course_subject';
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
     public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
     public function sem(){
        return $this->hasOne(Semester::class,'semester_id','semester_id');
    }
}
