<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FeeCategory extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'fee_categories';
    
    protected $primaryKey = 'category_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['category_id'];
}
