<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FeedbackMainCri extends Model
{
    use HasFactory;
      protected $table = 'feedback_maincriteria';
    
    protected $primaryKey = 'fdbkmainc_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['fdbkmainc_id'];
    
    public function feedbacktype()
    {
       return $this->hasOne(FeedbackType::class,'fdbktyp_id','fdbktyp_id');
    }
    
    
    public function feedbackSubcriteria()
{
    return $this->hasMany(FeedbackSubCri::class, 'fdbkmainc_id');
}
    
    
    
}
