<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class FyugpExamSubject extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'fyugp_examsubject';
    protected $guarded = [];
    
    protected $hidden = ['id'];
    
    public function esesubn(){
        return $this->belongsTo(Subject::class,'subject','subject_id');
    }
    
     public function exmarks(){
        return $this->hasmany(STUDEXMMARKS::class,'subject','subject');
    }
    
     public function subcredits(){
        return $this->hasmany(FyugpSubjectCredit::class,'subject','subject');
    }
    
    public function subminordmc(){
        return $this->hasmany(FyugpStudSub::class,'sub_id','subject');
    }
    
     
    
}
