<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use App\models\User;
use App\models\Student;

class LibraryMembership extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function membertype(){
        return $this->belongsTo(LibraryMemberType::class,'membership_type')->withDefault(['name' => '']);
    }
    
    public function issues(){
        return $this->hasmany(LibraryIssue::class,'member_id','id');
    }
}
