<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LibrarySubcategory extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function category(){
        return $this->belongsTo(LibraryCategory::class,'category_id')->withDefault(['name' => '']);
    }
    
    public function books(){
        return $this->hasmany(LibraryBook::class,'subcategory_id','id');
    }
}
