<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class ObeActivityRoll extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'obe_activity_roll';
    protected $guarded = [];
    protected $hidden = ['id'];
    public function activity(){
        return $this->belongsTo(ObeActivity::class,'activity_id','id')->withDefault(['name' => '']);
    }
    public function activityoutcome(){
        return $this->belongsTo(ObeActivityOutcome::class,'activity_outcome','id')->withDefault(['name' => '']);
    }
    public function domains(){
        return $this->belongsTo(ObeDomain::class,'domain_id','id')->withDefault(['name' => '']);
    }
}
