<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PTA extends Model
{
    use HasFactory;
       protected $table = 'pta';
    
    protected $primaryKey = 'pta_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['pta_id'];
    
    
    public function course()
    {
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    
}
