<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class SalaryProcessing extends Model
{
     use HasFactory,SoftDeletes;
      protected $table = 'salary_processing';
    
    protected $primaryKey = 'slryproc_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['slryproc_id'];
    
     public function designme()
    {
        return $this->hasOne(UserType::class,'type_id','type_id');
    }
    
    public function salprocessad(){
        return $this->hasmany(SalaryProcessingAD::class,'sa_id','slryproc_id');
    }
}
