<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ScholarshipStudent extends Model
{
    use HasFactory;
     protected $table='scholarshipstudent';
     protected $primaryKey = 'schlrstu_id'; 
    
    protected $guarded = [];
     protected $hidden = ['schlrstu_id'];
     
 public function student(){
        return $this->hasOne(Student::class,'student_id','student_id');
    }
    public function scholarship(){
        return $this->hasOne(Addscmodel::class,'sc_id','sc_id');
    }
  public function courses(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
  public function semester(){
        return $this->belongsTo(Semester::class,'semester_id','semester_id');
    }

}
