<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
class SemesterYear extends Model
{
    use HasFactory;
     protected $table = 'semester_year_setting';
    
    protected $primaryKey = 'smyr_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['smyr_id'];
    public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
     public function semester(){
        return $this->hasOne(Semester::class,'semester_id','semester_id');
    }
    
}
