<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SlryDeduction extends Model
{
    use HasFactory;
    protected $table='staff_salary_deduction';
     protected $primaryKey = 'deduction_id'; 
    
    protected $guarded = [];
     protected $hidden = ['deduction_id'];
     
      public function actype(){
        return $this->hasOne(Accounttype::class,'accounttype_id','accounttype_id');
    }
    
      public function deducperamt(){
        return $this->hasmany(SalaryAllowDedPer::class,'ad_id','deduction_id');
    }
    
    
    
}
