<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Specialisation extends Model
{
    use HasFactory, SoftDeletes;
     protected $table = 'course_specialisation';
    
    protected $primaryKey = 'specialtn_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['specialtn_id'];
    
    public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    
}
