<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class UserType extends Model
{
    use HasFactory, SoftDeletes;
     protected $table = 'user_types';
    
    protected $primaryKey = 'type_id'; 
    protected $guarded = [];
    
    protected $hidden = ['type_id'];
    
  
    public function type(){
        return $this->hasOne(Stafftype::class,'staftyp_id','staftyp_id');
    }
}
