<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('seat_allotment', function (Blueprint $table) {
$table->bigIncrements('seat_id');
 $table->unsignedBigInteger('course_id');
$table->foreign('course_id')->references('course_id')->on('courses');
 $table->unsignedBigInteger('ac_id');
 $table->foreign('ac_id')->references('ac_id')->on('acyears');
  $table->double('allotd_seat');
$table->timestamps();
 $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('seat_allotment');
    }
};
