<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('academic_holiday', function (Blueprint $table) {
      $table->bigIncrements('holiday_id'); 
      $table->date('holiday_date');
      $table->string('event');
      $table->double('student_holiday');
      $table->double('staff_holiday');
     $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('academic_holiday');
    }
};
