<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('classteacher', function (Blueprint $table) {
            $table->bigIncrements('clstchr_id');
            $table->unsignedBigInteger('course_id');
          $table->foreign('course_id')->references('course_id')->on('courses');
           $table->unsignedBigInteger('semester_id');
          $table->foreign('semester_id')->references('semester_id')->on('semesters');
          $table->unsignedBigInteger('user_id');
          $table->foreign('user_id')->references('user_id')->on('users');
          $table->unsignedBigInteger('ac_id');
          $table->foreign('ac_id')->references('ac_id')->on('acyears');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('classteacher');
    }
};
