<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('feedback_maincriteria', function (Blueprint $table) {
            $table->bigIncrements('fdbkmainc_id');
             $table->unsignedBigInteger('fdbktyp_id');
       $table->foreign('fdbktyp_id')->references('fdbktyp_id')->on('feedback_type');
       $table->string('main_criteria');
            $table->timestamps();
              $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('feedback_maincriteria');
    }
};
