<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('account_setting', function (Blueprint $table) {
           $table->bigIncrements('acset_id');
           $table->unsignedBigInteger('ledger_id');
            $table->foreign('ledger_id')->references('ledger_id')->on('ledgers');
            $table->unsignedBigInteger('accounttype_id');
            $table->foreign('accounttype_id')->references('accounttype_id')->on('account_type');
            $table->unsignedBigInteger('ac_id');
            $table->foreign('ac_id')->references('ac_id')->on('acyears');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('account_setting');
    }
};
