<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('performance_grade_criteria', function (Blueprint $table) {
            $table->id();
            $table->float('gr_from');
            $table->float('gr_to');
            $table->string('letter_grade');
            $table->string('performance');
            $table->unsignedBigInteger('ac_id');
            $table->timestamps();
          
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('performance_grade_criteria');
    }
};
