<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('staff_leave_balance', function (Blueprint $table) {
              $table->bigIncrements('stflvblnc_id'); 
              $table->unsignedBigInteger('user_id');
    $table->foreign('user_id')->references('user_id')->on('users');
    $table->unsignedBigInteger('leavtyp_id');
    $table->foreign('leavtyp_id')->references('leavtyp_id')->on('staff_leave_type_new');
    $table->unsignedBigInteger('leav_id');
    $table->foreign('leav_id')->references('leav_id')->on('staff_leave_setting');
    $table->double('leave_count');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('staff_leave_balance');
    }
};
