<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('birthday_wish_stu', function (Blueprint $table) {
            $table->bigIncrements('stuwish_id');
            $table->unsignedBigInteger('to');
            $table->foreign('to')->references('student_id')->on('students');
            $table->unsignedBigInteger('from');
            $table->foreign('from')->references('user_id')->on('users');
            $table->string('message');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('birthday_wish_stu');
    }
};
