<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('forwardeded_reply', function (Blueprint $table) {
            $table->bigIncrements('frwrdrply_id');
            $table->unsignedBigInteger('complaint_id');
            $table->foreign('complaint_id')->references('complaint_id')->on('complaint_add');
             $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->references('user_id')->on('users');
            $table->string('reply');
            $table->date('date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('forwardeded_reply');
    }
};
