<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('student_staff_feedback', function (Blueprint $table) {
            $table->bigIncrements('ssfd_id');
           $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->references('user_id')->on('users');
            $table->unsignedBigInteger('student_id');
            $table->foreign('student_id')->references('student_id')->on('students');
            $table->unsignedBigInteger('fdbkmainc_id');
            $table->foreign('fdbkmainc_id')->references('fdbkmainc_id')->on('feedback_maincriteria');
              $table->unsignedBigInteger('fdbksubc_id');
            $table->foreign('fdbksubc_id')->references('fdbksubc_id')->on('feeback_subcriteria');
          
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('student_staff_feedback');
    }
};
