<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('add_stop_trans', function (Blueprint $table) {
           $table->bigIncrements('stop_id');
           $table->unsignedBigInteger('route_id');
            $table->foreign('route_id')->references('route_id')->on('add_route_trans');
             $table->unsignedBigInteger('addbus_id');
            $table->foreign('addbus_id')->references('addbus_id')->on('add_bus_trans');
            $table->string('stop_code');
            $table->string('stop_name');
             $table->double('fee');
            $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('add_stop_trans');
    }
};
