<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('salary_advance', function (Blueprint $table) {
            $table->id();
             $table->unsignedBigInteger('user_id');
             $table->unsignedBigInteger('salary_month');
             $table->unsignedBigInteger('salary_year');
             $table->double('advance_amount');
             $table->date('process_date');
             $table->string('remarks');
             $table->unsignedBigInteger('status');
             $table->unsignedBigInteger('ac_id');
            $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('salary_advance');
    }
};
