<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('updated_bus_fee_indi_student_trans', function (Blueprint $table) {
            $table->bigIncrements('ubfist_id');
            $table->unsignedBigInteger('busfaci_stu_id');
            $table->foreign('busfaci_stu_id')->references('busfaci_stu_id')->on('busfacility_students');
            $table->unsignedBigInteger('ac_id');
            $table->foreign('ac_id')->references('ac_id')->on('acyears');
            $table->double('updated_fee');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('updated_bus_fee_indi_student_trans');
    }
};
