<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_member_types', function (Blueprint $table) {
            $table->id();
            $table->string('member_type');
            $table->unsignedBigInteger('books');
            $table->unsignedBigInteger('validity');
            $table->double('fine_amount')->nullable();
            $table->integer('fine_per',10)->nullable();
            $table->string('fine_day',10)->comment('Day, Month, To End');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_member_types');
    }
};
