<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_members_others', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('sno');
            $table->string('name');
            $table->string('barcode');
            $table->string('address');
            $table->string('mobile',15);
            $table->string('email',60)->nullable();
            $table->date('date')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_members_others');
    }
};
