<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lms_stud_assignment', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('assgmnt_id');
            $table->string('topic');
            
            $table->date('submission_date');
            $table->unsignedBigInteger('stud_id');
            $table->text('assignment');
            $table->date('submitted_on');
            $table->double('mark');
            $table->tinyInteger('status');
           
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('lms_stud_assignment');
    }
};
