<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('student_seminar_marks', function (Blueprint $table) {
             $table->bigIncrements('smark_id');
            $table->unsignedBigInteger('course_id');
            $table->unsignedBigInteger('semester_id');
            $table->unsignedBigInteger('subject_id');
             $table->unsignedBigInteger('student_id');
             $table->unsignedBigInteger('ac_id');
              $table->unsignedBigInteger('seminar_id');
              $table->date('presentation_date');
              $table->double('gradepoint');
             $table->string('grade');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('student_seminar_marks');
    }
};
