$(document).ready(function () {
   
    $("#table-fine").on('click', '.ajax-link', function (e) {
        e.preventDefault();

       
        var course = $(this).data('course');
        var semester_id = $(this).data('semester');
        var category_id = $(this).data('category');
        var sub_id = $(this).data('subject');

        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');

       
        if (!course || !semester_id || !category_id || !sub_id) {
            alert('Please select all mandatory fields!');
            return;
        }

       
        var url = '../fyugp-crsstud-get';

      
        $.ajax({
            type: 'GET',
            url: url,
            data: {
                course: course,
                semester_id: semester_id,
                category_id: category_id,
                sub_id: sub_id
            },
            success: function (response) {
                $("#result").html(''); 
                $("#result").append(response); 
            }
           
        });
    });
    
     $("#studminorupdate").on('click',function(){
        var course = $('#course').val();
        var sem_id = $('#sem_id').val();
        var category_id = $('#category_id').val();
        var sub_id = $('#sub_id').val();
        var posted = [];
    $('input[name="posted[]"]:checked').each(function () {
        var studentId = $(this).val();  
        var minorSubId = $('#minorI' + studentId).val(); 
        
       
        if (minorSubId) {
            posted.push({ student_id: studentId, minor_id: minorSubId });
        }
    });
        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(course=='' || sem_id=='' || category_id=='' || sub_id=='' || posted.length == 0){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../fyugpcrsminorstudsub-save',
                data : {course:course,sem_id:sem_id,category_id:category_id,sub_id:sub_id,posted: posted},
                success : function(response){
                    
                    minorsub(course,sem_id,category_id);
                   
                }
            });
          
        }
    });
    
    
});

        
function minorsub(course,sem_id,category_id)
{
     $.ajax({
                type : 'GET',
                url : '../fyugp-crsminorstudsub-get',
                data : {course:course,semester_id:sem_id,category_id:category_id},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
}