$(document).ready(function(){
    
    $("#staff_type").on('change',function(){
        var staff_type = $(this).val();
        $("#designation").empty();
        $("#designation").append('<option value="">select</option>');
        $.ajax({
            type : 'GET',
            url : '../designations',
            data : { staff_type: staff_type },
            success : function(response){
                var data = jQuery.parseJSON(response);
                $.each(data, function(key,value) {
                    $("#designation").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
    $("#course").on('change',function(){
        var course = $(this).val();
        $("#semester").empty();
        $("#semester").append('<option value="">select</option>');
        $.ajax({
            type : 'GET',
            url : '../semesters',
            data : { course: course },
            success : function(response){
                var data = jQuery.parseJSON(response);
                $.each(data, function(key,value) {
                    $("#semester").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
    $('#checkAll').on('change', function(){
        let isChecked = this.checked;
        $('.checkSub').prop('checked', isChecked);
    });
    
});