$(document).ready(function(){
    
    $("#course_id").on('change',function(){
        
        var course_id = $(this).val();
        $("#semester_id").empty();
        $.ajax({
            type : 'GET',
            url : '../get-semesters/'+course_id,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $.each(data, function(key,value) {
                    $("#semester_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
    $("#btn-get").on('click',function(){
        var aid = $('#ac_id').val();
        var cid = $('#course_id').val();
        var sid = $('#semester_id').val();
        var ctid = $('#category_id').val();
        var tid = $('#term_id').val();
        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(aid=='' || cid=='' || sid=='' || ctid=='' || tid==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../structure-get',
                data : {aid:aid,cid:cid,sid:sid,ctid:ctid,tid:tid},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
});