
@extends('layouts.template')
@section('title','Home')
@section('heading','Attendance')
@section('breadcrumb','Home/Student/Attendance')
@section('content')

   <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
  {{ app_button_links_v(array(433,324)) }}
    </div>     
  <div class="card-body">
 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
                <div class="card-header" style="background:#005A9C;color:white"><b>Select the Criteria</b></div>
                <div class="card-body">








   
                    <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                <label for="course_id" class="required"><b>Course</b></label>
                                <select class="form-control js-example-basic-single" id="course_id" name="course_id" required>
                                <option value="">Select</option>
                                @foreach($course as $crs)
                                <option value="{{ $crs->course_id }}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
                                @endforeach
                                </select>
                                @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control js-example-basic-single" id="semester_id" name="semester_id" required>
                            <option value="">Select</option>
                            </select>
                            @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                        <div class="col-md-3">
                        <div class="form-group">   
                        <label for="subject_id" class="required"><b>Subject</b></label>
    <select class="js-example-basic-single" id="subject_id" name="subject_id" style="width:100%">
    <option value="">Select</option>
                                     
    </select>  
                        </div>
                        </div>
                               
                            
                            
                        <div class="col-md-3">
                        <div class="form-group">
                            <label for="month" class="required"><b>Month</b></label>
<input type="month" name="month" id="month" class="form-control" value="<?php echo date('Y-m'); ?>">
                           </div>
                           </div>
                           
                           
                        
                           
                         </div>
                          <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                                </div>
                            </div>
                        </div>  
                </div>
            </div>
        </div>
        </div>
        
        
        
          </div>
            </div>
        </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div> 
        
        
       
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/leave.js') }}"></script>  
    <script src="{{ asset('public/js/sem.js') }}"></script>
    <script src="{{ asset('public/js/sub.js') }}"></script> 
    <script src="{{ asset('public/js/stuattendance.js') }}"></script> 

  
     
    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    
    
    
    
    
    
    
    
    @endsection