@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Accountgroup Edit')
@section('breadcrumb','Settings / Accounts /Account Group / Accountgroup Edit')
@section('content')





  <!--      <a href="{{route('accountgroup')}}" class="back-button">-->
		<!--<svg baseProfile="tiny" height="35px" id="Layer_1" version="1.2" viewBox="0 0 24 24" width="35px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M12,9.059V6.5c0-0.256-0.098-0.512-0.293-0.708C11.512,5.597,11.256,5.5,11,5.5s-0.512,0.097-0.707,0.292L4,12l6.293,6.207  C10.488,18.402,10.744,18.5,11,18.5s0.512-0.098,0.707-0.293S12,17.755,12,17.5v-2.489c2.75,0.068,5.755,0.566,8,3.989v-1  C20,13.367,16.5,9.557,12,9.059z"/></svg>-->
  <!--      Back-->
  <!--      </a>-->
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>
    <div class="card-body">
                    <form action="{{ route('accountgroup.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="acsubgrp_id" value="{{ encrypt($accountsubgroup->acsubgrp_id) }}">
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="acmaingrp_id" class="required"><b>Main Group</b></label>
                        <select class="form-control" id="acmaingrp_id" name="acmaingrp_id" required>
                        @foreach($accountmaingrp as $main)
                        <option value="{{ $main->acmaingrp_id }}" {{ $accountsubgroup->acmaingrp_id==$main->acmaingrp_id ? "selected":"" }}>{{ $main->main_group }}</option>
                        @endforeach
                        </select>
                        @error('acmaingrp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="subgroup" class="required"><b>Sub Group</b></label>
                                    <input type="text" class="form-control @error('subgroup') border-danger @enderror" id="subgroup" name="subgroup" value="{{$accountsubgroup->subgroup  }}">
                                    @error('subgroup')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    
                        <div class="row">
                        <div class="col-md-12">
                        <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Update</button>
                        </div>
                        </div>
                        </div>
                                    
                                    
                    </form>
                    </div>
                    </div>
                    </div>
                    </div>
                    
                    
                    
                    
                    
                   
    <style>
                 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
@endsection