
@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Association') 
@section('breadcrumb', 'Home/Association/Event-Report') 
@section('content') 

        
        <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">  
         <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(457,458,460,461)) }}
    </div> 
        
        <div class="card-body">  
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Event Report</b></div>     
                <div class="card-body">
          <div class="row">
                        <div class="col-md-3">
                            <select name="month_year" class="form-control" id="month_year" required>
                                <option value="">Select Month and Year</option>
                                @foreach (range(2020, date('Y')) as $year)
                                    @foreach (range(1, 12) as $month)
                                        <option value="{{ $month }}-{{ $year }}">
                                            {{ date('F', mktime(0, 0, 0, $month, 1)) }} {{ $year }}
                                        </option>
                                    @endforeach
                                @endforeach
                            </select>
                        </div>
                        <div class="col-md-3">
                            <button type="submit" id="btn-get" class="btn btn-primary">Search</button>
                        </div>
                    </div>


        
        </div>
        </div>
        </div>
        </div>
        
        
        
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div> 
        
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/assoeventget.js') }}"></script>  
        <style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
       
        .form-control{
            border:1px solid #E8E8E8;
        }
</style>
        @endsection
        