@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Association') 
@section('breadcrumb', 'Home/Association/Staff-In-Charges') 
@section('content') 

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
    <div class="card-tools">
    {{ app_button_links(array(457,458,460,461)) }}
    </div>
        </div>
        </div>
        
        
         <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Staff-In-Charges</b></div>     
        <div class="card-body">  
        
        <div class="row">
  <div class="col-md-3">                         
                            <div class="form-group">                         
                                <label for="user_id"><b>Staff</b></label>                         
                                <select class="form-control" id="user_id" name="user_id" required>                         
                                    <option value=""><span class="fw-bold">Select</span></option>                         
                                    @foreach($staf as $staffs)                         
                                        <option value="{{ $staffs->user_id }}" {{ old('user_id') == $staffs->user_id ? "selected" : "" }}>{{ $staffs->name}}</option>                         
                                    @endforeach                         
                                </select>                         
                                @error('user_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror                         
                            </div>                         
                        </div>
                        
                        
                        <div class="col-md-3"> 
                           <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
          </div>
            </div>
        
        
        </div>
        </div>
        </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div> 
        
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/inchargeasso.js') }}"></script>  
        @endsection