
@extends('layouts.template')
@section('title','Home')
@section('heading','Certificate')
@section('breadcrumb','Home/Certificate/Event/Generated Certificates')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(383,384,385,386)) }}
          
        
    </div>     
    <div class="card-body">

 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b></b></div>
                <div class="card-body">


 
            
                <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Certificate No.</b></th>
                            <th><b>Date</b></th>
                            <th><b>Adno</b></th>
                            <th><b>Student Name</b></th>
                            <th><b>Competition</b></th>
                            <th><b>Template</b></th>
                            <th colspan="4"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($eventgenerate as $eventgenerates)
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{$eventgenerates->certificate_number}}</td>
                                    <td>{{date('d-m-Y',strtotime($eventgenerates->date))}}</td>
                                    <td>{{$eventgenerates->student->adno}}</td>
                                    <td>{{$eventgenerates->student->name}}</td>
                                    <td>{{ $eventgenerates->compt->compt  }}</td>
                                    <td>{{ $eventgenerates->template->code  }}</td>
                                    <td><a href="{{route('event.generate.report.view',['id'=>$eventgenerates->evntgen_id])}}"><i class="icon-sm icon-magnifier text-primary"></i></a></td>
                                    <td><a href="{{route('event.generate.report.print',['id'=>$eventgenerates->evntgen_id])}}" target="_blank"><i class="fa fa-print"></i></a></td>
                                      <td><a href="{{route('event.generate.report.edit',['id'=>$eventgenerates->evntgen_id])}}"><i class="icon-pencil"></i></a></td>
                                       <td><a href="{{route('event.generate.report.delete',['id'=>$eventgenerates->evntgen_id])}}"><i class="icon-trash"></i></a></td>
                                
                                     
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
              
              
                </div>
                </div>
                
            </div>
        </div>
    </div>
    
    </div>
                
            </div>
        </div>
    </div>
    
    
    
    <style>
        
       
        .form-control{
            border:1px solid black;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection