@extends('layouts.template')
@section('title','Home')
@section('heading','Complaint')
@section('breadcrumb','Home/Complaint/View')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(391,392,393)) }}
          
        
    </div>     
    <div class="card-body">
 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Inbox</b></div>
                <div class="card-body">






                 <div class="row">   
    <div class="col-md-3" style="display: flex; align-items: center;">
        <label style="margin: 0;">Followed-Up Complaints</label>
    </div>
    <div class="col-md-1" style="display: flex; align-items: center;">
        <div class="color-box" style="background-color: #DFF0D8;border:1px solid black; width: 20px; height: 20px;"></div>
    </div>
</div>
 <div class="row">   
    <div class="col-md-3" style="display: flex; align-items: center;">
        <label style="margin: 0;">Pending Complaints</label>
    </div>
    <div class="col-md-1" style="display: flex; align-items: center;">
        <div class="color-box" style="background-color:white;border:1px solid black;width: 20px; height: 20px;"></div>
    </div>
</div>
<br>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Date Submitted</b></th>
                            <th><b>Submitted By</b></th>
                            <th><b>Subject</b></th>
                            <th><b>Complaint Details</b></th>
                            <th><b>Recipient</b></th>
                            <th><b>Forwarded By</b></th>
                            <th colspan="1"><b>Actions</b></th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse($complaint as $complaints)
                             <tr class="{{ $complaints->forwardededReply->isNotEmpty() ? 'reacted-complaint' : '' }}">
                                <td>{{$loop->iteration}}</td>
                                <td>{{ date('d-m-Y', strtotime($complaints->date)) }}</td>
                                <td>{{ $complaints->complaintFrom->name }}</td>
                                <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $complaints->subject }}</td>
                                <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $complaints->complaint }}</td>
                                <td>{{ $complaints->complaintTo->name }}</td>
                                
                                <td>
                                    @if($complaints->forwarded_to == $userId)
                                        {{ $complaints->complaintTo->name }} 
                                    @else
                                        N/A 
                                    @endif
                                </td>
                                
                                <td>
                                    <button type="button" class="btn view-btns" data-url="{{ route('complaints.inbox.reply', ['id' => $complaints->complaint_id ]) }}">
                                        <i class="fa-solid fa-magnifying-glass"></i>
                                    </button>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="7">No Result Found!</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
 </div>
        </div>
    </div>
</div>




<!-- Modal -->
<div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header" style="background-color:#005A9C;color:white;">
                <h5 class="modal-title" id="viewModalLabel"><b>ACTION</b></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
            </div>
        </div>
    </div>
</div>

<style>
   
    
    .form-control {
        border:1px solid black;
    }
    .card-body {
        border-left:1px solid #DCDCDC;
        border-right:1px solid #DCDCDC;
        border-bottom:1px solid #DCDCDC;
    }
</style>

<!--<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>-->
<!--<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>-->
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<script>
    $(document).ready(function() {
        $('.view-btns').on('click', function(e) {
            e.preventDefault();
            var url = $(this).data('url');

            $.get(url, function(data) {
                $('#viewModal .modal-body').html(data);
                $('#viewModal').modal('show');
            });
        });
    });
</script>
<style>
    .reacted-complaint {
        background-color: #DFF0D8;
    }
  .color-box {
            width: 20px; 
            height: 20px; 
            display: inline-block;
            vertical-align: middle; 
            margin: 5px; 
        }
</style>
@endsection
