<div class="card" style="border-top:2px solid #004170">
    <div class="card-body">
        <form action="{{ route('addelectives.save') }}" method="post">
            @csrf
            <input type="hidden" id="course_id" name="course_id" value="{{ $crs_det->course_id }}">
            <input type="hidden" id="semester_id" name="semester_id" value="{{ $sem_det->semester_id }}">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead>
                            <tr>
                                <th><b>Student Name</b></th>
                                <th><b>Admission Number</b></th>
                                <th><b>Specialisation</b></th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($student as $students)
                                 @php $specialtn_id = $students->spcl->specialtn_id??null;@endphp
                                   <input type="hidden" name="student_id[]" value="{{ $students->student_id }}">
                                    <tr>
                                        <td>{{ $students->name }}</td>
                                        <td>{{$students->adno }}</td>
                                        <td>
                                            <select class="form-control" id="specialtn_id" name="specialtn_id{{$students->student_id}}">
                                        <option value="">Select</option>
                                        @foreach($specialisation as $spcl)
                                            <option value="{{ $spcl->specialtn_id  }}" {{ $specialtn_id==$spcl->specialtn_id  ? "selected":"" }}>{{ $spcl->specialisation }}</option>
                                        @endforeach
                                    </select>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <div id="load"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<style>
    
        .form-control{
            border:1px solid black;
        }
</style>