@extends('layouts.template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')
  
    
    
    
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#005A9C;color:white;"><b>Due Report</b></div>
                <div class="card-body">
                    <table class="table table-bordered" id="dueTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>Adm No</b></th>
                            <th><b>Name</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th class="no-sort aright"><b>Due Amount</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                    <div class="row">
                        <div class="col-8 text-right font-weight-bold">Total :</div>
                        <div class="col-4 font-weight-bold" id="total">0.00</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
       </div>
            </div>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/fee.js') }}"></script>
    <script>
        $(function () {
            var dueTable = $("#dueTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false },{ targets: 'aright', className: 'text-right'}],
                ajax : {
                    url : '{{ route('dash.dueamount.get') }}',
                    dataType : 'json',
                    type : 'GET',
                },
                columns : [
                    { data : 'adno' },
                    { data : 'name' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'due' },
                  
                ]
            });
            $('#getData').click(function(){
                dueTable.draw();
                get_total();
            });
            get_total();
        });
        
        function get_total(){
           
            $.ajax({
                type: "GET",
                url: '{{ route('dash.due.total') }}',
                cache: false,
                success: function(data){
                    $("#total").text(data);
                }
            });
        }
    </script>
    
    <style>
           table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
          table.table-bordered th{
            background-color:#FEBE10;
        }
         table.table-bordered  tr:nth-child(even){background-color: #E0E0E0;}
          table.table-bordered tr:hover {background-color: #B9D9EB;cursor:pointer;}
       
                      .dataTables_wrapper .dataTables_filter input {
   
    font-weight:bold;
    background-color: white;
    border: 1px solid black;
    border-radius: 4px;
    padding: 6px 10px;
    width: 300px; /* Adjust width as needed */
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1); /* Optional: add shadow */
}
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
    </style>
@endsection