@extends('layouts.template')
@section('title','Home')
@section('heading','Dashboard')
@section('breadcrumb','Home')
@section('content')

            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white"><b></b></div>
            <div class="card-body">

 <table class="table-bordered">
       <thead>
           <th>Task Name</th>
           <th>Date</th>
           <th colspan="2">Status</th>
       </thead> 
       <tbody>
           @foreach($todo as $to)
           <tr>
               <td>{{$to->task}}</td>
               <td>{{$to->date}}</td>
               <td>
               
                                        @if ($to->status == 1)
                <a href="" style="text-decoration:none;" class="cancel-btn" data-other-id="{{$to->todo_id}}"><i class="fa fa-check text-danger"></i></a>
            @else
                <a href="" disabled style="color:green">Completed<i class="fa fa-check text-success"></i></a>
                                       @endif
               </td>
               
           </tr>
           
           @endforeach
       </tbody>
     </table>
     
     
     
     <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<script>
    $(document).ready(function() {
        $('.cancel-btn').click(function() {
            var otherId = $(this).data('other-id');

            $.ajax({
                url: '/todoupate/' + otherId, 
                type: 'get',
                data: {
                    other_id: otherId
                },
                success: function(response) {
                   
                    if (response) {
                        window.reload();
                        
                        // $(this).removeClass('btn-danger').addClass('btn-secondary').attr('disabled', true).html('Cancelled');
                        // window.location.href = '/otherreport-get';
                    }
                },
                error: function(xhr) {
                    
                    console.log(xhr.responseText);
                    
                }
            });

        });
    });
</script>


     
     
     
     <style>
     .table-bordered {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}
         .table-bordered td, .table-bordered th {
  border: 1px solid #ddd;
  padding: 8px;
}
.table-bordered tr:nth-child(even){background-color: #f2f2f2;}



.table-bordered th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #04AA6D;
  color: white;
}




.btn-status {
    padding: 5px 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin: 0 5px;
    color: white;
}

.pending {
    background-color: #007bff; /* Blue for Pending */
}


.completed {
    background-color: #28a745; /* Green for Completed */
}



     </style>



</div>
</div>
</div>
</div>



  @endsection