@extends('layouts.template')
@section('title','Home')
@section('heading','Report - Other Payment')
@section('breadcrumb','Home/Otherfee/Report - Other Payment')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    
   
    <div class="card-tools">
    {{ app_button_links(array(444,189)) }}
    </div>
        </div>
        </div>


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <form action="{{ route('fee.otherreport.get') }}" method="post">
    @csrf
                            <div class="row">
                       
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="fdate" class="required"><b>From Date</b></label>
                            <input type="date" class="form-control" id="fdate" name="fdate" value="{{old('fdate') }}">
                            @error('fdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="tdate" class="required"><b>To Date</b></label>
                                <input type="date" class="form-control" id="tdate" name="tdate" value="{{old('tdate')  }}">
                                @error('tdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                </div>
                                <div class="row">
                                <div class="col-md-12">  
                                <input type="submit" name="get_details" class="btn btn-primary float-right" id="get_details" value="Get Details">
                                </div>
                                </div>
                                </form>
                                
</div>
</div>
</div>
</div>
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#004170;color:white;"><b>Other Fee Report</b></div>
        <div class="card-body">
                   
           
       <table id="tablecss" class="table table-bordered">
       <thead>
                            <tr>
                                <th><b>Receipt Number</b></th>
                                <th><b>Student Name</b></th>
                                <th><b>Date</b></th>
                                <th><b>Amount</b></th>
                                <th><b>Cancel</b></th>
                                <th><b>Print</b></th>
                                <th><b>Pdf</b></th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($otherfees as $other)
                                    <tr>
                                       <td>{{$other->receipt_number}}</td>
                                       <td>{{$other->student_name}}</td>
                                       <td>{{$other->date}}</td>
                                       <td>{{$other->total_amount}}</td>
                                       <td>
                                         
                                        @if ($other->status == 0)
              
              
            <a href="" style="text-decoration:none;" class="cancel-btn" data-other-id="{{$other->othrfee_id}}"><i class="fas fa-times-circle text-danger" style="font-size:20px"></i></a>
            @else
                <a href="" class="btn-secondary" disabled>Cancelled</a>
              
                                       @endif
                                    </td>
                                    <td align="center"><a href="{{route('fee.otherreport.print',['id' => $other->othrfee_id])}}" target="_blank"><i  style="font-size:20px" class="icon-sm icon-printer text-success"></i></a></td> 
                                    <td align="center"><a href="{{route('fee.otherreport.pdf',['id' => $other->othrfee_id])}}"><i class="fa-solid fa-file-pdf text-danger" style="font-size:20px"></i></a></td> 

                                    </tr>
                                    @endforeach   

                                    </tbody>
    
    
    </table>








<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<script>
    $(document).ready(function() {
        $('.cancel-btn').click(function() {
            var otherId = $(this).data('other-id');

         
            if (!confirm('Are you sure you want to cancel this?')) {
                return false;
            }

         
            $.ajax({
                url: '/cancel/' + otherId, 
                type: 'get',
                data: {
                    other_id: otherId
                },
                success: function(response) {
                    if (response.success) {
                     
                        $(this).removeClass('btn-danger').addClass('btn-secondary').attr('disabled', true).html('Cancelled');
                        // window.location.href = '/otherreport-get';
                    }
                },
                error: function(xhr) {
                    
                    console.log(xhr.responseText);
                    alert('Error cancelling other fee. Please try again.');
                }
            });

        });
    });
</script>
<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
         
        }
           #tablecss{
     font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}
#tablecss td, #tablecss th {
  border: 1px solid #ccc;
  padding: 8px;
}


#tablecss tr:nth-child(even){background-color:#F8F8F8;}

#tablecss tr:hover {background-color: #ddd;}

#tablecss th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color:#FEBE10;
  color: black;
}
</style>










@endsection