<div class="card" style="border-top:2px solid #004170">
    <div class="card-body">
        <form action="{{ route('fine.save') }}" method="post">
            @csrf
            <input type="hidden" id="ac_id" name="ac_id" value="{{ $ac_det->ac_id }}">
            <input type="hidden" id="course_id" name="course_id" value="{{ $course_det->course_id }}">
            <input type="hidden" id="type_id" name="type_id" value="{{ $type_det->type_id }}">
            <input type="hidden" id="fine_type" name="fine_type" value="{{ $fine_type }}">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead>
                            <tr>
                                <th><b>From Day</b></th>
                                <th><b>To Day</b></th>
                                <th><b>Amount</b></th>
                                <th><b>Action</b></th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($fines as $fine)
                                    <tr>
                                        <td>{{ $fine->from }}</td>
                                        <td>{{ $fine->to }}</td>
                                        <td>{{ $fine->amount }}</td>
                                        <td>{{ app_table_links($fine->fine_id,array(19)) }}</td>
                                    </tr>
                                @endforeach
                                <tr>
                                    <td>
                                        <select class="form-control" name="from[]" required>
                                            @foreach($fromdays as $key=>$value)
                                                <option value="{{ $key }}">{{ $value }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <select class="form-control" name="to[]" required>
                                            @foreach($todays as $key=>$value)
                                                <option value="{{ $key }}">{{ $value }}</option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <input class="form-control" name="amount[]" required>
                                    </td>
                                    <td>
                                        <button type="button" class="btn btn-info btn-rounded btn-icon" id="add"><i class="icon-plus icon-sm"></i></button>
                                        <button type="button" class="btn btn-danger btn-rounded btn-icon" id="remove"><i class="icon-minus icon-sm"></i></button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <div id="load"></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/js/fine.js') }}"></script>
<style>
      
        .form-control{
            border:1px solid black;
        }
</style>