@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings/Genre/Community/Edit')
@section('content')
       
       
      
        
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Edit</b></div>
    <div class="card-body">
    <form action="{{ route('community.update') }}" method="post">
    @csrf
                        <input type="hidden" name="community_id" value="{{ encrypt($community->community_id) }}">
                        <div class="row">
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="religion_id" class="required"><b>Religion</b></label>
                            <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                            @foreach($religion as $religions)
                            <option value="{{ $religions->religion_id}}" {{ old('religion_id ') == $religions->religion_id? "selected":"" }}>{{ $religions->religion_name}}</option>
                            @endforeach
                            </select>
                            @error('religion_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            
                                            <div class="col-md-3">
                                            <div class="form-group">
                                            <label for="community" class="required"><b>Community</b></label>
                                            <input type="text" class="form-control @error('community') border-danger @enderror" id="community" name="community" value="{{$community->community }}">
                                            @error('community')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                            </div>
                                            </div>
                                            
                                            </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Update</button>
                                    </div>
                                    </div>
                                    </div>
                                    
                                    
        </form>
        </div>
        </div>
        </div>
        </div>
        
        
        
        
       
  <style>
                                      .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

  </style>
@endsection