<style>
    *{
        font-family:Arial;
    }
    .fee-item{
        border: 1px solid black;
        border-collapse: collapse;
    }
</style>
<body onload="print()">
    <div class="container">
        <div class="head">
            <table width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="{{ asset('public/uploads/logo/'.$ins_det->logo) }}" alt="{{ $ins_det->logo }}" height="100px"></td>
                    <td width="50%" align="center">{{ $ins_det->name }}</td>
                    <td width="25%" rowspan="4" align="center"></td>
                </tr>
                <tr><td align="center">{{ $ins_det->affiliation }}</td></tr>
                <tr><td align="center">{{ $ins_det->address }}</td></tr>
                <tr><td align="center">{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</td></tr>
            </table>
            <center><p>RECEIPT</p></center>
            <hr>
            <table width="100%">
                <tr>
                    <td width="50%"><b>Receipt No. : </b>{{ $fee_det->receipt_no }}</td>
                    <td width="50%" align="right"><b>Date : </b>{{ $fee_det->paid_date_formatted }}</td>
                </tr>
                <tr>
                    <td><b>Adm No. : </b>{{ $fee_det->student->adno }}</td>
                    <td align="right"><b>Name : </b>{{ $fee_det->student->name }}</td>
                </tr>
            </table>
            <br>
            <table class="fee-item" width="100%">
                <thead>
                <tr>
                    <th class="fee-item">#</th>
                    <th class="fee-item">Month</th>
                    <th class="fee-item">Fee Type</th>
                    <th class="fee-item">Amount</th>
                    <th class="fee-item">Discount</th>
                    <th class="fee-item">Total</th>
                    
                </tr>
                </thead>
                <tbody>
                    @php $i=$total=0;@endphp
                    @foreach($fee_item_det as $fee_item)
                        @php $famount = $fee_item->amount-$fee_item->discount; $total += $famount; @endphp
                        <tr>
                            <td class="fee-item" align="center">{{ ++$i }}</td>
                            <td class="fee-item" align="center">{{ $fee_item->month_formatted }}</td>
                            <td class="fee-item" align="center">{{ $fee_item->ptype_text }}</td>
                            <td class="fee-item" align="right">{{ number_format($fee_item->amount,2) }}</td>
                            <td class="fee-item" align="right">{{ number_format($fee_item->discount,2) }}</td>
                            <td class="fee-item" align="right">{{ number_format($famount,2) }}</td>
                        </tr>
                    @endforeach
                </tbody>
                <tfoot>
                <tr>
                    <th class="fee-item" colspan="5" align="center">Grand Total</th>
                    <th class="fee-item" align="right">{{ number_format($total,2) }}</th>
                </tr>
                </tfoot>
            </table>
            <br>
            <p>Payment recieved by {{ $fee_det->mode->mode_name }}</p>
        </div>
    </div>
</body>