@if(Auth::user()->user_id == '1')
<a class="nav-link dropdown-toggle" id="UserDropdown" href="#" data-toggle="dropdown" aria-expanded="false">
    <i class="fas fa-bell" style="color:white"></i>
    <span class="badge badge-danger" id="notificationCount">{{ $meetingcount }}</span>
</a>
<div class="dropdown-menu dropdown-menu-right navbar-dropdown" id="dropdownContent" aria-labelledby="UserDropdown">
    <div class="dropdown-header text-center">
        <h6>Today's Notifications ({{ $meetingcount }}):</h6>

        @if ($meetingcount > 0)
            <h6>Meetings:</h6>
            <table class="table">
                @foreach ($meetings as $meeting)
                <tr>
                    <td>
                        <strong>{{ $meeting->name }}</strong><br>
                        <small>{{ \Carbon\Carbon::parse($meeting->from)->format('h:i A') }}</small>
                    </td>
                </tr>
                @endforeach
            </table>
        @else
            <p>No meetings today.</p>
        @endif
    </div>
</div>


@endif
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>
    // Check local storage
if (localStorage.getItem('notificationsViewed') === 'true') {
    document.getElementById('notificationCount').style.display = 'none';
   
}

document.getElementById('UserDropdown').addEventListener('click', function() {
    document.getElementById('notificationCount').style.display = 'none';
   
    localStorage.setItem('notificationsViewed', 'true'); // Set the flag in local storage
});

</script>
