@if(Auth::user()->user_id == $userId)
<a class="nav-link dropdown-toggle" id="UserDropdown" href="#" data-toggle="dropdown" aria-expanded="false">
    <i class="fas fa-bell" style="color:white"></i>
    <span class="badge badge-danger" id="notificationCount">{{ $wishcount }}</span>
</a>
<div class="dropdown-menu dropdown-menu-right navbar-dropdown" id="dropdownContent" aria-labelledby="UserDropdown">
    <div class="dropdown-header text-center">
        <h6>Today's Notifications ({{ $wishcount }}):</h6>

        @if ($wishcount > 0)
            <h6>Message</h6>
            <table class="table">
                @foreach ($wish as $wishes)
                <tr>
                    <td>
                        <strong>{{ $wishes->message }}</strong><br>
                        <small>From:{{$wishes->user->name  }}</small>
                    </td>
                </tr>
                @endforeach
            </table>
        @else
            <p>No Message today.</p>
        @endif
    </div>
</div>


@endif
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>
   
if (localStorage.getItem('notificationsViewed') === 'true') {
    document.getElementById('notificationCount').style.display = 'none';
   
}

document.getElementById('UserDropdown').addEventListener('click', function() {
    document.getElementById('notificationCount').style.display = 'none';
   
    localStorage.setItem('notificationsViewed', 'true'); 
});

</script>
<style>
    .badge {
    display: inline-block; 
   
}
</style>