@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Member Type')
@section('breadcrumb','Settings / Library / Member Type')
@section('content')
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="subcategoryTable" width="100%">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Member Type</th>
                    <th>Max. Books</th>
                    <th>Validity</th>
                    <th>Fine Amount</th>
                    <th>Fine Per</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                    @forelse($types as $type)
                        <tr>
                            <td align="center">{{ $loop->iteration }}</td>
                            <td align="center">{{ $type->member_type	 }}</td>
                            <td align="center">{{ $type->books }}</td>
                            <td align="center">{{ $type->validity }}</td>
                            <td align="center">{{ $type->fine_amount }}</td>
                            <td align="center">{{ $type->fine_day=='To End' ? 'To End': $type->fine_per.' '.$type->fine_day }}</div>
                            <td align="center">{{ app_table_links($type->id,array(101)) }}</td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="5">No Result Found !</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>
@endsection