@if($books->count() > 0)
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div style="overflow-x:scroll;">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr>
                                    <th>Image</th>
                                    <th>Access No</th>
                                    <th>Call No</th>
                                    <th>Title</th>
                                    <th>Author</th>
                                    <th>Subject</th>
                                    <th>ISBN</th>
                                    <th>Category</th>
                                    <th>Sub Category</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($books as $book)
                                    <tr>
                                        <td align="center">
                                            @if($book->image)
                                                <img src="{{ asset('public/uploads/books/image/'.$book->image) }}" width="100px;">
                                            @endif
                                        </td>
                                        <td align="center">{{ $book->access_no }}</td>
                                        <td align="center">{{ $book->call_no }}</td>
                                        <td>{{ $book->title }}</td>
                                        <td>{{ $book->author }}</td>
                                        <td>{{ $book->subject }}</td>
                                        <td>{{ $book->isbn }}</td>
                                        <td align="center">{{ $book->category->name }}</td>
                                        <td align="center">{{ $book->subcategory->name }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@else
    <div class="alert alert-info">No Result Found !</div>
@endif