@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','CO Attainment')
@section('breadcrumb','Settings / OBE / CO Attainment')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" >
             <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
              {{ app_button_links_v(array(246,262,270,265,247,250,251)) }}
                    
            
             
         </div> 
            <div class="card-header" style="background:#073980;color:white;"><b>CO Attainment</b></div>
   
                <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>Target for CO achievement</th>
                            <th><b>% of students achieving target</b></th>
                            <th><b>CO Attainment Level</b></th>
                            <th><b>Edit</b></th>
                          
                        </tr>
                        </thead>
                        <tbody>
                            <tr>
                                 <td rowspan='4' colspan='1'>  @if ($co_target) Level {{$co_target->level.'('.($co_target->f_per.'-'.$co_target->t_per)}})%  @endif</td>
                            @forelse($coattainment as $coat)
                                
                                  <td rowspan='1' colspan='1'>{{$coat->f_per.' - '.$coat->t_per}}</td>
                                  <td rowspan='1' colspan='1'>{{$coat->level}}</td>
                                  <td rowspan='1' colspan='1'>{{app_table_links($coat->id,array(252)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="4">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
        .text-dark-green {
    color: darkgreen;
    background:darkgreen;
}
    </style>
    @endsection