@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Course Outcome')
@section('breadcrumb','Settings / OBE / Course Outcome / Edit')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#073980;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('co.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="co_id" value="{{ encrypt($co->id) }}">
                        <div class="row">
                            
                          
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="co_no" class="required"><b>CO No.</b></label>
                                            <input type="text" class="form-control @error('co_no') border-danger @enderror" id="co_no" name="co_no" value="{{$co->co_no }}">
                                            @error('co_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                  <div class="col-md-8">
                                        <div class="form-group">
                                            <label for="co_name" class="required"><b>Course Outcome</b></label>
                                            <input type="text" class="form-control @error('co_name') border-danger @enderror" id="co_name" name="co_name" value="{{$co->co_name }}">
                                            @error('co_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection