@extends('layouts.template')
@section('title','OBE')
@section('heading','Outcome Based Education')
@section('breadcrumb','Home / OBE / Activity / Edit Performance Mark')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#073980;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('performancemrk.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="p_id" value="{{ encrypt($ap->id) }}">
                        <div class="row">
                            
                          
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="mark" class="required"><b>Mark</b></label>
                                            <input type="text" class="form-control @error('mark') border-danger @enderror" id="mark" name="mark" value="{{$ap->mark }}">
                                            @error('mark')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                  <div class="col-md-8">
                                        <div class="form-group">
                                            <label for="remark" class="required"><b>Remark</b></label>
                                            <input type="text" class="form-control @error('remark') border-danger @enderror" id="remark" name="remark" value="{{$ap->remark }}">
                                            @error('remark')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection