@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','PO Attainment')
@section('breadcrumb','Settings / OBE / PO Attainment / Edit')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"><b><i class="fa-solid fa-gear" style="color:#005A9C;margin-right: 8px;"></i><span style="color:#005A9C">Settings /OBE /<a href="{{route('obe.poattainment')}}" style="text-decoration:none;color:#005A9C">PO Attainment</a>/</span>Edit</b></div>
    <div class="card-body">







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('poattainment.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="patt_id" value="{{ encrypt($poattainment->id) }}">
                        <div class="row">
                            
                          
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="f_per" class="required"><b>% from</b></label>
                                            <input type="text" class="form-control @error('f_per') border-danger @enderror" id="f_per" name="f_per" value="{{$poattainment->f_per }}">
                                            @error('f_per')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                  <div class="col-md-8">
                                        <div class="form-group">
                                            <label for="t_per" class="required"><b>% To</b></label>
                                            <input type="text" class="form-control @error('t_per') border-danger @enderror" id="t_per" name="t_per" value="{{$poattainment->t_per }}">
                                            @error('t_per')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>  
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
         </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection