@extends('layouts.template')
@section('title','OBE')
@section('heading','Outcome Based Education')
@section('breadcrumb','Home / OBE / Attainment / PO Attainment')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
            
            {{ app_button_links_v(array(304,305,306)) }}
            
        </div>      
        <div class="card-body">

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
           
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>PO Attainment</b></div>
        <div class="card-body">
        <form action="{{ route('poattainmentrep.get') }}" method="post">
        @csrf
        <div class="row">
            
   
        <div class="col-md-3">
           <div class="form-group">
              <label for="ac_id" class="required"><b>Academic Year</b></label>
                <select class="form-control" id="ac_id" name="ac_id" required>
                 @foreach($acyears as $acyear)
                    <option value="{{ $acyear->ac_id }}" {{ $ac_id==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                 @endforeach
                </select>
                 @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
        </div>    
                            
   
        </div>
        
        <div id="moreadd"></div> 
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
          <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
     <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
    
    
    
    
    </div>
        </div>
        </div>
    </div>
    
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
  
     <script src="{{ asset('public/js/poattainmentreport.js') }}"></script>
    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
    
    
 
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection