@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','PSO Attainment')
@section('breadcrumb','Settings / OBE / PSO Attainment')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
             <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
           {{ app_button_links_v(array(239,238,240)) }}
    </div>  
    <div class="card-body">

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
            
            <div class="card-header" style="background:#005A9C;color:white;"><b>PSO Attainment</b></div>
   
                <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>Target for PSO achievement</th>
                            <th><b>% of students achieving target</b></th>
                            <th><b>PSO Attainment Level</b></th>
                            <th><b>Edit</b></th>
                          
                        </tr>
                        </thead>
                        <tbody>
                            <tr>
                                 <td rowspan='4' colspan='1'> @if ($pso_target) Level {{$pso_target->level.'('.($pso_target->f_per.'-'.$pso_target->t_per)}})% @endif</td>
                            @forelse($psoattainment as $pat)
                                
                                  <td rowspan='1' colspan='1'>{{$pat->f_per.' - '.$pat->t_per}}</td>
                                  <td rowspan='1' colspan='1'>{{$pat->level}}</td>
                                  <td rowspan='1' colspan='1'>{{app_table_links($pat->id,array(241)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="4">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
</div>





 </div>
</div>
</div>
</div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
        .text-dark-green {
    color: darkgreen;
    background:darkgreen;
}
    </style>
    @endsection