 <div class="card" style="border-top:3px solid #073980">
    <div class="card-body">
  
         <input type="hidden" id="course_id" name="course_id" value="{{ $course_id }}">
        <input type="hidden" id="sem_id" name="sem_id" value="{{ $semester_id }}">
        <input type="hidden" id="subtyp_id" name="subtyp_id" value="{{ $subtyp_id }}">
        <div id="totalStudents" class="mb-3"></div>
                 
      
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <table id="table-fine" class="table table-bordered">
                            <thead style="background-color:#8FBC8F">
                                <tr>
                                    <th><b>Subject</b></th>
                                    <th><b>Category</b></th>
                                    <th><b>Type</b></th>
                                    <th><b>Max Mark</b></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($subjects as $sub)
                                    @php
                                        $max_cos_mark=0;
                                        
                                       $qrySuboutcme = $sub->subco->where('course',$course_id)->where('semester_id',$semester_id)->where('sub_id',$sub->subject_id)->where('subtyp_id',$subtyp_id);
                                       if($qrySuboutcme)
                                       {
                                           foreach($qrySuboutcme as $co)
                                           {
                                                $co_id = $co->id;
                                                foreach($assessmentmethods as $assmthd)
                                                {
                                                    $assmntmethd_id = $assmthd->id;
                                                    foreach($terms as $trm)
                                                    {
                                                       $term_id = $trm->id;
                                                       $obeNames = \App\Models\InternalObeNames::where('assmnt_method', $assmntmethd_id)
                                                        ->where('ac_id', $ac_id)
                                                        ->where('subject', $sub->subject_id)
                                                        ->where('course', $course_id)
                                                        ->where('division', $semester_id)
                                                        ->where('term_id', $term_id)
                                                        ->where('subtyp_id',$subtyp_id)
                                                        ->get();
                                                        foreach($obeNames as $exm)
                                                        {
                                                            $exam_id = $exm->id;
                                                            
                                                            $questions = \App\Models\ObeQuestions::where('course_id', $course_id)
                                                            ->where('division_id', $semester_id)
                                                            ->where('subject_id', $sub->subject_id)
                                                            ->where('exam_id', $exam_id)
                                                            ->where('assmnt_method', $assmntmethd_id)
                                                            ->where('term_id', $term_id)
                                                            ->where('ac_id', $ac_id)
                                                            ->where('co_id', $co_id)
                                                            ->where('subtyp_id',$subtyp_id)
                                                            ->get();
                                                            foreach($questions as $eqstn)
                                                            {
                                                                $max_cos_mark += $eqstn->question_mark;
                                                            }
                                                        }
                    
                                                    }
                                                }
                                           }
                                       }
                                    @endphp
                                    
                                    <tr>
                                        <td>{{$sub->subject_code.' - '.$sub->subject_name}}</td>
                                        <td>{{$sub->subcategoryname->category}}</td>
                                        <td> @if($subtyp_id == 1)
                                                theory
                                            @else
                                                practical
                                            @endif</td>
                                        <td>{{$max_cos_mark}}</td>
                                    </tr>
                                 @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
          
    </div>
    
</div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<style>
    
    .totalstudent {
    color: black; 
    font-size: 22px; 
    font-weight: bold;
    padding: 10px; 
    margin: 5px; 
    background-color: #eaf0f1; 
    border: 2px solid #3498db; 
    border-radius: 5px; 
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
    font-family: 'Arial', sans-serif; 
    display: inline-block; 
}

    #table-fine td, #table-fine th {
  border: 1px solid #C0C0C0;
  padding: 8px;
}

#table-fine tr:nth-child(even){background-color: #E0E0E0;}

#table-fine tr:hover {background-color: #B9D9EB;cursor:pointer;}

#table-fine th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
 
  background-color: #FEBE10;
  color: black;
}
</style>





