<style>
     table { 
            border:2px ; 
        }
        
        @font-face {
            font-family: "My Custom Font";
            src: url(../../font/Lemon/Milk 400.otf) format("truetype");
        }
        @font-face {
            font-family: "My Custom Font1";
            src: url(../../font/Texture/ten.ttf) format("truetype");
        }
        *{
            font-size:16px;
        }
        .sname{
            font-size:20px;
            font-family: "My Custom Font", Verdana, Tahoma;
            font-weight:bold;
            
        }
        .fl {
    float: left; /* Aligns the table to the left */
    margin-right: 20px; /* Adds space between the tables */
}

.fr {
    float: right; /* Aligns the table to the right */
}

.cl {
    clear: both; /* Clears floats to ensure subsequent elements are below */
}

.page-border {
    border: 2px solid #000; /* Solid black border around the page */
    padding: 20px; /* Space between the border and content */
    margin: 0 auto; /* Center the page on the screen */
    width: 92%; /* Adjust width as needed */
    height: 92%;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1); /* Optional: adds a slight shadow for depth */
}
        
</style>

<body onload="print()">
    <div class="page-border">
        <div class="container">
            <div class="head">
                <table width="100%">
                    <tr>
                        <td width="25%" rowspan="4" align="center">
                            <img src="{{ asset('public/uploads/logo/' . $ins_det->logo) }}" alt="{{ $ins_det->logo }}" height="100px">
                        </td>
                        <td width="50%" align="center">
                            <font size="5"><b>{{ $ins_det->name }}</b></font>
                        </td>
                        <td width="25%" rowspan="4" align="center"></td>
                    </tr>
                    <tr>
                        <td align="center"><font size="2">{{ $ins_det->affiliation }}</font></td>
                    </tr>
                    <tr>
                        <td align="center"><font size="2">{{ $ins_det->address }}</font></td>
                    </tr>
                    <tr>
                        <td align="center"><font size="2">{{ 'Ph : ' . $ins_det->mobile . ' ' . $ins_det->landline }}</font></td>
                    </tr>
                </table>
                <br>
                <center><b><font size="3">Advance Salary</font></b></center>
                <hr><br>
                <table cellspacing="0" class="fl" width="48%">
                    <tr>
                        <td width="87">Receipt No.</td>
                        <td width="8">:</td>
                        <td width="112">{{ $staff_det->receipt_no }}</td>
                    </tr>
                    <tr>
                        <td>Employee ID</td>
                        <td>:</td>
                        <td>{{ $staff_det->employee_id_num }}</td>
                    </tr>
                    <tr>
                        <td>Name</td>
                        <td>:</td>
                        <td>{{ $staff_det->name . ' ' . $staff_det->lname }}</td>
                    </tr>
                </table>
                <table cellspacing="0" class="fr" width="48%">
                    <tr>
                        <td width="87">Date</td>
                        <td width="8">:</td>
                        <td width="112">{{ date('d-m-Y', strtotime($staff_det->payment_date)) }}</td>
                    </tr>
                    <tr>
                        <td>Month</td>
                        <td>:</td>
                        <td>{{ date('F', mktime(0, 0, 0, $staff_det->salary_month, 1)) . ' - ' . $staff_det->salary_year }}</td>
                    </tr>
                    <tr>
                        <td>Designation</td>
                        <td>:</td>
                        <td>{{ optional($staff_det->designme)->type_name ?? 'N/A' }}</td>
                    </tr>
                </table>
                <div class="cl"></div>
                <table cellspacing="0" style="margin-top:10px;" class="fl" width="48%">
                    <tr>
                        <td width="87">Net Pay</td>
                        <td width="8">:</td>
                        <td width="112"><strong>{{ number_format($staff_det->advance_amount, 2) }}</strong></td>
                    </tr>
                </table>
                <p class="fr"><br><br><br><br><br><br>Principal</p>
                <div class="cl"></div>
            </div>
        </div>
    </div>
</body>