@extends('layouts.settings-template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"><b><i class="fa-solid fa-gear" style="color:#005A9C;margin-right: 8px;"></i><span style="color:#005A9C">Settings / IQAC /<a href="{{route('iqac.documents')}}" style="text-decoration:none;color:#005A9C">Add Documents</a>/</span>Edit</b></div>
    <div class="card-body">





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('iqacdocument.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="document_id" value="{{ encrypt($documents->id) }}">
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="criteria_id" class="required"><b>Criteria</b></label>
                                      @php $criteria_id=old('criteria_id ') ?? $documents->criteria_id; @endphp
                                    <select class="js-example-basic-single" id="criteria_id" name="criteria_id" style="width:100%">
                                        @foreach($criteria as $crit)
                                            <option value="{{ $crit->id}}" {{ $criteria_id == $crit->id? "selected":"" }}>{{ $crit->criteria}}</option>
                                        @endforeach
                                    </select>
                                    @error('criteria_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="document" class="required"><b>Document</b></label>
                                            <input type="text" class="form-control @error('document') border-danger @enderror" id="document" name="document" value="{{$documents->document }}">
                                            @error('document')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
           </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection