<div class="card">
    <div class="card-header" style="background:#004170;color:white;">
        <b>Leave Balance Report</b>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <table id="table-fine" class="table table-bordered" style="border:1px solid black">
                        <thead>
                            <tr>
                                <th><b>#</b></th>
                                <th><b>Staff Name</b></th>
                                @if($leave_names_count > 0)
                                    <th colspan="{{ $leave_names_count }}"><b>Leave Types</b></th>
                                @endif
                                <th><b>Total Leave Balance</b></th>
                            </tr>
                            @if($leave_names_count > 0)
                                <tr>
                                    <th></th>
                                    <th></th>
                                    @foreach($staffleavedetting as $leavesetting)
                                        <th><b>{{ $leavesetting->leave_code }}</b></th>
                                    @endforeach
                                    <th></th>
                                </tr>
                            @endif
                        </thead>
                        <tbody>
                           @foreach($leaveBalances as $index => $leaveBalance)
                           <tr>
                               <td>{{$index + 1}}</td>
                               <td>{{$leaveBalance['staff_name']}}</td>
                               @foreach($leaveBalance['leave_balance'] as $balance)
                                        <td>{{ $balance['remaining_leave'] }}</td>
                                    @endforeach
                                     <td>{{ $leaveBalance['total_leave_balance'] }}</td>
                           </tr>
                           
                           
                           @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
