@extends('layouts.settings-template')
@section('title','Leave Type')
@section('heading','Leave Type')
@section('breadcrumb','')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>Leave Type</b></div>
                <div class="card-body">
                    <form action="{{ route('leavtype.save') }}" method="post">
                        @csrf
                         <div class="row">
   <!--                         <div class="col-md-4">-->
   <!--                             <div class="form-group">-->
   <!--                                 <label for="year" class="required">Year</label>-->
   <!--                     <select name="year" class="form-control">-->
   <!-- @foreach (range(2000, date("Y") + 30) as $year)-->
   <!--     <option value="{{ $year }}">{{ $year }}</option>-->
   <!-- @endforeach-->
   <!--</select>-->
                        
   <!--   </div>-->
   <!--                     </div>-->
                     
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="staftyp_id" class="required">Staff Type</label>
                                    <select class="js-example-basic-single" id="staftyp_id" name="staftyp_id" style="width:100%">
                                        <option value="">Select</option>
                                      @foreach($stafftype as $type)-->
                                            <option value="{{ $type->staftyp_id }}" {{ old('staftyp_id') == $type->staftyp_id ? "selected":"" }}>{{ $type->type_name}}</option>
                                        @endforeach
                                    </select>
                                   
                                </div>
                            </div>
                            
                            
                         
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="type_id" class="required">Staff Designation</label>
                                    <select class="js-example-basic-single" id="type_id" name="type_id" style="width:100%">
                                   <option value="">Select</option>
                                 
                                    </select>
                                   
                                </div>
                            </div>
                            </div>
                              <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="leav_id" class="required">Leave Name</label>
                                    <select class="js-example-basic-single" id="leav_id" name="leav_id" style="width:100%">
                                        @foreach($leavname as $leav)
                                            <option value="{{ $leav->leav_id }}" {{ old('leav_id') == $leav->leav_id ? "selected":"" }}>{{ $leav->leave_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('leav_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                           
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="max_allwdleav" class="required">Maximum leave allowed</label>
                                    <input type="text" class="form-control @error('max_allwdleav') border-danger @enderror" id="max_allwdleav" name="max_allwdleav" value="{{ old('max_allwdleav') }}">
                                    @error('max_allwdleav')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>   
                               </div> 
                          <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Add</button>
                                </div>
                            </div>
                        </div>  
                        
                        
                        
                       
                    </form>
                </div>
            </div>
        </div>
        </div>
      <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>Year</th>
                            <th>Staff Type</th>
                            <th>Designation</th>
                            <th>Max.Leave Allowed</th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($leavtype as $leave)
                                <tr>
                                       <td>{{date('Y',strtotime($leave->acyear->sdate))}}-{{date('Y',strtotime($leave->acyear->edate))}}</td>
                                       <td>{{$leave->type_name}}</td>
                                       <td>{{$leave->stafftyp->type_name}}</td>
                                       <td>{{$leave->max_allwdleav}}</td>
                                      
                                      
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
   
    
    
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/leave.js') }}"></script>  

    
@endsection