@extends('layouts.template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')



<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Leave Application</b></div>
    <div class="card-body">
    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th><b>Applied By</b></th>
                            <th><b>Applied On</b></th>
                            <th><b>Leave From</b></th>
                            <th><b>Leave Until</b></th>
                            @if($stafffwrdapprove->isNotEmpty())
                                <th><b>{{ $stafffwrdapprove->first()->req_name }} Status</b></th>

                                @foreach($stafffwrdapprove as $request)
                                    @if($request->approver_name && $request->approver_name != $request->req_name) 
                                        <th><b>{{ $request->approver_name }} Status</b></th>
                                    @endif
                                @endforeach
                            @endif
                        </tr>
                        </thead>
 <tbody>
                            @forelse($stafffwrdapprove as $request)
                                <tr>
                                     
                                    <td>{{$loop->iteration}}</td>
                                   <td>{{$request->staffs->name}}</td>
                                       <td>{{date('d-m-Y', strtotime($request->applied_on)) }}</td>
                                       <td>{{date('d-m-Y',strtotime($request->lfrom))  }}</td>
                                       <td>{{date('d-m-Y',strtotime($request->luntil))  }}</td>
                                     

                                      <td>
                                    @if($request->request_status == 0)
                                        <p style="color:orange"><b>Pending</b></p>
                                    @elseif($request->request_status == 1)
                                        <p class="text-success"><b>Approved</b></p>
                                    @elseif($request->request_status == 2)
                                        <p class="text-danger"><b>Rejected</b></p>
                                    @endif
                                </td>

                                @foreach($stafffwrdapprove as $status)
                                    @if($status->approver_name && $status->approver_name != $request->req_name)
                                        <td>
                                            @if($status->approver_status == 0)
                                                <p style="color:orange"><b>Forwarded</b></p>
                                            @elseif($status->approver_status == 1)
                                                <p class="text-success"><b>Approved</b></p>
                                            @elseif($status->approver_status == 2)
                                                <p class="text-danger"><b>Rejected</b></p>
                                            @endif
                                        </td>
                                    @endif
                                @endforeach
                                </tr>
                            @empty
                                <tr>
                                <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                        </table>
                        </div>
                        </div>
                        </div>
                        </div>
                        
                        
                        
                        
                        
                        
                        <div class="modal fade" id="statusModal" tabindex="-1" role="dialog" aria-labelledby="statusModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="statusModalLabel">Request Details</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <!-- Details will be loaded here -->
        <div id="modal-content">
          <!-- This is where the details will be injected -->
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>


 <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
 
 <script>
     $(document).ready(function() {
     $('#statusModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget); 
            var status = button.data('status');
            var detailsUrl = button.data('details'); 

            var modal = $(this);
            modal.find('.modal-title').text('Request ' + status);
            
         
            $.get(detailsUrl, function(response) {
             
                modal.find('#modal-content').html(response);
            }).fail(function() {
                modal.find('#modal-content').html('<p>Error loading details.</p>');
            });
        });     
         
         
         
         
     });
 </script>
 <style>
    
        .modal-dialog.modal-sm {
    max-width: 50%; 
}
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
 
 @endsection