
@extends('layouts.student-template')
@section('title','Home')
@section('heading','E-Content')
@section('breadcrumb','Home/E-Content')
@section('content')

                
                
                <div class="row">
<div class="col-lg-12 grid-margin stretch-card">
                <div class="card"  style="border-top:2px solid #005A9C">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>View E-Content</b></div> 
                <div class="card-body">
                <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Date</b></th>
                           <th><b>Subject</b></th>
                            <th><b>Description</b></th>
                            <th><b>Added By</b></th>
                            <th><b>URL</b></th>
                            <th><b>download</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($student as $students)
                            
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{ date('d-m-Y',strtotime($students->date)) }}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$students->subject->subject_name}}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$students->description}}</td>
                                    <td>{{ $students->staff->name }}</td>
                                    
                                     <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                    @if($students->url)
                                    <a href="{{$students->url}}" target="_blank"  style="color: blue; text-decoration: underline;">{{ $students->url }}</a>
                                   @else
                                   No URL available
                                   @endif
                                   </td>
                                    <td>{{$students->file}}</td>
                                   
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
       </div>
    </div>
    
    <style>
     
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
    </style>
@endsection