
@extends('layouts.student-template')
@section('title','')
@section('heading','')
@section('breadcrumb','')
@section('content')

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Leave Application</b></div>
        <div class="card-body">
            <form action="{{route('studentlog.leave.request.save')}}" method="post">
            @csrf
        <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="lfrom"><b>Leave From</b></label>
            <input type="date" class="form-control" id="lfrom" name="lfrom" value="{{ old('lfrom') ? old('lfrom'):date('Y-m-d') }}">
            @error('lfrom')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>       
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="luntil"><b>Leave Until</b></label>
                    <input type="date" class="form-control" id="luntil" name="luntil" value="{{ old('luntil') ? old('luntil'):date('Y-m-d') }}">
                    @error('luntil')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    </div>
                  
                    <div class="col-md-3">
                    <div class="form-group">
                                <label for="stuleav_id" class="required"><b>Leave Type</b></label>
                                <select class="form-control" id="stuleav_id" name="stuleav_id" required>
                                <option value="">Select</option>
                                @foreach($studentLeaveType as $leaveset)
                                <option value="{{ $leaveset->stuleav_id }}" {{ old('stuleav_id')==$leaveset->stuleav_id ? "selected":"" }}>{{ $leaveset->leave_name }}</option>
                            @endforeach
                            </select>
                            @error('stuleav_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                               
</div>
</div>
 

  
  
  
 <div class="col-md-3">
                    <div class="form-group">
                                <label for="reason" class="required"><b>Reason</b></label>
                                <input type="text" name="reason" id="reason" class="form-control" value="{{ old('reason') }}" required>
                                @error('reason')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
</div>
</div>
                   
  
<!--                    <div class="col-md-3">-->
<!--                    <div class="form-group">-->
<!--                                <label for="user_id" class="required"><b>Leave Request To</b></label>-->
<!--                                <select class="form-control" id="user_id" name="user_id" required>-->
<!--                                <option value="">Select</option>-->
              
<!--   @if($request && $request->user_id)-->
<!--                <option value="{{ $request->user_id }}" {{ old('user_id') == $request->user_id ? "selected" : "" }}>-->
<!--                    {{ $request->uname }}-->
<!--                </option>-->
<!--            @else-->
<!--                <option value="" disabled>No users available</option>-->
<!--            @endif-->
            
<!-- </select>-->
<!--                            @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror-->
                               
<!--</div>-->
<!--</div>-->



     <div class="col-md-3">
                    <div class="form-group">
                        <input type="checkbox" name="fulltime" id="fulltime"> Full Time       
                               
                                @error('fulltime')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
</div>
</div>
</div>                      
            
            
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">Submit</button>
            </div>
            </div>  
            </div>
            
            
            
            
            
     </form>       
            
</div>
</div>
</div>
</div>




   












  
<style>
     table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid black;
        }
        .modal-dialog.modal-sm {
    max-width: 50%; 
}
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>









     
     
    
@endsection