
@extends('layouts.student-template')
@section('title','Home')
@section('heading','Tc')
@section('breadcrumb','Home/Tc/Request')
@section('content')


 



    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Request TC</b></div>    
    <div class="card-body">
    <form action="{{route('studenttc.save')}}" method="post">
            @csrf
            
            
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
            <label for="course_id" class="required"><b>Date</b></label>
          <input type="date" name="date" value="{{ \Carbon\Carbon::now()->format('Y-m-d')  }}" class="form-control">  
            
            </div>
            </div>
            
           <div class="col-md-3">
           <div class="form-group">
           <label for="course_id" class="required"><b>Remarks</b></label> 
           <textarea name="remarks" class="form-control"></textarea> 
            </div>
            </div>
            
            <div class="col-md-3">
            <div class="form-group">
            <label for="course_id" class="required"><b>Request To</b></label> 
           <select class="form-control" id="user_id" name="user_id" required>
        <option value="">Select</option>
        @foreach($requestTo as $request)
        <option value="{{ $request->user_id}}" {{ old('user_id')==$request->user_id ? "selected":"" }}>{{ $request->name }}</option>
        @endforeach
        </select>
         @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
     
        
        
       
        
       
        
        
      
        
        
        </div>                   
                            
      
        
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right">Request</button>
        </div>
        </div>
        </div>
        
        
        </form>
        
        
        
        
        
        
        
        </div>
        </div>
        </div>
        </div>
        
        
        
      
   
    <style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
        @endsection