@extends('layouts.template')
@section('title','Home')
@section('heading','Hostel Payment')
@section('breadcrumb','Home/Search Student/Hostel Payment')
@section('content')

    <div class="row">
    <div class="col-12">
        
        
    <div class="row">
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
        
    <a href="{{route('searchstudent.get.view',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROFILE</span></a>
    </div>
    </div>
        <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
        <a href="{{route('searchstudent.payment',['student_id'=>encrypt($student_det->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span></a>
        </div>
        </div>
            <div class="col-12 col-sm-4 col-lg-3">
            <div class="form-group">
            <a href="{{route('searchstudent.feereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> FEE REPORT</span></a>
            </div>
            </div>
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.duereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span></a>
    </div>
    </div>




    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.attendance',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> ATTENDANCE REPORT</span></a>
    </div>
    </div>

     @if($student_det->ac_id >= 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.fyexam.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
    @endif
     @if($student_det->ac_id < 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.exam.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
    </div>
    </div>
    @endif
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span></a>
    </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE REPORT</span></a>
    </div>
    </div>
      
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
    </div>
    </div>
      <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.library.due',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
    </div>
    </div>
     
     
     </div>
      
     </div>
      
     </div>
     @if(!empty($student_det))
     
     <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">   
    <div class="card">
    <div class="card-header"  style="background-color:#005A9C;color:white;"><b>HOSTEL FEE PAYMENT</b></div>
    <div class="card-body" style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
 
 
 
  <div class="row">
    
           
           
            <div class="col-12 col-sm-3">
    <div class="card" style="border:solid 1px #EDEADE; border-radius:20px; border-top:3px solid #004170; overflow:hidden;">
        <div class="card-body">
            <div class="form-group text-center">
                <img class="img-md rounded-circle" src="{{ asset('public/uploads/student/photo/'.$student_det->photo) }}" alt="Profile image" width="200px" height="200px">
            </div>

            <div class="form-group text-center mb-1"> 
                <p><b><span style="font-size:18px;">{{ strtoupper($student_det->name) }}</span></b></p>
            </div>
              
             @foreach($crs as $course)
             
            <div class="form-group text-center mb-1"> 
                <p><b><span class="bg-success text-dark" style="font-size:15px">Major {{$loop->iteration}}:{{strtoupper($course->course_code)}}</span></b></p>
            </div>
@endforeach
           
<div class="form-group text-center mb-1"> 
                    <p><b><span style="background:#FEBE10;color:black;font-size:15px">{{$semester->semester_name}}</span></b></p>
                    </div>
            <div class="form-group row">
            <div class="col-12 col-sm-6">
            <p class="font-weight-bold">Adm No</p>
                </div>
                <div class="col-12 col-sm-6">
                <p>: <b>{{$student_det->adno}}</b></p>
                </div>
            </div>  

            <div class="form-group row">
            <div class="col-12 col-sm-6">
                <p class="font-weight-bold">Phone</p>
                </div>
                <div class="col-12 col-sm-6">
                <p>: {{$student_det->mobile}}</p>
                </div>
            </div>  

            <div class="form-group row">
                <div class="col-12 col-sm-6">
                <p class="font-weight-bold">Ac Year</p>
                </div>
                <div class="col-12 col-sm-6">
                    <p>: {{ date('Y', strtotime($student_det->acyear->sdate)) . '-' . date('Y', strtotime($student_det->acyear->edate)) }}</p>
                </div>
            </div> 

           
        </div>    
</div>
</div>

<div class="col-12 col-sm-9">
 <div class="card-body">
 <form action="{{route('searchhfee.save')}}" method="post">
                            @csrf
 <input type="hidden" name="sid" value="{{ $student_det->student_id }}">
                <div class="row">
  <div class="col-md-3">
                                <label for="receipt_no" class="required"><b>Bill Number</b></label>
                                <div class="form-group">
                                    <input type="text" style="border:1px solid #D3D3D3" class="form-control @error('receipt_no') border-danger @enderror" id="receipt_no" name="receipt_no" value="{{$next_rec_no}}" readonly>
                                    @error('receipt_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                     <div class="col-md-3">
                            <label for="paid_date" class="required"><b>Date</b></label>
                            <div class="form-group">
                            <input type="date" style="border:1px solid #D3D3D3"  class="form-control @error('paid_date') border-danger @enderror" id="paid_date" name="paid_date" value="{{ \Carbon\Carbon::now()->format('Y-m-d') }}">
                            @error('paid_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                             <div class="col-md-3">
                            <label for="mode_id" class="required"><b>Payment Mode</b></label>
                            <div class="form-group">
                            <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%;border:1px solid black" >
                            <option value="">Select</option>
                            @foreach($paymode as $paymodes)
                            <option value="{{ $paymodes->mode_id }}" {{ old('mode_id') == $paymodes->mode_id ? "selected":"" }}>{{ $paymodes->mode_name }}</option>
                            @endforeach
                            </select>
                            @error('mode_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>        
                                    
                                    
                            </div>
                              <div class="row">
                                <div class="col-12">
                                    <div class="scroll">
                                         <table class="table table-bordered" id="tablecss" width="100%">
                                                <thead>
                                                <th>
                                                <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                                </div>
                                                </th>
                                                <th width="10%"><b>Month</b></th>
                                                <th width="10%"><b>Fee Type</b></th>
            									<th width="20%" ><b>Fee Amount</b></th>
            									<th width="10%"><b>Discount</b></th>
            									<th width="20%"><b>Gross Amount</b></th>
            									<th width="30%"><b>Remarks</b></th>
                                                </thead> 
                                         <tbody>
                                                @php foreach($fees as $ac_id => $ac_details){
                                                foreach($ac_details as $month_id => $month_details){
                                                        $sem = $month_details['semester'];
                                                        $mid = $month_details['month'];
                                                        $yid = $month_details['year'];
                                                        foreach($month_details['fee'] as $ftype_id => $fee_details){
                                                            $famount = $fee_details['due']; @endphp
                                                            <tr>
                                                            <td>
                                                                    <div class="form-check form-check-success text-center">
                                                                    <label class="form-check-label"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $mid.'-'.$yid.'-'.$ftype_id }}"> </label>
                                                                    </div>
                                                                </td>
                                                                <td>{{ $month_details['myear'] }}</td>
                                                                <td>{{ $fee_details['fee_type'] }}
                                                                    <input type="hidden" id="{{ 'current_fee'.$mid.'-'.$yid.'-'.$ftype_id }}" value="{{ $fee_details['due'] }}">
        														    <input type="hidden" name="{{ 'fee_type'.$mid.'-'.$yid.'-'.$ftype_id }}" value="{{ $ftype_id }}">
        														    <input type="hidden" name="{{ 'sem'.$mid.'-'.$yid.'-'.$ftype_id }}" value="{{ $sem }}">
                                                                </td>
                                                                <td align="right"><input type="text" class="form-control text-right" id="{{ 'fee_amount'.$mid.'-'.$yid.'-'.$ftype_id }}" name="{{ 'fee_amount'.$mid.'-'.$yid.'-'.$ftype_id }}" placeholder="0.00" value="{{ $fee_details['due'] }}" onkeyup="showFee(this.value,'{{ $mid }}','{{ $yid }}','{{ $ftype_id }}')" ></td>
                                                                <td align="right"><input type="text" class="form-control text-right" id="{{ 'disc_amount'.$mid.'-'.$yid.'-'.$ftype_id }}" name="{{ 'disc_amount'.$mid.'-'.$yid.'-'.$ftype_id }}" placeholder="0.00" onkeyup="showDisc(this.value,'{{ $mid }}','{{ $yid }}','{{ $ftype_id }}')"></td>
                                                                <td align="center"><span class="{{ 'ftotal'.$mid.'-'.$yid.'-'.$ftype_id }}">{{ $famount }}</span></td>
                                                                <td><textarea class="form-control" name="{{ 'remarks'.$mid.'-'.$yid.'-'.$ftype_id }}"></textarea></td>
                                                            </tr>
                                                        @php } 
                                                    }
                                                }  @endphp
                                        </tbody>
                                        </table>
                                        
                                        
                                        </div>
                                        </div>
                                        </div>
                                         <div class="form-group row">
                                <div class="col-md-9 text-right">
                                <p class="font-weight-bold">Total Amount :</p>
                                </div>
                                <div class="col-md-3">
                                <span class="font-weight-bold" id="gtotal">0.00</span>
                                </div>
                                </div>
                            
                                <div class="form-group row">
                                <div class="col-md-12">
                                <div class="form-group">
                                <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                                </div>
                                </div>
 </form>
 
 </div>
 
  </div>
     
 
 
 
     
     </div>
     </div>
     </div>
     </div>
     
      @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
     
     
     
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/hostelfee.js') }}"></script>
    <style>
                   .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
#tablecss{
     font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}
#tablecss td, #tablecss th {
  border: 1px solid #ccc;
  padding: 2px;
}


#tablecss tr:nth-child(even){background-color:white;}

#tablecss tr:hover {background-color: #ddd;}

#tablecss th {
  padding-top: 9px;
  padding-bottom: 9px;
  text-align: left;
  background-color:#004170;
  color: white;
}
    </style>
     
     
     
     
     
     
     @endsection
   