
@extends('layouts.template')
@section('title','Home')
@section('heading','Hostel Payment')
@section('breadcrumb','Home/Search Student/Hostel Payment')
@section('content')

    <div class="row">
    <div class="col-12">
        
        
    <div class="row">
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
        
    <a href="{{route('searchstudent.get.view',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROFILE</span></a>
    </div>
    </div>
        <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
        <a href="{{route('searchstudent.payment',['student_id'=>encrypt($student_det->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span></a>
        </div>
        </div>
            <div class="col-12 col-sm-4 col-lg-3">
            <div class="form-group">
            <a href="{{route('searchstudent.feereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> FEE REPORT</span></a>
            </div>
            </div>
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.duereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span></a>
    </div>
    </div>




    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.attendance',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> ATTENDANCE REPORT</span></a>
    </div>
    </div>

     @if($student_det->ac_id >= 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.fyexam.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
    @endif
     @if($student_det->ac_id < 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="#"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
    </div>
    </div>
    @endif
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span></a>
    </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE REPORT</span></a>
    </div>
    </div>
      
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
    </div>
    </div>
      <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.library.due',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
    </div>
    </div>
     
     
     </div>
      
      
      <p class="alert alert-warning text-danger" align="center" style="font-size:20px"><b>No hostel facility has been allocated for this student!</b></p>
      
      
     </div>
      
     </div>
    
     
     
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/hostelfee.js') }}"></script>
    <style>
                   .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
#tablecss{
     font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}
#tablecss td, #tablecss th {
  border: 1px solid #ccc;
  padding: 2px;
}


#tablecss tr:nth-child(even){background-color:white;}

#tablecss tr:hover {background-color: #ddd;}

#tablecss th {
  padding-top: 9px;
  padding-bottom: 9px;
  text-align: left;
  background-color:#004170;
  color: white;
}
    </style>
     
     
     
     
     
     
     @endsection
   