@extends('layouts.template')

@section('title','Hostel Fee Report')
@section('heading','Hostel Fee Report')
@section('breadcrumb','Home/Search Student/Hostel Fee Report')
@section('content')



<div class="row">
    <div class="col-12">
        
        
        
   <div class="row">
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.get.view', ['student_id' => encrypt($student_det->student_id)]) }}" style="text-decoration:none">
                <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROFILE</span>
            </a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.payment', ['student_id' => encrypt($student_det->student_id)]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span>
            </a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.feereport', ['student_id' => encrypt($student_det->student_id)]) }}" style="text-decoration:none">
                <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> FEE REPORT</span>
            </a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.duereport', ['student_id' =>  encrypt($student_det->student_id)]) }}" style="text-decoration:none">
                <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span>
            </a>
        </div>
    </div>
  
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.attendance', ['student_id' => encrypt( $student_det->student_id)]) }}" style="text-decoration:none">
                <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> ATTENDANCE REPORT</span>
            </a>
        </div>
    </div>
    @if($student_det->ac_id >= 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.fyexam.report',['student_id'=> encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
    @endif
     @if($student_det->ac_id < 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.exam.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
    </div>
    </div>
    @endif
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.hostel.payment', ['student_id' =>  encrypt($student_det->student_id)]) }}" style="text-decoration:none">
                <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span>
            </a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.hostel.payment.report', ['student_id' =>  encrypt($student_det->student_id)]) }}" style="text-decoration:none">
                <span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> HOSTEL FEE REPORT</span>
            </a>
        </div>
    </div>
  
 <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.duereport',['student_id'=> encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
    </div>
    </div>
      <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.library.due',['student_id'=> encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
    </div>
    </div>
     
     
     </div>
     
       </div>
         </div>
  <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card" style="border-top:1px solid green">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>STUDENT DETAILS</b></div>
            <div class="card-body" style="border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
                <div class="row">
                    <div class="col-12 col-md-6">
                        <div class="form-group row">
                            <label class="col-4"><b>Name</b></label>
                            <div class="col-8"><b>:</b> {{ $student_det->name }}</div>
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="form-group row">
                            <label class="col-4"><b>Course</b></label>
                            <div class="col-8">
                                <b>:</b>
                                @foreach($crs as $course)
                                    <span>Major {{$loop->iteration}}: {{ $course->course_code }}</span>
                                    @if(!$loop->last)
                                        <span>, </span> 
                                    @endif
                                @endforeach
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-6">
                        <div class="form-group row">
                            <label class="col-4"><b>Adm No.</b></label>
                            <div class="col-8"><b>:</b> {{ $student_det->adno }}</div>
                        </div>
                    </div>  
                    <div class="col-12 col-md-6">
                        <div class="form-group row">
                            <label class="col-4"><b>Sem</b></label>
                            <div class="col-8"><b>:</b> {{$semester->semester_name}}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card" style="border-top:1px solid green">
            <div class="card-header" style="background-color:#004170;color:white;"><b>FEE REPORT</b></div>
            <div class="card-body" style="border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
                <table class="table table-bordered" id="studentTable" width="100%">
                    <thead>
                        <tr>
                            <th><b>Rec No</b></th>
                            <th><b>Date</b></th>
                            <th><b>Adm No</b></th>
                            <th><b>Name</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th class="no-sort aright"><b>Paid Amount</b></th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $totalAmount = 0;
                        @endphp
                        @foreach($fees as $fee)
                            @php
                                $paidAmount = $fee->amt - $fee->disc;
                                $totalAmount += $paidAmount;
                            @endphp
                            <tr>
                                <td>{{ $fee->receipt_no }}</td>
                                <td>{{ date('d/m/Y', strtotime($fee->paid_date)) }}</td>
                                <td>{{ $fee->adno }}</td>
                                <td>{{ $fee->name }}</td>
                                <td>{{ $fee->course_name }}</td>
                                <td>{{ $fee->semester_name }}</td>
                                <td class="text-right">{{ number_format($paidAmount, 2) }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                <div class="row">
                    <div class="col-8 text-right font-weight-bold">Total :</div>
                    <div class="col-4 font-weight-bold" id="total">{{ number_format($totalAmount, 2) }}</div>
                </div>
            </div>
        </div>
    </div>

  </div>

  <style>
    .card-body {
        border-left:1px solid #DCDCDC;
        border-right:1px solid #DCDCDC;
        border-bottom:1px solid #DCDCDC;
    }

    .form-control {
        border:1px solid #E8E8E8;
    }

    table.table-bordered tr:hover {background-color: #B9D9EB; cursor:pointer;}
  </style>
@endsection
