@extends('layouts.template')
@section('title','Home')
@section('heading','Student Information')
@section('breadcrumb','Home/Student/Student Information')
@section('content')

  


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color: #005A9C;color:white;"><b>Student Information</b>

    </div>
    <div class="card-body">
    <table class="table table-bordered" id="studentTable" width="100%" style="1px solid black"+>
    <thead>
    <tr>
    <th><b>Adm No</b></th>
    <th><b>Name</b></th>
    <th><b>Address</b></th>
    <th><b>Mobile</b></th>
    <th><b>Course</b></th>
    <th><b>Semester</b></th>
    <th class="no-sort"><b>TC Status</b></th>
    <th class="no-sort"><b>Actions</b></th>
    <th class="no-sort"><b>Status</b></th>
    </tr>
    </thead>
    <tbody>
    </tbody>
    </table>
    </div>
    </div>
    </div>
    </div>
    
    
    
    
    
 
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var studentTable = $("#studentTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [100, 250, 500, 1000, -1], [100, 250, 500, 1000, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('student.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                },
                columns : [
                    { data : 'adno' },
                    { data : 'name' },
                    { data : 'address' },
                    { data : 'mobile' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'tcstatus' },
                    { data : 'action' },
                    { data : 'status' },
                ]
            });
        });
    </script>
    <style>

    

.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }


    </style>
   

@endsection