@extends('layouts.template')
@section('title','Home')
@section('heading','Student Fee Report')
@section('breadcrumb','Home/Search Student/Student Fee Report')
@section('content')






<div class="row">
    <div class="col-12">
<!--<div class="card">-->
            <!--<div class="card-body">-->
<div class="row">
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{route('searchstudent.get.view',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROFILE</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{route('searchstudent.payment',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{route('searchstudent.feereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> FEE REPORT</span></a>
        </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{route('searchstudent.duereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span></a>
        </div>
    </div>
   
</div>
 <div class="row"> 
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.attendance',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> ATTENDANCE REPORT</span></a>
    </div>
    </div>
  
    @if($student_det->ac_id >= 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.fyexam.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
    @endif
     @if($student_det->ac_id < 6)
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.exam.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
    </div>
    </div>
    @endif
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span></a>
    </div>
    </div>
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE REPORT</span></a>
    </div>
    </div>
   </div>
   
   
     <div class="row"> 
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
    </div>
    </div>
      <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.library.due',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
    </div>
    </div>
     
     
     </div>
</div>
</div>





 <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" >
                <div class="card" style="border-top:1px solid green">
                    <div class="card-header" style="background-color:#005A9C;color:white;"><b>STUDENT DETAILS</b></div>
    <div class="card-body"  style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
    <div class="row">
     
     <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Name</b></label>
                                    <div class="col-8"><b>:</b> {{ $student_det->name }}</div>
                                </div>
                            </div>
                            <div class="col-12 col-md-6">
    <div class="form-group row">
        <label class="col-4"><b>Course</b></label>
        <div class="col-8">
            <b>:</b>
            @foreach($crs as $course)
                <span>Major {{$loop->iteration}}: {{ $course->course_code }}</span>
                @if(!$loop->last)
                    <span>, </span> 
                @endif
            @endforeach
        </div>
    </div>
</div>
                            </div>
                            
                            <div class="row">
                              <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Adm No.</b></label>
                                    <div class="col-8"><b>:</b> {{ $student_det->adno }}</div>
                                </div>
                            </div>  
                               
                               <div class="col-12 col-md-6">
                                <div class="form-group row">
                                    <label class="col-4"><b>Sem</b></label>
                                    
              
              <div class="col-8"><b>:</b> {{$semester->semester_name}}</div>
               
              
              
                                    
                                    
                                    
                                  
                                </div>
                            </div> 
                                
                                
                                
                            </div>
                            
                            
                            
                            
                            
                            <!--<div class="col-12 col-md-4">-->
                            <!--    <div class="form-group row">-->
                            <!--        <label class="col-4"><b>Category</b></label>-->
                            <!--        <div class="col-8"><b>:</b> {{ $student_det->categ->category_name }}</div>-->
                            <!--    </div>-->
                            <!--</div>-->
                           
                        <!--    <div class="col-12 col-md-4">-->
                        <!--        <div class="form-group row">-->
                        <!--            <label class="col-4"><b>Mobile</b></label>-->
                        <!--            <div class="col-8"><b>:</b> {{ $student_det->mobile }}</div>-->
                        <!--        </div>-->
                        <!--    </div>-->
                        <!--</div>-->






</div>
</div>
</div>
</div>
  <div class="col-lg-12 grid-margin stretch-card">
                <div class="card" style="border-top:1px solid green">
                    <div class="card-header" style="background-color:#004170;color:white;"><b>FEE REPORT</b></div>
                    <div class="card-body"  style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">
                     
                    <!--background:linear-gradient(to bottom, #004170, #002a3e)-->
               
              <div class="form-group row">
                                <div class="col-md-12">
                                    <div class="scroll">
                                        <table class="table table-bordered" style="background-color:#F0F0F0">
                                          <thead style="background-color:#FEBE10;">
                                              <!--<th><b>Semester</b></th>-->
                                              <th><b>Bill Number</b></th>
                                              <th><b>Bill Date</b></th>
                                              <th><b>Paid Amount</b></th>
                                              <th><b>Discount</b></th>
                                              <th><b>Fine</b></th>
                                              <th><b>Payment Mode</b></th>
                                              <th><b>Print</b></th>
                                          </thead>  
                                            <tbody>
                                              
                                                 @forelse($grouped_payments as $bill_number=>$payments)
                                                 @php
                                                 $total_fee_amount=$payments->sum('fee_amount');
                                                 $total_discount=$payments->sum('discount');
                                                 $fine=$payments->sum('fine_amount');
                                                 @endphp
                                                 <tr>
                                    <!--<td>{{$payments[0]->semester_id}}</td>               -->
                                    <td>{{$bill_number }}</td>
                                    <td>{{date('d-m-Y',strtotime($payments[0]->paid_date))}}</td>
                                    <td>{{$total_fee_amount - $total_discount +$fine}}</td>
                                    <td>{{$total_discount}}</td>
                                    <td>{{$fine}}</td>
                                    <td>{{$payments[0]->mode->mode_name}}</td>
                                    <td><a href="{{route('searchstudent.history.print',['receipt_no'=>$payments[0]->receipt_no,'paid_date'=>$payments[0]->paid_date])}}" target="blank_"><i  style="font-size:20px;" class="icon-sm icon-printer text-danger" ></i></a></td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                             @endforelse
                       
                                                
                                            </tbody>
                                            
                                            </table>
                                            </div>
                                            </div>
                                             </div>
                                           
</div>
</div>
</div>
</div> 








<style>
th, td {
  text-align: left;
  padding: 8px;
}
tr:nth-child(even){background-color:#F8F8F8

}
  tr:hover {background-color: #B9D9EB;cursor:pointer;}
 /*.card-body{*/
 /*           border-left:1px solid #DCDCDC;*/
 /*           border-right:1px solid #DCDCDC;*/
 /*           border-bottom:1px solid #DCDCDC;*/
          
 /*}*/














</style>
@endsection