@extends('layouts.template')
@section('title','Home')
@section('heading','View Exam')
@section('breadcrumb','Home/Search Student/View Exam')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.get.view', ['student_id' => encrypt($student_det->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROFILE</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.payment',['student_id'=>encrypt($student_det->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.feereport',['student_id'=>encrypt($student_det->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> FEE REPORT</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.duereport',['student_id'=>encrypt($student_det->student_id)])}}" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span></a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.attendance',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                @if($student_det->ac_id >= 6)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{route('searchstudent.fyexam.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
                        </div>
                </div>
                @endif
                @if($student_det->ac_id < 6)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{route('searchstudent.exam.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
                        </div>
                    </div>
                @endif
               
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.hostel.payment',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE REPORT</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
                    </div>
                </div> 
               
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.library.due',['student_id'=>encrypt($student_det->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
   </div>


<p class="alert alert-warning text-danger" align="center" style="font-size:20px"><b>There are no exams scheduled at this time!</p>

<style>
    
   @media (max-width: 768px) {
    .img-md {
        width: 100%; 
        height: auto;
    }
}

    /*.card-body{*/
    /*        border-left:1px solid #DCDCDC;*/
    /*        border-right:1px solid #DCDCDC;*/
    /*        border-bottom:1px solid #DCDCDC;*/
          
    /*    }*/
</style>

@endsection