@extends('layouts.template')
@section('title','Home')
@section('heading','SpecialClass')
@section('breadcrumb','Home/SpecialClass/View')
@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(395,396)) }}
          
        
    </div>     
    <div class="card-body">



 <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>View SpecialClass</b></div>
                <div class="card-body">

        
        
        
        
        
        
   
        
          <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th >#</th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th><b>Subject</b></th>
                            <th><b>Date</b></th>
                            <th><b>From</b></th>
                            <th><b>To</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
 <tbody>
                            @forelse($spclclass as $spclclasses)
                               <tr data-id="{{ $spclclasses->spclclx_id  }}"> 
            <td>{{ $loop->iteration }}</td>
            <td class="editable" data-field="course_id"  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $spclclasses->course->course_name }}</td>
            <td class="editable" data-field="semester_id"  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $spclclasses->sem->semester_name }}</td>
            <td class="editable" data-field="subject_id"  style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $spclclasses->sub->subject_name }}</td>
            <td class="editable" data-field="date">{{ date('d-m-Y', strtotime($spclclasses->date)) }}</td>
            <td class="editable" data-field="from">{{ date('g:i A', strtotime($spclclasses->from)) }}</td>
            <td class="editable" data-field="to">{{ date('g:i A', strtotime($spclclasses->to)) }}</td>
            <td><a href="{{route('specialclass.delete',['id'=>$spclclasses->spclclx_id])}}"><i class="icon-trash"></i></a></td>
        </tr>
                            @empty
                                <tr>
                                <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                        </table>
        
        
        
        
        
        
         </div>
        </div>
        </div>
        </div>
          </div>
        </div>
        </div>
        </div>
        <style>
    
        
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
</style>
        <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script>
    $(document).ready(function() {
        $('.editable').on('dblclick', function() {
            let cell = $(this);
            let currentText = cell.text();
            let field = cell.data('field');
            let input = $('<input type="text" class="form-control" />');

            // Set input value based on current text
            input.val(currentText);
            cell.empty().append(input);
            input.focus();

            // Save changes on blur
            input.on('blur', function() {
                let newValue = input.val();
                let row = cell.closest('tr');
                let id = row.data('spclclx_id');

                // Update the cell with the new value
                cell.empty().text(newValue);

                // Prepare the data to send via AJAX
                let data = {
                    field: field,
                    value: newValue,
                    _token: '{{ csrf_token() }}' // CSRF token for security
                };

$.ajax({
    url: '/specialclass/update/' + id,
    method: 'POST',
    data: data,
    success: function(response) {
        console.log('Update successful:', response);
    },
    error: function(xhr) {
        // Log the entire error response
        console.error('Error updating record:', xhr.responseText);
        alert('Error updating record: ' + xhr.responseText);
    }
});

            });

            // Handle pressing enter to save
            input.on('keypress', function(e) {
                if (e.which === 13) { // Enter key
                    input.blur();
                }
            });
        });
    });
</script>

        @endsection