@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','View Subjects')
@section('breadcrumb','Settings / Subject / View')
@section('content')




        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white"><b>View Subjects</b></div>
        <div class="card-body">
        <form>
        @csrf
        <div class="row">
        <div class="col-md-4">
        <div class="form-group">
        <label for="course_id" class="required"><b>Course</b></label>
        <select class="form-control" id="course_id" name="course_id" required>
        <option value="">Select</option>
        @foreach($course as $crs)
        <option value="{{ $crs->course_id}}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
        @endforeach
        </select>
        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-4">
        <div class="form-group">
        <label for="semester_id" class="required"><b>Semester</b></label>
         <select class="form-control" id="semester_id" name="semester_id" required>
        
        <option value="">select</option>
        </select>
        </div>
        </div>
                            
                            
       
        </div>
        
        <div id="moreadd"></div> 
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
         <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
    
    
    
     <div class="row">
        <div class="col-lg-12 grid-margin stretch-card" id="result">
            
        </div>
    
    
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/sem.js') }}"></script> 
     <script src="{{ asset('public/js/viewsubjects.js') }}"></script>
       
    <script>
   
    var subcategories = @json($subcategory);
    </script>
    <script src="{{ asset('public/js/add.js') }}"></script> 
    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }

    </style>
@endsection