@extends('layouts.template')
@section('title','Staff Time Table')
@section('heading','Staff Time Table')
@section('breadcrumb','Home / Staff Time Table / Add Period')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">

    <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Period</b></div>
        <div class="card-body">
        <form action="{{ route('period.save') }}" method="post">
        @csrf
        <div class="row">
        <div class="col-md-4">
        <div class="form-group">
        <label for="period" class="required"><b>Period</b></label>
        <input type="text" class="form-control @error('period') border-danger @enderror" id="period" name="period" value="{{ old('period') }}">
        </div>
        </div>
         </div>                   
                            
       <div class="row">
        <div class="col-md-12">
        <div class="form-group">
             <button type="submit" class="btn btn-primary float-right">Save</button>
         
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
        </div>
        </div>
        </div>
    </div>
    
   <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
           <div class="card" style="border-top:2px solid #005A9C">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Period</b></th>
                          
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
           
                            @forelse($periods as $prd)
                                            
                                <tr>
                                    <td>{{$prd->period}}</td>
                                  
                                     <td>{{app_table_links($prd->id,array(466)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
        
    
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>
@endsection