





@extends('layouts.template') 
@section('title', 'Home') 
@section('heading', 'Transportation') 
@section('breadcrumb', 'Home/Transportation/Edit') 
@section('content') 
 <div class="row">     
        <div class="col-lg-12 grid-margin stretch-card">     
        <div class="card">     
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Edit</b></div>     
        <div class="card-body"> 
        <form action="{{ route('trans.bus.fee.setting.update') }}" method="post">
            @csrf
            <input type="hidden" name="bfeesetting_id" value="{{ $busFeeSetting->bfeesetting_id }}">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <div class="form-check">
                            <input class="form-check-input" type="checkbox" style="height:25px;width:25px" name="months[]" value="{{ $busFeeSetting->month }}" id="{{ strtolower($busFeeSetting->month) }}" checked>
                            <label class="form-check-label" for="{{ strtolower($busFeeSetting->month) }}">
                                {{   DateTime::createFromFormat('!m', $busFeeSetting->month)->format('F')  }}-2024
                            </label>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <input type="date" name="date" class="form-control" value="{{ $busFeeSetting->date }}">
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <input type="submit" name="sub" value="Update" class="btn btn-primary float-right"> 
                </div>
            </div>
        </form>
    </div>
</div>
</div>
</div>

<style>                                 
    .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }  
</style>
@endsection
