<?php

use Illuminate\Support\Facades\Route;

Route::prefix('student')->middleware('studentauth')->group(function(){
    Route::get('/reservation','Student\Library@reservation')->name('student.reservation');
    Route::get('/reservation/ajax','Student\Library@getReservations')->name('student.reservation.ajax');
    Route::get('/reservation/add','Student\Library@add_reservation')->name('student.reservation.add');
    Route::get('/reservation/books','Student\Library@books')->name('student.reservation.books');
    Route::post('/reservation/save','Student\Library@save_reservation')->name('student.reservation.save');
    
    
    
});