<style>
    *{
        font-family:Arial;
    }
    .fee-total{
        border-top: 1px solid #000;
        font-weight: bold;
    }
</style>
<body onload="print()">
    <div class="container">
        <div class="head">
            <table width="100%">
                <tr>
                    <td width="25%" rowspan="4" align="center"><img src="<?php echo e(asset('public/uploads/logo/'.$ins_det->logo)); ?>" alt="<?php echo e($ins_det->logo); ?>" height="100px"></td>
                    <td width="75%"><?php echo e($ins_det->name); ?></td>
                </tr>
                <tr><td><?php echo e($ins_det->affiliation); ?></td></tr>
                <tr><td><?php echo e($ins_det->address); ?></td></tr>
                <tr><td><?php echo e('Ph : '.$ins_det->mobile.' '.$ins_det->landline); ?></td></tr>
            </table>
            <center><p>RECEIPT</p></center>
            <hr>
            <table width="100%">
                <tr>
                    <td width="50%"><b>Receipt No. : </b><?php echo e($fee_det->receipt_no); ?></td>
                    <td width="50%" align="right"><b>Date : </b><?php echo e($fee_det->paid_date_formatted); ?></td>
                </tr>
                <tr>
                <td><b>Name : </b><?php echo e($fee_det->student->name); ?></td>
                    <td align="right"><b>Adm No. : </b><?php echo e($fee_det->student->adno); ?></td>
                    
                </tr>
            </table>
            <table style="border-bottom:1px solid black" width="100%">
                <thead style="background-color:#484848;color:white">
                <tr>
                    <th class="fee-item">#</th>
                    <th class="fee-item">Semester</th>
                    <th class="fee-item">Term</th>
                    <th class="fee-item">Fee Type</th>
                    <th class="fee-item">Amount</th>
                    <th class="fee-item">Fine</th>
                    <th class="fee-item">Total</th>
                </tr>
                </thead>
                <tbody>
                    <?php $i=$tfee=$tfine=$tamount=$tdisc=0; ?>
                    <?php $__currentLoopData = $fee_item_det; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fee_item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php 
                            $fee = $fee_item->fee_amount;
                            $fine = $fee_item->fine_amount;
                            $disc = $fee_item->discount;
                            $amount = $fee+$fine;
                            
                            $tfee += $fee;
                            $tfine += $fine;
                            $tdisc += $disc;
                            $tamount += $amount;
                        ?>
                        <tr>
                            <td class="fee-item" align="center"><?php echo e(++$i); ?></td>
                            <td class="fee-item" align="center"><?php echo e($fee_item->semester->semester_name); ?></td>
                            <td class="fee-item" align="center"><?php echo e($fee_item->term->term_name); ?></td>
                            <td class="fee-item" align="center"><?php echo e($fee_item->ftype->type_name); ?></td>
                            <td class="fee-item" align="right"><?php echo e(number_format($fee,2)); ?></td>
                            <td class="fee-item" align="right"><?php echo e(number_format($fine,2)); ?></td>
                            <td class="fee-item" align="right"><?php echo e(number_format($amount,2)); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
                <tfooter>
                    <tr>
                        <td class="fee-total" align="center" colspan="4">Grand Total</td>
                        <td class="fee-total" align="right"><?php echo e(number_format($tfee,2)); ?></td>
                        <td class="fee-total" align="right"><?php echo e(number_format($tfine,2)); ?></td>
                        <td class="fee-total" align="right"><?php echo e(number_format($tamount,2)); ?></td>
                    </tr>
                    <tr>
                        <td align="right" colspan="6"><b>Discount</b></td>
                        <td align="right"><?php echo e(number_format($tdisc,2)); ?></td>
                    </tr>
                    <tr>
                        <td class="fee-total" align="right" colspan="6">Amount</td>
                        <?php $payment = $tfee-$tdisc; ?>
                        <td class="fee-total" align="right"><?php echo e(number_format($payment,2)); ?></td>
                    </tr>
                </tfooter>
            </table>
            <br>
            <p>Payment recieved by <?php echo e($fee_det->mode->mode_name); ?></p>
        </div>
    </div>
</body><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/fees/print_bill.blade.php ENDPATH**/ ?>