<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Dashboard'); ?>
<?php $__env->startSection('breadcrumb','Home'); ?>
<?php $__env->startSection('content'); ?>
    <?php if(Auth::user()->type_id == '1'): ?>
        <div class="row">
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.totalstudent')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-user-graduate"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="student"></div>
                                <div class="count-title">Students</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.newadmission')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-user-plus"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="admission"></div>
                                <div class="count-title">Admissions</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.totalstaff')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-user-tie"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="staff"></div>
                                <div class="count-title">Staff</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.dailyfee')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-calendar-day"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="daily"></div>
                                <div class="count-title">Daily Fee</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.monthlyfee')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-calendar-alt"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="monthly"></div>
                                <div class="count-title">Monthly Fee</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.dailyotherfee')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-money-check-alt"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="other"></div>
                                <div class="count-title">Other Fee</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.dailyhostel')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-home"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="hostel"></div>
                                <div class="count-title">Hostel Fee</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.birthday')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-home"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="birthday"></div>
                                <div class="count-title">Staff birthday</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
        </div>
        <br>
        <div id="graph"></div>
        <br>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card" style="border-top: 2px solid #004170;">
                    <div class="card-body">
                        <div class="row align-items-center mb-3">
                            <div class="col-12 d-flex justify-content-end">
                                <div class="legend-item">
                                    <span class="legend-label">FYUGP Exam</span>
                                    <div class="color-box" style="background-color: #00FF00;"></div>
                                </div>
                                 <div class="legend-item">
                                    <span class="legend-label">Exam</span>
                                    <div class="color-box" style="background-color: #90EE90;"></div>
                                </div>
                                <div class="legend-item">
                                    <span class="legend-label">Holiday</span>
                                    <div class="color-box" style="background-color: #FF0000;"></div>
                                </div>
                                <div class="legend-item">
                                    <span class="legend-label">Events</span>
                                    <div class="color-box" style="background-color: #FFC0CB;"></div>
                                </div>
                            </div>
                        </div>
                        <div class="text-center mb-4">
                            <h3 style="font-size: 32px; font-weight: 700; color: #004170; text-transform: uppercase; letter-spacing: 2px; border-bottom: 2px solid #004170; padding-bottom: 10px; margin-bottom: 20px;">
                                Academic Calendar
                            </h3>
                        </div>
                        <div id="acalendar"></div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div id="datepicker"></div>
    <?php endif; ?>
    
    <?php if(Auth::user()->type_id == '6'): ?>
        <div class="row">
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('library.book')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-book"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="books"></div>
                                <div class="count-title">Books</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('library.membership.staff')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-user-tie"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="staff-member"></div>
                                <div class="count-title">Staff Members</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('library.membership.student')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-user-graduate"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="student-member"></div>
                                <div class="count-title">Student Members</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('library.membership.others')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-user"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="other-member"></div>
                                <div class="count-title">Other Members</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
        </div>
    <?php endif; ?>
    
    <?php if(in_array(Auth::user()->type_id, ['12'])): ?>
        <div class="row">
            <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.birthday.student')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-home"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="birthdaystu"></div>
                                <div class="count-title">Student birthday</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
           <div class="col-12 col-sm-3">
                <div class="custom-card">
                    <a href="<?php echo e(route('dash.total.student')); ?>">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-home"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="studentcounts"></div>
                                <div class="count-title">Total Student Strength</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="https://cdn.jsdelivr.net/npm/fullcalendar@5.11.0/main.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/fullcalendar@5.11.0/main.css" rel="stylesheet" />
    <script>
        $(document).ready(function(){
            var spinner = '<div class="spinner-grow sp sp-1 text-dark" role="status"><span class="sr-only">Loading...</span></div><div class="spinner-grow sp sp-2 text-dark" role="status"><span class="sr-only">Loading...</span></div><div class="spinner-grow sp sp-3 text-dark" role="status"><span class="sr-only">Loading...</span></div>';
            $(".count-no").html(spinner);
            
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('counts')); ?>',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#student").text(data[0]);
                    $("#admission").text(data[1]);
                    $("#staff").text(data[2]);
                }
            });
            
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('fee.counts')); ?>',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#daily").html(data[0]);
                    $("#monthly").html(data[1]);
                }
            });
            
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('other.counts')); ?>',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#other").html(data[0]);
                    $("#hostel").html(data[1]);
                    $("#birthday").html(data[2]);
                    
                }
            });
            
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('library.counts')); ?>',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#books").text(data[0]);
                    $("#staff-member").text(data[1]);
                    $("#student-member").text(data[2]);
                    $("#other-member").text(data[3]);
                }
            });
            
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('birthday.stu')); ?>',
                success: function(response) {
                    var data = JSON.parse(response);
                    $("#birthdaystu").html(data[0]);
                    $("#studentcounts").html(data[1]);
                }
            });
            
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('graph')); ?>',
                success: function(response){
                    $("#graph").html(response);
                }
            });
            
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('acalendar')); ?>',  
                success: function(response) {
                    var calendarEl = document.getElementById('acalendar');
                    var calendar = new FullCalendar.Calendar(calendarEl, {
                        initialView: 'dayGridMonth', // Default view: month
                        headerToolbar: {
                            left: 'prev,next today',     // Left side of the header
                            center: 'title',             // Centered title (Month name)
                            right: 'dayGridMonth,timeGridWeek,timeGridDay' // Right side of the header with view options
                        },
                        events: response,  // Dynamic events fetched from the server
                        eventClick: function(info) {
                            // Display event details on click
                            alert('Event: ' + info.event.title + '\nDescription: ' + info.event.extendedProps.description);
                        },
                        eventMouseEnter: function(info) {
                            // Show event tooltip on hover (optional)
                            $(info.el).tooltip({
                                title: info.event.extendedProps.description,
                                placement: 'top',
                                trigger: 'hover'
                            }).tooltip('show');
                        },
                        editable: true,    // Allow events to be dragged
                        droppable: true,   // Allow events to be dropped (if you implement it)
                        selectable: true,  // Enable date selection
                        eventColor: '#378006', // Default event color
                        eventTextColor: '#ffffff', // Text color inside event
                        themeSystem: 'bootstrap5', // Optional: Use Bootstrap 5 theme
                        dayCellClassNames: 'text-center',  // Center text in day cells
                        eventClassNames: 'fc-event-style',  // Add custom classes to events (for styling)
                        eventTimeFormat: {
                            hour: '2-digit',
                            minute: '2-digit',
                            meridiem: false, // Remove AM/PM
                            hour12: false, // 24-hour format
                            timeZoneName: 'short'
                        },
                        eventRender: function(info) {
                            info.el.querySelector('.fc-time').style.display = 'none'; // Hide the time in the event
                        }
                    });
                     $(document).ready(function(){
                        $('.fc-prev-button').html('<i class="fas fa-chevron-left"></i>');  // Previous button
                        $('.fc-next-button').html('<i class="fas fa-chevron-right"></i>');  // Next button
                    });
                    calendar.render();
                },
                error: function(xhr, status, error) {
                    console.log('Error fetching events:', error);
                }
            });
        });  
    </script>
    <style>
        /* Calendar container */
        .color-box {
            width: 30px;  
            height: 30px;  
            display: inline-block;
            vertical-align: middle;
            margin: 5px 10px;  
            border-radius: 5px; 
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2); 
            transition: transform 0.3s ease; 
        }
        .color-box:hover {
            transform: scale(1.1); 
        }
        .legend-label {
            font-size: 16px;  
            font-weight: bold;  
            color: #333; 
            margin-left: 5px;  
            text-transform: capitalize;  
        }
        .row {
            margin: 10px 0;  
        }
        #acalendar {
            max-width: 1200px;
            margin: 20px auto;
            padding: 20px;
            border: 1px solid #ddd;
            border-radius: 8px;
            background-color: #ffffff;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }
        .tooltip-inner {
            background-color: #343a40 !important;
            color: white !important;
            font-size: 12px !important;
        }
        #calendar-legend {
            margin-top: 20px;
            padding: 10px;
            border: 1px solid #ddd;
            border-radius: 8px;
            background-color: #f9f9f9;
        }
        .fc-toolbar {
            background-color: #007bff;
            color: white;
            padding: 10px;
        }
        .fc-button {
            background-color: #007bff;
            color: white;
            border-radius: 5px;
            font-weight: bold;
        }
        .fc-button:hover {
            background-color: #0056b3;
        }
        .fc-event {
            border-radius: 8px;
            padding: 8px;
            font-size: 12px;
            text-align: center;
            color: white;
            border: 2px solid #fff; 
        }
        .fc-event-title {
            font-weight: bold;
        }
        .fc-day-number {
            font-size: 14px;
            font-weight: bold;
            color: #007bff;
            border-bottom: 1px solid #ddd;
        }
        .tooltip-inner {
            background-color: #343a40 !important;
            color: white !important;
            font-size: 12px !important;
        }
        .fc-day:hover {
            background-color: #f1f1f1;
            cursor: pointer;
        }
        .fc-prev-button, .fc-next-button {
            font-size: 20px; 
            padding: 8px 12px; 
            border-radius: 50%; 
            background-color: #007bff;
            color: white;
        }
        .fc-prev-button:hover, .fc-next-button:hover {
            background-color: #0056b3;
            cursor: pointer;
        }
        .fc-day-header {
            border-right: 1px solid #ddd; 
            text-align: center;
            font-weight: bold;
            background-color: #f7f7f7; 
            padding: 10px;
        }
        .fc-day-header:last-child {
            border-right: none;
        }
        .fc-day {
            border-right: 1px solid #ddd; 
            padding: 5px;
        }
        .fc-day:last-child {
            border-right: none;
        }
        .fc-day-number {
            border-bottom: 1px solid #ddd;
        }
        .fc-header-toolbar {
            border-bottom: 1px solid #ddd; 
        }
        .fc-day:hover {
            background-color: #f1f1f1; 
            cursor: pointer; 
        }
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/users/home.blade.php ENDPATH**/ ?>