
<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
      
<form action="<?php echo e(route('submit.assignmt.internal')); ?>" method="POST" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <input type="hidden" id="course" name="course" value="<?php echo e($crs_id); ?>">
    <input type="hidden" id="sub" name="sub" value="<?php echo e($sub_id); ?>">
    <input type="hidden" id="sem" name="sem" value="<?php echo e($sem_id); ?>">
    <input type="hidden" id="ac_id" name="ac_id" value="<?php echo e($ac_id); ?>">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <br>
                <table id="table-fine" class="table table-bordered">
                    <thead style="background-color:#8FBC8F">
                        <tr>
                            <th rowspan="2">
                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                    <label class="container">
                                        <input type="checkbox" class="form-check-input" id="checkAll">
                                    </label>
                                </div>
                            </th>
                            <th>Topic</th>
                            <th>Last Date to Submit</th>
                            <th>File</th>
                            <th>Status</th>
                            <th>Marks</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $assignmt; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assignmts): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td align="center">
                                    <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                        <label class="container">
                                            <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($assignmts->assig_id); ?>">
                                        </label>
                                    </div>
                                </td>
                                <td><?php echo e($assignmts->assignment_topic); ?></td>
                                <td><?php echo e(date('d-m-Y', strtotime($assignmts->submit_date))); ?></td>
                                <td>
                                    <input type="file" class="form-control-file" name="assignment[<?php echo e($assignmts->assig_id); ?>]">
                                    <?php $__errorArgs = ['assignment.*'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <div class="text-danger small mt-1"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                   
                                </td>
                                <?php
                                $isSubmitted = \App\Models\StudAssignmentsInter::where([
    'course_id' => $crs_id,
    'semester_id' => $sem_id,
    'subject_id' => $sub_id,
    'assig_id' => $assignmts->assig_id,
    'student_id' => Auth::guard('student')->id(),
    'ac_id' => $ac_id
])->first();
?>
<?php if($isSubmitted): ?>
    <td><span class="badge badge-success" style="font-size:20px">Submitted</span></td>
<?php else: ?>
    <td><span class="badge badge-warning" style="font-size:20px">Pending</span></td>
<?php endif; ?>
                                
                              
                                <td> <?php if($isSubmitted): ?>
                                                <div>
                                                    Grade Point: <span class="text-success" ><b><?php echo e($isSubmitted->gradepoint); ?></b> </span><br>
                                                  <br>
                                                   Grade: <span class="text-success" ><b><?php echo e($isSubmitted->grade); ?></b></span>
                                                </div>
                                            <?php else: ?>
                                                <span>No Marks Yet</span>
                                            <?php endif; ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
                <div id="load"></div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <button type="submit" class="btn btn-primary float-right">SUBMIT</button>
            </div>
        </div>
    </div>
</form>

   
   
    </div>
</div>



<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script>
    
  $(document).ready(function() {
      
        $('#checkAll').change(function() {
        $('.checkSub').prop('checked', this.checked);
    });

});
</script>

<style>
    /* Your custom styles */
    .totalstudent {
        color: black; 
        font-size: 22px; 
        font-weight: bold;
        padding: 10px; 
        margin: 5px; 
        background-color: #eaf0f1; 
        border: 2px solid #3498db; 
        border-radius: 5px; 
        text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3); 
        font-family: 'Arial', sans-serif; 
        display: inline-block; 
    }

    input[type="checkbox"] {
        width: 2em;
        height: 2rem;
        display: inline-block; 
        margin: 0;
        accent-color: green;
    }
    .container {
        display: flex; /* Flexbox for better alignment */
        align-items: center; /* Center align vertically */
        justify-content: center; /* Center align horizontally */
    }
</style><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/studentlogin/internalassessment/assignment_sub_get_det.blade.php ENDPATH**/ ?>