<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading',' Upload Books'); ?>
<?php $__env->startSection('breadcrumb','Home/Student/Upload Books Details'); ?>
<?php $__env->startSection('content'); ?>


<form action="<?php echo e(route('book.upload.save')); ?>" method="post" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
        <div class="card-body">
            <div class="row">
                               
                <div class="col-md-3">
                  <div class="form-group">
                   <label for="evidence"><b>Excel File</b></label>
                   <input type="file" class="form-control-file" id="exl" name="exl">
                    <?php $__errorArgs = ['exl'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                  </div>
                </div> 
            </div>
           <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                    <button type="submit" class="btn btn-primary float-right" style="display: inline-block;">Upload</button>
                </div>
              </div>
            </div>
                       </div>
                </div>
            </div>
        </div>
     </form>
    <div class="row">
            <div class="col-lg-12 grid-margin stretch-card fld-form" width="100%">
                <div class="card over-flow">
                    <div class="card-header" style="background-color:#004170;color:white;"><b>Excel File Format</b></div>
                    <div class="card-body" style="background-color:white">
                      <a style="float:center" href="<?php echo e(route('book.download')); ?>"class="tip" data-original-title='Sample Excel Sheet'><i class="fas fa-file-excel" style="font-size:30px" ></i>  
                        <span class="text-danger fw-bold">Sample File</span></a>
                        <div class="div_scroller">
                        <table class="table table-bordered" id="tableex" width="100%" style="">
                        <tr style="white-space:nowrap;background-color:silver">
                            <thead style="background-color: #FEBE10">
                            <th></th>
<th>A</th>
<th>B</th>
<th>C</th>
<th>D</th>
<th>E</th>
<th>F</th>
<th>G</th>
<th>H</th>
<th>I</th>
<th>J</th>
<th>K</th>
<th>L</th>
<th>M</th>
<th>N</th>
<th>O</th>
<th>P</th>
<th>Q</th>
<th>R</th>
<th>S</th>
<th>T</th>
<th>U</th>
<th>V</th>
</thead>
</tr>
<tr style="white-space:nowrap;">
<th>1</th>
<th>Access Number/Book No.</th>
<th>Book Title</th>
<th>Main Category</th>
<th>Sub Category</th>
<th>Main Location</th>
<th>Sub Location</th>
<th>Language</th>
<th>Author Name</th>
<th>Publisher</th>
<th>Volume</th>
<th>Book Edition</th>
<th>Book Condition</th>
<th>Book Price</th>
<th>Date Of Entry</th>
<th>Book Year</th>
<th>ISBN</th>
<th>Reference / Issue</th>
<th>Awards</th>
<th>Keyword</th>
<th>Subject</th>
<th>Writer 2</th>
<th>Quantity</th>
</tr>
 <tr>
<td>2</td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
</table> 
<br>
<br>
<h5>Format-Specific Options:</h5>
<ul>
<li>The first line of the file contains the column names or an empty row</li>
<li>The second line of the file contains the part of the data</li>
<li>Do not import empty rows</li>
<li>Main Category & Sub Category name field must be same as you entered in this software</li>
<li>Main Location & Sub Location name field must be same as you entered in this software</li>
<li>Book Condition : GOOD , DAMAGED , MISSING</li>
<li>Reference / Issue : REFERENCE , AVAILABLE</li>
<li>Excel date format : <span class="red"> dd-mm-YYYY  </span>, Language :  <span class="red">English (United Kingdom) </span></li>
</ul>

            </div>
                        
         </div>
     </div>
    </div>
</div>
    

  <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/js/sem.js')); ?>"></script> 
    <style>
     
                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
            
        }
#tableex th,
         #tableex td{
             border:1px solid #B8B8B8;
         }
         
         
    .div_scroller{
    	overflow:auto; 
    	scrollbar-width: initial; /* Make the scrollbar thinner */
    scrollbar-color: #888 #f1f1f1; /* thumb color and track color */
      }     
         
    </style>
    
   
    
    
<?php $__env->stopSection(); ?>
   
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/books/upload.blade.php ENDPATH**/ ?>