<?php if($books->count() > 0): ?>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div style="overflow-x:scroll;">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr>
                                    <th>Image</th>
                                    <th>Access No</th>
                                    <th>Call No</th>
                                    <th>Title</th>
                                    <th>Author</th>
                                    <th>Subject</th>
                                    <th>ISBN</th>
                                    <th>Category</th>
                                    <th>Sub Category</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $books; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td align="center">
                                            <?php if($book->image): ?>
                                                <img src="<?php echo e(asset('public/uploads/books/image/'.$book->image)); ?>" width="100px;">
                                            <?php endif; ?>
                                        </td>
                                        <td align="center"><?php echo e($book->access_no); ?></td>
                                        <td align="center"><?php echo e($book->call_no); ?></td>
                                        <td><?php echo e($book->title); ?></td>
                                        <td><?php echo e($book->author); ?></td>
                                        <td><?php echo e($book->subject); ?></td>
                                        <td><?php echo e($book->isbn); ?></td>
                                        <td align="center"><?php echo e($book->category->name); ?></td>
                                        <td align="center"><?php echo e($book->subcategory->name); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php else: ?>
    <div class="alert alert-info">No Result Found !</div>
<?php endif; ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/library/opac/data.blade.php ENDPATH**/ ?>