<?php if(Auth::user()->user_id == '1'): ?>
<a class="nav-link dropdown-toggle" id="UserDropdown" href="#" data-toggle="dropdown" aria-expanded="false">
    <i class="fas fa-bell" style="color:white"></i>
    <span class="badge badge-danger" id="notificationCount"><?php echo e($meetingcount); ?></span>
</a>
<div class="dropdown-menu dropdown-menu-right navbar-dropdown" id="dropdownContent" aria-labelledby="UserDropdown">
    <div class="dropdown-header text-center">
        <h6>Today's Notifications (<?php echo e($meetingcount); ?>):</h6>

        <?php if($meetingcount > 0): ?>
            <h6>Meetings:</h6>
            <table class="table">
                <?php $__currentLoopData = $meetings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $meeting): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td>
                        <strong><?php echo e($meeting->name); ?></strong><br>
                        <small><?php echo e(\Carbon\Carbon::parse($meeting->from)->format('h:i A')); ?></small>
                    </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </table>
        <?php else: ?>
            <p>No meetings today.</p>
        <?php endif; ?>
    </div>
</div>


<?php endif; ?>
<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script>
    // Check local storage
if (localStorage.getItem('notificationsViewed') === 'true') {
    document.getElementById('notificationCount').style.display = 'none';
   
}

document.getElementById('UserDropdown').addEventListener('click', function() {
    document.getElementById('notificationCount').style.display = 'none';
   
    localStorage.setItem('notificationsViewed', 'true'); // Set the flag in local storage
});

</script>
<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/layouts/navnoti.blade.php ENDPATH**/ ?>