
<?php $__env->startSection('title', 'Home'); ?>
<?php $__env->startSection('heading', 'Exam Marks'); ?>
<?php $__env->startSection('breadcrumb', 'Home/Search Student/Exam Marks'); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
    <!-- Profile Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])); ?>" style="text-decoration:none; margin-right: 1px;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Profile
                </span>
            </a>
        </div>
    </div>

    <!-- Payments Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.payment', ['student_id' => $student->student_id])); ?>" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Payments
                </span>
            </a>
        </div>
    </div>

    <!-- Fee Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.feereport', ['student_id' => $student->student_id])); ?>" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Fee Report
                </span>
            </a>
        </div>
    </div>

    <!-- Due Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.duereport', ['student_id' => $student->student_id])); ?>" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Due Report
                </span>
            </a>
        </div>
    </div>
</div>

<div class="row">
    <!-- Attendance Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.attendance', ['student_id' => $student->student_id])); ?>" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Attendance Report
                </span>
            </a>
        </div>
    </div>

    <!-- View Exam Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="<?php echo e(route('searchstudent.exam.view', ['student_id' => $student->student_id])); ?>" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-danger">
                    <i class="icon-plus"></i>FYUGP EXAM MARKS
                </span>
            </a>
        </div>
    </div>
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.fyexam.report',['student_id'=>$student->student_id])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
   
</div>

<div class="card">
    <div class="card-header" style="background-color: #005A9C; color: white;">
        <b>FYUGP EXAM MARKS</b>
    </div>
    <div class="card-body" style="border-left: 1px solid #DCDCDC; border-right: 1px solid #DCDCDC; border-bottom: 1px solid #DCDCDC;">
        <table id="table-fine" class="table table-bordered">
            <thead style="background-color: #8FBC8F">
                <tr>
                    <th>#</th>
                    <th>SUBJECTS</th>
                    <th>THEORY MARK</th>
                    <th>PRACTICAL MARK</th>
                   
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $studentexammarks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $exammarks): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($loop->iteration); ?></td>
                        <td><?php echo e($exammarks->subject_name); ?></td>
                        <td><?php echo e($exammarks->mark); ?></td>
                        
                        <td><?php echo e($exammarks->pmark); ?></td>
                        
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/students/searchstudent_exam_view.blade.php ENDPATH**/ ?>