
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Return Book'); ?>
<?php $__env->startSection('breadcrumb','Home/Books/Return Book'); ?>
<?php $__env->startSection('content'); ?>


<form action="<?php echo e(route('book.return.save')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Return Book</b></div>
    <div class="card-body">
    <div class="row">
     
    <div class="col-md-2">
      <div class="form-group">
        <label for="member_type" class="required"><b>Member Type</b></label>
          <select class="form-control" id="member_type" name="member_type" required>
            <option value="">Select</option>
             <?php $__currentLoopData = $membertypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mbts): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($mbts->mmbrtyp_id); ?>" <?php echo e(old('member_type')==$mbts->mmbrtyp_id ? "selected":""); ?>><?php echo e($mbts->member_type); ?></option>
             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         </select>
         <?php $__errorArgs = ['member_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
      </div>
    </div>
       
     <div class="col-md-4">
        <div class="form-group">
        <label for="member_id" class="required">Member</label>
        <select class="js-example-basic-single" id="member_id" name="member_id" style="width:100%" required>
              <option value="">Select</option>
                
           </select>
        </div>
    </div>
    
     <div class="col-md-2">
     <div class="form-group">
        <label for="return_date" class="required">Date</label>
        <input type="date" class="form-control" id="return_date" name="return_date" value="<?php echo e(date('Y-m-d')); ?>" required>
        <?php $__errorArgs = ['return_date'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
     </div>
    </div>
    
</div>
      <div id="result">
            
            </div>
   
    
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
               <button type="submit" class="btn btn-primary float-right">Return</button>
            </div>
        </div>
    </div>
    
    </div>
    </div>
    </div>
       
    </div>    
   
   
  
    </form>
    
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/member.js')); ?>"></script>
    
<script>
 $(document).ready(function() {
     $("#member_id").on('change',function(){
        var member_id = $(this).val();
        var member_type = $('#member_type').val();
        var return_date = $('#return_date').val();
         $("#result").html('');
            $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                    
           if(member_id=='' || member_type=='' || return_date==''){
                alert('Please select all mandatory fields !');
               
            }else{
                $.ajax({
                    type : 'GET',
                    url : '../book-return-get',
                    data : {member_id:member_id,member_type:member_type,return_date:return_date},
                    success : function(response){
                        $("#result").html('');
                        $("#result").append(response);
                    }
                });
            }
        });
        
        
     $('#return_date').change(function(e) { 
    var return_date = $('#return_date').val();
    var member_type = $('#member_type').val();
    var member_id = $('#member_id').val();
   $("#result").html('');
            $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                    
           if(member_id=='' || member_type=='' || return_date==''){
                alert('Please select all mandatory fields !');
               
            }else{
                $.ajax({
                    type : 'GET',
                    url : '../book-return-get',
                    data : {member_id:member_id,member_type:member_type,return_date:return_date},
                    success : function(response){
                        $("#result").html('');
                        $("#result").append(response);
                    }
                });
            }
    
   });    
        
        
});



</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/books/return.blade.php ENDPATH**/ ?>