
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Fine Settings'); ?>
<?php $__env->startSection('breadcrumb','Home/Books/Fine Settings'); ?>
<?php $__env->startSection('content'); ?>


<form action="<?php echo e(route('book.fine.save')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Fine Settings</b></div>
    <div class="card-body">
    <div class="row">
     
    <div class="col-md-2">
      <div class="form-group">
        <label for="member_type" class="required"><b>Member Type</b></label>
          <select class="form-control" id="member_type" name="member_type" required>
            <option value="">Select</option>
             <?php $__currentLoopData = $membertypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mbts): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($mbts->mmbrtyp_id); ?>" <?php echo e(old('member_type')==$mbts->mmbrtyp_id ? "selected":""); ?>><?php echo e($mbts->member_type); ?></option>
             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         </select>
         <?php $__errorArgs = ['member_type'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
      </div>
    </div>
    
    <div class="col-md-2">
     <div class="form-group">
        <label for="fine_amount" class="required">Fine Amount</label>
        <input type="text" class="form-control" id="fine_amount" name="fine_amount" value="<?php echo e(old('fine_amount')); ?>" required>
        <?php $__errorArgs = ['fine_amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
     </div>
    </div>
    
    <div class="col-md-1">
     <div class="form-group">
        <label for="fine_count" class="required">Per</label>
        <input type="text" class="form-control" id="fine_count" name="fine_count" value="1" required>
        <?php $__errorArgs = ['fine_count'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
     </div>
    </div>
    
     <div class="col-md-2">
      <div class="form-group">
        <label for="fine_per" class="required"><b>Day</b></label>
          <select class="form-control" id="fine_per" name="fine_per" required>
            <option value="">Select</option>
             
            <option value="1" <?php echo e(old('fine_per')==1 ? "selected":""); ?>>Day</option>
            <option value="2" <?php echo e(old('fine_per')==2 ? "selected":""); ?>>Month</option>
            
         </select>
         <?php $__errorArgs = ['fine_per'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
      </div>
    </div>
    </div>
    
      <div class="row">
        <div class="col-md-12">
            <div class="form-group">
               <button type="submit" class="btn btn-primary float-right">Save / Update</button>
            </div>
        </div>
    </div>
    
    </div>
    </div>
    </div>
       
    </div>    
   
   
  
    </form>
    
   
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Member Type</b></th>
                            <th><b>Fine Amount</b></th>
                            <th><b>Term	</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $i=0; ?>
                            <?php $__empty_1 = true; $__currentLoopData = $finesettings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fine): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <?php $i++; ?>
                                <tr>
                                      <td><?php echo e($i); ?></td>
                                    <td><?php echo e($fine->membertypename->member_type); ?></td>
                                    <td><?php echo e($fine->fine_amount); ?></td>
                                  
                                    <td><?php echo e($fine->fine_count.' - '.$fine->getfineper()); ?></td>
                                    <td><?php echo e(app_table_links($fine->id,array(549))); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    <?php $__env->stopSection(); ?>
    
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/books/fine_settings.blade.php ENDPATH**/ ?>