
<?php $__env->startSection('title', 'Home'); ?>
<?php $__env->startSection('heading', 'Change Pathway'); ?>
<?php $__env->startSection('breadcrumb', 'Home / FYUGP / Change Pathway'); ?>
<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Change Pathway</b></div>
             <form action="<?php echo e(route('studentlog.pathway.save')); ?>" method="post" enctype="multipart/form-data" class="styled-form">
                  <?php echo csrf_field(); ?>
            <div class="card-body">
                <div class="row">
                    <?php if($valid_period == '1'): ?>
                     <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Pathway</b></label>
                                   <select class="form-control" id="pathway_id" name="pathway_id" onchange="toggleDivContent()">
                                    <option value="">Select</option>
                                        <?php $__currentLoopData = $pathway_all; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $path): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($path->id); ?>" <?php echo e(isset($pathway_det) && $pathway_det->pathwayName->id==$path->id  ? "selected":""); ?>><?php echo e($path->pathway); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                 </select>
                                    <?php $__errorArgs = ['pathway_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                          
                           
                    <?php else: ?>
                        <div class="alert alert-warning" align="center">
                        <strong><font color="red" size="5">NOt Allowed to Change Pathway!</font></strong>
                    </div>
                    <?php endif; ?>
                </div>
                
                 <div id="pathway_content" style="display: none; margin-top: 10px; padding: 10px; border: 1px solid #ccc;">
                         <br>
                 <label for="course_id" class="required" style="font-size: 20px; font-weight: bold; color: #004170; text-transform: uppercase; display: block; margin-bottom: 10px;">
                    Major 1
                 </label>       
                  <div class="row">        
                          <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Major 1</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecI"><b>AEC I</b></label>
                                     <select class="form-control" id="aecI" name="aecI">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecII"><b>AEC II</b></label>
                                     <select class="form-control" id="aecII" name="aecII">
                                        <option value="">Select</option>
                                       
                                     </select>
                                </div>
                            </div>
                    </div>
                    
                     <h5 class="section-title">Minor I Preferences</h5>     
                            <div class="row">
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI"><b>Minor I [1'st Preference]</b></label>
                                     <select class="form-control" id="minorI" name="minorI">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefII"><b>Minor I [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefII" name="minorI_prefII">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIII"><b>Minor I [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIII" name="minorI_prefIII">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIV"><b>Minor I [4'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIV" name="minorI_prefIV">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                            
                    </div>
                    
                    <div class="row">
                         <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefV"><b>Minor I [5'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefV" name="minorI_prefV">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                        </div>
                        
                   <h5 class="section-title">Minor II Preferences</h5>
                   <div class="row">
                           
                             
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII"><b>Minor II [1'st Preference]</b></label>
                                     <select class="form-control" id="minorII" name="minorII">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefII"><b>Minor II [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefII" name="minorII_prefII">
                                        <option value="">Select</option>
                                       
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIII"><b>Minor II [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIII" name="minorII_prefIII">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIV"><b>Minor II [4'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIV" name="minorII_prefIV">
                                        <option value="">Select</option>
                                       
                                     </select>
                                </div>
                            </div>
                        
                        </div>
                        <br>
                        <div class="row">
                          
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefV"><b>Minor II [5'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefV" name="minorII_prefV">
                                        <option value="">Select</option>
                                       
                                     </select>
                                </div>
                            </div>
                            </div>
                          <br>
                        
                   <h5 class="section-title">MDC I Preferences</h5>
                            <div class="row">
                          
                           
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI"><b>MDC I [1'st Preference]</b></label>
                                     <select class="form-control" id="mdcI" name="mdcI">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI_prefII"><b>MDC I [2'nd Preference]</b></label>
                                     <select class="form-control" id="mdcI_prefII" name="mdcI_prefII">
                                        <option value="">Select</option>
                                      
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIII"><b>MDC I [3'rd Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIII" name="mdcI_prefIII">
                                            <option value="">Select</option>
                                              
                                         </select>
                                    </div>
                                </div>
                                
                                 <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIV"><b>MDC I [4'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIV" name="mdcI_prefIV">
                                            <option value="">Select</option>
                                            
                                         </select>
                                    </div>
                                </div>
                         
                        </div>
                        
                        
                         <br>
                        
                        
                            <div class="row">
                              
                               
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefV"><b>MDC I [5'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefV" name="mdcI_prefV">
                                            <option value="">Select</option>
                                            
                                         </select>
                                    </div>
                                </div>
                                
                            </div>
                        <br>
                   </div>
                    <div id="pathway_content1" style="display: none; margin-top: 10px; padding: 10px; border: 1px solid #ccc;">
                   
                     <label for="course_id2" class="required" style="font-size: 20px; font-weight: bold; color: #004170; text-transform: uppercase; display: block; margin-bottom: 10px;">
                    Major 2
                 </label>      
                     
                    <div class="row">
                    <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id2" class="required"><b>Major 2</b></label>
                                    <select class="form-control" id="course_id2" name="course_id2">
                                        <option value="">Select</option>
                                        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id2')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                    <?php $__errorArgs = ['course_id2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id2" class="required"><b>Semester2</b></label>
                                    <select class="form-control" id="semester_id2" name="semester_id2" >
                                        <option value="">Select</option>
                                    </select>
                                    <?php $__errorArgs = ['semester_id2'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecI2"><b>AEC I</b></label>
                                     <select class="form-control" id="aecI2" name="aecI2">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="aecII2"><b>AEC II</b></label>
                                     <select class="form-control" id="aecII2" name="aecII2">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                    </div>
                      <h5 class="section-title">Minor I Preferences</h5>     
                            <div class="row">
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI2"><b>Minor I [1'st Preference]</b></label>
                                     <select class="form-control" id="minorI2" name="minorI2">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefII2"><b>Minor I [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefII2" name="minorI_prefII2">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIII2"><b>Minor I [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIII2" name="minorI_prefIII2">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefIV2"><b>Minor I [4'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefIV2" name="minorI_prefIV2">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                            
                    </div>
                    
                    <div class="row">
                         <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI_prefV2"><b>Minor I [5'th Preference]</b></label>
                                     <select class="form-control" id="minorI_prefV2" name="minorI_prefV2">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                        </div>
                        
                         <h5 class="section-title">Minor II Preferences</h5>
                            <div class="row">
                           
                           
                           
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII2"><b>Minor II [1'st Preference]</b></label>
                                     <select class="form-control" id="minorII2" name="minorII2">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefII2"><b>Minor II [2'nd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefII2" name="minorII_prefII2">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                            
                              
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIII2"><b>Minor II [3'rd Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIII2" name="minorII_prefIII2">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>    
                                
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefIV2"><b>Minor II [4'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefIV2" name="minorII_prefIV2">
                                        <option value="">Select</option>
                                      
                                     </select>
                                </div>
                            </div>
                        </div>
                        <br>
                        
                        
                            <div class="row">
                                
                            
                          
                                
                          
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII_prefV2"><b>Minor II [5'th Preference]</b></label>
                                     <select class="form-control" id="minorII_prefV2" name="minorII_prefV2">
                                        <option value="">Select</option>
                                       
                                     </select>
                                </div>
                            </div>
                            
                         
                        </div>
                        
                        
                         <br>
                        
                         <h5 class="section-title">MDC I Preferences</h5>
                            <div class="row">
                                
                                 <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI2"><b>MDC I [1'st Preference]</b></label>
                                     <select class="form-control" id="mdcI2" name="mdcI2">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            
                              <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI_prefII2"><b>MDC I [2'nd Preference]</b></label>
                                     <select class="form-control" id="mdcI_prefII2" name="mdcI_prefII2">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                                
                                
                               <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIII2"><b>MDC I [3'rd Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIII2" name="mdcI_prefIII2">
                                            <option value="">Select</option>
                                             
                                         </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefIV2"><b>MDC I [4'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefIV2" name="mdcI_prefIV2">
                                            <option value="">Select</option>
                                            
                                         </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                       <label for="mdcI_prefV2"><b>MDC I [5'th Preference]</b></label>
                                         <select class="form-control" id="mdcI_prefV2" name="mdcI_prefV2">
                                            <option value="">Select</option>
                                            
                                         </select>
                                    </div>
                                </div>
                                
                            </div>
                        
                        
                        
                        
                    
                </div>  
                
                <br><br>
                <?php if($valid_period == '1'): ?>
                <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Update</button>
                                </div>
                            </div>
                        </div>
                <?php endif; ?>
                
            </div>
           
        </form>
            
            
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card" id="result">
            
    </div>
</div>
        
<style>
      .section-title {
        background-color: #004170;
        color: white;
        padding: 10px;
        border-radius: 5px;
        font-size: 16px;
        margin-bottom: 15px;
        text-align:left;
    }
     label.required {
        position: relative;
    }

    label.required::after {
        content: "*";
        color: red;
        margin-left: 5px;
        font-size: 16px;
    }
     .styled-form {
        border: 2px solid #004170;
        padding: 20px;
        border-radius: 10px;
        background: #f9f9f9;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }

    .form-header {
        font-size: 18px;
        margin-bottom: 10px;
    }

</style>
 <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
 <script src="<?php echo e(asset('public/js/getsemstudentlog.js')); ?>"></script> 
 <script src="<?php echo e(asset('public/js/getsemstudentlogpathway.js')); ?>"></script> 
 <script src="<?php echo e(asset('public/js/studloginfyugppreferences.js')); ?>"></script>
  <script>
    function toggleDivContent() {
        const selectedValue = document.getElementById('pathway_id').value;
        const pathwayContent = document.getElementById('pathway_content');
        const pathwayContent1 = document.getElementById('pathway_content1');
         

        if (selectedValue == 1) {
            pathwayContent.style.display = 'block';
            pathwayContent1.style.display = 'block';
            
        } else {
            pathwayContent.style.display = 'block';
            pathwayContent1.style.display = 'none';
            
        }
    }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/studentlogin/fyugp/pathway_change.blade.php ENDPATH**/ ?>