<div class="card" style="border-top: 3px solid #004170;">
    <div class="card-body">
        <form method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" id="cur_date" name="cur_date" value="<?php echo e($cur_date); ?>">
            <div id="totalStudents" class="mb-3"></div>
           
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="table-wrapper">
                            <table id="table-fine" class="table table-bordered table-striped table-hover">
                                <thead class="thead-custom">
                                    <tr>
                                        <th>Period</th><?php $i=0; ?>
                                        <?php $__currentLoopData = $getDayOfWeek; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $i++;
                                               
                                                $date_val = date("Y-m-d", strtotime("{$year}-W{$week}-$i"));
                                                $date_val1 = date("d/m/Y", strtotime($date_val));
                                            ?>
                                            <th><?php echo e($day->day); ?><br><?php echo e($date_val1); ?></th>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td class="period-cell"><?php echo e($period->period); ?></td>
                                        <?php $j=0; ?>
                                        <?php $__currentLoopData = $getDayOfWeek; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <td class="day-cell">
                                                <?php
                                                    $isFree = true;
                                                     $j++;
                                               
                                                $date_val = date("Y-m-d", strtotime("{$year}-W{$week}-$j"));
                                               
                                                ?>
                                                <?php $__currentLoopData = $timetable; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if($t->period_id == $period->id && $t->day_of_week == $day->day): ?>
                                                        <?php
                                                            $isFree = false;
                                                             $bgcolor ="background-color: none;";
                                                            $attendanceRecord = App\Models\StudentAttendance::where('date', $date_val)
                                                            ->where('subject_id', $t->subject_id)->where('period_id', $t->period_id)->first();
                                                            if($attendanceRecord){ $bgcolor ="background-color: lightgreen;"; $fontColor = "color: black;"; }else{ $bgcolor ="background-color: none;"; $fontColor = "color: white;";}
                                                        $cur_date = date('Y-m-d');
                                                     
                                                        ?>
                                                        <div class="schedule-item" style="<?php echo e($bgcolor); ?> <?php echo e($fontColor); ?>">
                                                         <?php if($date_val <= $cur_date): ?>
                                                        
                                                            <a href="<?php echo e(route('student_attendance.index', ['cid' => $t->course, 'did' => $t->semester, 'date' => $date_val, 'prd' => $t->period_id, 'subj' => $t->subject_id ,'periodname' => $period->period])); ?>">
  
                                                           <strong> <?php echo wordwrap($t->subject ? $t->subject->subject_name : 'No subject assigned', 20, '<br>', true); ?></strong><br>
                                                            <em><?php echo e($t->cnames ? $t->cnames->course_name : 'No course assigned'); ?><br><?php echo e($t->semnames ? $t->semnames->semester_name : 'No sem assigned'); ?></em>
                                                             </a>
                                                        
                                                        <?php else: ?>
                                                            <span>
                                                                <strong><?php echo wordwrap($t->subject ? $t->subject->subject_name : 'No subject assigned', 20, '<br>', true); ?></strong><br>
                                                                <em><?php echo e($t->cnames ? $t->cnames->course_name : 'No course assigned'); ?><br><?php echo e($t->semnames ? $t->semnames->semester_name : 'No sem assigned'); ?></em>
                                                            </span>
                                                        <?php endif; ?>
                                                        </div>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                
                                            </td>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<style>
    body {
        font-family: 'Arial', sans-serif;
    }

    /* Table Header Styles */
    thead.thead-custom {
        background-color: #004170;
        color: white;
        text-align: center;
    }

    thead.thead-custom th {
        padding: 15px 10px;
        font-size: 16px;
        font-weight: bold;
    }

    /* Table Cell Styles */
    table.table-bordered {
        border-collapse: collapse;
         table-layout: fixed;
        width: 100%;
        margin: 20px 0;
    }

    table.table-bordered td, table.table-bordered th {
        border: 1px solid #dcdcdc;
        padding: 12px;
        text-align: center;
       
    }

    table.table-striped tbody tr:nth-child(odd) {
        background-color: #f9f9f9;
    }

    table.table-hover tbody tr:hover {
        background-color: #e0f7fa;
        cursor: pointer;
    }

    /* Period Cell Styling */
    .period-cell {
        background-color: #f0f0f0;
        font-weight: bold;
        text-align: left;
        padding-left: 15px;
    }

    /* Day Cells Styling */
    .day-cell {
        min-height: 100px;
        vertical-align: top;
        padding: 10px;
    }

    .day-cell .schedule-item {
        font-size: 14px;
        color: #333;
    }

    .schedule-item strong {
        display: block;
        font-size: 16px;
        color: #004170;
        margin-bottom: 5px;
    }

    .schedule-item em {
        font-size: 14px;
        color: #555;
    }

    /* Free Period Styling */
    .schedule-item.free-period {
        color: red;
        font-weight: bold;
    }

    /* Scrollable Container */
    .table-wrapper {
        overflow-x: auto;
        overflow-y: auto;
        max-height: 600px; /* You can adjust the height based on your requirement */
        margin-top: 10px;
    }

    /* Scrollbar Styles */
    .table-wrapper::-webkit-scrollbar {
        width: 10px;
        height: 10px;
    }

    .table-wrapper::-webkit-scrollbar-track {
        background: #f1f1f1;
    }

    .table-wrapper::-webkit-scrollbar-thumb {
        background: #888;
        border-radius: 10px;
    }

    .table-wrapper::-webkit-scrollbar-thumb:hover {
        background: #555;
    }

    /* Responsive Styling */
    @media (max-width: 768px) {
        table.table-bordered, .table th, .table td {
            font-size: 12px;
            padding: 8px;
        }

        .period-cell, .day-cell {
            padding: 8px;
        }

        .schedule-item {
            font-size: 12px;
        }
    }

    @media (max-width: 480px) {
        table.table-bordered, .table th, .table td {
            font-size: 10px;
            padding: 6px;
        }

        .period-cell, .day-cell {
            padding: 6px;
        }

        .schedule-item {
            font-size: 10px;
        }
    }
</style><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/timetable/studentattendance/hourlyattendance__get.blade.php ENDPATH**/ ?>