<div class="card">
    <div class="card-header" style="background:#005A9C;color:white"><b>Attendance Report</b></div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <h6 align="center"><b>Year: <?php echo e($year); ?></b></h6>
                    <br><br>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th><b>Staff Name</b></th>
                                    <th><b>Employee ID</b></th>
                                    <?php for($month = 1; $month <= 12; $month++): ?>
                                        <th><b><?php echo e(DateTime::createFromFormat('!m', $month)->format('F')); ?></b></th>
                                    <?php endfor; ?>
                                    <th><b>Total Attendance %</b></th> <!-- Total Percentage Column -->
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $attendanceSummary; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $summary): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($loop->iteration); ?></td>
                                        <td><?php echo e($summary['staff_name']); ?></td>
                                        <td><?php echo e($summary['emid']); ?></td>
                                        <?php for($month = 1; $month <= 12; $month++): ?>
                                            <?php
                                                $monthSummary = $summary['monthly_summary'][$month] ?? ['attendance_percentage' => 0];
                                            ?>
                                            <td>
                                                <?php echo e($monthSummary['attendance_percentage']); ?>%
                                            </td>
                                        <?php endfor; ?>
                                        <td>
                                            <?php echo e($summary['total_percentage']); ?>%
                                        </td> <!-- Total Percentage Cell -->
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
    .table td, .table th {
        white-space: nowrap; /* Prevents text from wrapping and expands column width */
    }
    .table th, .table td {
        padding: 8px; /* Adjust padding if needed */
    }
    .table-responsive {
        overflow-x: auto; /* Enables horizontal scrolling */
    }
        
        
        
        .form-control{
            border:1px solid black;
        }
</style>
<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/staff/staffattendance_report_yearly_get.blade.php ENDPATH**/ ?>