
<?php $__env->startSection('title','Books'); ?>
<?php $__env->startSection('heading','View Book'); ?>
<?php $__env->startSection('breadcrumb','Home / Library / Books / View'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <a href="<?php echo e(url()->previous()); ?>" class="btn btn-sm btn-danger mr-2">Cancel</a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <div class="col-5">Book No</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->book_no); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Access No</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->access_no); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Title</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->title); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Sub Title</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->sub_title); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Author</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->author); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Language</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->language); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Publisher</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->publisher); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Volume</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->volume); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Edition</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->edition); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">ISBN</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->isbn); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Subject</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->subject); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Writer</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->writer); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Reference</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->reference); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Awards</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->awards); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Keywords</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->keywords); ?></div>
                    </div>
                </div>
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <div class="col-5">Image</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><img src="<?php echo e(asset('public/uploads/books/image/'.$book->image)); ?>" width="150px"></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Category</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->category->name); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Sub Category</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->subcategory->name); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Location</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->location->name); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Sub Location</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->sublocation->name); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Date</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e(date('d/m/Y',strtotime($book->date))); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Year</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->year); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Price</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->price); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Condition</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->condition); ?></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Copies</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><?php echo e($book->copies); ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if($book->issues->count() > 0): ?>
        <br>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <h5>Issue History</h5>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Membership No</th>
                                <th>Member Type</th>
                                <th>Member Name</th>
                                <th>Issue Date</th>
                                <th>Due Date</th>
                                <th>Status</th>
                            </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $book->issues()->orderBy('id', 'desc')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $issue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td align="center"><?php echo e($loop->iteration); ?></td>
                                        <td align="center"><?php echo e($issue->member->membership_no); ?></td>
                                        <td align="center"><?php echo e($issue->member->membertype->member_type); ?></td>
                                        <td align="center"><?php echo e($issue->member->member_name); ?></td>
                                        <td align="center"><?php echo e($issue->issue_date_formatted); ?></td>
                                        <td align="center"><?php echo e($issue->due_date_formatted); ?></td>
                                        <td align="center">
                                            <?php if($issue->status == 'Issued'): ?>
                                                <div class="badge badge-warning"><?php echo e($issue->status); ?></div>
                                            <?php elseif($issue->status == 'Returned'): ?>
                                                <div class="badge badge-success"><?php echo e($issue->status); ?></div>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/library/book/view.blade.php ENDPATH**/ ?>