<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
         <div align="right">
    <a href="<?php echo e(route('fyugpstudsub.print', ['course' => $course,'semester_id'=>$semester_id])); ?>" target="blank_"><img src="<?php echo e(asset('public/uploads/logo/print.png'
)); ?>"  height="30px"></a></div>
  <form action="<?php echo e(route('fyugpstudsub.save')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" id="course" name="course" value="<?php echo e(encrypt($course)); ?>">
    <input type="hidden" id="sem_id" name="sem_id" value="<?php echo e(encrypt($semester_id)); ?>">
  

    <div id="totalStudents" class="mb-3"></div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
     <div class="div_scroller">   
    <table id="table-fine" class="table table-bordered" style="width:200%;">
    <thead >
    <tr>
        <th style="width:3%;">
            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
              <label class="container"> <input type="checkbox" class="form-check-input" id="checkAll"></label>
            </div>
        </th>
        <th style="width:5%;"><b>Adno</b></th>
        <th><b>Student Name</b></th>
        <th  style="width:15%;"><b>Pathway</b></th>
        <th><b>Minor I</b></th>
        <th><b>Minor II</b></th>
        <th><b>MDC I</b></th>
        
    </tr>
    </thead>
    <tbody>
            <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <tr>
           <td align="center" >
           
                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                 <label class="container"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($student->student_id); ?>"></label>
                </div>
             
            </td> 
           <td><?php echo e($student->adno); ?></td>
           <td align="left"><?php echo e(strtoupper($student->name)); ?></td>
           <td>
            <?php
              $pathway_id = $student->studpathway ? $student->studpathway->pathway_id : null;
            ?>
            <select class="form-control" id="pathway_id" name="pathway_id<?php echo e($student->student_id); ?>" disabled>
                <option value="">Select</option>
                  <?php $__currentLoopData = $pathway; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $path): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($path->id); ?>" <?php echo e($pathway_id==$path->id  ? "selected":""); ?>><?php echo e($path->pathway); ?></option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </select> 
            <?php $__errorArgs = ['pathway_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>      
               
           </td>
           <td>
            <?php  $minorI = $student->subminordmc->where('acyear_id',$ac_id)->where('course',$course)->where('sem',$semester_id)->where('sub_cat',2)->pluck('sub_id')->first();
                  $minorIsub = App\Models\FyugpStudSubPreferences::Join('subjects','fyugp_stud_sub_preferences.pref_Id','=','subjects.subject_id')->where(array('fyugp_stud_sub_preferences.acyear_id'=>$ac_id,'fyugp_stud_sub_preferences.course'=>$course,'fyugp_stud_sub_preferences.sem'=>$semester_id,'fyugp_stud_sub_preferences.stud_id'=>$student->student_id,'fyugp_stud_sub_preferences.sub_cat'=>2))->select('subjects.*')->orderBy('fyugp_stud_sub_preferences.type')->get();

            ?>
             <select class="form-control" id="minorI" name="minorI<?php echo e($student->student_id); ?>">
                <option value="">Select</option>
                  <?php $__currentLoopData = $minorIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($minI->subject_id); ?>" <?php echo e($minorI==$minI->subject_id  ? "selected":""); ?>><?php echo e($minI->subject_code.' - '.$minI->subject_name); ?></option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </select> 
            <?php $__errorArgs = ['minorI'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>   
           </td>
           <td>
              <?php $minorII = $student->subminordmc->where('acyear_id',$ac_id)->where('sub_cat',3)->where('course',$course)->where('sem',$semester_id)->pluck('sub_id')->first();
              
                   $minorIIsub = App\Models\FyugpStudSubPreferences::Join('subjects','fyugp_stud_sub_preferences.pref_Id','=','subjects.subject_id')->where(array('fyugp_stud_sub_preferences.acyear_id'=>$ac_id,'fyugp_stud_sub_preferences.course'=>$course,'fyugp_stud_sub_preferences.sem'=>$semester_id,'fyugp_stud_sub_preferences.stud_id'=>$student->student_id,'fyugp_stud_sub_preferences.sub_cat'=>3))->select('subjects.*')->orderBy('fyugp_stud_sub_preferences.type')->get();

              ?>
             <select class="form-control" id="minorII" name="minorII<?php echo e($student->student_id); ?>">
                <option value="">Select</option>
                  <?php $__currentLoopData = $minorIIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $minII): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($minII->subject_id); ?>" <?php echo e($minorII==$minII->subject_id  ? "selected":""); ?>><?php echo e($minII->subject_code.' - '.$minII->subject_name); ?></option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </select> 
            <?php $__errorArgs = ['minorII'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>    
               
               
           </td>
           <td>
               <?php $mdcugI = $student->subminordmc->where('acyear_id',$ac_id)->where('sub_cat',4)->where('course',$course)->where('sem',$semester_id)->pluck('sub_id')->first();
               
                $mdcIsub = App\Models\FyugpStudSubPreferences::Join('subjects','fyugp_stud_sub_preferences.pref_Id','=','subjects.subject_id')->where(array('fyugp_stud_sub_preferences.acyear_id'=>$ac_id,'fyugp_stud_sub_preferences.course'=>$course,'fyugp_stud_sub_preferences.sem'=>$semester_id,'fyugp_stud_sub_preferences.stud_id'=>$student->student_id,'fyugp_stud_sub_preferences.sub_cat'=>4))->select('subjects.*')->orderBy('fyugp_stud_sub_preferences.type')->get();

               ?>
             <select class="form-control" id="mdcugI" name="mdcugI<?php echo e($student->student_id); ?>">
                <option value="">Select</option>
                  <?php $__currentLoopData = $mdcIsub; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mdcI): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($mdcI->subject_id); ?>" <?php echo e($mdcugI==$mdcI->subject_id  ? "selected":""); ?>><?php echo e($mdcI->subject_code.' - '.$mdcI->subject_name); ?></option>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </select> 
            <?php $__errorArgs = ['mdcugI'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>     
               
               
           </td>
        </tr>
        
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </tbody>
    </table>
    </div>
    <div id="load"></div>
    </div>
    </div>
    </div>
      
       <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
          
    </div>
    
</div>
         <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
   <script src="<?php echo e(asset('public/js/studall.js')); ?>"></script>
<style>
  
input[type="checkbox"] {
  width: 2em;
  height: 2rem;
  display: inline-block; 
  margin: 0;
  accent-color: green;
}

/* Scrollable container for the table */
.div_scroller {
  overflow: auto;
  scrollbar-width: initial; /* Make the scrollbar thinner */
  scrollbar-color: #888 #f1f1f1; /* Thumb color and track color */
}

/* Table styles */
.table {
  width: 100%;
  table-layout: fixed;
  border-collapse: collapse;
}

/* Center align text in table cells */
th, td {
  text-align: center;
  white-space: nowrap; /* Prevent text wrapping */
}

/* Make the first 3 columns sticky */
th:nth-child(1), td:nth-child(1),
th:nth-child(2), td:nth-child(2),
th:nth-child(3), td:nth-child(3) {
  position: sticky;
  left: 0;
  background-color: #fff; /* Set a background color to make them stand out */
  z-index: 1; /* Ensure they stay on top */
}

/* Make the 4th column sticky */
th:nth-child(4), td:nth-child(4) {
  position: sticky;
  left: 300px; /* Adjust the left value based on the width of the previous sticky column */
  background-color: #fff;
  z-index: 2; /* Ensure this column is above the others */
}

/* For preference columns, you can customize their styles as needed */
th:nth-child(n+5), td:nth-child(n+5) {
  min-width: 150px; /* Adjust the minimum width for preference columns */
}
</style>



<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/fyugp/studsub_get.blade.php ENDPATH**/ ?>