
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Book Issue Report'); ?>
<?php $__env->startSection('breadcrumb','Home/Search Student/Book Issue Report'); ?>
<?php $__env->startSection('content'); ?>

<div class="row">
    <div class="col-12">



<div class="row">
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
        
    <a href="<?php echo e(route('searchstudent.get.view',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROFILE</span></a>
    </div>
    </div>
        <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
        <a href="<?php echo e(route('searchstudent.payment',['student_id'=>encrypt($student_det->student_id)])); ?>" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span></a>
        </div>
        </div>
            <div class="col-12 col-sm-4 col-lg-3">
            <div class="form-group">
            <a href="<?php echo e(route('searchstudent.feereport',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> FEE REPORT</span></a>
            </div>
            </div>
    
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.duereport',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span></a>
    </div>
    </div>




    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.attendance',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> ATTENDANCE REPORT</span></a>
    </div>
    </div>

    <?php if($student_det->ac_id >= 6): ?>
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.fyexam.report',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
    <?php endif; ?>
     <?php if($student_det->ac_id < 6): ?>
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.exam.report',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
    </div>
    </div>
    <?php endif; ?>
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.hostel.payment',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span></a>
    </div>
    </div>
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE REPORT</span></a>
    </div>
    </div>
   
    <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
    </div>
    </div> 
      <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="<?php echo e(route('searchstudent.library.due',['student_id'=>encrypt($student_det->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
    </div>
    </div>
     
     
     </div>


</div>
</div>



<?php if(!empty($mem_det)): ?>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead >
                        <tr>
                            <th><b>Issue Date</b></th>
                            <th><b>Book No</b></th>
                            <th><b>Book Title</b></th>
                            <th><b>Author</b></th>
                            <th><b>Actual Return Date</b></th>
                            <th><b>Returned Date</b></th>
                            <th><b>Due Days</b></th>
                            <th><b>Due Amount</b></th>
                            <th><b>Status</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/semester.js')); ?>"></script>
   
    <script>
        $(function () {
            var studentId = '<?php echo e($student_det->student_id); ?>'; 
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                url: '<?php echo e(route('searchstudent.book.duereport.get')); ?>', 
                data: function (d) {
            d.student_id = studentId;
                   },
 dataType : 'json',
                    type : 'GET',
                    
                },
                columns : [
                    { data : 'issue_date' },
                    { data : 'book_no' },
                    { data : 'title' },
                    { data : 'author' },
                    { data : 'act_return_date' },
                    { data : 'returning_date' },
                    { data : 'due_days' },
                    { data : 'amount' },
                    { data : 'status' },
                   
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
   
 <?php else: ?>
                   <div class="alert alert-warning" align="center">
                        <strong><font color="red" size="5">Please Obtain a Membership!</font></strong>
                    </div>
                <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/students/searchlibrary.blade.php ENDPATH**/ ?>