 
<?php $__env->startSection('title', 'Cash Book'); ?> 
<?php $__env->startSection('heading', 'Cash Book'); ?> 
<?php $__env->startSection('breadcrumb', 'Home / Account / Report / Cash Book'); ?> 
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form action="<?php echo e(route('accounts.report.cashbook')); ?>" method="GET">
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group">
                        <label for="fdate">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e($fdate); ?>" required>
                    </div>
                </div>
                <div class="col-12 col-sm-8">
                    <div class="form-group">
                        <label for="tdate">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e($tdate); ?>" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <?php if(!empty($vouchers)): ?>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <?php if($export==1): ?>
                                <a href="<?php echo e(route('accounts.report.cashbook.export',['fdate'=>$fdate,'tdate'=>$tdate, 'accountid'=>$accountid])); ?>" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <table class="table table-bordered mt-2">
                    <thead>
                    <tr>
                        <th width="10%">Date</th>
                        <th width="29%">Particulars</th>
                        <th width="10%">Voucher No.</th>
                        <th width="15%">Voucher Type</th>
                        <th width="12%">Debit</th>
                        <th width="12%">Credit</th>
                        <th width="12%">Closing Balance</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td></td>
                            <td colspan="3">Opening Balance</td>
                            <td align="right"><?php echo e(number_format($open_bal,2)); ?></td>
                            <td></td>
                            <td align="right"><?php echo e(number_format($open_bal,2)); ?></td>
                        </tr>
                        <?php $close_bal=$open_bal; ?>
                        <?php $__currentLoopData = $vouchers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $voucher): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php $close_bal += $voucher['dr']-$voucher['cr']; ?>
                            <tr>
                                <td align="center"><?php echo e($voucher['vdate']); ?></td>
                                <td><?php echo e($voucher['ledger_name']); ?></td>
                                <td align="center"><?php echo e($voucher['vno']); ?></td>
                                <td align="center"><?php echo e($voucher['vtype']); ?></td>
                                <td align="right"><?php echo e(number_format($voucher['dr'],2)); ?></td>
                                <td align="right"><?php echo e(number_format($voucher['cr'],2)); ?></td>
                                <td align="right"><?php echo e(number_format($close_bal,2)); ?></td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                    <tfoot>
                    <tr>
                        <td colspan="6" align="center"><b>Total</b></td>
                        <td align="right"><b><?php echo e(number_format($close_bal,2)); ?></b></td>
                    </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-info">No Result Found !</div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/account/report/cashbook.blade.php ENDPATH**/ ?>