
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','TC'); ?>
<?php $__env->startSection('breadcrumb','Home/Student/TC'); ?>
<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background: #005A9C;color:white;"><b>TC Report</b></div>
                <div class="card-body">
                    <table class="table table-bordered" id="tcTable" width="100%">
                        <thead> 
                        <tr>
                            <th><b>TC No</b></th>
                            <th><b>Issue Date</b></th>
                            <th><b>Adm No</b></th>
                            <th><b>Name</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th class="no-sort"><b>Action</b></th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
      
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script>
        $(function () {
            var tcTable = $("#tcTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '<?php echo e(route('tc.ajax')); ?>',
                    dataType : 'json',
                    type : 'GET',
                },
                columns : [
                    { data : 'tcno' },
                    { data : 'idate' },
                    { data : 'adno' },
                    { data : 'name' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'action' },
                ]
            });
        });
    </script>
    <style>
     
        
        
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:3px solid #DCDCDC;
          
        }

    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/students/tc_report.blade.php ENDPATH**/ ?>