
<?php $__env->startSection('title','Salary Processing'); ?>
<?php $__env->startSection('heading','Salary Processing'); ?>
<?php $__env->startSection('breadcrumb','Home / Salary / Salary Processing'); ?>
<?php $__env->startSection('content'); ?>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head> 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
     <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         <?php echo e(app_button_links_v(array(499,500))); ?>

    </div>
    
    <div class="card-body">
           <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Process Salary</b></div>
        <div class="card-body">
        <form>
        <?php echo csrf_field(); ?>
        <div class="row">
            
            <div class="col-md-3">
                <div class="form-group">
                    <label for="staftyp_id" class="required">Staff Type</label>
                    <select class="js-example-basic-single" id="staftyp_id" name="staftyp_id" style="width:100%">
                       <option value="">Select</option>
                          <?php $__currentLoopData = $stafftype; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($type->staftyp_id); ?>" <?php echo e(old('staftyp_id') == $type->staftyp_id ? "selected":""); ?>><?php echo e($type->type_name); ?></option>
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                        <?php $__errorArgs = ['staftyp_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                </div>
            </div>
        
          <div class="col-md-3">
            <div class="form-group">
                <label for="salmonth" class="required">Month & Year</label>
                <input type="month" id="salmonth" name="salmonth" class="form-control" value="<?php echo e($cur_mnth_yr); ?>">
            </div>
          </div>
          
             <div class="col-md-3">
            <div class="form-group">
                <label for="date" class="required">Processing Date</label>
                <input type="date" id="date" name="date" class="form-control" value="<?php echo e($cur_date); ?>">
            </div>
          </div>
   
        
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
              <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    
    
 
        </div>
        </div>
        </div>
    </div>

   <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
   <script>
      $(document).ready(function(){
      $("#btn-get").on('click',function(){
        var stafftype = $('#staftyp_id').val();
        var salmonth = $('#salmonth').val();
        var date = $('#date').val();
        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(stafftype=='' || salmonth=='' || date==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../salaryprocessing-get',
                data : {tid:stafftype,did:salmonth,date:date},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
        
        }); 
    </script>
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
        .div_scroller{
    	overflow:auto; 
    	scrollbar-width: initial; /* Make the scrollbar thinner */
    scrollbar-color: #888 #f1f1f1; /* thumb color and track color */
      }
    </style>
<?php $__env->stopSection(); ?>
    
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/salary/salary_processing.blade.php ENDPATH**/ ?>