<div class="card" style="border-top:3px solid #005A9C">
   
    <div class="card-body">
        <form action="<?php echo e(route('trans.editfee.stop.update')); ?>" method="post">
            <?php echo csrf_field(); ?>
            <input type="hidden" name="route_id" value="<?php echo e($route_id); ?>">
           
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th rowspan="2">
                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                <label class="container">
                                    <input type="checkbox" class="form-check-input" id="checkAll">
                                </label>
                            </div>
                        </th>
                        <th><b>#</b></th>
                        <th><b>Stop Name</b></th>
                        <th><b>Stop Code</b></th>
                        <th><b>Current Fee</b></th>
                        <th><b>New Fee</b></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__empty_1 = true; $__currentLoopData = $stop; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stops): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <input type="hidden" name="stop_id[]" value="<?php echo e($stops->stop_id); ?>">
                            <td align="center">
                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                            <label class="container">
                            <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="<?php echo e($stops->stop_id); ?>">
                            </label>
                            </div>
                            </td>
                            <td><?php echo e($loop->iteration); ?></td>
                            <td><?php echo e($stops->stop_name); ?></td>
                            <td><?php echo e($stops->stop_code); ?></td>
                            <td><?php echo e(number_format($stops->fee,0)); ?>

                                <p>(<?php echo e(date('Y', strtotime($stops->acyear->sdate)) . '-' . date('Y', strtotime($stops->acyear->edate))); ?>)</p>
                            </td>
                            <td><input type="text" name="fee[]" class="form-control"></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td colspan="6">No Existing Bus Facility Records Found!</td>
                        </tr>
                    <?php endif; ?>
                </tbody>
            </table>
            <br>
            <div class="row">
                <div class="col-md-12">
                    <input type="submit" name="sub" value="Save" class="btn btn-primary float-right">
                </div>
            </div>
        </form>
    </div>
</div>

<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script>
    $(document).ready(function() {
     
        $('#checkAll').change(function() {
            $('.checkSub').prop('checked', this.checked);
        });
    });
</script>
<style>
    input[type="checkbox"] {
        width: 2em;
        height: 2rem;
        display: inline-block; 
        margin: 0;
        accent-color: green;
    }
    .container {
    display: flex; /* Flexbox for better alignment */
    align-items: center; /* Center align vertically */
    justify-content: center; /* Center align horizontally */
}
   .card-body {             
        border-left: 1px solid #DCDCDC;             
        border-right: 1px solid #DCDCDC;             
        border-bottom: 1px solid #DCDCDC;         
    }   
        

        .form-control{
            border:1px solid #E8E8E8;
        }
</style>
<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/transportation/trans_editstop_fee_get.blade.php ENDPATH**/ ?>