
<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Dashboard'); ?>
<?php $__env->startSection('breadcrumb','Home'); ?>
<?php $__env->startSection('content'); ?>


<div id="assignmentDetails">
    <!-- This will be populated dynamically -->
</div>
<div id="specialClassDetails">
    <!-- This will be populated dynamically -->
</div>
<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script>
    $(document).ready(function () {
        function loadAssignmentDetails() {
            $.ajax({
                url: "<?php echo e(route('student.assignment.counts')); ?>",  // Adjust route if necessary
                type: 'GET',
                success: function (data) {
                    let assignmentHtml = '';

                    // Loop through each assignment and create its HTML structure
                    data.forEach(function (item) {
                        assignmentHtml += `
                           <div class="alert alert-${item.color} mb-2">
                            <h5 class="alert-heading">
                                New Assignment
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </h5>  <!-- Heading for New Assignment with Close button -->
                            <hr>
                            <p>${item.name} - ${item.days}</p>  <!-- Assignment name and status (days remaining or overdue) -->
                        </div>
                        `;
                    });

                    // Inject the dynamically generated HTML into the assignmentDetails div
                    $('#assignmentDetails').html(assignmentHtml);
                },
                error: function (xhr, status, error) {
                    console.error("Error loading assignment details:", error);
                }
            });
        }

        // Load details on page load
        loadAssignmentDetails();

        // Optional: Refresh details every 5 minutes (300000ms)
        setInterval(loadAssignmentDetails, 300000);
        
          function loadSpecialclassDetails() {
    $.ajax({
        url: "<?php echo e(route('student.specialclass.counts')); ?>",  // Adjust route if necessary
        type: 'GET',
        success: function (data) {
            let specialclassHtml = '';

            data.forEach(function (item) {
                // Skip overdue classes
                if (item.status === 'Class ended') {
                    return;  // Do not render the overdue class
                }

                specialclassHtml += `
                    <div class="alert alert-${item.color} mb-2">
                        <h5 class="alert-heading">
                            Special Class
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </h5>
                        <hr>
                        <p><strong>${item.name}</strong></p>
                        <p><strong>Scheduled Time:</strong> ${item.datetime_and_duration}</p>  <!-- Display combined datetime and duration -->
                        <p><strong>Status:</strong> ${item.status}</p>  <!-- Show class status -->
                    </div>
                `;
            });

            // Inject the dynamically generated HTML into the specialClassDetails div
            $('#specialClassDetails').html(specialclassHtml);
        },
        error: function (xhr, status, error) {
            console.error("Error loading special class details:", error);
        }
    });
}
    // Load details on page load
    loadSpecialclassDetails();

    // Optional: Refresh every 5 minutes
    setInterval(loadSpecialclassDetails, 300000);
        
        
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/students/home.blade.php ENDPATH**/ ?>