
<?php $__env->startSection('title','Books'); ?>
<?php $__env->startSection('heading','Upload Books'); ?>
<?php $__env->startSection('breadcrumb','Home / Library / Books / Upload'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form action="<?php echo e(route('library.book.upload')); ?>" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-12 col-md-6">
                        <div class="form-group">
                            <label for="file" class="required">Excel File</label>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <input type="file" class="form-control-file <?php $__errorArgs = ['file'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="file" name="file" accept=".xls,.xlsx">
                                        <?php $__errorArgs = ['file'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <a href="<?php echo e(asset('public/uploads/books/book_upload_sample.xlsx')); ?>" class="btn btn-sm btn-outline-info btn-icon-text" download><i class="icon-cloud-download btn-icon-prepend"></i> Download Sample Format</a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="scroll">
                        <table class="table table-bordered" width="100%">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>A</th>
                                    <th>B</th>
                                    <th>C</th>
                                    <th>D</th>
                                    <th>E</th>
                                    <th>F</th>
                                    <th>G</th>
                                    <th>H</th>
                                    <th>I</th>
                                    <th>J</th>
                                    <th>K</th>
                                    <th>L</th>
                                    <th>M</th>
                                    <th>N</th>
                                    <th>O</th>
                                    <th>P</th>
                                    <th>Q</th>
                                    <th>R</th>
                                    <th>S</th>
                                    <th>T</th>
                                    <th>U</th>
                                    <th>V</th>
                                    <th>W</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <th>1</th>
                                    <th>Access No.</th>
                                    <th>Title</th>
                                    <th>Author</th>
                                    <th>Category</th>
                                    <th>Sub Category</th>
                                    <th>Location</th>
                                    <th>Sub Location</th>
                                    <th>Sub Title</th>
                                    <th>Date</th>
                                    <th>Language</th>
                                    <th>Publisher</th>
                                    <th>Volume</th>
                                    <th>Edition</th>
                                    <th>Year</th>
                                    <th>Price</th>
                                    <th>Condition</th>
                                    <th>ISBN</th>
                                    <th>Reference</th>
                                    <th>Subject</th>
                                    <th>Awards</th>
                                    <th>Keywords</th>
                                    <th>Writer</th>
                                    <th>Copies</th>
                                </tr>
                                <tr>
                                    <td>2</td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            </tbody>
                        </table> 
                    </div>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-12">
                    <h5>Instructions</h5>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <ul>
                        <li>The first line of the file contains the column names or an empty row</li>
                        <li>The second line of the file contains the part of the data</li>
                        <li>Do not import empty rows</li>
                        <li>Category & Sub Category name field must be same as you entered in this software</li>
                        <li>Location & Sub Location name field must be same as you entered in this software</li>
                        <li>Book Condition : GOOD , DAMAGED , MISSING</li>
                        <li>Reference : REFERENCE , AVAILABLE</li>
                        <li>Copies field must be numeric</li>
                        <li>Excel date format : <span class="red"> dd-mm-YYYY  </span>, Language :  <span class="text-danger">English (United Kingdom) </span></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/library/book/import.blade.php ENDPATH**/ ?>