

<?php $__env->startSection('title','Home'); ?>
<?php $__env->startSection('heading','Attendance - Report'); ?>
<?php $__env->startSection('breadcrumb','Home/Attendance/Attendance-Report'); ?>
<?php $__env->startSection('content'); ?>




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white"><b>Select the Criteria</b></div>
    <div class="card-body">
           
                  
            <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="fdate"><b>From Date</b></label>
            <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e(old('fdate') ? old('fdate'):date('Y-m-d')); ?>">
            <?php $__errorArgs = ['fdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>
            </div>       
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="tdate"><b>To Date</b></label>
                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e(old('tdate') ? old('tdate'):date('Y-m-d')); ?>">
                    <?php $__errorArgs = ['tdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    </div>
                   <div class="col-md-3">
                    <div class="form-group">
                          <label for="course_id" class="required"><b>Course</b></label>
                            <select class="form-control" id="course_id" name="course_id" required>
                            <option value="">Select</option>
                             <!--<?php $__currentLoopData = $course; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $coursed): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>-->
                                           <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id')==$course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                        <!--<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>-->
                             
                                 </select>
                            
                            <?php $__errorArgs = ['course_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                   </div> 
                   </div> 
                   
                    <div class="col-md-3">
                    <div class="form-group">
                          <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                            <option value="">Select</option>
                             <?php $__currentLoopData = $sem; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($semester->semester_id); ?>" <?php echo e(old('semester_id')==$semester->semester_id ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['semester_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                   </div> 
                   </div> 
                
                   </div> 
                   
                    <div class="row">
                    <div class="col-md-12">
                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                    </div>
                    </div>
                    
                    
                    
                    
                    
                    
                    
        </div>
        </div>
        </div>
        </div>
        
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card" id="result">
            
        </div>
        </div> 
        
        <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
        <script>
             $(document).ready(function(){
      $("#btn-get").on('click',function(){
        var sem = $('#semester_id').val();
    
        var course=$('#course_id').val();
        var fdate=$('#fdate').val();
        var tdate=$('#tdate').val();
        
        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(course=='' || sem==''|| fdate=='' || tdate==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../studentlog-attendance-report',
                data : {tid:course,did:sem,fdate:fdate,tdate:tdate},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
        
        }); 
        </script>
         <style>
            .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }  
         </style>
         
         
         
         
         <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/studentlogin/attendance/studentattendance.blade.php ENDPATH**/ ?>