
<?php $__env->startSection('title','OBE'); ?>
<?php $__env->startSection('heading','Outcome Based Education'); ?>
<?php $__env->startSection('breadcrumb','Home / OBE / Internal Max Marks'); ?>
<?php $__env->startSection('content'); ?>
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         <?php echo e(app_button_links_v(array(273,274,275,283,284,285,286,289,290,291))); ?>

        
    </div>  
    <div class="card-body">

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card" style="border-top:2px solid #073980">
           
                
        <div class="card-header" style="background-color:#073980;color:white"><b>Add Internal MAX Mark</b></div>
        <div class="card-body">
        <form action="<?php echo e(route('internalmaxmark.save')); ?>" method="post">
        <?php echo csrf_field(); ?>
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course" class="required"><b>Course</b></label>
        <select class="form-control" id="course" name="course" required>
        <option value="">Select</option>
        <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crs): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($crs->course_id); ?>" <?php echo e(old('course')==$crs->course_id ? "selected":""); ?>><?php echo e($crs->course_name); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <?php $__errorArgs = ['course'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="semester_id" class="required"><b>Semester</b></label>
        <select class="form-control" id="semester_id" name="semester_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
                            
                            
           <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subtyp_id" class="required"><b>Subject Type</b></label>
                                    <select class="form-control" id="subtyp_id" name="subtyp_id" required>
                                    <option value="">select</option>
                                    <?php $__currentLoopData = $subtype; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subjectType): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($subjectType->subtyp_id); ?>" <?php echo e(old('subtyp_id')==$subjectType->subtyp_id ? "selected":""); ?>><?php echo e($subjectType->subject_type); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                                    </select>
                                        <?php $__errorArgs = ['subtyp_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>    
        
       <div class="col-md-3">
        <div class="form-group">
        <label for="sub_id" class="required"><b>Subject</b></label>
        <select class="form-control" id="sub_id" name="sub_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
        
                             
        <div class="col-md-3">
        <div class="form-group">
        <label for="assmnt_method" class="required"><b>Assessment Method</b></label>
        <select class="form-control" id="assmnt_method" name="assmnt_method" required>
        <option value="">select</option>
        <?php $__currentLoopData = $assessmentmethods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assmnt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($assmnt->id); ?>" <?php echo e(old('assmnt_method')==$assmnt->id ? "selected":""); ?>><?php echo e($assmnt->method); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
        </select>
            <?php $__errorArgs = ['assmnt_method'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>  
        
         <div class="col-md-3">
        <div class="form-group">
        <label for="term_id" class="required"><b>Term</b></label>
        <select class="form-control" id="term_id" name="term_id" required>
        <option value="">select</option>
        <?php $__currentLoopData = $terms; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $trm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($trm->id); ?>" <?php echo e(old('term_id')==$trm->id ? "selected":""); ?>><?php echo e($trm->term); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
        </select>
            <?php $__errorArgs = ['term_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>
        </div>  
        
        
        
        </div>
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label class="required"><b>Test Name</b></label>
        <input type="text" class="form-control" placeholder="Test Name" name="topic[]">
        </div>
        </div>
         <div class="col-md-3">
        <div class="form-group">
        <label class="required"><b>Max Mark</b></label>
        <input type="text" class="form-control" placeholder="Max Mark" name="max_mrk[]">
        </div>
        </div>
        
        <div class="col-sm-6">
        <div class="form-group">
        <label class="required"><b>Duration</b></label>
        <div class="row">
        <div class="col-md-6">
        <div class="form-group">
        <input type="text" class="form-control" placeholder="Duration" name="duration[]">
        </div>
        </div>
        <div class="col-md-6">
        <div class="form-group">
        <button type="button" class="btn btn-sm btn-primary" style="border-radius:50%;" id="addsub"><i class="icon icon-plus"></i></button>
        </div>
        </div>
        </div>
        </div>
        </div>
        </div>
        <div id="moreadd"></div> 
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right" id="add">Save</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
    
    
    
    </div>
        </div>
        </div>
        </div>
   <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/semester.js')); ?>"></script> 
    
    <script src="<?php echo e(asset('public/js/subj.js')); ?>"></script>
      <script src="<?php echo e(asset('public/js/obeinternalmaxmark.js')); ?>"></script> 
    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
    
    
 
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/obe/internalmaxmark_add.blade.php ENDPATH**/ ?>